/*
*	SCCS:	@(#)	INC/isamlib.h		Rel 4.4.1	(06/09/97)
*
*	UniSoft Ltd., London, England
*
* (C) Copyright 1991 X/Open Company Limited
*
* All rights reserved.  No part of this source code may be reproduced,
* stored in a retrieval system, or transmitted, in any form or by any
* means, electronic, mechanical, photocopying, recording or otherwise,
* except as stated in the end-user licence agreement, without the prior
* permission of the copyright owners.
*
* X/Open and the 'X' symbol are trademarks of X/Open Company Limited in
* the UK and other countries.
*/

/***********************************************************************

NAME:		isamlib.h - testset global variables

PROJECT:	VSX (X/OPEN Validation Suite)

DESCRIPTION:
AUTHOR:		David McCardle, UniSoft Ltd.;
DATE CREATED:	Mon Aug	 4 08:49:03 BST 1986
MODIFICATIONS:
		Dave Cater, UniSoft Ltd.
		Thu Mar 29 09:38:45 BST 1990
		Add macro definitions for XPG4 additions.

************************************************************************/

#include		<errno.h>

#if	TEST_XPG > 3
#define	IFNXPG3(code)	code
#else	/* TEST_XPG */
#define	IFNXPG3(code)
#endif	/* TEST_XPG */

#define ISAMERROR	(-1)
#define NOVALUE		('0')
#define TBUFSIZE	(5 * INTSIZE)
#define SETERROR	errno = 0; iserrno = 0; \
			isstat1 = NOVALUE; isstat2 = NOVALUE; \
			IFNXPG3(isstat3 = NOVALUE; isstat4 = NOVALUE;)

extern	int		no_tests;	/* number of tests in testset	*/
