/*
*	SCCS:	@(#)	INC/nlsinfo.h		4.1 (01/21/97)  VSXgen release 1.4
*
*
* (C) Copyright 1991 X/Open Company Limited
*
* All rights reserved.  No part of this source code may be reproduced,
* stored in a retrieval system, or transmitted, in any form or by any
* means, electronic, mechanical, photocopying, recording or otherwise,
* except as stated in the end-user licence agreement, without the prior
* permission of the copyright owners.
*
* X/Open and the 'X' symbol are trademarks of X/Open Company Limited in
* the UK and other countries.
*/

/***********************************************************************

NAME:		nlsinfo.h

PROJECT:	VSX (X/OPEN Validation Suite)

DESCRIPTION:	Language constants for use with NLS testsets
REQUIRES PRIOR INCLUSION OF:
ASSUMES:

AUTHOR:		Andrew Twigger, UniSoft Ltd
DATE CREATED:	Aug 23, 1988 (XPG3 version)
MODIFICATIONS:

************************************************************************/

#define VSX_D_T_FMT	1
#define VSX_D_FMT	2
#define VSX_T_FMT	3
#define VSX_AM_STR	4
#define VSX_PM_STR	5
#define VSX_DAY_1	6
#define VSX_DAY_2	7
#define VSX_DAY_3	8
#define VSX_DAY_4	9
#define VSX_DAY_5	10
#define VSX_DAY_6	11
#define VSX_DAY_7	12
#define VSX_ABDAY_1	13
#define VSX_ABDAY_2	14
#define VSX_ABDAY_3	15
#define VSX_ABDAY_4	16
#define VSX_ABDAY_5	17
#define VSX_ABDAY_6	18
#define VSX_ABDAY_7	19
#define VSX_MON_1	20
#define VSX_MON_2	21
#define VSX_MON_3	22
#define VSX_MON_4	23
#define VSX_MON_5	24
#define VSX_MON_6	25
#define VSX_MON_7	26
#define VSX_MON_8	27
#define VSX_MON_9	28
#define VSX_MON_10	29
#define VSX_MON_11	30
#define VSX_MON_12	31
#define VSX_ABMON_1	32
#define VSX_ABMON_2	33
#define VSX_ABMON_3	34
#define VSX_ABMON_4	35
#define VSX_ABMON_5	36
#define VSX_ABMON_6	37
#define VSX_ABMON_7	38
#define VSX_ABMON_8	39
#define VSX_ABMON_9	40
#define VSX_ABMON_10	41
#define VSX_ABMON_11	42
#define VSX_ABMON_12	43
#define VSX_RADIXCHAR	44
#define VSX_THOUSEP	45
#define VSX_YESSTR	46
#define VSX_NOSTR	47
#define VSX_CRNCYSTR	48
