/*
*      SCCS:   @(#)	pathres.h 4.1 (01/21/97)  VSXgen release 1.4
*
*	UniSoft Ltd., London, England
*
* (C) Copyright 1991 X/Open Company Limited
*
* All rights reserved.  No part of this source code may be reproduced,
* stored in a retrieval system, or transmitted, in any form or by any
* means, electronic, mechanical, photocopying, recording or otherwise,
* except as stated in the end-user licence agreement, without the prior
* permission of the copyright owners.
*
* X/Open and the 'X' symbol are trademarks of X/Open Company Limited in
* the UK and other countries.
*/

/***********************************************************************

NAME:		pathres.h - flags for tsetlib/pathres functions

PROJECT:	VSX (X/OPEN Validation Suite)

DESCRIPTION:
		see tsetlib/pathres.c
ASSUMES:

AUTHOR:		Geoff Clare, UniSoft Ltd.
DATE CREATED:	16 Mar 1989
MODIFICATIONS:	
		Geoff Clare, 8 May 1992
			Added PRES_NOTRAIL, PRES_NODOT and PRES_NODOTDOT.

************************************************************************/

#define PRES_FILES	0001
#define PRES_DIRS	0002
#define PRES_NOROOT	0004
#define PRES_CREAT	0010
#define PRES_NOTRAIL	0020
#define PRES_NODOT	0040
#define PRES_NODOTDOT	0100

extern char	*pathresnam[];
extern char	*portfnam[];

extern int	init_pathres();
extern void	cln_pathres();
extern char	*root_alias();
