
/*************************************************************************
*
* Copyright (c) 1997 X/Open Company Ltd., A member of The Open Group
*
* All rights reserved.  No part of this source code may be reproduced,
* stored in a retrieval system, or transmitted, in any form or by any
* means, electronic, mechanical, photocopying, recording or otherwise,
* except as stated in the end-user licence agreement, without the prior
* permission of the copyright owners.
*
* Motif (R) and UNIX (R) are registered trademarks and 'IT DialTone' (TM),
* 'The Open Group' (TM) and the 'X Device' (TM) are trademarks of
* The Open Group.
*
*
*	Written by Mount Bonnell Inc. Austin, Texas, USA
*	@(#)vsth_cp.h	1.8
*
*************************************************************************/



/* External declarations for CP wrappers */

extern int	_exit_csf();
extern int	_exit_ctf();
extern int	_exit_cef();

#if	( TEST_XPG > 4 )
extern int	_longjmp_csf();
extern int	_longjmp_ctf();
extern int	_longjmp_cef();
#endif

#if	( TEST_XPG > 4 )
extern int	_setjmp_csf();
extern int	_setjmp_ctf();
extern int	_setjmp_cef();
#endif

#if	( TEST_XPG > 4 )
extern int	_tolower_csf();
extern int	_tolower_ctf();
extern int	_tolower_cef();
#endif

#if	( TEST_XPG > 4 )
extern int	_toupper_csf();
extern int	_toupper_ctf();
extern int	_toupper_cef();
#endif

#if	( TEST_XPG > 4 )
extern int	a64l_csf();
extern int	a64l_ctf();
extern int	a64l_cef();
#endif

extern int	abort_csf();
extern int	abort_ctf();
extern int	abort_cef();

extern int	abs_csf();
extern int	abs_ctf();
extern int	abs_cef();

extern int	access_csf();
extern int	access_ctf();
extern int	access_cef();

extern int	acos_csf();
extern int	acos_ctf();
extern int	acos_cef();

#if	( TEST_XPG > 4 )
extern int	acosh_csf();
extern int	acosh_ctf();
extern int	acosh_cef();
#endif

#if	( TEST_XPG > 4 )
#if	defined(_XOPEN_LEGACY) && (_XOPEN_LEGACY != -1)
extern int	advance_csf();
extern int	advance_ctf();
extern int	advance_cef();
#endif
#endif

#if	defined(_POSIX_ASYNCHRONOUS_IO)
extern int	aio_cancel_csf();
extern int	aio_cancel_ctf();
extern int	aio_cancel_cef();
#endif

#if	defined(_POSIX_ASYNCHRONOUS_IO)
extern int	aio_error_csf();
extern int	aio_error_ctf();
extern int	aio_error_cef();
#endif

#if	defined(_POSIX_ASYNCHRONOUS_IO) && defined(_POSIX_SYNCHRONIZED_IO)
extern int	aio_fsync_csf();
extern int	aio_fsync_ctf();
extern int	aio_fsync_cef();
#endif

#if	defined(_POSIX_ASYNCHRONOUS_IO)
extern int	aio_read_csf();
extern int	aio_read_ctf();
extern int	aio_read_cef();
#endif

#if	defined(_POSIX_ASYNCHRONOUS_IO)
extern int	aio_return_csf();
extern int	aio_return_ctf();
extern int	aio_return_cef();
#endif

#if	defined(_POSIX_ASYNCHRONOUS_IO)
extern int	aio_suspend_csf();
extern int	aio_suspend_ctf();
extern int	aio_suspend_cef();
#endif

#if	defined(_POSIX_ASYNCHRONOUS_IO)
extern int	aio_write_csf();
extern int	aio_write_ctf();
extern int	aio_write_cef();
#endif

extern int	alarm_csf();
extern int	alarm_ctf();
extern int	alarm_cef();

extern int	asctime_csf();
extern int	asctime_ctf();
extern int	asctime_cef();

extern int	asin_csf();
extern int	asin_ctf();
extern int	asin_cef();

#if	( TEST_XPG > 4 )
extern int	asinh_csf();
extern int	asinh_ctf();
extern int	asinh_cef();
#endif

extern int	assert_csf();
extern int	assert_ctf();
extern int	assert_cef();

extern int	atan_csf();
extern int	atan_ctf();
extern int	atan_cef();

extern int	atan2_csf();
extern int	atan2_ctf();
extern int	atan2_cef();

#if	( TEST_XPG > 4 )
extern int	atanh_csf();
extern int	atanh_ctf();
extern int	atanh_cef();
#endif

extern int	atexit_csf();
extern int	atexit_ctf();
extern int	atexit_cef();

extern int	atof_csf();
extern int	atof_ctf();
extern int	atof_cef();

extern int	atoi_csf();
extern int	atoi_ctf();
extern int	atoi_cef();

extern int	atol_csf();
extern int	atol_ctf();
extern int	atol_cef();

#if	( TEST_XPG > 4 )
extern int	basename_csf();
extern int	basename_ctf();
extern int	basename_cef();
#endif

#if	( TEST_XPG > 4 )
extern int	bcmp_csf();
extern int	bcmp_ctf();
extern int	bcmp_cef();
#endif

#if	( TEST_XPG > 4 )
extern int	bcopy_csf();
extern int	bcopy_ctf();
extern int	bcopy_cef();
#endif

#if	( TEST_XPG > 4 )
#if	defined(_XOPEN_LEGACY) && (_XOPEN_LEGACY != -1)
extern int	brk_csf();
extern int	brk_ctf();
extern int	brk_cef();
#endif
#endif

#if	( TEST_XPG > 4 )
extern int	bsd_signal_csf();
extern int	bsd_signal_ctf();
extern int	bsd_signal_cef();
#endif

extern int	bsearch_csf();
extern int	bsearch_ctf();
extern int	bsearch_cef();

#if	( TEST_XPG > 4 )
extern int	btowc_csf();
extern int	btowc_ctf();
extern int	btowc_cef();
#endif

#if	( TEST_XPG > 4 )
extern int	bzero_csf();
extern int	bzero_ctf();
extern int	bzero_cef();
#endif

extern int	calloc_csf();
extern int	calloc_ctf();
extern int	calloc_cef();

#if	( TEST_XPG > 4 )
extern int	catclose_csf();
extern int	catclose_ctf();
extern int	catclose_cef();
#endif

#if	( TEST_XPG > 4 )
extern int	catgets_csf();
extern int	catgets_ctf();
extern int	catgets_cef();
#endif

#if	( TEST_XPG > 4 )
extern int	catopen_csf();
extern int	catopen_ctf();
extern int	catopen_cef();
#endif

#if	( TEST_XPG > 4 )
extern int	cbrt_csf();
extern int	cbrt_ctf();
extern int	cbrt_cef();
#endif

extern int	ceil_csf();
extern int	ceil_ctf();
extern int	ceil_cef();

extern int	cfgetispeed_csf();
extern int	cfgetispeed_ctf();
extern int	cfgetispeed_cef();

extern int	cfgetospeed_csf();
extern int	cfgetospeed_ctf();
extern int	cfgetospeed_cef();

extern int	cfsetispeed_csf();
extern int	cfsetispeed_ctf();
extern int	cfsetispeed_cef();

extern int	cfsetospeed_csf();
extern int	cfsetospeed_ctf();
extern int	cfsetospeed_cef();

extern int	chdir_csf();
extern int	chdir_ctf();
extern int	chdir_cef();

extern int	chmod_csf();
extern int	chmod_ctf();
extern int	chmod_cef();

extern int	chown_csf();
extern int	chown_ctf();
extern int	chown_cef();

#if	( TEST_XPG > 4 )
#if	defined(_XOPEN_LEGACY) && (_XOPEN_LEGACY != -1)
extern int	chroot_csf();
extern int	chroot_ctf();
extern int	chroot_cef();
#endif
#endif

extern int	clearerr_csf();
extern int	clearerr_ctf();
extern int	clearerr_cef();

extern int	clock_csf();
extern int	clock_ctf();
extern int	clock_cef();

#if	defined(_POSIX_TIMERS)
extern int	clock_getres_csf();
extern int	clock_getres_ctf();
extern int	clock_getres_cef();
#endif

#if	defined(_POSIX_TIMERS)
extern int	clock_gettime_csf();
extern int	clock_gettime_ctf();
extern int	clock_gettime_cef();
#endif

#if	defined(_POSIX_TIMERS)
extern int	clock_settime_csf();
extern int	clock_settime_ctf();
extern int	clock_settime_cef();
#endif

extern int	close_csf();
extern int	close_ctf();
extern int	close_cef();

extern int	closedir_csf();
extern int	closedir_ctf();
extern int	closedir_cef();

#if	( TEST_XPG > 4 )
extern int	closelog_csf();
extern int	closelog_ctf();
extern int	closelog_cef();
#endif

#if	( TEST_XPG > 4 )
#if	defined(_XOPEN_LEGACY) && (_XOPEN_LEGACY != -1)
extern int	compile_csf();
extern int	compile_ctf();
extern int	compile_cef();
#endif
#endif

#if	( TEST_XPG > 4 )
extern int	confstr_csf();
extern int	confstr_ctf();
extern int	confstr_cef();
#endif

extern int	cos_csf();
extern int	cos_ctf();
extern int	cos_cef();

extern int	cosh_csf();
extern int	cosh_ctf();
extern int	cosh_cef();

extern int	creat_csf();
extern int	creat_ctf();
extern int	creat_cef();

#if	( TEST_XPG > 4 )
#if	defined(_XOPEN_CRYPT) && (_XOPEN_CRYPT != -1)
extern int	crypt_csf();
extern int	crypt_ctf();
extern int	crypt_cef();
#endif
#endif

extern int	ctermid_csf();
extern int	ctermid_ctf();
extern int	ctermid_cef();

extern int	ctime_csf();
extern int	ctime_ctf();
extern int	ctime_cef();

#if	defined(_POSIX_THREAD_SAFE_FUNCTIONS)
extern int	ctime_r_csf();
extern int	ctime_r_ctf();
extern int	ctime_r_cef();
#endif

#if	( TEST_XPG > 4 )
#if	defined(_XOPEN_LEGACY) && (_XOPEN_LEGACY != -1)
extern int	cuserid_csf();
extern int	cuserid_ctf();
extern int	cuserid_cef();
#endif
#endif

#if	( TEST_XPG > 4 )
extern int	dbm_clearerr_csf();
extern int	dbm_clearerr_ctf();
extern int	dbm_clearerr_cef();
#endif

#if	( TEST_XPG > 4 )
extern int	dbm_close_csf();
extern int	dbm_close_ctf();
extern int	dbm_close_cef();
#endif

#if	( TEST_XPG > 4 )
extern int	dbm_delete_csf();
extern int	dbm_delete_ctf();
extern int	dbm_delete_cef();
#endif

#if	( TEST_XPG > 4 )
extern int	dbm_error_csf();
extern int	dbm_error_ctf();
extern int	dbm_error_cef();
#endif

#if	( TEST_XPG > 4 )
extern int	dbm_fetch_csf();
extern int	dbm_fetch_ctf();
extern int	dbm_fetch_cef();
#endif

#if	( TEST_XPG > 4 )
extern int	dbm_firstkey_csf();
extern int	dbm_firstkey_ctf();
extern int	dbm_firstkey_cef();
#endif

#if	( TEST_XPG > 4 )
extern int	dbm_nextkey_csf();
extern int	dbm_nextkey_ctf();
extern int	dbm_nextkey_cef();
#endif

#if	( TEST_XPG > 4 )
extern int	dbm_open_csf();
extern int	dbm_open_ctf();
extern int	dbm_open_cef();
#endif

#if	( TEST_XPG > 4 )
extern int	dbm_store_csf();
extern int	dbm_store_ctf();
extern int	dbm_store_cef();
#endif

extern int	difftime_csf();
extern int	difftime_ctf();
extern int	difftime_cef();

#if	( TEST_XPG > 4 )
extern int	dirname_csf();
extern int	dirname_ctf();
extern int	dirname_cef();
#endif

extern int	div_csf();
extern int	div_ctf();
extern int	div_cef();

#if	( TEST_XPG > 4 )
extern int	dlclose_csf();
extern int	dlclose_ctf();
extern int	dlclose_cef();
#endif

#if	( TEST_XPG > 4 )
extern int	dlerror_csf();
extern int	dlerror_ctf();
extern int	dlerror_cef();
#endif

#if	( TEST_XPG > 4 )
extern int	dlopen_csf();
extern int	dlopen_ctf();
extern int	dlopen_cef();
#endif

#if	( TEST_XPG > 4 )
extern int	dlsym_csf();
extern int	dlsym_ctf();
extern int	dlsym_cef();
#endif

#if	( TEST_XPG > 4 )
extern int	drand48_csf();
extern int	drand48_ctf();
extern int	drand48_cef();
#endif

extern int	dup_csf();
extern int	dup_ctf();
extern int	dup_cef();

extern int	dup2_csf();
extern int	dup2_ctf();
extern int	dup2_cef();

#if	( TEST_XPG > 4 )
extern int	ecvt_csf();
extern int	ecvt_ctf();
extern int	ecvt_cef();
#endif

extern int	encrypt_csf();
extern int	encrypt_ctf();
extern int	encrypt_cef();

#if	( TEST_XPG > 4 )
extern int	endgrent_csf();
extern int	endgrent_ctf();
extern int	endgrent_cef();
#endif

#if	( TEST_XPG > 4 )
extern int	endpwent_csf();
extern int	endpwent_ctf();
extern int	endpwent_cef();
#endif

#if	( TEST_XPG > 4 )
extern int	endutxent_csf();
extern int	endutxent_ctf();
extern int	endutxent_cef();
#endif

#if	( TEST_XPG > 4 )
extern int	erand48_csf();
extern int	erand48_ctf();
extern int	erand48_cef();
#endif

#if	( TEST_XPG > 4 )
extern int	erf_csf();
extern int	erf_ctf();
extern int	erf_cef();
#endif

#if	( TEST_XPG > 4 )
extern int	erfc_csf();
extern int	erfc_ctf();
extern int	erfc_cef();
#endif

extern int	execl_csf();
extern int	execl_ctf();
extern int	execl_cef();

extern int	execle_csf();
extern int	execle_ctf();
extern int	execle_cef();

extern int	execlp_csf();
extern int	execlp_ctf();
extern int	execlp_cef();

extern int	execv_csf();
extern int	execv_ctf();
extern int	execv_cef();

extern int	execve_csf();
extern int	execve_ctf();
extern int	execve_cef();

extern int	execvp_csf();
extern int	execvp_ctf();
extern int	execvp_cef();

extern int	exit_csf();
extern int	exit_ctf();
extern int	exit_cef();

extern int	exp_csf();
extern int	exp_ctf();
extern int	exp_cef();

#if	( TEST_XPG > 4 )
extern int	expm1_csf();
extern int	expm1_ctf();
extern int	expm1_cef();
#endif

extern int	fabs_csf();
extern int	fabs_ctf();
extern int	fabs_cef();

#if	( TEST_XPG > 4 )
extern int	fattach_csf();
extern int	fattach_ctf();
extern int	fattach_cef();
#endif

#if	( TEST_XPG > 4 )
extern int	fchdir_csf();
extern int	fchdir_ctf();
extern int	fchdir_cef();
#endif

extern int	fchmod_csf();
extern int	fchmod_ctf();
extern int	fchmod_cef();

#if	( TEST_XPG > 4 )
extern int	fchown_csf();
extern int	fchown_ctf();
extern int	fchown_cef();
#endif

extern int	fclose_csf();
extern int	fclose_ctf();
extern int	fclose_cef();

extern int	fcntl_csf();
extern int	fcntl_ctf();
extern int	fcntl_cef();

#if	( TEST_XPG > 4 )
extern int	fcvt_csf();
extern int	fcvt_ctf();
extern int	fcvt_cef();
#endif

#if	defined(_POSIX_SYNCHRONIZED_IO)
extern int	fdatasync_csf();
extern int	fdatasync_ctf();
extern int	fdatasync_cef();
#endif

#if	( TEST_XPG > 4 )
extern int	fdetach_csf();
extern int	fdetach_ctf();
extern int	fdetach_cef();
#endif

extern int	fdopen_csf();
extern int	fdopen_ctf();
extern int	fdopen_cef();

extern int	feof_csf();
extern int	feof_ctf();
extern int	feof_cef();

extern int	ferror_csf();
extern int	ferror_ctf();
extern int	ferror_cef();

extern int	fflush_csf();
extern int	fflush_ctf();
extern int	fflush_cef();

#if	( TEST_XPG > 4 )
extern int	ffs_csf();
extern int	ffs_ctf();
extern int	ffs_cef();
#endif

extern int	fgetc_csf();
extern int	fgetc_ctf();
extern int	fgetc_cef();

extern int	fgetpos_csf();
extern int	fgetpos_ctf();
extern int	fgetpos_cef();

extern int	fgets_csf();
extern int	fgets_ctf();
extern int	fgets_cef();

#if	( TEST_XPG > 4 )
extern int	fgetwc_csf();
extern int	fgetwc_ctf();
extern int	fgetwc_cef();
#endif

#if	( TEST_XPG > 4 )
extern int	fgetws_csf();
extern int	fgetws_ctf();
extern int	fgetws_cef();
#endif

extern int	fileno_csf();
extern int	fileno_ctf();
extern int	fileno_cef();

#if	defined(_POSIX_THREAD_SAFE_FUNCTIONS)
extern int	flockfile_csf();
extern int	flockfile_ctf();
extern int	flockfile_cef();
#endif

extern int	floor_csf();
extern int	floor_ctf();
extern int	floor_cef();

extern int	fmod_csf();
extern int	fmod_ctf();
extern int	fmod_cef();

#if	( TEST_XPG > 4 )
extern int	fmtmsg_csf();
extern int	fmtmsg_ctf();
extern int	fmtmsg_cef();
#endif

#if	( TEST_XPG > 4 )
extern int	fnmatch_csf();
extern int	fnmatch_ctf();
extern int	fnmatch_cef();
#endif

extern int	fopen_csf();
extern int	fopen_ctf();
extern int	fopen_cef();

extern int	fork_csf();
extern int	fork_ctf();
extern int	fork_cef();

extern int	fpathconf_csf();
extern int	fpathconf_ctf();
extern int	fpathconf_cef();

extern int	fprintf_csf();
extern int	fprintf_ctf();
extern int	fprintf_cef();

extern int	fputc_csf();
extern int	fputc_ctf();
extern int	fputc_cef();

extern int	fputs_csf();
extern int	fputs_ctf();
extern int	fputs_cef();

#if	( TEST_XPG > 4 )
extern int	fputwc_csf();
extern int	fputwc_ctf();
extern int	fputwc_cef();
#endif

#if	( TEST_XPG > 4 )
extern int	fputws_csf();
extern int	fputws_ctf();
extern int	fputws_cef();
#endif

extern int	fread_csf();
extern int	fread_ctf();
extern int	fread_cef();

extern int	free_csf();
extern int	free_ctf();
extern int	free_cef();

extern int	freopen_csf();
extern int	freopen_ctf();
extern int	freopen_cef();

extern int	frexp_csf();
extern int	frexp_ctf();
extern int	frexp_cef();

extern int	fscanf_csf();
extern int	fscanf_ctf();
extern int	fscanf_cef();

extern int	fseek_csf();
extern int	fseek_ctf();
extern int	fseek_cef();

extern int	fsetpos_csf();
extern int	fsetpos_ctf();
extern int	fsetpos_cef();

extern int	fstat_csf();
extern int	fstat_ctf();
extern int	fstat_cef();

#if	( TEST_XPG > 4 )
extern int	fstatvfs_csf();
extern int	fstatvfs_ctf();
extern int	fstatvfs_cef();
#endif

#if	defined(_POSIX_FSYNC)
extern int	fsync_csf();
extern int	fsync_ctf();
extern int	fsync_cef();
#endif

extern int	ftell_csf();
extern int	ftell_ctf();
extern int	ftell_cef();

#if	( TEST_XPG > 4 )
extern int	ftello_csf();
extern int	ftello_ctf();
extern int	ftello_cef();
#endif

#if	( TEST_XPG > 4 )
extern int	ftime_csf();
extern int	ftime_ctf();
extern int	ftime_cef();
#endif

#if	( TEST_XPG > 4 )
extern int	ftok_csf();
extern int	ftok_ctf();
extern int	ftok_cef();
#endif

extern int	ftruncate_csf();
extern int	ftruncate_ctf();
extern int	ftruncate_cef();

#if	defined(_POSIX_THREAD_SAFE_FUNCTIONS)
extern int	ftrylockfile_csf();
extern int	ftrylockfile_ctf();
extern int	ftrylockfile_cef();
#endif

#if	( TEST_XPG > 4 )
extern int	ftw_csf();
extern int	ftw_ctf();
extern int	ftw_cef();
#endif

#if	defined(_POSIX_THREAD_SAFE_FUNCTIONS)
extern int	funlockfile_csf();
extern int	funlockfile_ctf();
extern int	funlockfile_cef();
#endif

#if	( TEST_XPG > 4 )
extern int	fwide_csf();
extern int	fwide_ctf();
extern int	fwide_cef();
#endif

#if	( TEST_XPG > 4 )
extern int	fwprintf_csf();
extern int	fwprintf_ctf();
extern int	fwprintf_cef();
#endif

extern int	fwrite_csf();
extern int	fwrite_ctf();
extern int	fwrite_cef();

#if	( TEST_XPG > 4 )
extern int	fwscanf_csf();
extern int	fwscanf_ctf();
extern int	fwscanf_cef();
#endif

#if	( TEST_XPG > 4 )
#if	defined(_XOPEN_LEGACY) && (_XOPEN_LEGACY != -1)
extern int	gamma_csf();
extern int	gamma_ctf();
extern int	gamma_cef();
#endif
#endif

#if	( TEST_XPG > 4 )
extern int	gcvt_csf();
extern int	gcvt_ctf();
extern int	gcvt_cef();
#endif

extern int	getc_csf();
extern int	getc_ctf();
extern int	getc_cef();

extern int	getc_unlocked_csf();
extern int	getc_unlocked_ctf();
extern int	getc_unlocked_cef();

extern int	getchar_csf();
extern int	getchar_ctf();
extern int	getchar_cef();

extern int	getchar_unlocked_csf();
extern int	getchar_unlocked_ctf();
extern int	getchar_unlocked_cef();

#if	( TEST_XPG > 4 )
extern int	getcontext_csf();
extern int	getcontext_ctf();
extern int	getcontext_cef();
#endif

extern int	getcwd_csf();
extern int	getcwd_ctf();
extern int	getcwd_cef();

#if	( TEST_XPG > 4 )
extern int	getdate_csf();
extern int	getdate_ctf();
extern int	getdate_cef();
#endif

#if	( TEST_XPG > 4 )
#if	defined(_XOPEN_LEGACY) && (_XOPEN_LEGACY != -1)
extern int	getdtablesize_csf();
extern int	getdtablesize_ctf();
extern int	getdtablesize_cef();
#endif
#endif

extern int	getegid_csf();
extern int	getegid_ctf();
extern int	getegid_cef();

extern int	getenv_csf();
extern int	getenv_ctf();
extern int	getenv_cef();

extern int	geteuid_csf();
extern int	geteuid_ctf();
extern int	geteuid_cef();

extern int	getgid_csf();
extern int	getgid_ctf();
extern int	getgid_cef();

#if	( TEST_XPG > 4 )
extern int	getgrent_csf();
extern int	getgrent_ctf();
extern int	getgrent_cef();
#endif

extern int	getgrgid_csf();
extern int	getgrgid_ctf();
extern int	getgrgid_cef();

#if	defined(_POSIX_THREAD_SAFE_FUNCTIONS)
extern int	getgrgid_r_csf();
extern int	getgrgid_r_ctf();
extern int	getgrgid_r_cef();
#endif

extern int	getgrnam_csf();
extern int	getgrnam_ctf();
extern int	getgrnam_cef();

#if	defined(_POSIX_THREAD_SAFE_FUNCTIONS)
extern int	getgrnam_r_csf();
extern int	getgrnam_r_ctf();
extern int	getgrnam_r_cef();
#endif

extern int	getgroups_csf();
extern int	getgroups_ctf();
extern int	getgroups_cef();

#if	( TEST_XPG > 4 )
extern int	gethostid_csf();
extern int	gethostid_ctf();
extern int	gethostid_cef();
#endif

#if	( TEST_XPG > 4 )
extern int	getitimer_csf();
extern int	getitimer_ctf();
extern int	getitimer_cef();
#endif

extern int	getlogin_csf();
extern int	getlogin_ctf();
extern int	getlogin_cef();

#if	defined(_POSIX_THREAD_SAFE_FUNCTIONS)
extern int	getlogin_r_csf();
extern int	getlogin_r_ctf();
extern int	getlogin_r_cef();
#endif

#if	( TEST_XPG > 4 )
extern int	getmsg_csf();
extern int	getmsg_ctf();
extern int	getmsg_cef();
#endif

#if	( TEST_XPG > 4 )
extern int	getopt_csf();
extern int	getopt_ctf();
extern int	getopt_cef();
#endif

#if	( TEST_XPG > 4 )
#if	defined(_XOPEN_LEGACY) && (_XOPEN_LEGACY != -1)
extern int	getpagesize_csf();
extern int	getpagesize_ctf();
extern int	getpagesize_cef();
#endif
#endif

#if	( TEST_XPG > 4 )
#if	defined(_XOPEN_LEGACY) && (_XOPEN_LEGACY != -1)
extern int	getpass_csf();
extern int	getpass_ctf();
extern int	getpass_cef();
#endif
#endif

#if	( TEST_XPG > 4 )
extern int	getpgid_csf();
extern int	getpgid_ctf();
extern int	getpgid_cef();
#endif

extern int	getpgrp_csf();
extern int	getpgrp_ctf();
extern int	getpgrp_cef();

extern int	getpid_csf();
extern int	getpid_ctf();
extern int	getpid_cef();

#if	( TEST_XPG > 4 )
extern int	getpmsg_csf();
extern int	getpmsg_ctf();
extern int	getpmsg_cef();
#endif

extern int	getppid_csf();
extern int	getppid_ctf();
extern int	getppid_cef();

#if	( TEST_XPG > 4 )
extern int	getpriority_csf();
extern int	getpriority_ctf();
extern int	getpriority_cef();
#endif

#if	( TEST_XPG > 4 )
extern int	getpwent_csf();
extern int	getpwent_ctf();
extern int	getpwent_cef();
#endif

extern int	getpwnam_csf();
extern int	getpwnam_ctf();
extern int	getpwnam_cef();

#if	defined(_POSIX_THREAD_SAFE_FUNCTIONS)
extern int	getpwnam_r_csf();
extern int	getpwnam_r_ctf();
extern int	getpwnam_r_cef();
#endif

extern int	getpwuid_csf();
extern int	getpwuid_ctf();
extern int	getpwuid_cef();

#if	defined(_POSIX_THREAD_SAFE_FUNCTIONS)
extern int	getpwuid_r_csf();
extern int	getpwuid_r_ctf();
extern int	getpwuid_r_cef();
#endif

#if	( TEST_XPG > 4 )
extern int	getrlimit_csf();
extern int	getrlimit_ctf();
extern int	getrlimit_cef();
#endif

#if	( TEST_XPG > 4 )
extern int	getrusage_csf();
extern int	getrusage_ctf();
extern int	getrusage_cef();
#endif

extern int	gets_csf();
extern int	gets_ctf();
extern int	gets_cef();

#if	( TEST_XPG > 4 )
extern int	getsid_csf();
extern int	getsid_ctf();
extern int	getsid_cef();
#endif

#if	( TEST_XPG > 4 )
extern int	getsubopt_csf();
extern int	getsubopt_ctf();
extern int	getsubopt_cef();
#endif

#if	( TEST_XPG > 4 )
extern int	gettimeofday_csf();
extern int	gettimeofday_ctf();
extern int	gettimeofday_cef();
#endif

extern int	getuid_csf();
extern int	getuid_ctf();
extern int	getuid_cef();

#if	( TEST_XPG > 4 )
extern int	getutxent_csf();
extern int	getutxent_ctf();
extern int	getutxent_cef();
#endif

#if	( TEST_XPG > 4 )
extern int	getutxid_csf();
extern int	getutxid_ctf();
extern int	getutxid_cef();
#endif

#if	( TEST_XPG > 4 )
extern int	getutxline_csf();
extern int	getutxline_ctf();
extern int	getutxline_cef();
#endif

#if	( TEST_XPG > 4 )
#if	defined(_XOPEN_LEGACY) && (_XOPEN_LEGACY != -1)
extern int	getw_csf();
extern int	getw_ctf();
extern int	getw_cef();
#endif
#endif

#if	( TEST_XPG > 4 )
extern int	getwc_csf();
extern int	getwc_ctf();
extern int	getwc_cef();
#endif

#if	( TEST_XPG > 4 )
extern int	getwchar_csf();
extern int	getwchar_ctf();
extern int	getwchar_cef();
#endif

#if	( TEST_XPG > 4 )
extern int	getwd_csf();
extern int	getwd_ctf();
extern int	getwd_cef();
#endif

#if	( TEST_XPG > 4 )
extern int	glob_csf();
extern int	glob_ctf();
extern int	glob_cef();
#endif

extern int	gmtime_csf();
extern int	gmtime_ctf();
extern int	gmtime_cef();

#if	defined(_POSIX_THREAD_SAFE_FUNCTIONS)
extern int	gmtime_r_csf();
extern int	gmtime_r_ctf();
extern int	gmtime_r_cef();
#endif

#if	( TEST_XPG > 4 )
extern int	grantpt_csf();
extern int	grantpt_ctf();
extern int	grantpt_cef();
#endif

#if	( TEST_XPG > 4 )
extern int	hcreate_csf();
extern int	hcreate_ctf();
extern int	hcreate_cef();
#endif

#if	( TEST_XPG > 4 )
extern int	hdestroy_csf();
extern int	hdestroy_ctf();
extern int	hdestroy_cef();
#endif

#if	( TEST_XPG > 4 )
extern int	hsearch_csf();
extern int	hsearch_ctf();
extern int	hsearch_cef();
#endif

#if	( TEST_XPG > 4 )
extern int	hypot_csf();
extern int	hypot_ctf();
extern int	hypot_cef();
#endif

#if	( TEST_XPG > 4 )
extern int	iconv_csf();
extern int	iconv_ctf();
extern int	iconv_cef();
#endif

#if	( TEST_XPG > 4 )
extern int	iconv_close_csf();
extern int	iconv_close_ctf();
extern int	iconv_close_cef();
#endif

#if	( TEST_XPG > 4 )
extern int	iconv_open_csf();
extern int	iconv_open_ctf();
extern int	iconv_open_cef();
#endif

#if	( TEST_XPG > 4 )
extern int	ilogb_csf();
extern int	ilogb_ctf();
extern int	ilogb_cef();
#endif

#if	( TEST_XPG > 4 )
extern int	index_csf();
extern int	index_ctf();
extern int	index_cef();
#endif

#if	( TEST_XPG > 4 )
extern int	initstate_csf();
extern int	initstate_ctf();
extern int	initstate_cef();
#endif

#if	( TEST_XPG > 4 )
extern int	insque_csf();
extern int	insque_ctf();
extern int	insque_cef();
#endif

#if	( TEST_XPG > 4 )
extern int	ioctl_csf();
extern int	ioctl_ctf();
extern int	ioctl_cef();
#endif

extern int	isalnum_csf();
extern int	isalnum_ctf();
extern int	isalnum_cef();

extern int	isalpha_csf();
extern int	isalpha_ctf();
extern int	isalpha_cef();

extern int	isascii_csf();
extern int	isascii_ctf();
extern int	isascii_cef();

#if	( TEST_XPG > 4 )
extern int	isastream_csf();
extern int	isastream_ctf();
extern int	isastream_cef();
#endif

extern int	isatty_csf();
extern int	isatty_ctf();
extern int	isatty_cef();

extern int	iscntrl_csf();
extern int	iscntrl_ctf();
extern int	iscntrl_cef();

extern int	isdigit_csf();
extern int	isdigit_ctf();
extern int	isdigit_cef();

extern int	isgraph_csf();
extern int	isgraph_ctf();
extern int	isgraph_cef();

extern int	islower_csf();
extern int	islower_ctf();
extern int	islower_cef();

#if	( TEST_XPG > 4 )
extern int	isnan_csf();
extern int	isnan_ctf();
extern int	isnan_cef();
#endif

extern int	isprint_csf();
extern int	isprint_ctf();
extern int	isprint_cef();

extern int	ispunct_csf();
extern int	ispunct_ctf();
extern int	ispunct_cef();

extern int	isspace_csf();
extern int	isspace_ctf();
extern int	isspace_cef();

extern int	isupper_csf();
extern int	isupper_ctf();
extern int	isupper_cef();

#if	( TEST_XPG > 4 )
extern int	iswalnum_csf();
extern int	iswalnum_ctf();
extern int	iswalnum_cef();
#endif

#if	( TEST_XPG > 4 )
extern int	iswalpha_csf();
extern int	iswalpha_ctf();
extern int	iswalpha_cef();
#endif

#if	( TEST_XPG > 4 )
extern int	iswcntrl_csf();
extern int	iswcntrl_ctf();
extern int	iswcntrl_cef();
#endif

#if	( TEST_XPG > 4 )
extern int	iswdigit_csf();
extern int	iswdigit_ctf();
extern int	iswdigit_cef();
#endif

#if	( TEST_XPG > 4 )
extern int	iswgraph_csf();
extern int	iswgraph_ctf();
extern int	iswgraph_cef();
#endif

#if	( TEST_XPG > 4 )
extern int	iswlower_csf();
extern int	iswlower_ctf();
extern int	iswlower_cef();
#endif

#if	( TEST_XPG > 4 )
extern int	iswprint_csf();
extern int	iswprint_ctf();
extern int	iswprint_cef();
#endif

#if	( TEST_XPG > 4 )
extern int	iswpunct_csf();
extern int	iswpunct_ctf();
extern int	iswpunct_cef();
#endif

#if	( TEST_XPG > 4 )
extern int	iswspace_csf();
extern int	iswspace_ctf();
extern int	iswspace_cef();
#endif

#if	( TEST_XPG > 4 )
extern int	iswupper_csf();
extern int	iswupper_ctf();
extern int	iswupper_cef();
#endif

#if	( TEST_XPG > 4 )
extern int	iswxdigit_csf();
extern int	iswxdigit_ctf();
extern int	iswxdigit_cef();
#endif

#if	( TEST_XPG > 4 )
extern int	iswctype_csf();
extern int	iswctype_ctf();
extern int	iswctype_cef();
#endif

#if	( TEST_XPG > 4 )
extern int	j0_csf();
extern int	j0_ctf();
extern int	j0_cef();
#endif

#if	( TEST_XPG > 4 )
extern int	j1_csf();
extern int	j1_ctf();
extern int	j1_cef();
#endif

#if	( TEST_XPG > 4 )
extern int	jn_csf();
extern int	jn_ctf();
extern int	jn_cef();
#endif

#if	( TEST_XPG > 4 )
extern int	jrand48_csf();
extern int	jrand48_ctf();
extern int	jrand48_cef();
#endif

extern int	kill_csf();
extern int	kill_ctf();
extern int	kill_cef();

#if	( TEST_XPG > 4 )
extern int	killpg_csf();
extern int	killpg_ctf();
extern int	killpg_cef();
#endif

#if	( TEST_XPG > 4 )
extern int	l64a_csf();
extern int	l64a_ctf();
extern int	l64a_cef();
#endif

extern int	labs_csf();
extern int	labs_ctf();
extern int	labs_cef();

#if	( TEST_XPG > 4 )
extern int	lchown_csf();
extern int	lchown_ctf();
extern int	lchown_cef();
#endif

#if	( TEST_XPG > 4 )
extern int	lcong48_csf();
extern int	lcong48_ctf();
extern int	lcong48_cef();
#endif

extern int	ldexp_csf();
extern int	ldexp_ctf();
extern int	ldexp_cef();

extern int	ldiv_csf();
extern int	ldiv_ctf();
extern int	ldiv_cef();

#if	( TEST_XPG > 4 )
extern int	lfind_csf();
extern int	lfind_ctf();
extern int	lfind_cef();
#endif

#if	( TEST_XPG > 4 )
extern int	lgamma_csf();
extern int	lgamma_ctf();
extern int	lgamma_cef();
#endif

extern int	link_csf();
extern int	link_ctf();
extern int	link_cef();

#if	defined(_POSIX_ASYNCHRONOUS_IO)
extern int	lio_listio_csf();
extern int	lio_listio_ctf();
extern int	lio_listio_cef();
#endif

#if	( TEST_XPG > 4 )
extern int	localeconv_csf();
extern int	localeconv_ctf();
extern int	localeconv_cef();
#endif

extern int	localtime_csf();
extern int	localtime_ctf();
extern int	localtime_cef();

#if	defined(_POSIX_THREAD_SAFE_FUNCTIONS)
extern int	localtime_r_csf();
extern int	localtime_r_ctf();
extern int	localtime_r_cef();
#endif

#if	( TEST_XPG > 4 )
extern int	lockf_csf();
extern int	lockf_ctf();
extern int	lockf_cef();
#endif

extern int	log_csf();
extern int	log_ctf();
extern int	log_cef();

extern int	log10_csf();
extern int	log10_ctf();
extern int	log10_cef();

#if	( TEST_XPG > 4 )
extern int	log1p_csf();
extern int	log1p_ctf();
extern int	log1p_cef();
#endif

#if	( TEST_XPG > 4 )
extern int	logb_csf();
extern int	logb_ctf();
extern int	logb_cef();
#endif

extern int	longjmp_csf();
extern int	longjmp_ctf();
extern int	longjmp_cef();

#if	( TEST_XPG > 4 )
extern int	lrand48_csf();
extern int	lrand48_ctf();
extern int	lrand48_cef();
#endif

#if	( TEST_XPG > 4 )
extern int	lsearch_csf();
extern int	lsearch_ctf();
extern int	lsearch_cef();
#endif

extern int	lseek_csf();
extern int	lseek_ctf();
extern int	lseek_cef();

#if	( TEST_XPG > 4 )
extern int	lstat_csf();
extern int	lstat_ctf();
extern int	lstat_cef();
#endif

#if	( TEST_XPG > 4 )
extern int	makecontext_csf();
extern int	makecontext_ctf();
extern int	makecontext_cef();
#endif

extern int	malloc_csf();
extern int	malloc_ctf();
extern int	malloc_cef();

extern int	mblen_csf();
extern int	mblen_ctf();
extern int	mblen_cef();

#if	( TEST_XPG > 4 )
extern int	mbrlen_csf();
extern int	mbrlen_ctf();
extern int	mbrlen_cef();
#endif

#if	( TEST_XPG > 4 )
extern int	mbrtowc_csf();
extern int	mbrtowc_ctf();
extern int	mbrtowc_cef();
#endif

#if	( TEST_XPG > 4 )
extern int	mbsinit_csf();
extern int	mbsinit_ctf();
extern int	mbsinit_cef();
#endif

#if	( TEST_XPG > 4 )
extern int	mbsrtowcs_csf();
extern int	mbsrtowcs_ctf();
extern int	mbsrtowcs_cef();
#endif

#if	( TEST_XPG > 4 )
extern int	mbstowcs_csf();
extern int	mbstowcs_ctf();
extern int	mbstowcs_cef();
#endif

extern int	mbtowc_csf();
extern int	mbtowc_ctf();
extern int	mbtowc_cef();

#if	( TEST_XPG > 4 )
extern int	memccpy_csf();
extern int	memccpy_ctf();
extern int	memccpy_cef();
#endif

extern int	memchr_csf();
extern int	memchr_ctf();
extern int	memchr_cef();

extern int	memcmp_csf();
extern int	memcmp_ctf();
extern int	memcmp_cef();

extern int	memcpy_csf();
extern int	memcpy_ctf();
extern int	memcpy_cef();

extern int	memmove_csf();
extern int	memmove_ctf();
extern int	memmove_cef();

extern int	memset_csf();
extern int	memset_ctf();
extern int	memset_cef();

extern int	mkdir_csf();
extern int	mkdir_ctf();
extern int	mkdir_cef();

extern int	mkfifo_csf();
extern int	mkfifo_ctf();
extern int	mkfifo_cef();

#if	( TEST_XPG > 4 )
extern int	mknod_csf();
extern int	mknod_ctf();
extern int	mknod_cef();
#endif

#if	( TEST_XPG > 4 )
extern int	mkstemp_csf();
extern int	mkstemp_ctf();
extern int	mkstemp_cef();
#endif

#if	( TEST_XPG > 4 )
extern int	mktemp_csf();
extern int	mktemp_ctf();
extern int	mktemp_cef();
#endif

extern int	mktime_csf();
extern int	mktime_ctf();
extern int	mktime_cef();

#if	defined(_POSIX_MEMLOCK_RANGE)
extern int	mlock_csf();
extern int	mlock_ctf();
extern int	mlock_cef();
#endif

#if	defined(_POSIX_MEMLOCK)
extern int	mlockall_csf();
extern int	mlockall_ctf();
extern int	mlockall_cef();
#endif

#if	defined(_POSIX_MAPPED_FILES) || defined(_POSIX_SHARED_MEMORY_OBJECTS)
extern int	mmap_csf();
extern int	mmap_ctf();
extern int	mmap_cef();
#endif

extern int	modf_csf();
extern int	modf_ctf();
extern int	modf_cef();

#if	defined(_POSIX_MEMORY_PROTECTION)
extern int	mprotect_csf();
extern int	mprotect_ctf();
extern int	mprotect_cef();
#endif

#if	defined(_POSIX_MESSAGE_PASSING)
extern int	mq_close_csf();
extern int	mq_close_ctf();
extern int	mq_close_cef();
#endif

#if	defined(_POSIX_MESSAGE_PASSING)
extern int	mq_getattr_csf();
extern int	mq_getattr_ctf();
extern int	mq_getattr_cef();
#endif

#if	defined(_POSIX_MESSAGE_PASSING) && defined(_POSIX_REALTIME_SIGNALS)
extern int	mq_notify_csf();
extern int	mq_notify_ctf();
extern int	mq_notify_cef();
#endif

#if	defined(_POSIX_MESSAGE_PASSING)
extern int	mq_open_csf();
extern int	mq_open_ctf();
extern int	mq_open_cef();
#endif

#if	defined(_POSIX_MESSAGE_PASSING)
extern int	mq_receive_csf();
extern int	mq_receive_ctf();
extern int	mq_receive_cef();
#endif

#if	defined(_POSIX_MESSAGE_PASSING)
extern int	mq_send_csf();
extern int	mq_send_ctf();
extern int	mq_send_cef();
#endif

#if	defined(_POSIX_MESSAGE_PASSING)
extern int	mq_setattr_csf();
extern int	mq_setattr_ctf();
extern int	mq_setattr_cef();
#endif

#if	defined(_POSIX_MESSAGE_PASSING)
extern int	mq_unlink_csf();
extern int	mq_unlink_ctf();
extern int	mq_unlink_cef();
#endif

#if	( TEST_XPG > 4 )
extern int	mrand48_csf();
extern int	mrand48_ctf();
extern int	mrand48_cef();
#endif

#if	( TEST_XPG > 4 )
extern int	msgctl_csf();
extern int	msgctl_ctf();
extern int	msgctl_cef();
#endif

#if	( TEST_XPG > 4 )
extern int	msgget_csf();
extern int	msgget_ctf();
extern int	msgget_cef();
#endif

#if	( TEST_XPG > 4 )
extern int	msgrcv_csf();
extern int	msgrcv_ctf();
extern int	msgrcv_cef();
#endif

#if	( TEST_XPG > 4 )
extern int	msgsnd_csf();
extern int	msgsnd_ctf();
extern int	msgsnd_cef();
#endif

#if	defined(_POSIX_MAPPED_FILES) && defined(_POSIX_SYNCHRONIZED_IO)
extern int	msync_csf();
extern int	msync_ctf();
extern int	msync_cef();
#endif

#if	defined(_POSIX_MEMLOCK_RANGE)
extern int	munlock_csf();
extern int	munlock_ctf();
extern int	munlock_cef();
#endif

#if	defined(_POSIX_MEMLOCK)
extern int	munlockall_csf();
extern int	munlockall_ctf();
extern int	munlockall_cef();
#endif

#if	defined(_POSIX_MAPPED_FILES) || defined(_POSIX_SHARED_MEMORY_OBJECTS)
extern int	munmap_csf();
extern int	munmap_ctf();
extern int	munmap_cef();
#endif

#if	defined(_POSIX_TIMERS)
extern int	nanosleep_csf();
extern int	nanosleep_ctf();
extern int	nanosleep_cef();
#endif

#if	( TEST_XPG > 4 )
extern int	nextafter_csf();
extern int	nextafter_ctf();
extern int	nextafter_cef();
#endif

#if	( TEST_XPG > 4 )
extern int	nftw_csf();
extern int	nftw_ctf();
extern int	nftw_cef();
#endif

#if	( TEST_XPG > 4 )
extern int	nice_csf();
extern int	nice_ctf();
extern int	nice_cef();
#endif

#if	( TEST_XPG > 4 )
extern int	nl_langinfo_csf();
extern int	nl_langinfo_ctf();
extern int	nl_langinfo_cef();
#endif

#if	( TEST_XPG > 4 )
extern int	nrand48_csf();
extern int	nrand48_ctf();
extern int	nrand48_cef();
#endif

extern int	open_csf();
extern int	open_ctf();
extern int	open_cef();

extern int	opendir_csf();
extern int	opendir_ctf();
extern int	opendir_cef();

#if	( TEST_XPG > 4 )
extern int	openlog_csf();
extern int	openlog_ctf();
extern int	openlog_cef();
#endif

extern int	pathconf_csf();
extern int	pathconf_ctf();
extern int	pathconf_cef();

extern int	pause_csf();
extern int	pause_ctf();
extern int	pause_cef();

#if	( TEST_XPG > 4 )
extern int	pclose_csf();
extern int	pclose_ctf();
extern int	pclose_cef();
#endif

extern int	perror_csf();
extern int	perror_ctf();
extern int	perror_cef();

extern int	pipe_csf();
extern int	pipe_ctf();
extern int	pipe_cef();

#if	( TEST_XPG > 4 )
extern int	poll_csf();
extern int	poll_ctf();
extern int	poll_cef();
#endif

#if	( TEST_XPG > 4 )
extern int	popen_csf();
extern int	popen_ctf();
extern int	popen_cef();
#endif

extern int	pow_csf();
extern int	pow_ctf();
extern int	pow_cef();

#if	( TEST_XPG > 4 )
extern int	pread_csf();
extern int	pread_ctf();
extern int	pread_cef();
#endif

extern int	printf_csf();
extern int	printf_ctf();
extern int	printf_cef();

#if	defined(_POSIX_THREADS)
extern int	pthread_atfork_csf();
extern int	pthread_atfork_ctf();
extern int	pthread_atfork_cef();
#endif

#if	defined(_POSIX_THREADS)
extern int	pthread_attr_destroy_csf();
extern int	pthread_attr_destroy_ctf();
extern int	pthread_attr_destroy_cef();
#endif

#if	defined(_POSIX_THREADS)
extern int	pthread_attr_getdetachstate_csf();
extern int	pthread_attr_getdetachstate_ctf();
extern int	pthread_attr_getdetachstate_cef();
#endif

#if	( TEST_XPG > 4 )
extern int	pthread_attr_getguardsize_csf();
extern int	pthread_attr_getguardsize_ctf();
extern int	pthread_attr_getguardsize_cef();
#endif

#if	defined(_POSIX_THREADS) && defined(_POSIX_THREAD_PRIORITY_SCHEDULING)
extern int	pthread_attr_getinheritsched_csf();
extern int	pthread_attr_getinheritsched_ctf();
extern int	pthread_attr_getinheritsched_cef();
#endif

#if	defined(_POSIX_THREADS)
extern int	pthread_attr_getschedparam_csf();
extern int	pthread_attr_getschedparam_ctf();
extern int	pthread_attr_getschedparam_cef();
#endif

#if	defined(_POSIX_THREADS) && defined(_POSIX_THREAD_PRIORITY_SCHEDULING)
extern int	pthread_attr_getschedpolicy_csf();
extern int	pthread_attr_getschedpolicy_ctf();
extern int	pthread_attr_getschedpolicy_cef();
#endif

#if	defined(_POSIX_THREADS) && defined(_POSIX_THREAD_PRIORITY_SCHEDULING)
extern int	pthread_attr_getscope_csf();
extern int	pthread_attr_getscope_ctf();
extern int	pthread_attr_getscope_cef();
#endif

#if	defined(_POSIX_THREADS) && defined(_POSIX_THREAD_ATTR_STACKADDR)
extern int	pthread_attr_getstackaddr_csf();
extern int	pthread_attr_getstackaddr_ctf();
extern int	pthread_attr_getstackaddr_cef();
#endif

#if	defined(_POSIX_THREADS) && defined(_POSIX_THREAD_ATTR_STACKSIZE)
extern int	pthread_attr_getstacksize_csf();
extern int	pthread_attr_getstacksize_ctf();
extern int	pthread_attr_getstacksize_cef();
#endif

#if	defined(_POSIX_THREADS)
extern int	pthread_attr_init_csf();
extern int	pthread_attr_init_ctf();
extern int	pthread_attr_init_cef();
#endif

#if	defined(_POSIX_THREADS)
extern int	pthread_attr_setdetachstate_csf();
extern int	pthread_attr_setdetachstate_ctf();
extern int	pthread_attr_setdetachstate_cef();
#endif

#if	( TEST_XPG > 4 )
extern int	pthread_attr_setguardsize_csf();
extern int	pthread_attr_setguardsize_ctf();
extern int	pthread_attr_setguardsize_cef();
#endif

#if	defined(_POSIX_THREADS) && defined(_POSIX_THREAD_PRIORITY_SCHEDULING)
extern int	pthread_attr_setinheritsched_csf();
extern int	pthread_attr_setinheritsched_ctf();
extern int	pthread_attr_setinheritsched_cef();
#endif

#if	defined(_POSIX_THREADS)
extern int	pthread_attr_setschedparam_csf();
extern int	pthread_attr_setschedparam_ctf();
extern int	pthread_attr_setschedparam_cef();
#endif

#if	defined(_POSIX_THREADS) && defined(_POSIX_THREAD_PRIORITY_SCHEDULING)
extern int	pthread_attr_setschedpolicy_csf();
extern int	pthread_attr_setschedpolicy_ctf();
extern int	pthread_attr_setschedpolicy_cef();
#endif

#if	defined(_POSIX_THREADS) && defined(_POSIX_THREAD_PRIORITY_SCHEDULING)
extern int	pthread_attr_setscope_csf();
extern int	pthread_attr_setscope_ctf();
extern int	pthread_attr_setscope_cef();
#endif

#if	defined(_POSIX_THREADS) && defined(_POSIX_THREAD_ATTR_STACKADDR)
extern int	pthread_attr_setstackaddr_csf();
extern int	pthread_attr_setstackaddr_ctf();
extern int	pthread_attr_setstackaddr_cef();
#endif

#if	defined(_POSIX_THREADS) && defined(_POSIX_THREAD_ATTR_STACKSIZE)
extern int	pthread_attr_setstacksize_csf();
extern int	pthread_attr_setstacksize_ctf();
extern int	pthread_attr_setstacksize_cef();
#endif

#if	defined(_POSIX_THREADS)
extern int	pthread_cancel_csf();
extern int	pthread_cancel_ctf();
extern int	pthread_cancel_cef();
#endif

#if	defined(_POSIX_THREADS)
extern int	pthread_cleanup_pop_csf();
extern int	pthread_cleanup_pop_ctf();
extern int	pthread_cleanup_pop_cef();
#endif

#if	defined(_POSIX_THREADS)
extern int	pthread_cleanup_push_csf();
extern int	pthread_cleanup_push_ctf();
extern int	pthread_cleanup_push_cef();
#endif

#if	defined(_POSIX_THREADS)
extern int	pthread_cond_broadcast_csf();
extern int	pthread_cond_broadcast_ctf();
extern int	pthread_cond_broadcast_cef();
#endif

#if	defined(_POSIX_THREADS)
extern int	pthread_cond_destroy_csf();
extern int	pthread_cond_destroy_ctf();
extern int	pthread_cond_destroy_cef();
#endif

#if	defined(_POSIX_THREADS)
extern int	pthread_cond_init_csf();
extern int	pthread_cond_init_ctf();
extern int	pthread_cond_init_cef();
#endif

#if	defined(_POSIX_THREADS)
extern int	pthread_cond_signal_csf();
extern int	pthread_cond_signal_ctf();
extern int	pthread_cond_signal_cef();
#endif

#if	defined(_POSIX_THREADS)
extern int	pthread_cond_timedwait_csf();
extern int	pthread_cond_timedwait_ctf();
extern int	pthread_cond_timedwait_cef();
#endif

#if	defined(_POSIX_THREADS)
extern int	pthread_cond_wait_csf();
extern int	pthread_cond_wait_ctf();
extern int	pthread_cond_wait_cef();
#endif

#if	defined(_POSIX_THREADS)
extern int	pthread_condattr_destroy_csf();
extern int	pthread_condattr_destroy_ctf();
extern int	pthread_condattr_destroy_cef();
#endif

#if	defined(_POSIX_THREADS) && defined(_POSIX_THREAD_PROCESS_SHARED)
extern int	pthread_condattr_getpshared_csf();
extern int	pthread_condattr_getpshared_ctf();
extern int	pthread_condattr_getpshared_cef();
#endif

#if	defined(_POSIX_THREADS)
extern int	pthread_condattr_init_csf();
extern int	pthread_condattr_init_ctf();
extern int	pthread_condattr_init_cef();
#endif

#if	defined(_POSIX_THREADS) && defined(_POSIX_THREAD_PROCESS_SHARED)
extern int	pthread_condattr_setpshared_csf();
extern int	pthread_condattr_setpshared_ctf();
extern int	pthread_condattr_setpshared_cef();
#endif

#if	defined(_POSIX_THREADS)
extern int	pthread_create_csf();
extern int	pthread_create_ctf();
extern int	pthread_create_cef();
#endif

#if	defined(_POSIX_THREADS)
extern int	pthread_detach_csf();
extern int	pthread_detach_ctf();
extern int	pthread_detach_cef();
#endif

#if	defined(_POSIX_THREADS)
extern int	pthread_equal_csf();
extern int	pthread_equal_ctf();
extern int	pthread_equal_cef();
#endif

#if	defined(_POSIX_THREADS)
extern int	pthread_exit_csf();
extern int	pthread_exit_ctf();
extern int	pthread_exit_cef();
#endif

#if	( TEST_XPG > 4 )
extern int	pthread_getconcurrency_csf();
extern int	pthread_getconcurrency_ctf();
extern int	pthread_getconcurrency_cef();
#endif

#if	defined(_POSIX_THREADS) && defined(_POSIX_THREAD_PRIORITY_SCHEDULING)
extern int	pthread_getschedparam_csf();
extern int	pthread_getschedparam_ctf();
extern int	pthread_getschedparam_cef();
#endif

#if	defined(_POSIX_THREADS)
extern int	pthread_getspecific_csf();
extern int	pthread_getspecific_ctf();
extern int	pthread_getspecific_cef();
#endif

#if	defined(_POSIX_THREADS)
extern int	pthread_join_csf();
extern int	pthread_join_ctf();
extern int	pthread_join_cef();
#endif

#if	defined(_POSIX_THREADS)
extern int	pthread_key_create_csf();
extern int	pthread_key_create_ctf();
extern int	pthread_key_create_cef();
#endif

#if	defined(_POSIX_THREADS)
extern int	pthread_key_delete_csf();
extern int	pthread_key_delete_ctf();
extern int	pthread_key_delete_cef();
#endif

#if	defined(_POSIX_THREADS)
extern int	pthread_kill_csf();
extern int	pthread_kill_ctf();
extern int	pthread_kill_cef();
#endif

#if	defined(_POSIX_THREADS)
extern int	pthread_mutex_destroy_csf();
extern int	pthread_mutex_destroy_ctf();
extern int	pthread_mutex_destroy_cef();
#endif

#if	defined(_POSIX_THREADS) && defined(_POSIX_THREAD_PRIO_PROTECT)
extern int	pthread_mutex_getprioceiling_csf();
extern int	pthread_mutex_getprioceiling_ctf();
extern int	pthread_mutex_getprioceiling_cef();
#endif

#if	defined(_POSIX_THREADS)
extern int	pthread_mutex_init_csf();
extern int	pthread_mutex_init_ctf();
extern int	pthread_mutex_init_cef();
#endif

#if	defined(_POSIX_THREADS)
extern int	pthread_mutex_lock_csf();
extern int	pthread_mutex_lock_ctf();
extern int	pthread_mutex_lock_cef();
#endif

#if	defined(_POSIX_THREADS) && defined(_POSIX_THREAD_PRIO_PROTECT)
extern int	pthread_mutex_setprioceiling_csf();
extern int	pthread_mutex_setprioceiling_ctf();
extern int	pthread_mutex_setprioceiling_cef();
#endif

#if	defined(_POSIX_THREADS)
extern int	pthread_mutex_trylock_csf();
extern int	pthread_mutex_trylock_ctf();
extern int	pthread_mutex_trylock_cef();
#endif

#if	defined(_POSIX_THREADS)
extern int	pthread_mutex_unlock_csf();
extern int	pthread_mutex_unlock_ctf();
extern int	pthread_mutex_unlock_cef();
#endif

#if	defined(_POSIX_THREADS)
extern int	pthread_mutexattr_destroy_csf();
extern int	pthread_mutexattr_destroy_ctf();
extern int	pthread_mutexattr_destroy_cef();
#endif

#if	defined(_POSIX_THREADS)
extern int	pthread_mutexattr_getprioceiling_csf();
extern int	pthread_mutexattr_getprioceiling_ctf();
extern int	pthread_mutexattr_getprioceiling_cef();
#endif

#if	defined(_POSIX_THREADS) && (defined(_POSIX_THREAD_PRIO_INHERIT) || defined(_POSIX_THREAD_PRIO_PROTECT))
extern int	pthread_mutexattr_getprotocol_csf();
extern int	pthread_mutexattr_getprotocol_ctf();
extern int	pthread_mutexattr_getprotocol_cef();
#endif

#if	defined(_POSIX_THREADS) && defined(_POSIX_THREAD_PROCESS_SHARED)
extern int	pthread_mutexattr_getpshared_csf();
extern int	pthread_mutexattr_getpshared_ctf();
extern int	pthread_mutexattr_getpshared_cef();
#endif

#if	( TEST_XPG > 4 )
extern int	pthread_mutexattr_gettype_csf();
extern int	pthread_mutexattr_gettype_ctf();
extern int	pthread_mutexattr_gettype_cef();
#endif

#if	defined(_POSIX_THREADS)
extern int	pthread_mutexattr_init_csf();
extern int	pthread_mutexattr_init_ctf();
extern int	pthread_mutexattr_init_cef();
#endif

#if	defined(_POSIX_THREADS)
extern int	pthread_mutexattr_setprioceiling_csf();
extern int	pthread_mutexattr_setprioceiling_ctf();
extern int	pthread_mutexattr_setprioceiling_cef();
#endif

#if	defined(_POSIX_THREADS) && (defined(_POSIX_THREAD_PRIO_INHERIT) || defined(_POSIX_THREAD_PRIO_PROTECT))
extern int	pthread_mutexattr_setprotocol_csf();
extern int	pthread_mutexattr_setprotocol_ctf();
extern int	pthread_mutexattr_setprotocol_cef();
#endif

#if	defined(_POSIX_THREADS) && defined(_POSIX_THREAD_PROCESS_SHARED)
extern int	pthread_mutexattr_setpshared_csf();
extern int	pthread_mutexattr_setpshared_ctf();
extern int	pthread_mutexattr_setpshared_cef();
#endif

#if	( TEST_XPG > 4 )
extern int	pthread_mutexattr_settype_csf();
extern int	pthread_mutexattr_settype_ctf();
extern int	pthread_mutexattr_settype_cef();
#endif

#if	defined(_POSIX_THREADS)
extern int	pthread_once_csf();
extern int	pthread_once_ctf();
extern int	pthread_once_cef();
#endif

#if	( TEST_XPG > 4 )
extern int	pthread_rwlock_destroy_csf();
extern int	pthread_rwlock_destroy_ctf();
extern int	pthread_rwlock_destroy_cef();
#endif

#if	( TEST_XPG > 4 )
extern int	pthread_rwlock_init_csf();
extern int	pthread_rwlock_init_ctf();
extern int	pthread_rwlock_init_cef();
#endif

#if	( TEST_XPG > 4 )
extern int	pthread_rwlock_rdlock_csf();
extern int	pthread_rwlock_rdlock_ctf();
extern int	pthread_rwlock_rdlock_cef();
#endif

#if	( TEST_XPG > 4 )
extern int	pthread_rwlock_tryrdlock_csf();
extern int	pthread_rwlock_tryrdlock_ctf();
extern int	pthread_rwlock_tryrdlock_cef();
#endif

#if	( TEST_XPG > 4 )
extern int	pthread_rwlock_trywrlock_csf();
extern int	pthread_rwlock_trywrlock_ctf();
extern int	pthread_rwlock_trywrlock_cef();
#endif

#if	( TEST_XPG > 4 )
extern int	pthread_rwlock_unlock_csf();
extern int	pthread_rwlock_unlock_ctf();
extern int	pthread_rwlock_unlock_cef();
#endif

#if	( TEST_XPG > 4 )
extern int	pthread_rwlock_wrlock_csf();
extern int	pthread_rwlock_wrlock_ctf();
extern int	pthread_rwlock_wrlock_cef();
#endif

#if	( TEST_XPG > 4 )
extern int	pthread_rwlockattr_destroy_csf();
extern int	pthread_rwlockattr_destroy_ctf();
extern int	pthread_rwlockattr_destroy_cef();
#endif

#if	( TEST_XPG > 4 )
extern int	pthread_rwlockattr_getpshared_csf();
extern int	pthread_rwlockattr_getpshared_ctf();
extern int	pthread_rwlockattr_getpshared_cef();
#endif

#if	( TEST_XPG > 4 )
extern int	pthread_rwlockattr_init_csf();
extern int	pthread_rwlockattr_init_ctf();
extern int	pthread_rwlockattr_init_cef();
#endif

#if	( TEST_XPG > 4 )
extern int	pthread_rwlockattr_setpshared_csf();
extern int	pthread_rwlockattr_setpshared_ctf();
extern int	pthread_rwlockattr_setpshared_cef();
#endif

#if	defined(_POSIX_THREADS)
extern int	pthread_self_csf();
extern int	pthread_self_ctf();
extern int	pthread_self_cef();
#endif

#if	defined(_POSIX_THREADS)
extern int	pthread_setcancelstate_csf();
extern int	pthread_setcancelstate_ctf();
extern int	pthread_setcancelstate_cef();
#endif

#if	defined(_POSIX_THREADS)
extern int	pthread_setcanceltype_csf();
extern int	pthread_setcanceltype_ctf();
extern int	pthread_setcanceltype_cef();
#endif

#if	( TEST_XPG > 4 )
extern int	pthread_setconcurrency_csf();
extern int	pthread_setconcurrency_ctf();
extern int	pthread_setconcurrency_cef();
#endif

#if	defined(_POSIX_THREADS) && defined(_POSIX_THREAD_PRIORITY_SCHEDULING)
extern int	pthread_setschedparam_csf();
extern int	pthread_setschedparam_ctf();
extern int	pthread_setschedparam_cef();
#endif

#if	defined(_POSIX_THREADS)
extern int	pthread_setspecific_csf();
extern int	pthread_setspecific_ctf();
extern int	pthread_setspecific_cef();
#endif

#if	defined(_POSIX_THREADS)
extern int	pthread_sigmask_csf();
extern int	pthread_sigmask_ctf();
extern int	pthread_sigmask_cef();
#endif

#if	defined(_POSIX_THREADS)
extern int	pthread_testcancel_csf();
extern int	pthread_testcancel_ctf();
extern int	pthread_testcancel_cef();
#endif

#if	( TEST_XPG > 4 )
extern int	ptsname_csf();
extern int	ptsname_ctf();
extern int	ptsname_cef();
#endif

extern int	putc_csf();
extern int	putc_ctf();
extern int	putc_cef();

extern int	putc_unlocked_csf();
extern int	putc_unlocked_ctf();
extern int	putc_unlocked_cef();

extern int	putchar_csf();
extern int	putchar_ctf();
extern int	putchar_cef();

extern int	putchar_unlocked_csf();
extern int	putchar_unlocked_ctf();
extern int	putchar_unlocked_cef();

#if	( TEST_XPG > 4 )
extern int	putenv_csf();
extern int	putenv_ctf();
extern int	putenv_cef();
#endif

#if	( TEST_XPG > 4 )
extern int	putmsg_csf();
extern int	putmsg_ctf();
extern int	putmsg_cef();
#endif

#if	( TEST_XPG > 4 )
extern int	putpmsg_csf();
extern int	putpmsg_ctf();
extern int	putpmsg_cef();
#endif

extern int	puts_csf();
extern int	puts_ctf();
extern int	puts_cef();

#if	( TEST_XPG > 4 )
extern int	pututxline_csf();
extern int	pututxline_ctf();
extern int	pututxline_cef();
#endif

#if	( TEST_XPG > 4 )
#if	defined(_XOPEN_LEGACY) && (_XOPEN_LEGACY != -1)
extern int	putw_csf();
extern int	putw_ctf();
extern int	putw_cef();
#endif
#endif

#if	( TEST_XPG > 4 )
extern int	putwc_csf();
extern int	putwc_ctf();
extern int	putwc_cef();
#endif

#if	( TEST_XPG > 4 )
extern int	putwchar_csf();
extern int	putwchar_ctf();
extern int	putwchar_cef();
#endif

#if	( TEST_XPG > 4 )
extern int	pwrite_csf();
extern int	pwrite_ctf();
extern int	pwrite_cef();
#endif

extern int	qsort_csf();
extern int	qsort_ctf();
extern int	qsort_cef();

extern int	raise_csf();
extern int	raise_ctf();
extern int	raise_cef();

extern int	rand_csf();
extern int	rand_ctf();
extern int	rand_cef();

#if	defined(_POSIX_THREAD_SAFE_FUNCTIONS)
extern int	rand_r_csf();
extern int	rand_r_ctf();
extern int	rand_r_cef();
#endif

#if	( TEST_XPG > 4 )
extern int	random_csf();
extern int	random_ctf();
extern int	random_cef();
#endif

#if	( TEST_XPG > 4 )
#if	defined(_XOPEN_LEGACY) && (_XOPEN_LEGACY != -1)
extern int	re_comp_csf();
extern int	re_comp_ctf();
extern int	re_comp_cef();
#endif
#endif

#if	( TEST_XPG > 4 )
#if	defined(_XOPEN_LEGACY) && (_XOPEN_LEGACY != -1)
extern int	re_exec_csf();
extern int	re_exec_ctf();
extern int	re_exec_cef();
#endif
#endif

extern int	read_csf();
extern int	read_ctf();
extern int	read_cef();

extern int	readdir_csf();
extern int	readdir_ctf();
extern int	readdir_cef();

extern int	readdir_r_csf();
extern int	readdir_r_ctf();
extern int	readdir_r_cef();

#if	( TEST_XPG > 4 )
extern int	readlink_csf();
extern int	readlink_ctf();
extern int	readlink_cef();
#endif

#if	( TEST_XPG > 4 )
extern int	readv_csf();
extern int	readv_ctf();
extern int	readv_cef();
#endif

extern int	realloc_csf();
extern int	realloc_ctf();
extern int	realloc_cef();

#if	( TEST_XPG > 4 )
extern int	realpath_csf();
extern int	realpath_ctf();
extern int	realpath_cef();
#endif

#if	( TEST_XPG > 4 )
#if	defined(_XOPEN_LEGACY) && (_XOPEN_LEGACY != -1)
extern int	regcmp_csf();
extern int	regcmp_ctf();
extern int	regcmp_cef();
#endif
#endif

#if	( TEST_XPG > 4 )
extern int	regcomp_csf();
extern int	regcomp_ctf();
extern int	regcomp_cef();
#endif

#if	( TEST_XPG > 4 )
extern int	regerror_csf();
extern int	regerror_ctf();
extern int	regerror_cef();
#endif

#if	( TEST_XPG > 4 )
#if	defined(_XOPEN_LEGACY) && (_XOPEN_LEGACY != -1)
extern int	regex_csf();
extern int	regex_ctf();
extern int	regex_cef();
#endif
#endif

#if	( TEST_XPG > 4 )
extern int	regexec_csf();
extern int	regexec_ctf();
extern int	regexec_cef();
#endif

#if	( TEST_XPG > 4 )
extern int	regfree_csf();
extern int	regfree_ctf();
extern int	regfree_cef();
#endif

#if	( TEST_XPG > 4 )
extern int	remainder_csf();
extern int	remainder_ctf();
extern int	remainder_cef();
#endif

extern int	remove_csf();
extern int	remove_ctf();
extern int	remove_cef();

#if	( TEST_XPG > 4 )
extern int	remque_csf();
extern int	remque_ctf();
extern int	remque_cef();
#endif

extern int	rename_csf();
extern int	rename_ctf();
extern int	rename_cef();

extern int	rewind_csf();
extern int	rewind_ctf();
extern int	rewind_cef();

extern int	rewinddir_csf();
extern int	rewinddir_ctf();
extern int	rewinddir_cef();

#if	( TEST_XPG > 4 )
extern int	rindex_csf();
extern int	rindex_ctf();
extern int	rindex_cef();
#endif

#if	( TEST_XPG > 4 )
extern int	rint_csf();
extern int	rint_ctf();
extern int	rint_cef();
#endif

extern int	rmdir_csf();
extern int	rmdir_ctf();
extern int	rmdir_cef();

#if	( TEST_XPG > 4 )
extern int	sbrk_csf();
extern int	sbrk_ctf();
extern int	sbrk_cef();
#endif

#if	( TEST_XPG > 4 )
extern int	scalb_csf();
extern int	scalb_ctf();
extern int	scalb_cef();
#endif

extern int	scanf_csf();
extern int	scanf_ctf();
extern int	scanf_cef();

#if	defined(_POSIX_PRIORITY_SCHEDULING)
extern int	sched_get_priority_max_csf();
extern int	sched_get_priority_max_ctf();
extern int	sched_get_priority_max_cef();
#endif

#if	defined(_POSIX_PRIORITY_SCHEDULING)
extern int	sched_get_priority_min_csf();
extern int	sched_get_priority_min_ctf();
extern int	sched_get_priority_min_cef();
#endif

#if	defined(_POSIX_PRIORITY_SCHEDULING)
extern int	sched_getparam_csf();
extern int	sched_getparam_ctf();
extern int	sched_getparam_cef();
#endif

#if	defined(_POSIX_PRIORITY_SCHEDULING)
extern int	sched_getscheduler_csf();
extern int	sched_getscheduler_ctf();
extern int	sched_getscheduler_cef();
#endif

#if	defined(_POSIX_PRIORITY_SCHEDULING)
extern int	sched_rr_get_interval_csf();
extern int	sched_rr_get_interval_ctf();
extern int	sched_rr_get_interval_cef();
#endif

#if	defined(_POSIX_PRIORITY_SCHEDULING)
extern int	sched_setparam_csf();
extern int	sched_setparam_ctf();
extern int	sched_setparam_cef();
#endif

#if	defined(_POSIX_PRIORITY_SCHEDULING)
extern int	sched_setscheduler_csf();
extern int	sched_setscheduler_ctf();
extern int	sched_setscheduler_cef();
#endif

#if	defined(_POSIX_THREADS) || defined(_POSIX_PRIORITY_SCHEDULING)
extern int	sched_yield_csf();
extern int	sched_yield_ctf();
extern int	sched_yield_cef();
#endif

#if	( TEST_XPG > 4 )
extern int	seed48_csf();
extern int	seed48_ctf();
extern int	seed48_cef();
#endif

#if	( TEST_XPG > 4 )
extern int	seekdir_csf();
extern int	seekdir_ctf();
extern int	seekdir_cef();
#endif

#if	( TEST_XPG > 4 )
extern int	select_csf();
extern int	select_ctf();
extern int	select_cef();
#endif

#if	defined(_POSIX_SEMAPHORES)
extern int	sem_close_csf();
extern int	sem_close_ctf();
extern int	sem_close_cef();
#endif

#if	defined(_POSIX_SEMAPHORES)
extern int	sem_destroy_csf();
extern int	sem_destroy_ctf();
extern int	sem_destroy_cef();
#endif

#if	defined(_POSIX_SEMAPHORES)
extern int	sem_getvalue_csf();
extern int	sem_getvalue_ctf();
extern int	sem_getvalue_cef();
#endif

#if	defined(_POSIX_SEMAPHORES)
extern int	sem_init_csf();
extern int	sem_init_ctf();
extern int	sem_init_cef();
#endif

#if	defined(_POSIX_SEMAPHORES)
extern int	sem_open_csf();
extern int	sem_open_ctf();
extern int	sem_open_cef();
#endif

#if	defined(_POSIX_SEMAPHORES)
extern int	sem_post_csf();
extern int	sem_post_ctf();
extern int	sem_post_cef();
#endif

#if	defined(_POSIX_SEMAPHORES)
extern int	sem_trywait_csf();
extern int	sem_trywait_ctf();
extern int	sem_trywait_cef();
#endif

#if	defined(_POSIX_SEMAPHORES)
extern int	sem_unlink_csf();
extern int	sem_unlink_ctf();
extern int	sem_unlink_cef();
#endif

#if	defined(_POSIX_SEMAPHORES)
extern int	sem_wait_csf();
extern int	sem_wait_ctf();
extern int	sem_wait_cef();
#endif

#if	( TEST_XPG > 4 )
extern int	semctl_csf();
extern int	semctl_ctf();
extern int	semctl_cef();
#endif

#if	( TEST_XPG > 4 )
extern int	semget_csf();
extern int	semget_ctf();
extern int	semget_cef();
#endif

#if	( TEST_XPG > 4 )
extern int	semop_csf();
extern int	semop_ctf();
extern int	semop_cef();
#endif

extern int	setbuf_csf();
extern int	setbuf_ctf();
extern int	setbuf_cef();

#if	( TEST_XPG > 4 )
extern int	setcontext_csf();
extern int	setcontext_ctf();
extern int	setcontext_cef();
#endif

extern int	setgid_csf();
extern int	setgid_ctf();
extern int	setgid_cef();

#if	( TEST_XPG > 4 )
extern int	setgrent_csf();
extern int	setgrent_ctf();
extern int	setgrent_cef();
#endif

#if	( TEST_XPG > 4 )
extern int	setitimer_csf();
extern int	setitimer_ctf();
extern int	setitimer_cef();
#endif

extern int	setjmp_csf();
extern int	setjmp_ctf();
extern int	setjmp_cef();

extern int	setkey_csf();
extern int	setkey_ctf();
extern int	setkey_cef();

extern int	setlocale_csf();
extern int	setlocale_ctf();
extern int	setlocale_cef();

#if	( TEST_XPG > 4 )
extern int	setlogmask_csf();
extern int	setlogmask_ctf();
extern int	setlogmask_cef();
#endif

#if	defined(_POSIX_JOB_CONTROL)
extern int	setpgid_csf();
extern int	setpgid_ctf();
extern int	setpgid_cef();
#endif

#if	( TEST_XPG > 4 )
extern int	setpgrp_csf();
extern int	setpgrp_ctf();
extern int	setpgrp_cef();
#endif

#if	( TEST_XPG > 4 )
extern int	setpriority_csf();
extern int	setpriority_ctf();
extern int	setpriority_cef();
#endif

#if	( TEST_XPG > 4 )
extern int	setpwent_csf();
extern int	setpwent_ctf();
extern int	setpwent_cef();
#endif

#if	( TEST_XPG > 4 )
extern int	setregid_csf();
extern int	setregid_ctf();
extern int	setregid_cef();
#endif

#if	( TEST_XPG > 4 )
extern int	setreuid_csf();
extern int	setreuid_ctf();
extern int	setreuid_cef();
#endif

#if	( TEST_XPG > 4 )
extern int	setrlimit_csf();
extern int	setrlimit_ctf();
extern int	setrlimit_cef();
#endif

extern int	setsid_csf();
extern int	setsid_ctf();
extern int	setsid_cef();

#if	( TEST_XPG > 4 )
extern int	setstate_csf();
extern int	setstate_ctf();
extern int	setstate_cef();
#endif

extern int	setuid_csf();
extern int	setuid_ctf();
extern int	setuid_cef();

#if	( TEST_XPG > 4 )
extern int	setutxent_csf();
extern int	setutxent_ctf();
extern int	setutxent_cef();
#endif

extern int	setvbuf_csf();
extern int	setvbuf_ctf();
extern int	setvbuf_cef();

#if	defined(_POSIX_SHARED_MEMORY_OBJECTS)
extern int	shm_open_csf();
extern int	shm_open_ctf();
extern int	shm_open_cef();
#endif

#if	defined(_POSIX_SHARED_MEMORY_OBJECTS)
extern int	shm_unlink_csf();
extern int	shm_unlink_ctf();
extern int	shm_unlink_cef();
#endif

#if	( TEST_XPG > 4 )
extern int	shmat_csf();
extern int	shmat_ctf();
extern int	shmat_cef();
#endif

#if	( TEST_XPG > 4 )
extern int	shmctl_csf();
extern int	shmctl_ctf();
extern int	shmctl_cef();
#endif

#if	( TEST_XPG > 4 )
extern int	shmdt_csf();
extern int	shmdt_ctf();
extern int	shmdt_cef();
#endif

#if	( TEST_XPG > 4 )
extern int	shmget_csf();
extern int	shmget_ctf();
extern int	shmget_cef();
#endif

extern int	sigaction_csf();
extern int	sigaction_ctf();
extern int	sigaction_cef();

extern int	sigaddset_csf();
extern int	sigaddset_ctf();
extern int	sigaddset_cef();

#if	( TEST_XPG > 4 )
extern int	sigaltstack_csf();
extern int	sigaltstack_ctf();
extern int	sigaltstack_cef();
#endif

extern int	sigdelset_csf();
extern int	sigdelset_ctf();
extern int	sigdelset_cef();

extern int	sigemptyset_csf();
extern int	sigemptyset_ctf();
extern int	sigemptyset_cef();

extern int	sigfillset_csf();
extern int	sigfillset_ctf();
extern int	sigfillset_cef();

#if	( TEST_XPG > 4 )
extern int	sighold_csf();
extern int	sighold_ctf();
extern int	sighold_cef();
#endif

#if	( TEST_XPG > 4 )
extern int	sigignore_csf();
extern int	sigignore_ctf();
extern int	sigignore_cef();
#endif

#if	( TEST_XPG > 4 )
extern int	siginterrupt_csf();
extern int	siginterrupt_ctf();
extern int	siginterrupt_cef();
#endif

extern int	sigismember_csf();
extern int	sigismember_ctf();
extern int	sigismember_cef();

extern int	siglongjmp_csf();
extern int	siglongjmp_ctf();
extern int	siglongjmp_cef();

extern int	signal_csf();
extern int	signal_ctf();
extern int	signal_cef();

#if	( TEST_XPG > 4 )
extern int	signgam_csf();
extern int	signgam_ctf();
extern int	signgam_cef();
#endif

#if	( TEST_XPG > 4 )
extern int	sigpause_csf();
extern int	sigpause_ctf();
extern int	sigpause_cef();
#endif

extern int	sigpending_csf();
extern int	sigpending_ctf();
extern int	sigpending_cef();

extern int	sigprocmask_csf();
extern int	sigprocmask_ctf();
extern int	sigprocmask_cef();

#if	defined(_POSIX_REALTIME_SIGNALS)
extern int	sigqueue_csf();
extern int	sigqueue_ctf();
extern int	sigqueue_cef();
#endif

#if	( TEST_XPG > 4 )
extern int	sigrelse_csf();
extern int	sigrelse_ctf();
extern int	sigrelse_cef();
#endif

#if	( TEST_XPG > 4 )
extern int	sigset_csf();
extern int	sigset_ctf();
extern int	sigset_cef();
#endif

extern int	sigsetjmp_csf();
extern int	sigsetjmp_ctf();
extern int	sigsetjmp_cef();

#if	( TEST_XPG > 4 )
#if	defined(_XOPEN_LEGACY) && (_XOPEN_LEGACY != -1)
extern int	sigstack_csf();
extern int	sigstack_ctf();
extern int	sigstack_cef();
#endif
#endif

extern int	sigsuspend_csf();
extern int	sigsuspend_ctf();
extern int	sigsuspend_cef();

#ifdef	_POSIX_REALTIME_SIGNALS
extern int	sigtimedwait_csf();
extern int	sigtimedwait_ctf();
extern int	sigtimedwait_cef();
#endif

extern int	sigwait_csf();
extern int	sigwait_ctf();
extern int	sigwait_cef();

#ifdef	_POSIX_REALTIME_SIGNALS
extern int	sigwaitinfo_csf();
extern int	sigwaitinfo_ctf();
extern int	sigwaitinfo_cef();
#endif

extern int	sin_csf();
extern int	sin_ctf();
extern int	sin_cef();

extern int	sinh_csf();
extern int	sinh_ctf();
extern int	sinh_cef();

extern int	sleep_csf();
extern int	sleep_ctf();
extern int	sleep_cef();

#if	( TEST_XPG > 4 )
extern int	snprintf_csf();
extern int	snprintf_ctf();
extern int	snprintf_cef();
#endif

extern int	sprintf_csf();
extern int	sprintf_ctf();
extern int	sprintf_cef();

extern int	sqrt_csf();
extern int	sqrt_ctf();
extern int	sqrt_cef();

extern int	srand_csf();
extern int	srand_ctf();
extern int	srand_cef();

#if	( TEST_XPG > 4 )
extern int	srand48_csf();
extern int	srand48_ctf();
extern int	srand48_cef();
#endif

#if	( TEST_XPG > 4 )
extern int	srandom_csf();
extern int	srandom_ctf();
extern int	srandom_cef();
#endif

extern int	sscanf_csf();
extern int	sscanf_ctf();
extern int	sscanf_cef();

extern int	stat_csf();
extern int	stat_ctf();
extern int	stat_cef();

#if	( TEST_XPG > 4 )
extern int	statvfs_csf();
extern int	statvfs_ctf();
extern int	statvfs_cef();
#endif

#if	( TEST_XPG > 4 )
#if	defined(_XOPEN_LEGACY) && (_XOPEN_LEGACY != -1)
extern int	step_csf();
extern int	step_ctf();
extern int	step_cef();
#endif
#endif

#if	( TEST_XPG > 4 )
extern int	strcasecmp_csf();
extern int	strcasecmp_ctf();
extern int	strcasecmp_cef();
#endif

extern int	strcat_csf();
extern int	strcat_ctf();
extern int	strcat_cef();

extern int	strchr_csf();
extern int	strchr_ctf();
extern int	strchr_cef();

extern int	strcmp_csf();
extern int	strcmp_ctf();
extern int	strcmp_cef();

extern int	strcoll_csf();
extern int	strcoll_ctf();
extern int	strcoll_cef();

extern int	strcpy_csf();
extern int	strcpy_ctf();
extern int	strcpy_cef();

extern int	strcspn_csf();
extern int	strcspn_ctf();
extern int	strcspn_cef();

#if	( TEST_XPG > 4 )
extern int	strdup_csf();
extern int	strdup_ctf();
extern int	strdup_cef();
#endif

extern int	strerror_csf();
extern int	strerror_ctf();
extern int	strerror_cef();

#if	( TEST_XPG > 4 )
extern int	strfmon_csf();
extern int	strfmon_ctf();
extern int	strfmon_cef();
#endif

extern int	strftime_csf();
extern int	strftime_ctf();
extern int	strftime_cef();

extern int	strlen_csf();
extern int	strlen_ctf();
extern int	strlen_cef();

#if	( TEST_XPG > 4 )
extern int	strncasecmp_csf();
extern int	strncasecmp_ctf();
extern int	strncasecmp_cef();
#endif

extern int	strncat_csf();
extern int	strncat_ctf();
extern int	strncat_cef();

extern int	strncmp_csf();
extern int	strncmp_ctf();
extern int	strncmp_cef();

extern int	strncpy_csf();
extern int	strncpy_ctf();
extern int	strncpy_cef();

extern int	strpbrk_csf();
extern int	strpbrk_ctf();
extern int	strpbrk_cef();

#if	( TEST_XPG > 4 )
extern int	strptime_csf();
extern int	strptime_ctf();
extern int	strptime_cef();
#endif

extern int	strrchr_csf();
extern int	strrchr_ctf();
extern int	strrchr_cef();

extern int	strspn_csf();
extern int	strspn_ctf();
extern int	strspn_cef();

extern int	strstr_csf();
extern int	strstr_ctf();
extern int	strstr_cef();

extern int	strtod_csf();
extern int	strtod_ctf();
extern int	strtod_cef();

extern int	strtok_csf();
extern int	strtok_ctf();
extern int	strtok_cef();

#if	defined(_POSIX_THREAD_SAFE_FUNCTIONS)
extern int	strtok_r_csf();
extern int	strtok_r_ctf();
extern int	strtok_r_cef();
#endif

extern int	strtol_csf();
extern int	strtol_ctf();
extern int	strtol_cef();

extern int	strtoul_csf();
extern int	strtoul_ctf();
extern int	strtoul_cef();

extern int	strxfrm_csf();
extern int	strxfrm_ctf();
extern int	strxfrm_cef();

#if	( TEST_XPG > 4 )
extern int	swab_csf();
extern int	swab_ctf();
extern int	swab_cef();
#endif

#if	( TEST_XPG > 4 )
extern int	swapcontext_csf();
extern int	swapcontext_ctf();
extern int	swapcontext_cef();
#endif

#if	( TEST_XPG > 4 )
extern int	swprintf_csf();
extern int	swprintf_ctf();
extern int	swprintf_cef();
#endif

#if	( TEST_XPG > 4 )
extern int	swscanf_csf();
extern int	swscanf_ctf();
extern int	swscanf_cef();
#endif

#if	( TEST_XPG > 4 )
extern int	symlink_csf();
extern int	symlink_ctf();
extern int	symlink_cef();
#endif

#if	( TEST_XPG > 4 )
extern int	sync_csf();
extern int	sync_ctf();
extern int	sync_cef();
#endif

extern int	sysconf_csf();
extern int	sysconf_ctf();
extern int	sysconf_cef();

#if	( TEST_XPG > 4 )
extern int	syslog_csf();
extern int	syslog_ctf();
extern int	syslog_cef();
#endif

extern int	system_csf();
extern int	system_ctf();
extern int	system_cef();

extern int	tan_csf();
extern int	tan_ctf();
extern int	tan_cef();

extern int	tanh_csf();
extern int	tanh_ctf();
extern int	tanh_cef();

extern int	tcdrain_csf();
extern int	tcdrain_ctf();
extern int	tcdrain_cef();

extern int	tcflow_csf();
extern int	tcflow_ctf();
extern int	tcflow_cef();

extern int	tcflush_csf();
extern int	tcflush_ctf();
extern int	tcflush_cef();

extern int	tcgetattr_csf();
extern int	tcgetattr_ctf();
extern int	tcgetattr_cef();

#if	defined(_POSIX_JOB_CONTROL)
extern int	tcgetpgrp_csf();
extern int	tcgetpgrp_ctf();
extern int	tcgetpgrp_cef();
#endif

#if	( TEST_XPG > 4 )
extern int	tcgetsid_csf();
extern int	tcgetsid_ctf();
extern int	tcgetsid_cef();
#endif

extern int	tcsendbreak_csf();
extern int	tcsendbreak_ctf();
extern int	tcsendbreak_cef();

extern int	tcsetattr_csf();
extern int	tcsetattr_ctf();
extern int	tcsetattr_cef();

#if	defined(_POSIX_JOB_CONTROL)
extern int	tcsetpgrp_csf();
extern int	tcsetpgrp_ctf();
extern int	tcsetpgrp_cef();
#endif

#if	( TEST_XPG > 4 )
extern int	tdelete_csf();
extern int	tdelete_ctf();
extern int	tdelete_cef();
#endif

#if	( TEST_XPG > 4 )
extern int	telldir_csf();
extern int	telldir_ctf();
extern int	telldir_cef();
#endif

#if	( TEST_XPG > 4 )
extern int	tempnam_csf();
extern int	tempnam_ctf();
extern int	tempnam_cef();
#endif

#if	( TEST_XPG > 4 )
extern int	tfind_csf();
extern int	tfind_ctf();
extern int	tfind_cef();
#endif

extern int	time_csf();
extern int	time_ctf();
extern int	time_cef();

#if	defined(_POSIX_TIMERS)
extern int	timer_create_csf();
extern int	timer_create_ctf();
extern int	timer_create_cef();
#endif

#if	defined(_POSIX_TIMERS)
extern int	timer_delete_csf();
extern int	timer_delete_ctf();
extern int	timer_delete_cef();
#endif

#if	defined(_POSIX_TIMERS)
extern int	timer_getoverrun_csf();
extern int	timer_getoverrun_ctf();
extern int	timer_getoverrun_cef();
#endif

#if	defined(_POSIX_TIMERS)
extern int	timer_gettime_csf();
extern int	timer_gettime_ctf();
extern int	timer_gettime_cef();
#endif

#if	defined(_POSIX_TIMERS)
extern int	timer_settime_csf();
extern int	timer_settime_ctf();
extern int	timer_settime_cef();
#endif

extern int	times_csf();
extern int	times_ctf();
extern int	times_cef();

extern int	tmpfile_csf();
extern int	tmpfile_ctf();
extern int	tmpfile_cef();

extern int	tmpnam_csf();
extern int	tmpnam_ctf();
extern int	tmpnam_cef();

#if	( TEST_XPG > 4 )
extern int	toascii_csf();
extern int	toascii_ctf();
extern int	toascii_cef();
#endif

extern int	tolower_csf();
extern int	tolower_ctf();
extern int	tolower_cef();

extern int	toupper_csf();
extern int	toupper_ctf();
extern int	toupper_cef();

#if	( TEST_XPG > 4 )
extern int	towctrans_csf();
extern int	towctrans_ctf();
extern int	towctrans_cef();
#endif

#if	( TEST_XPG > 4 )
extern int	towlower_csf();
extern int	towlower_ctf();
extern int	towlower_cef();
#endif

#if	( TEST_XPG > 4 )
extern int	towupper_csf();
extern int	towupper_ctf();
extern int	towupper_cef();
#endif

#if	( TEST_XPG > 4 )
extern int	truncate_csf();
extern int	truncate_ctf();
extern int	truncate_cef();
#endif

#if	( TEST_XPG > 4 )
extern int	tsearch_csf();
extern int	tsearch_ctf();
extern int	tsearch_cef();
#endif

extern int	ttyname_csf();
extern int	ttyname_ctf();
extern int	ttyname_cef();

extern int	ttyname_r_csf();
extern int	ttyname_r_ctf();
extern int	ttyname_r_cef();

#if	( TEST_XPG > 4 )
#if	defined(_XOPEN_LEGACY) && (_XOPEN_LEGACY != -1)
extern int	ttyslot_csf();
extern int	ttyslot_ctf();
extern int	ttyslot_cef();
#endif
#endif

#if	( TEST_XPG > 4 )
extern int	twalk_csf();
extern int	twalk_ctf();
extern int	twalk_cef();
#endif

extern int	tzset_csf();
extern int	tzset_ctf();
extern int	tzset_cef();

#if	( TEST_XPG > 4 )
extern int	ualarm_csf();
extern int	ualarm_ctf();
extern int	ualarm_cef();
#endif

#if	( TEST_XPG > 4 )
extern int	ulimit_csf();
extern int	ulimit_ctf();
extern int	ulimit_cef();
#endif

extern int	umask_csf();
extern int	umask_ctf();
extern int	umask_cef();

extern int	uname_csf();
extern int	uname_ctf();
extern int	uname_cef();

extern int	ungetc_csf();
extern int	ungetc_ctf();
extern int	ungetc_cef();

#if	( TEST_XPG > 4 )
extern int	ungetwc_csf();
extern int	ungetwc_ctf();
extern int	ungetwc_cef();
#endif

extern int	unlink_csf();
extern int	unlink_ctf();
extern int	unlink_cef();

#if	( TEST_XPG > 4 )
extern int	unlockpt_csf();
extern int	unlockpt_ctf();
extern int	unlockpt_cef();
#endif

#if	( TEST_XPG > 4 )
extern int	usleep_csf();
extern int	usleep_ctf();
extern int	usleep_cef();
#endif

extern int	utime_csf();
extern int	utime_ctf();
extern int	utime_cef();

#if	( TEST_XPG > 4 )
extern int	utimes_csf();
extern int	utimes_ctf();
extern int	utimes_cef();
#endif

#if	( TEST_XPG > 4 )
#if	defined(_XOPEN_LEGACY) && (_XOPEN_LEGACY != -1)
extern int	valloc_csf();
extern int	valloc_ctf();
extern int	valloc_cef();
#endif
#endif

#if	( TEST_XPG > 4 )
extern int	vfork_csf();
extern int	vfork_ctf();
extern int	vfork_cef();
#endif

extern int	vfprintf_csf();
extern int	vfprintf_ctf();
extern int	vfprintf_cef();

#if	( TEST_XPG > 4 )
extern int	vfwprintf_csf();
extern int	vfwprintf_ctf();
extern int	vfwprintf_cef();
#endif

extern int	vprintf_csf();
extern int	vprintf_ctf();
extern int	vprintf_cef();

#if	( TEST_XPG > 4 )
extern int	vsnprintf_csf();
extern int	vsnprintf_ctf();
extern int	vsnprintf_cef();
#endif

extern int	vsprintf_csf();
extern int	vsprintf_ctf();
extern int	vsprintf_cef();

#if	( TEST_XPG > 4 )
extern int	vswprintf_csf();
extern int	vswprintf_ctf();
extern int	vswprintf_cef();
#endif

#if	( TEST_XPG > 4 )
extern int	vwprintf_csf();
extern int	vwprintf_ctf();
extern int	vwprintf_cef();
#endif

extern int	wait_csf();
extern int	wait_ctf();
extern int	wait_cef();

#if	( TEST_XPG > 4 )
#if	defined(_XOPEN_LEGACY) && (_XOPEN_LEGACY != -1)
extern int	wait3_csf();
extern int	wait3_ctf();
extern int	wait3_cef();
#endif
#endif

#if	( TEST_XPG > 4 )
extern int	waitid_csf();
extern int	waitid_ctf();
extern int	waitid_cef();
#endif

extern int	waitpid_csf();
extern int	waitpid_ctf();
extern int	waitpid_cef();

#if	( TEST_XPG > 4 )
extern int	wcrtomb_csf();
extern int	wcrtomb_ctf();
extern int	wcrtomb_cef();
#endif

#if	( TEST_XPG > 4 )
extern int	wcscat_csf();
extern int	wcscat_ctf();
extern int	wcscat_cef();
#endif

#if	( TEST_XPG > 4 )
extern int	wcschr_csf();
extern int	wcschr_ctf();
extern int	wcschr_cef();
#endif

#if	( TEST_XPG > 4 )
extern int	wcscmp_csf();
extern int	wcscmp_ctf();
extern int	wcscmp_cef();
#endif

#if	( TEST_XPG > 4 )
extern int	wcscoll_csf();
extern int	wcscoll_ctf();
extern int	wcscoll_cef();
#endif

#if	( TEST_XPG > 4 )
extern int	wcscpy_csf();
extern int	wcscpy_ctf();
extern int	wcscpy_cef();
#endif

#if	( TEST_XPG > 4 )
extern int	wcscspn_csf();
extern int	wcscspn_ctf();
extern int	wcscspn_cef();
#endif

#if	( TEST_XPG > 4 )
extern int	wcsftime_csf();
extern int	wcsftime_ctf();
extern int	wcsftime_cef();
#endif

#if	( TEST_XPG > 4 )
extern int	wcslen_csf();
extern int	wcslen_ctf();
extern int	wcslen_cef();
#endif

#if	( TEST_XPG > 4 )
extern int	wcsncat_csf();
extern int	wcsncat_ctf();
extern int	wcsncat_cef();
#endif

#if	( TEST_XPG > 4 )
extern int	wcsncmp_csf();
extern int	wcsncmp_ctf();
extern int	wcsncmp_cef();
#endif

#if	( TEST_XPG > 4 )
extern int	wcsncpy_csf();
extern int	wcsncpy_ctf();
extern int	wcsncpy_cef();
#endif

#if	( TEST_XPG > 4 )
extern int	wcspbrk_csf();
extern int	wcspbrk_ctf();
extern int	wcspbrk_cef();
#endif

#if	( TEST_XPG > 4 )
extern int	wcsrchr_csf();
extern int	wcsrchr_ctf();
extern int	wcsrchr_cef();
#endif

#if	( TEST_XPG > 4 )
extern int	wcsrtombs_csf();
extern int	wcsrtombs_ctf();
extern int	wcsrtombs_cef();
#endif

#if	( TEST_XPG > 4 )
extern int	wcsspn_csf();
extern int	wcsspn_ctf();
extern int	wcsspn_cef();
#endif

#if	( TEST_XPG > 4 )
extern int	wcsstr_csf();
extern int	wcsstr_ctf();
extern int	wcsstr_cef();
#endif

#if	( TEST_XPG > 4 )
extern int	wcstod_csf();
extern int	wcstod_ctf();
extern int	wcstod_cef();
#endif

#if	( TEST_XPG > 4 )
extern int	wcstok_csf();
extern int	wcstok_ctf();
extern int	wcstok_cef();
#endif

#if	( TEST_XPG > 4 )
extern int	wcstol_csf();
extern int	wcstol_ctf();
extern int	wcstol_cef();
#endif

extern int	wcstombs_csf();
extern int	wcstombs_ctf();
extern int	wcstombs_cef();

#if	( TEST_XPG > 4 )
extern int	wcstoul_csf();
extern int	wcstoul_ctf();
extern int	wcstoul_cef();
#endif

#if	( TEST_XPG > 4 )
extern int	wcswcs_csf();
extern int	wcswcs_ctf();
extern int	wcswcs_cef();
#endif

#if	( TEST_XPG > 4 )
extern int	wcswidth_csf();
extern int	wcswidth_ctf();
extern int	wcswidth_cef();
#endif

#if	( TEST_XPG > 4 )
extern int	wcsxfrm_csf();
extern int	wcsxfrm_ctf();
extern int	wcsxfrm_cef();
#endif

#if	( TEST_XPG > 4 )
extern int	wctob_csf();
extern int	wctob_ctf();
extern int	wctob_cef();
#endif

extern int	wctomb_csf();
extern int	wctomb_ctf();
extern int	wctomb_cef();

#if	( TEST_XPG > 4 )
extern int	wctrans_csf();
extern int	wctrans_ctf();
extern int	wctrans_cef();
#endif

#if	( TEST_XPG > 4 )
extern int	wctype_csf();
extern int	wctype_ctf();
extern int	wctype_cef();
#endif

#if	( TEST_XPG > 4 )
extern int	wcwidth_csf();
extern int	wcwidth_ctf();
extern int	wcwidth_cef();
#endif

#if	( TEST_XPG > 4 )
extern int	wmemchr_csf();
extern int	wmemchr_ctf();
extern int	wmemchr_cef();
#endif

#if	( TEST_XPG > 4 )
extern int	wmemcmp_csf();
extern int	wmemcmp_ctf();
extern int	wmemcmp_cef();
#endif

#if	( TEST_XPG > 4 )
extern int	wmemcpy_csf();
extern int	wmemcpy_ctf();
extern int	wmemcpy_cef();
#endif

#if	( TEST_XPG > 4 )
extern int	wmemmove_csf();
extern int	wmemmove_ctf();
extern int	wmemmove_cef();
#endif

#if	( TEST_XPG > 4 )
extern int	wmemset_csf();
extern int	wmemset_ctf();
extern int	wmemset_cef();
#endif

#if	( TEST_XPG > 4 )
extern int	wordexp_csf();
extern int	wordexp_ctf();
extern int	wordexp_cef();
#endif

#if	( TEST_XPG > 4 )
extern int	wprintf_csf();
extern int	wprintf_ctf();
extern int	wprintf_cef();
#endif

extern int	write_csf();
extern int	write_ctf();
extern int	write_cef();

#if	( TEST_XPG > 4 )
extern int	writev_csf();
extern int	writev_ctf();
extern int	writev_cef();
#endif

#if	( TEST_XPG > 4 )
extern int	wscanf_csf();
extern int	wscanf_ctf();
extern int	wscanf_cef();
#endif

#if	( TEST_XPG > 4 )
extern int	y0_csf();
extern int	y0_ctf();
extern int	y0_cef();
#endif

#if	( TEST_XPG > 4 )
extern int	y1_csf();
extern int	y1_ctf();
extern int	y1_cef();
#endif

#if	( TEST_XPG > 4 )
extern int	yn_csf();
extern int	yn_ctf();
extern int	yn_cef();
#endif

