/*

##########################################################################
# (C) Copyright 1998-2001 The Open Group
#
# All rights reserved.  No part of this source code may be reproduced,
# stored in a retrieval system, or transmitted, in any form or by any
# means, electronic, mechanical, photocopying, recording or otherwise,
# except as stated in the end-user licence agreement, without the prior
# permission of the copyright owners.
#
# X/Open and the 'X' symbol are trademarks of X/Open Company Limited in
# the UK and other countries.
#
#	PROJECT:	LSB-FHS
#	PRODUCT:	LSB.fhs/SRC/common/lsbutils/lsb_execwithpriv.c
#	AUTHOR:		Andrew Josey, The Open Group
#	DATE CREATED:	21 Dec 1998
##########################################################################

# This is $Revision: 1.2 $
#
# $Log: lsb_execwithpriv.c,v $
# Revision 1.2  2001/07/18 07:03:01  ajosey
# add header, and cvs revision stuff
#

*/
/* UNIX Superuser privilege */

#include <stdio.h>
#include <unistd.h>
#include "lsb-fhs-ts.h"

main(int argc, char **argv)
{
        if ( argc < 2 )
        {
                fprintf(stderr, "usage: %s <command>\n", argv[0]);
                exit(LSB_FHS_TS_UNRESOLVED);
        }
        argv += 1;
        setuid(geteuid());
        execvp(argv[0], argv);
        exit(LSB_FHS_TS_PASS);
}

