/*
*      SCCS:   @(#)common/tsetlib(mlmatherr.c)	4.1 (01/21/97)  VSXgen release 1.4
*
*	UniSoft Ltd., London, England
*
* (C) Copyright 1991 X/Open Company Limited
*
* All rights reserved.  No part of this source code may be reproduced,
* stored in a retrieval system, or transmitted, in any form or by any
* means, electronic, mechanical, photocopying, recording or otherwise,
* except as stated in the end-user licence agreement, without the prior
* permission of the copyright owners.
*
* X/Open and the 'X' symbol are trademarks of X/Open Company Limited in
* the UK and other countries.
*/


/***********************************************************************

NAME:		mlmatherr.c - error routine for mathematical library tests.

PROJECT:	VSX (X/OPEN Validation Suite)

MODULE CONTAINS:
		matherr()
SYNOPSIS:
		int    matherr(x)
		       struct exception *x;

DESCRIPTION:
	Matherr() is a mathematical error function (see matherr(3M)) which
	sets the exception type in the exception structure into a global
	variable for later examination.

SIDE EFFECTS:
RELATED DOCUMENTS:
AUTHOR:		Andrew Twigger, UniSoft Ltd.
DATE CREATED:	Wed Nov 26 15:04:11 BST 1986
MODIFICATIONS:

************************************************************************/
#include <std.h>
#include <math.h>
#include <dbug.h>
#include <tet_api.h>
#include <sysdep.h>
int exctype;

int
matherr(x)
int *x;
{
	DBUG_LENTER("matherr", 2);
	DBUG_PRINTF("return", "matherr = 0"); 
	DBUG_RETURN(0);
}
