/*
*      SCCS:   @(#)common/vlib(outstr.c)	4.1 (01/21/97)  VSXgen release 1.4
*
*	UniSoft Ltd., London, England
*
* (C) Copyright 1991 X/Open Company Limited
*
* All rights reserved.  No part of this source code may be reproduced,
* stored in a retrieval system, or transmitted, in any form or by any
* means, electronic, mechanical, photocopying, recording or otherwise,
* except as stated in the end-user licence agreement, without the prior
* permission of the copyright owners.
*
* X/Open and the 'X' symbol are trademarks of X/Open Company Limited in
* the UK and other countries.
*/
/***********************************************************************

NAME:		outstr.c - output string to stdout or stderr.

PROJECT:	VSX (X/OPEN Validation Suite)

MODULE CONTAINS:
		outstr()
SYNOPSIS:
	int
	outstr( fdes, string )
		int	fdes;
		char	*string;	
DESCRIPTION:
	outstr() simply outputs *string on file descriptor
	fdes; this avoids using stdio and the associated
	overhead.
	outstr returns the number of bytes output.

AUTHOR:		Hamish REID, UniSoft Ltd.
DATE CREATED:	Thu Apr  3 13:09:21 GMT 1986
MODIFICATIONS:

************************************************************************/

#include	<std.h>
#include	<string.h>
#include	<sysdep.h>

int
outstr(fdes, string)
	int	fdes;
	char	*string;
{
        return(write(fdes, string, (unsigned) strlen(string)));
}
