
/*************************************************************************
*
* Copyright (c) 1997 X/Open Company Ltd., A member of The Open Group
*
* All rights reserved.  No part of this source code may be reproduced,
* stored in a retrieval system, or transmitted, in any form or by any
* means, electronic, mechanical, photocopying, recording or otherwise,
* except as stated in the end-user licence agreement, without the prior
* permission of the copyright owners.
*
* Motif (R) and UNIX (R) are registered trademarks and 'IT DialTone' (TM),
* 'The Open Group' (TM) and the 'X Device' (TM) are trademarks of
* The Open Group.
*
*
*	Written by Mount Bonnell Inc. Austin, Texas, USA
*	@(#)vsth_cp_.c	1.2
*
*************************************************************************/


#include "std.h"

#include <ctype.h>
#include <setjmp.h>
#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>

#include "tet_api.h"
#include "vsth/vsth.h"
#include "vsth/vsth_fw.h"



/****** Testset for _exit()					 ******/

#ifdef	_exit
#undef	_exit
#endif

int
_exit_csf()
{
	return(0);
}

int
_exit_ctf()
{
	int	rval;
	int	errs;
	int	fails;

	errs	= 0;
	fails	= 0;


	rval = 1;
	if ( fails )
	{
		rval = 2;
	}
	else if (( errs == 0 ) && ( fails == 0 ))
	{
		rval = 0;
	}
	return(rval);
}

int
_exit_cef()
{
	return(0);
}


#if	( TEST_XPG > 4 )

/****** Testset for _longjmp()					 ******/

#ifdef	_longjmp
#undef	_longjmp
#endif

int
_longjmp_csf()
{
	return(0);
}

int
_longjmp_ctf()
{
	int	rval;
	int	errs;
	int	fails;

	errs	= 0;
	fails	= 0;


	rval = 1;
	if ( fails )
	{
		rval = 2;
	}
	else if (( errs == 0 ) && ( fails == 0 ))
	{
		rval = 0;
	}
	return(rval);
}

int
_longjmp_cef()
{
	return(0);
}

#endif

#if	( TEST_XPG > 4 )

/****** Testset for _setjmp()					 ******/

#ifdef	_setjmp
#undef	_setjmp
#endif

int
_setjmp_csf()
{
	return(0);
}

int
_setjmp_ctf()
{
	int	rval;
	int	errs;
	int	fails;

	errs	= 0;
	fails	= 0;


	rval = 1;
	if ( fails )
	{
		rval = 2;
	}
	else if (( errs == 0 ) && ( fails == 0 ))
	{
		rval = 0;
	}
	return(rval);
}

int
_setjmp_cef()
{
	return(0);
}

#endif

#if	( TEST_XPG > 4 )

/****** Testset for _tolower()					 ******/

#ifdef	_tolower
#undef	_tolower
#endif

int
_tolower_csf()
{
	return(0);
}

int
_tolower_ctf()
{
	int	rval;
	int	errs;
	int	fails;

	errs	= 0;
	fails	= 0;


	rval = 1;
	if ( fails )
	{
		rval = 2;
	}
	else if (( errs == 0 ) && ( fails == 0 ))
	{
		rval = 0;
	}
	return(rval);
}

int
_tolower_cef()
{
	return(0);
}

#endif

#if	( TEST_XPG > 4 )

/****** Testset for _toupper()					 ******/

#ifdef	_toupper
#undef	_toupper
#endif

int
_toupper_csf()
{
	return(0);
}

int
_toupper_ctf()
{
	int	rval;
	int	errs;
	int	fails;

	errs	= 0;
	fails	= 0;


	rval = 1;
	if ( fails )
	{
		rval = 2;
	}
	else if (( errs == 0 ) && ( fails == 0 ))
	{
		rval = 0;
	}
	return(rval);
}

int
_toupper_cef()
{
	return(0);
}

#endif


