
/*************************************************************************
*
* Copyright (c) 1997 X/Open Company Ltd., A member of The Open Group
*
* All rights reserved.  No part of this source code may be reproduced,
* stored in a retrieval system, or transmitted, in any form or by any
* means, electronic, mechanical, photocopying, recording or otherwise,
* except as stated in the end-user licence agreement, without the prior
* permission of the copyright owners.
*
* Motif (R) and UNIX (R) are registered trademarks and 'IT DialTone' (TM),
* 'The Open Group' (TM) and the 'X Device' (TM) are trademarks of
* The Open Group.
*
*
*	Written by Mount Bonnell Inc. Austin, Texas, USA
*	@(#)vsth_cpj.c	1.3
*
*************************************************************************/


#include "std.h"

#include <math.h>
#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>

#include "tet_api.h"
#include "vsth/vsth.h"
#include "vsth/vsth_fw.h"


#if	( TEST_XPG > 4 )

/****** Testset for j0()					 ******/

#ifdef	j0
#undef	j0
#endif

int
j0_csf()
{
	return(0);
}

int
j0_ctf()
{
	int	rval;
	int	errs;
	int	fails;

	errs	= 0;
	fails	= 0;

	(void) j0(0.0);

	rval = 1;
	if ( fails )
	{
		rval = 2;
	}
	else if (( errs == 0 ) && ( fails == 0 ))
	{
		rval = 0;
	}
	return(rval);
}

int
j0_cef()
{
	return(0);
}

#endif

#if	( TEST_XPG > 4 )

/****** Testset for j1()					 ******/

#ifdef	j1
#undef	j1
#endif

int
j1_csf()
{
	return(0);
}

int
j1_ctf()
{
	int	rval;
	int	errs;
	int	fails;

	errs	= 0;
	fails	= 0;

	(void) j1(0.0);

	rval = 1;
	if ( fails )
	{
		rval = 2;
	}
	else if (( errs == 0 ) && ( fails == 0 ))
	{
		rval = 0;
	}
	return(rval);
}

int
j1_cef()
{
	return(0);
}

#endif

#if	( TEST_XPG > 4 )

/****** Testset for jn()					 ******/

#ifdef	jn
#undef	jn
#endif

int
jn_csf()
{
	return(0);
}

int
jn_ctf()
{
	int	rval;
	int	errs;
	int	fails;

	errs	= 0;
	fails	= 0;

	(void) jn(2, 0.0);

	rval = 1;
	if ( fails )
	{
		rval = 2;
	}
	else if (( errs == 0 ) && ( fails == 0 ))
	{
		rval = 0;
	}
	return(rval);
}

int
jn_cef()
{
	return(0);
}

#endif

#if	( TEST_XPG > 4 )

/****** Testset for jrand48()					 ******/

#ifdef	jrand48
#undef	jrand48
#endif

int
jrand48_csf()
{
	return(0);
}

int
jrand48_ctf()
{
	int			rval;
	int			errs;
	int			fails;
	unsigned short int	xsubi[3];

	errs	= 0;
	fails	= 0;

	(void) jrand48(&xsubi[0]);

	rval = 1;
	if ( fails )
	{
		rval = 2;
	}
	else if (( errs == 0 ) && ( fails == 0 ))
	{
		rval = 0;
	}
	return(rval);
}

int
jrand48_cef()
{
	return(0);
}

#endif


