#
# standalone makefile for the hdranal tool
#
# 
#CC =	/usr/bin/c89
CC =	/usr/bin/cc
RM =		rm -f
CHOWN =	chown
CHGRP =	chgrp
CHMOD =	chmod
RANLIB =	ranlib
LORDER =	echo
TSORT =	cat

VSXDIR =	.
SYSINC =	
SYSLIBS =	 

VSXINC =	$(VSXDIR)/localinc

DBUG =	
COPTS =	
LDFLAGS =	
SDBFLAG =
DEFINES =	-D_POSIX_SOURCE=199506L
INCS =		-I$(VSXINC)
CFLOCAL =	
CFLAGS =	$(CFLOCAL) $(INCS) $(DEFINES) $(DBUG) $(COPTS) $(SDBFLAG)
LIBS =		

HA_CFILES =	hdranal.c hdrallow.c y.tab.c c-decl.c tree.c obstack.c \
		storlayout.c
HA_OFILES =	hdranal.o hdrallow.o y.tab.o c-decl.o tree.o obstack.o \
		storlayout.o
HA_IFILES =	c-parse.h c-tree.h config.h obstack.h tree.h machmode.def \
		tree.def

CFILES =	$(HA_CFILES)
OFILES =	$(HA_OFILES)
IFILES =	$(HA_IFILES)


#############################################################################

all:		hdranal

hdranal:	$(HA_OFILES) $(LIBS)
		$(CC) -o $@ $(HA_OFILES) $(LIBS) $(SYSLIBS) $(LDFLAGS)
		@echo " $@ made"

y.tab.c:	c-parse.y
		yacc -v $?


clean:		
		$(RM) $(HA_OFILES) y.tab.c

clobber:	
		$(RM) hdranal
