/*
*      SCCS:  @(#)  ANSI.os/genuts/system/sys_cmd45/sys_cmd45.c	Rel 4.4.1     (06/09/97) 
*
*	UniSoft Ltd., London, England
*
* (C) Copyright 1991 X/Open Company Limited
*
* All rights reserved.  No part of this source code may be reproduced,
* stored in a retrieval system, or transmitted, in any form or by any
* means, electronic, mechanical, photocopying, recording or otherwise,
* except as stated in the end-user licence agreement, without the prior
* permission of the copyright owners.
*
* X/Open and the 'X' symbol are trademarks of X/Open Company Limited in
* the UK and other countries.
*/

/***********************************************************************

NAME:		T.system

PROJECT:	VSX (X/OPEN Validation Suite)


MODULE CONTAINS:
	cmd45()

SYNOPSIS:
	cmd45()

DESCRIPTION:
	cmd45 for the system() subroutine.

AUTHOR:		Manucher Ghezel-Ayagh, UniSoft Ltd.
DATE CREATED:	Tue Dec  9 13:46:19 WET 1986
MODIFICATIONS:
		Geoff Clare, 17 Oct 1990
			Delete third argument to main().

************************************************************************/
#include	<std.h>
#include	<sys/types.h>
#include	<stdio.h>
#include	<fcntl.h>
#include	<unistd.h>
#include	<stdlib.h>
#include	<string.h>
#include	<exitcodes.h>
#include	<sys/stat.h>
#include	<vsx_system.h>
#include	<sysdep.h>

/* ARGSUSED */

main(argc,argv)
int	argc;
char	**argv;
{
	char *cp;

	if ((cp = getenv("TEST_ENV")) == NULL || strcmp(cp, "testingenv"))
		exit(OK1);
	else
		exit(OK0);

	/* NOTREACHED */

}
