/*
 *      SCCS: @(#)  ANSI.os/streamio/fclose/fclose_h.h Rel 4.4.1 (06/09/97)
 *
 *	UniSoft Ltd., London, England
 *
 * (C) Copyright 1992 X/Open Company Limited
 *
 * All rights reserved.  No part of this source code may be reproduced,
 * stored in a retrieval system, or transmitted, in any form or by any
 * means, electronic, mechanical, photocopying, recording or otherwise,
 * except as stated in the end-user licence agreement, without the prior
 * permission of the copyright owners.
 *
 * X/Open and the 'X' symbol are trademarks of X/Open Company Limited in
 * the UK and other countries.
 */

/***********************************************************************

NAME:		fclose_h.h

PROJECT:	XNFS (X/OPEN NFS tests)

DESCRIPTION:
	Definitions common to master and slave side of the fclose test set.

METHODS:
ASSUMES:
CONDITIONAL COMPILE PARAMS:
SIDE EFFECTS:
RELATED DOCUMENTS:
SOURCE:

AUTHOR:		John-Paul, UniSoft Ltd.
DATE CREATED:	28 September 1992
MODIFICATIONS:

************************************************************************/

#if TEST_XNFS

/* Data */
#define ONE_BYTE_STR	"x"
#define ONE_BYTE_CHAR	'x'
#define	ONE_BYTE_LENGTH	1

/* files */
#define T19_FILE		"./fclose-t.19"
#define T20_FILE		"./fclose-t.20"
#define T21_FILE		"./fclose-t.21"

/* sync points */
#define SP_T8_RTIME_START	MK_SPNO(0)

#define SP_T19_WRITE_START	MK_SPNO(0)
#define SP_T19_WRITE_END	MK_SPNO(1)

#define SP_T20_CREATE_END	MK_SPNO(0)
#define SP_T20_WRITE_END	MK_SPNO(1)
#define SP_T20_CHMOD_END	MK_SPNO(2)
#define SP_T20_FCLOSE_END	MK_SPNO(3)

#define SP_T21_WRITE_START	MK_SPNO(0)
#define SP_T21_WRITE_END	MK_SPNO(1)
#define SP_T21_UNLINK_END	MK_SPNO(2)

#endif /* TEST_XNFS */
