/*
 *      SCCS: @(#)  ANSI.os/streamio/fread/fread_h.h Rel 4.4.1 (06/09/97)
 *
 *	UniSoft Ltd., London, England
 *
 * (C) Copyright 1992 X/Open Company Limited
 *
 * All rights reserved.  No part of this source code may be reproduced,
 * stored in a retrieval system, or transmitted, in any form or by any
 * means, electronic, mechanical, photocopying, recording or otherwise,
 * except as stated in the end-user licence agreement, without the prior
 * permission of the copyright owners.
 *
 * X/Open and the 'X' symbol are trademarks of X/Open Company Limited in
 * the UK and other countries.
 */

/***********************************************************************

NAME:		fread_h.h

PROJECT:	XNFS (X/OPEN NFS tests)

DESCRIPTION:	Definitions common to master and slave side of the fread test
		set.

METHODS:
ASSUMES:
CONDITIONAL COMPILE PARAMS:
SIDE EFFECTS:
RELATED DOCUMENTS:
SOURCE:

AUTHOR:		John-Paul, UniSoft Ltd.
DATE CREATED:	15 October 1992
MODIFICATIONS:
		Geoff Clare, 28 Oct 1993
			Added T6_*

************************************************************************/

#if TEST_XNFS

/* Data */
#define ONE_BYTE_STR	"x"
#define	ONE_BYTE_LENGTH	1

/* files and directories */
#define T6_FILE			"./fread-t.6"
#define T15_FILE		"./fread-t.15"
#define T16_FILE		"./fread-t.16"

/* Test 6 sync points */
#define SP_T6_CREAT_END		MK_SPNO(0)
#define SP_T6_UNLINK_START	MK_SPNO(1)

/* Test 15 sync points */
#define SP_T15_EACCES 		MK_SPNO(0)

/* Test 16 sync points */
#define SP_T16_ESTALE		MK_SPNO(0)

#endif /* TEST_XNFS */
