/*
*      SCCS:  @(#)  ANSI.os/streamio/fseek/fseek_t12.c	Rel 4.4.1     (06/09/97) 
*
*	UniSoft Ltd., London, England
*
* (C) Copyright 1991 X/Open Company Limited
*
* All rights reserved.  No part of this source code may be reproduced,
* stored in a retrieval system, or transmitted, in any form or by any
* means, electronic, mechanical, photocopying, recording or otherwise,
* except as stated in the end-user licence agreement, without the prior
* permission of the copyright owners.
*
* X/Open and the 'X' symbol are trademarks of X/Open Company Limited in
* the UK and other countries.
*/

#ifndef lint
#define MAIN
#ifdef	MAIN
static	char sccsid[] = "@(#)ANSI.os/streamio/fseek - fseek_t12 Rel 4.4.1 (06/09/97)";
char	*copyright[] = {
		"(C) Copyright 1991 X/Open Company Limited",
		"All Rights Reserved."
};
#endif	/* MAIN	*/
#endif  /* lint	*/

/***********************************************************************

NAME:		fseek_t12 - used in fseek() testset to test fseek()
		of a stream returned by popen.

PROJECT:	VSX (X/OPEN Validation Suite)

MODULE CONTAINS:
	main()
SYNOPSIS:
DESCRIPTION:
	Called in deviance section of the fseek() testset.  This program
	writes a string to stdout and exits.
	Usage:
		fseek_t12

RELATED DOCUMENTS:
	fseek.c

AUTHOR:		Geoff Clare, UniSoft Ltd.
DATE CREATED:	19 May 1992
MODIFICATIONS:

************************************************************************/
#include	<std.h>
#include	<stdlib.h>
#include	<stdio.h>
#include	"./fseek.h"
#include	<sysdep.h>

#ifdef UNDEF_MACROS
#undef fseek
#endif


main()
{
	(void) puts(t_string);
	exit(SUCCEED);
	/* NOTREACHED */
}
