/*
 *      SCCS: @(#)  ANSI.os/streamio/scanf/scanf_h.h Rel 4.4.1 (06/09/97)
 *
 *	UniSoft Ltd., London, England
 *
 * (C) Copyright 1992 X/Open Company Limited
 *
 * All rights reserved.  No part of this source code may be reproduced,
 * stored in a retrieval system, or transmitted, in any form or by any
 * means, electronic, mechanical, photocopying, recording or otherwise,
 * except as stated in the end-user licence agreement, without the prior
 * permission of the copyright owners.
 *
 * X/Open and the 'X' symbol are trademarks of X/Open Company Limited in
 * the UK and other countries.
 */

/***********************************************************************

NAME:		scanf_h.h

PROJECT:	XNFS (X/OPEN NFS tests)

DESCRIPTION:	Definitions common to master and slave side of the scanf test
		set.

METHODS:
ASSUMES:
CONDITIONAL COMPILE PARAMS:
SIDE EFFECTS:
RELATED DOCUMENTS:
SOURCE:

AUTHOR:		John-Paul, UniSoft Ltd.
DATE CREATED:	1 November 1992
MODIFICATIONS:
		Geoff Clare, 29 Oct 1993
			Added T49_*

************************************************************************/

#if TEST_XNFS

/* files and directories */
#define T49_FILE		"./scanf-t.49"
#define T57_FILE		"./scanf-t.57"
#define T58_FILE		"./scanf-t.58"

/* Test 49 sync points */
#define SP_T49_CREAT_END	MK_SPNO(0)
#define SP_T49_UNLINK_START	MK_SPNO(1)

/* Test 57 sync points */
#define SP_T57_EACCES 		MK_SPNO(0)

/* Test 58 sync points */
#define SP_T58_ESTALE		MK_SPNO(0)

#endif /* TEST_XNFS */
