/*
 *      SCCS: @(#)  ANSI.os/streamio/vprintf/vprintf_h.h Rel 4.4.1 (06/09/97)
 *
 *	UniSoft Ltd., London, England
 *
 * (C) Copyright 1992 X/Open Company Limited
 *
 * All rights reserved.  No part of this source code may be reproduced,
 * stored in a retrieval system, or transmitted, in any form or by any
 * means, electronic, mechanical, photocopying, recording or otherwise,
 * except as stated in the end-user licence agreement, without the prior
 * permission of the copyright owners.
 *
 * X/Open and the 'X' symbol are trademarks of X/Open Company Limited in
 * the UK and other countries.
 */

/***********************************************************************

NAME:		vprintf_h.h

PROJECT:	XNFS (X/OPEN NFS tests)

DESCRIPTION:	Definitions common to master and slave side of the vprintf and
		vfprintf test sets.

METHODS:
ASSUMES:
CONDITIONAL COMPILE PARAMS:
SIDE EFFECTS:
RELATED DOCUMENTS:
SOURCE:

AUTHOR:		John-Paul, UniSoft Ltd.
DATE CREATED:	15 November 1992
MODIFICATIONS:

************************************************************************/

#if TEST_XNFS

#define STDOUT_XNFS	(interface == I_PR ? 1 : interface == I_FP ? 0 : 1 )

/* Data */
#define XNFS_STRING	"x"

/* files and directories */
#define T69_FILE		"./vprintf-t.69"
#define T70_FILE		"./vprintf-t.70"

/* prepare tests sync point */
#define SP_GETCV 		MK_SPNO(1)

/* Test 69 sync points */
#define SP_T69_EACCES 		MK_SPNO(0)

/* Test 70 sync points */
#define SP_T70_ESTALE		MK_SPNO(0)

#endif /* TEST_XNFS */
