#!/bin/sh
# sbin-tc.sh : test case for Linux Annex /sbin directory

# This is 1.2
#
# sbin-tc.sh,v
# Revision 1.2  2000/04/09 07:15:15  cyeoh
# Added CVS header information
#
#

tet_startup="startup"			# startup function
tet_cleanup="cleanup"			# cleanup function
iclist="ic1"
ic1="tp1"


tp1()
{
	tpstart "Reference 6.1.6-1(C)"
	tet_infoline "The  boot loader /sbin/lilo may exist and if so it is executable"
	if ! test -x /sbin/lilo
	then
		FAIL=Y
	fi
	if [ $FAIL = Y ]
	then
		FAIL=N
		tet_infoline "This test result needs to be manually resolved, returning FIP result"
		tpresult FIP
		return
	fi
	tpresult
}

startup() # startup function
{
     rm -f out.stdout out.stderr out.experr >/dev/null 2>&1
}


cleanup() # clean-up function
{
     rm -f out.stdout out.stderr out.experr >/dev/null 2>&1
}

# source common shell functions

. $TET_EXECUTE/LIB/shfuncs.sh
. $TET_EXECUTE/LIB/lsbfuncs.sh

# execute shell test case manager - must be last line
. $TET_ROOT/lib/xpg3sh/tcm.sh
