#!/bin/sh
# var-spool-cron-tc.sh : test case for Linux Annex /var/spool/cron directory

# This is 1.2
#
# var-spool-cron-tc.sh,v
# Revision 1.2  2000/04/09 07:15:18  cyeoh
# Added CVS header information
#
#

tet_startup="startup"			# startup function
tet_cleanup="cleanup"			# cleanup function
iclist="ic1"
ic1="tp1"


tp1()
{
	tpstart "Reference 6.1.9-1(A)"
	tet_infoline "The /var/spool/cron directory exists and is searchable"
	if ! test -d /var/spool/cron
	then
		FAIL=Y
	fi
	tpresult				# set result code
}

startup() # startup function
{
     rm -f out.stdout out.stderr out.experr >/dev/null 2>&1
}


cleanup() # clean-up function
{
     rm -f out.stdout out.stderr out.experr >/dev/null 2>&1
}

# source common shell functions

. $TET_EXECUTE/LIB/shfuncs.sh
. $TET_EXECUTE/LIB/lsbfuncs.sh

# execute shell test case manager - must be last line
. $TET_ROOT/lib/xpg3sh/tcm.sh
