/*
* Copyright (c) 1997 X/Open Company Ltd., A member of The Open Group
*
* All rights reserved. No part of this source code may be reproduced,
* stored in a retrieval system, or transmitted, in any form or by any
* means, electronic, mechanical, photocopying, recording or otherwise,
* except as stated in the end-user licence agreement, without the prior
* permission of the copyright owners.
*
* Motif, OSF/1 and UNIX are registered trademarks and X/Open,
* the "X Device" and The Open Group are trademarks of The Open Group.
*
* Project: LSB-OS
*
* File: tset/LSB.os/mfiles/mmap/mmap.c
*
* Modifications:
* $Log: mmap.c,v $
* Revision 1.3  2001/10/02 09:54:04  ajosey
* minor update to header block for LSB-OS
*
* Revision 1.2  2001/10/02 09:52:56  ajosey
* make tests using functionality outside the LSB spec as notinuse
*
* Revision 1.1  2001/05/27 06:59:16  cyeoh
* Adds files for lsb-os test suite
*
*
*/

#include	<vsrt/vsrt.h>

#define 	NO_TESTS	31	/* number of tests in testset */

#ifdef UNDEF_MACROS
#undef mmap
#endif

#define		WAITTIME	(5 * SPEEDFACTOR)


int	no_tests = NO_TESTS;

private void	test1();
private void	test2();
private void	test3();
private void	test4();
private void	test5();
private void	test6();
private void	test7();
private void	test8();
private void	test9();
private void	test10();
private void	test11();
private void	test12();
private void	test13();
private void	test14();
private void	test15();
private void	test16();
private void	test17();
private void	test18();
private void	test19();
private void	test20();
private void	test21();
private void	test22();
private void	test23();
private void	test24();
private void	test25();
private void	test26();
private void	test27();
private void	test28();
private void	test29();
private void	test30();
private void	test31();



void atstart(void);
void atstart(void)
{
}
void atend(void);
void atend(void)
{
}

public	void	(*setfunc) () = atstart;
public	void	(*clnfunc) () = atend;

public	struct tet_testlist tet_testlist[] = {
	 test1, 1,
	 test2, 2,
	 test3, 3,
	 test4, 4,
	 test5, 5,
	 test6, 6,
	 test7, 7,
	 test8, 8,
	 test9, 9,
	 test10, 10,
	 test11, 11,
	 test12, 12,
	 test13, 13,
	 test14, 14,
	 test15, 15,
	 test16, 16,
	 test17, 17,
	 test18, 18,
	 test19, 19,
	 test20, 20,
	 test21, 21,
	 test22, 22,
	 test23, 23,
	 test24, 24,
	 test25, 25,
	 test26, 26,
	 test27, 27,
	 test28, 28,
	 test29, 29,
	 test30, 30,
	 test31, 31,
	NULL, 0
};

private void test1()
{
        DBUG_ENTER("test1");
        xx_rpt(NOTINUSE);
        DBUG_VOID_RETURN
} 
private void test2()
{
        DBUG_ENTER("test2");
        xx_rpt(NOTINUSE);
        DBUG_VOID_RETURN
} 
private void test3()
{
        DBUG_ENTER("test3");
        xx_rpt(NOTINUSE);
        DBUG_VOID_RETURN
} 
private void test4()
{
        DBUG_ENTER("test4");
        xx_rpt(NOTINUSE);
        DBUG_VOID_RETURN
} 
private void test5()
{
        DBUG_ENTER("test5");
        xx_rpt(NOTINUSE);
        DBUG_VOID_RETURN
} 
private void test6()
{
        DBUG_ENTER("test6");
        xx_rpt(NOTINUSE);
        DBUG_VOID_RETURN
} 
private void test7()
{
        DBUG_ENTER("test7");
        xx_rpt(NOTINUSE);
        DBUG_VOID_RETURN
} 
private void test8()
{
        DBUG_ENTER("test8");
        xx_rpt(NOTINUSE);
        DBUG_VOID_RETURN
} 
private void test9()
{
        DBUG_ENTER("test9");
        xx_rpt(NOTINUSE);
        DBUG_VOID_RETURN
} 
private void test10()
{
        DBUG_ENTER("test10");
        xx_rpt(NOTINUSE);
        DBUG_VOID_RETURN
} 
private void test11()
{
        DBUG_ENTER("test11");
        xx_rpt(NOTINUSE);
        DBUG_VOID_RETURN
} 
private void test12()
{
        DBUG_ENTER("test12");
        xx_rpt(NOTINUSE);
        DBUG_VOID_RETURN
} 
private void test13()
{
        DBUG_ENTER("test13");
        xx_rpt(NOTINUSE);
        DBUG_VOID_RETURN
} 
private void test14()
{
        DBUG_ENTER("test14");
        xx_rpt(NOTINUSE);
        DBUG_VOID_RETURN
} 
private void test15()
{
        DBUG_ENTER("test15");
        xx_rpt(NOTINUSE);
        DBUG_VOID_RETURN
} 
private void test16()
{
        DBUG_ENTER("test16");
        xx_rpt(NOTINUSE);
        DBUG_VOID_RETURN
} 
private void test17()
{
        DBUG_ENTER("test17");
        xx_rpt(NOTINUSE);
        DBUG_VOID_RETURN
} 
private void test18()
{
        DBUG_ENTER("test18");
        xx_rpt(NOTINUSE);
        DBUG_VOID_RETURN
} 
private void test19()
{
        DBUG_ENTER("test19");
        xx_rpt(NOTINUSE);
        DBUG_VOID_RETURN
} 
private void test20()
{
        DBUG_ENTER("test20");
        xx_rpt(NOTINUSE);
        DBUG_VOID_RETURN
} 
private void test21()
{
        DBUG_ENTER("test21");
        xx_rpt(NOTINUSE);
        DBUG_VOID_RETURN
} 
private void test22()
{
        DBUG_ENTER("test22");
        xx_rpt(NOTINUSE);
        DBUG_VOID_RETURN
} 
private void test23()
{
        DBUG_ENTER("test23");
        xx_rpt(NOTINUSE);
        DBUG_VOID_RETURN
} 
private void test24()
{
        DBUG_ENTER("test24");
        xx_rpt(NOTINUSE);
        DBUG_VOID_RETURN
} 
private void test25()
{
        DBUG_ENTER("test25");
        xx_rpt(NOTINUSE);
        DBUG_VOID_RETURN
} 
private void test26()
{
        DBUG_ENTER("test26");
        xx_rpt(NOTINUSE);
        DBUG_VOID_RETURN
} 
private void test27()
{
        DBUG_ENTER("test27");
        xx_rpt(NOTINUSE);
        DBUG_VOID_RETURN
} 
private void test28()
{
        DBUG_ENTER("test28");
        xx_rpt(NOTINUSE);
        DBUG_VOID_RETURN
} 
private void test29()
{
        DBUG_ENTER("test29");
        xx_rpt(NOTINUSE);
        DBUG_VOID_RETURN
} 
private void test30()
{
        DBUG_ENTER("test30");
        xx_rpt(NOTINUSE);
        DBUG_VOID_RETURN
} 
private void test31()
{
        DBUG_ENTER("test31");
        xx_rpt(NOTINUSE);
        DBUG_VOID_RETURN
} 

