/*
* Copyright (c) 1997 X/Open Company Ltd., A member of The Open Group
*
* All rights reserved. No part of this source code may be reproduced,
* stored in a retrieval system, or transmitted, in any form or by any
* means, electronic, mechanical, photocopying, recording or otherwise,
* except as stated in the end-user licence agreement, without the prior
* permission of the copyright owners.
*
* Motif, OSF/1 and UNIX are registered trademarks and X/Open,
* the "X Device" and The Open Group are trademarks of The Open Group.
*
* Project: LSB-OS
*
* File: tset/LSB.os/mfiles/mmap_X/mmap_X.c
*
* Modifications:
* $Log: mmap_X.c,v $
* Revision 1.2  2001/10/02 09:58:04  ajosey
* make tests using shared memory funcs, notinuse since not in the LSB spec
*
* Revision 1.1  2001/05/27 06:59:17  cyeoh
* Adds files for lsb-os test suite
*
*/


#include	<vsrt/vsrt.h>

#define 	NO_TESTS	2	/* number of tests in testset */

#ifdef UNDEF_MACROS
#undef mmap
#endif

#define		WAITTIME	(5 * SPEEDFACTOR)

int	no_tests = NO_TESTS;

private void	test1();
private void	test2();


void atstart(void);
void atstart(void)
{
}
void atend(void);
void atend(void)
{
}

public	void	(*setfunc) () = atstart;
public	void	(*clnfunc) () = atend;

public	struct tet_testlist tet_testlist[] = {
	 test1, 1,
	 test2, 2,
	NULL, 0
};

private void test1()
{
        DBUG_ENTER("test1");

        xx_rpt(NOTINUSE);
        DBUG_VOID_RETURN
}

private void test2()
{
	DBUG_ENTER("test2");
        xx_rpt(NOTINUSE);
        DBUG_VOID_RETURN

} 
