/*
* Copyright (c) 1997 X/Open Company Ltd., A member of The Open Group
*
* All rights reserved. No part of this source code may be reproduced,
* stored in a retrieval system, or transmitted, in any form or by any
* means, electronic, mechanical, photocopying, recording or otherwise,
* except as stated in the end-user licence agreement, without the prior
* permission of the copyright owners.
*
* Motif, OSF/1 and UNIX are registered trademarks and X/Open,
* the "X Device" and The Open Group are trademarks of The Open Group.
*
* Project: LSB-OS
*
* File: tset/LSB.os/mfiles/munmap_X/munmap_X.c
*
* Modifications:
* $Log: munmap_X.c,v $
* Revision 1.2  2001/10/02 09:17:59  ajosey
* make testcases using functionality outside the LSB specification, notinuse
*
* Revision 1.1  2001/05/27 06:59:17  cyeoh
* Adds files for lsb-os test suite
*
*
*/

#include	<vsrt/vsrt.h>

#define 	NO_TESTS	1	/* number of tests in testset */

#ifdef UNDEF_MACROS
#undef munmap
#endif

#define		WAITTIME	(5 * SPEEDFACTOR)


int	no_tests = NO_TESTS;

private void	test1();


void atstart(void);
void atstart(void)
{
}
void atend(void);
void atend(void)
{
}

public	void	(*setfunc) () = atstart;
public	void	(*clnfunc) () = atend;

public	struct tet_testlist tet_testlist[] = {
	 test1, 1,
	NULL, 0
};


/* NOTINUSE for LSB-OS since  uses functionality outside the LSB Spec*/

private void test1()
{
	DBUG_ENTER("test1");

        xx_rpt(NOTINUSE);
        DBUG_VOID_RETURN
}

