/*
 *      SCCS: @(#)  POSIX.os/files/fstat/fstat_h.h Rel 4.4.1 (06/09/97)
 *
 *	UniSoft Ltd., London, England
 *
 * (C) Copyright 1992 X/Open Company Limited
 *
 * All rights reserved.  No part of this source code may be reproduced,
 * stored in a retrieval system, or transmitted, in any form or by any
 * means, electronic, mechanical, photocopying, recording or otherwise,
 * except as stated in the end-user licence agreement, without the prior
 * permission of the copyright owners.
 *
 * X/Open and the 'X' symbol are trademarks of X/Open Company Limited in
 * the UK and other countries.
 */

/***********************************************************************

NAME:		fstat_h.h

PROJECT:	XNFS (X/OPEN NFS tests)

DESCRIPTION:
	Definitions common to master and slave side of the fstat test set.

METHODS:
ASSUMES:
CONDITIONAL COMPILE PARAMS:
SIDE EFFECTS:
RELATED DOCUMENTS:
SOURCE:

AUTHOR:		David Sawyer, UniSoft Ltd.
DATE CREATED:	15 October 1992
MODIFICATIONS:
		Geoff Clare, 2 Nov 1993
			Added T2_*

************************************************************************/

/* files */
#define T2_FILE		"./fstat-t.2"
#define T4_FILE		"./fstat-t.4"

#if	   TEST_XNFS

/* test 1 sync points */
#define SP_T1_RTIME1_START	MK_SPNO(0)
#define SP_T1_RTIME2_START	MK_SPNO(1)

/* Test 2 sync points */
#define SP_T2_CREAT_END		MK_SPNO(0)
#define SP_T2_UNLINK_START	MK_SPNO(1)

/* test 4 sync points */
#define SP_T4_UNLINK_START	MK_SPNO(0)
#define SP_T4_UNLINK_END	MK_SPNO(1)

#endif	/* TEST_XNFS */
