/*
 *      SCCS: @(#)  POSIX.os/ioprim/write/write_h.h Rel 4.4.1 (06/09/97)
 *
 *	UniSoft Ltd., London, England
 *
 * (C) Copyright 1992 X/Open Company Limited
 *
 * All rights reserved.  No part of this source code may be reproduced,
 * stored in a retrieval system, or transmitted, in any form or by any
 * means, electronic, mechanical, photocopying, recording or otherwise,
 * except as stated in the end-user licence agreement, without the prior
 * permission of the copyright owners.
 *
 * X/Open and the 'X' symbol are trademarks of X/Open Company Limited in
 * the UK and other countries.
 */

/***********************************************************************

NAME:		write_h.h

PROJECT:	XNFS (X/OPEN NFS tests)

DESCRIPTION:
	Definitions common to master and slave side of the write test set.

METHODS:
ASSUMES:
CONDITIONAL COMPILE PARAMS:
SIDE EFFECTS:
RELATED DOCUMENTS:
SOURCE:

AUTHOR:		Neil Moses, UniSoft Ltd.
DATE CREATED:	5 October 1992
MODIFICATIONS:

************************************************************************/

#if TEST_XNFS

/* test files */
#define T26_FILE	"./write-t.26"
#define T27_FILE	"./write-t.27"

/* Test 26 sync points */
#define SP_T26_ESTALE		MK_SPNO(0)

/* Test 27 sync points */
#define SP_T27_EACCES 		MK_SPNO(0)

#endif /* TEST_XNFS */
