/*
 *      SCCS: @(#)  POSIX.os/procprim/_exit/_exit_h.h Rel 4.4.1 (06/09/97)
 *
 *	UniSoft Ltd., London, England
 *
 * (C) Copyright 1992 X/Open Company Limited
 *
 * All rights reserved.  No part of this source code may be reproduced,
 * stored in a retrieval system, or transmitted, in any form or by any
 * means, electronic, mechanical, photocopying, recording or otherwise,
 * except as stated in the end-user licence agreement, without the prior
 * permission of the copyright owners.
 *
 * X/Open and the 'X' symbol are trademarks of X/Open Company Limited in
 * the UK and other countries.
 */

/***********************************************************************

NAME:		_exit_h.h

PROJECT:	XNFS (X/OPEN NFS tests)

DESCRIPTION:
	Definitions common to master and slave side of the _exit test set.

METHODS:
ASSUMES:
CONDITIONAL COMPILE PARAMS:
SIDE EFFECTS:
RELATED DOCUMENTS:
SOURCE:

AUTHOR:		Neil Moses, UniSoft Ltd.
DATE CREATED:	2 October 1992
MODIFICATIONS:

************************************************************************/

#if TEST_XNFS

/* test data */
#define	T12_DATA	"abcde"

/* test files */
#define FILE12	"./t12_file"

/* Test 12 sync points */
#define SP_T12_CHECK_DATA_START 	MK_SPNO(0)
#define SP_T12_CHECK_DATA_END 		MK_SPNO(1)

#endif
