
/*************************************************************************
*
* Copyright (c) 1997 X/Open Company Ltd., A member of The Open Group
*
* All rights reserved.  No part of this source code may be reproduced,
* stored in a retrieval system, or transmitted, in any form or by any
* means, electronic, mechanical, photocopying, recording or otherwise,
* except as stated in the end-user licence agreement, without the prior
* permission of the copyright owners.
*
* Motif (R) and UNIX (R) are registered trademarks and 'IT DialTone' (TM),
* 'The Open Group' (TM) and the 'X Device' (TM) are trademarks of
* The Open Group.
*
*
*	testset for tset/PTHR.os/all/pthread_exit test 4
*
*	Written by Mount Bonnell Inc. Austin, Texas, USA
*	@(#)pthread_exit_4.c	1.7
*
*
*************************************************************************/

#if	( TEST_XPG <= 4 )	/* required in POSIX96 mode */
#include	<sys/types.h>
#endif

#include	<pthread.h>
#include	<stdio.h>

void	*t1_t1( void *arg );

int
main( int argc, char **argv )
{
	int		rval;
	pthread_t	tid;
	void		*tval;

	rval = pthread_create( &tid, NULL, t1_t1, NULL );
	if ( rval == 0 )
	{
		rval = pthread_join( tid, &tval );
		if ( rval == 0 )
		{
			(void) pthread_exit((void *) 2);
		}
	}

	if ( rval )
		exit(1);
}

void *
t1_t1( void *arg )
{
	pthread_exit((void *) 1);

	/* NOTREACHED */
	return((void *) 1);
}


