/* dv @(#)COMMONGABI/GABIINC/abi_dbug.h	1.3 00/11/17 */
/*
* (C) Copyright 1998 UniSoft Limited.
*
* All rights reserved.  No part of this source code may be reproduced,
* stored in a retrieval system, or transmitted, in any form or by any
* means, electronic, mechanical, photocopying, recording or otherwise,
* except as stated in the end-user licence agreement, without the prior
* permission of the copyright owners.
*/

#ifndef _ABI_DBUG_H
#define _ABI_DBUG_H

#define xx_fail		db_line = __LINE__, xx_dbfail
#define xx_unresolved	db_line = __LINE__, xx_dbunresolved
#define xx_untested	db_line = __LINE__, xx_dbuntested
#define xx_unsupported	db_line = __LINE__, xx_dbunsupported
#define xx_notinuse	db_line = __LINE__, xx_dbnotinuse
#define xx_rfi		db_line = __LINE__, xx_dbrfi

void xx_dbfail(char *fmt, ...);
void xx_dbunresolved(char *fmt, ...);
void xx_dbuntested(char *fmt, ...);
void xx_dbunsupported(char *fmt, ...);
void xx_dbnotinuse(char *fmt, ...);
void xx_dbrfi(char *fmt, ...);

extern int db_line;

#define CHECKPOINT(x) {\
if(pathok!=(x)) \
	xx_unresolved("%s(%d) : path trace error (%d expecting %d)",  \
		__FILE__, __LINE__, pathok, (x)); \
pathok=0; }

#endif /* _ABI_DBUG_H */
