/*
*      SCCS:   @(#)	chktimes.h 4.1 (01/21/97)  VSXgen release 1.4
*
*	UniSoft Ltd., London, England
*
* (C) Copyright 1991 X/Open Company Limited
*
* All rights reserved.  No part of this source code may be reproduced,
* stored in a retrieval system, or transmitted, in any form or by any
* means, electronic, mechanical, photocopying, recording or otherwise,
* except as stated in the end-user licence agreement, without the prior
* permission of the copyright owners.
*
* X/Open and the 'X' symbol are trademarks of X/Open Company Limited in
* the UK and other countries.
*/

/***********************************************************************

NAME:		chktimes.h - flags for genlib/chktimes()

PROJECT:	VSX (X/OPEN Validation Suite)

DESCRIPTION:
		ret = chktimes(file, NEWATIME | NEWMTIME | NEWCTIME);
		Combine flags as appropriate.
ASSUMES:

AUTHOR:		Geoff Clare, UniSoft Ltd.
DATE CREATED:	28 Sept 1988
MODIFICATIONS:	Joseph Nave 4 Mar 1989
		included fsavtimes and fchktimes

************************************************************************/

#define NEWATIME	01
#define NEWMTIME	02
#define NEWCTIME	04

extern void	savtimes();
extern char	*chktimes();
extern void	fsavtimes();
extern char	*fchktimes();
