/*
*	SCCS:	@(#)	INC/fault.h	4.1 (01/21/97)  VSXgen release 1.4
*
*	UniSoft Ltd., London, England
*
* (C) Copyright 1991 X/Open Company Limited
*
* All rights reserved.  No part of this source code may be reproduced,
* stored in a retrieval system, or transmitted, in any form or by any
* means, electronic, mechanical, photocopying, recording or otherwise,
* except as stated in the end-user licence agreement, without the prior
* permission of the copyright owners.
*
* X/Open and the 'X' symbol are trademarks of X/Open Company Limited in
* the UK and other countries.
*/

/***********************************************************************

NAME:		fault.h - used by tests that test EFAULT

PROJECT:	VSX (X/OPEN Validation Suite)

DESCRIPTION:
	defines struct fault.
AUTHOR:		Mike Rendell, UniSoft Ltd.
DATE CREATED:	Wed Nov 12 18:32:38 WET 1986
MODIFICATIONS:
************************************************************************/

#define	FAULTTIME	(SPEEDFACTOR * 5)

struct fault {
	int	f_sig;
	int	f_errno;
	union {
		int	f_int;
		long	f_long;
	} f_ret;
};
