/*
 *      SCCS: @(#)  INC/intfP.h 4.1 (01/21/97)  VSXgen release 1.4
 *
 *	UniSoft Ltd., London, England
 *
 * (C) Copyright 1992 X/Open Company Limited
 *
 * All rights reserved.  No part of this source code may be reproduced,
 * stored in a retrieval system, or transmitted, in any form or by any
 * means, electronic, mechanical, photocopying, recording or otherwise,
 * except as stated in the end-user licence agreement, without the prior
 * permission of the copyright owners.
 *
 * X/Open and the 'X' symbol are trademarks of X/Open Company Limited in
 * the UK and other countries.
 */

/***********************************************************************

NAME:		intfP.h

PROJECT:	XNFS (X/OPEN NFS tests)

DESCRIPTION:	Header file for interface functions for XNFS protocol tests

		This header must preceed any system headers in the same
		source file (because it includes <rpcincs.h>).

AUTHOR:		Matthew Newman, UniSoft Ltd.
DATE CREATED:
MODIFICATIONS:
		Geoff Clare, 14 Jan 1993
			New configurable header <rpcincs.h>

************************************************************************/

#include <rpcincs.h>	/* must preceed any system headers */
#include <limits.h>

#define XNFS	CLIENT
#define XNFSSVC	SVCXPRT
