/*
*	SCCS:	@(#)	INC/nlstest.h		4.1 (01/21/97)  VSXgen release 1.4
*
*
* (C) Copyright 1991 X/Open Company Limited
*
* All rights reserved.  No part of this source code may be reproduced,
* stored in a retrieval system, or transmitted, in any form or by any
* means, electronic, mechanical, photocopying, recording or otherwise,
* except as stated in the end-user licence agreement, without the prior
* permission of the copyright owners.
*
* X/Open and the 'X' symbol are trademarks of X/Open Company Limited in
* the UK and other countries.
*/

/***********************************************************************

NAME:		nlstest.h

PROJECT:	VSX (X/OPEN Validation Suite)

DESCRIPTION:	Language definitions for use with NLS testsets
REQUIRES PRIOR INCLUSION OF:
ASSUMES:

AUTHOR:		Andrew Twigger, UniSoft Ltd
DATE CREATED:	Aug 23, 1988 (XPG3 version)
MODIFICATIONS:
		Geoff Clare, 29 May 1992
			Rename languages to VSX4L1, etc.

************************************************************************/

#define	CLANG		"C"
#define	RAD1LANG	"VSX4L1"
#define	RAD2LANG	"VSX4L2"
#define	NORADIXLANG	"VSX4L0"
#define	NOINFOLANG	"VSX4L0"
#define	INFO1LANG	"VSX4L1"
#define	INFO2LANG	"VSX4L2"
#define	INFO3LANG	"VSX4L3"
#define	INFO4LANG	"VSX4L3@dict"
#define	UNDEFLANG	"UNDEFLANG"
#define	NONASCIILANG	"NON%ASCII%LANG"
#define VALCLANG	0
#define	VALRAD1LANG	2
#define	VALRAD2LANG	3
#define	VALNORADIXLANG	1
#define	VALNOINFOLANG	1
#define	VALINFO1LANG	2
#define	VALINFO2LANG	3
#define	VALINFO3LANG	4
#define	VALINFO4LANG	5
#define	VALUNDEFLANG	6
#define	VALNONASCIILANG	7
