/*
*	SCCS:	@(#)	INC/pslocale.h		4.1 (01/21/97)  VSXgen release 1.4
*
*
* (C) Copyright 1991 X/Open Company Limited
*
* All rights reserved.  No part of this source code may be reproduced
* stored in a retrieval system or transmitted in any form or by any
* means electronic mechanical photocopying recording or otherwise
* except as stated in the end-user licence agreement without the prior
* permission of the copyright owners.
*
* X/Open and the 'X' symbol are trademarks of X/Open Company Limited in
* the UK and other countries.
*/

/***********************************************************************

NAME:		pslocale.h

PROJECT:	VSX (X/OPEN Validation Suite)

DESCRIPTION:	Language constants for use with NLS testsets
REQUIRES PRIOR INCLUSION OF:
ASSUMES:

AUTHOR:		J.A. Nave UniSoft Ltd
DATE CREATED:	Thu Dec 13 16:36:07 GMT 1990
MODIFICATIONS:

************************************************************************/

#define		VSX_DECIMAL_POINT	0
#define		VSX_THOUSANDS_SEP	1
#define		VSX_GROUPING		2
#define		VSX_INT_CURR_SYMBOL	3
#define		VSX_CURRENCY_SYMBOL	4
#define		VSX_MON_DECIMAL_POINT	5
#define		VSX_MON_THOUSANDS_SEP	6
#define		VSX_MON_GROUPING	7
#define		VSX_POSITIVE_SIGN	8
#define		VSX_NEGATIVE_SIGN	9
#define		VSX_INT_FRAC_DIGITS	10
#define		VSX_FRAC_DIGITS		11
#define		VSX_P_CS_PRECEDES	12
#define		VSX_P_SEP_BY_SPACE	13
#define		VSX_N_CS_PRECEDES	14
#define		VSX_N_SEP_BY_SPACE	15
#define		VSX_P_SIGN_POSN		16
#define		VSX_N_SIGN_POSN		17

#define		NO_LCONV_ELEM		18

static	char	*l_names[NO_LCONV_ELEM] =	{
	"decimal_point",
	"thousand_sep",
	"grouping",
	"int_curr_symbol",
	"currency_symbol",
	"mon_decimal_point",
	"mon_thousands_sep",
	"mon_grouping",
	"positive_sign",
	"negative_sign",
	"int_frac_digits",
	"frac_digits",
	"p_cs_precedes",
	"p_sep_by_space",
	"n_cs_preceded",
	"n_sep_by_space",
	"p_sign_posn",
	"n_sign_posn"
};


