/*
*	SCCS:	@(#)	INC/report.h		4.1 (01/21/97)  VSXgen release 1.4
*
*	UniSoft Ltd., London, England
*
* (C) Copyright 1991 X/Open Company Limited
*
* All rights reserved.  No part of this source code may be reproduced,
* stored in a retrieval system, or transmitted, in any form or by any
* means, electronic, mechanical, photocopying, recording or otherwise,
* except as stated in the end-user licence agreement, without the prior
* permission of the copyright owners.
*
* X/Open and the 'X' symbol are trademarks of X/Open Company Limited in
* the UK and other countries.
*/

/***********************************************************************

NAME:		report.h - defines for xx_rpt()

PROJECT:	VSX (X/OPEN Validation Suite)

DESCRIPTION:
	defines for the "result" argument to xx_rpt()

REQUIRES PRIOR INCLUSION OF:
ASSUMES:

AUTHOR:		Mike Rendell, UniSoft Ltd.
DATE CREATED:	Thu Aug  7 19:43:01 PDT 1986
MODIFICATIONS:

************************************************************************/

#define	DELETION	'd'
#define	FAILURE		'f'
#define	RFI		'r'
#define WARNING		'w'
#define NOTINUSE	'n'
#define UNSUPPORTED	's'
#define UNTESTED	't'
#define	CANCELLED	'c'
#define UNREPORTED	'U'
