/*
*	SCCS:	@(#)	INC/ts_arc.h	4.1 (01/21/97)  VSXgen release 1.4
 *
 *	UniSoft Ltd., London, England
 *
* (C) Copyright 1991 X/Open Company Limited
*
* All rights reserved.  No part of this source code may be reproduced,
* stored in a retrieval system, or transmitted, in any form or by any
* means, electronic, mechanical, photocopying, recording or otherwise,
* except as stated in the end-user licence agreement, without the prior
* permission of the copyright owners.
*
* X/Open and the 'X' symbol are trademarks of X/Open Company Limited in
* the UK and other countries.
 */

/***********************************************************************

NAME:           cvsarc.h - include file for #defines concerning
			testset arcives.

PROJECT:        VSX (X/OPEN Validation Suite) C Languge Test

AUTHORS:        Mike Rendell, UniSoft Ltd.

************************************************************************/

#define	TS_HEADSIZE	13		/* size of header (magic + cnt + \n) */
#define	TS_MAGICSIZE	9		/* size of magic number in header */
#define	TS_MAGIC	"%CVS_ARC%"
#define	TS_NAMELEN	16		/* name field length */
#define	TS_SEEKLEN	10		/* seek field length */

#define	TS_FNAMELEN	8	/* length of a "proper" filename */
#define TS_CLASS	1	/* index to the [pni] in a filename */
#define TS_NUMBER	2	/* index to the [0-9][0-9] in a filename */
#define TS_COMP		4	/* index to the [CLEcle] in a filename */
#define TS_NLINK	5	/* index to the [0-9s] in a filename */
