/*
* Copyright (c) 1997 X/Open Company Ltd., A member of The Open Group
*
* All rights reserved. No part of this source code may be reproduced,
* stored in a retrieval system, or transmitted, in any form or by any
* means, electronic, mechanical, photocopying, recording or otherwise,
* except as stated in the end-user licence agreement, without the prior
* permission of the copyright owners.
*
* Motif, OSF/1 and UNIX are registered trademarks and X/Open,
* the "X Device" and The Open Group are trademarks of The Open Group.
*
* Developed for X/Open by Applied Testing and Technology, Inc.
*
* Project: VSRT
*
* File: SRC/INC/vsrt/vsrtthr.h
*
* Modifications:
* $Log: vsrtthr.h,v $
* Revision 1.1  2001/06/01 02:00:15  cyeoh
* Merges for lsb-os test suite
*
* Revision 11.1  2000/03/23 17:12:22  vsx
* added vsrt_pthread_join; removed const
*
* Revision 11.0  1999/03/22 19:46:38  andy
* Branch point for Release 5.0.3
*
* Revision 10.0  1999/02/08 16:44:11  andy
* Branch point for Release 5.0.3b1
*
* Revision 9.0  1998/07/15 18:57:32  andy
* Branch point for Release 5.0.2
*
* Revision 8.0  1998/06/18 22:21:39  andy
* Branch point for Release 5.0.2b2
*
* Revision 7.0  1998/05/25 01:53:25  andy
* Branch point for Release 5.0.2b1
*
* Revision 6.0  1998/01/04 02:33:34  tbr
* Branch point for Release vsrt 5.0.1A
*
* Revision 5.0  1997/11/26 21:44:15  andy
* Branch point for Release 5.0.1
*
* Revision 4.0  1997/10/22 15:42:50  dave
* Branch point for Release 5-0-0b1
*
* Revision 3.0  1997/07/27 18:16:13  andy
* Branch point for Release 5.0.0
*
* Revision 1.1  1997/07/25  00:12:59  srini
* Initial revision
*
*/

#ifndef _VSRTTHR_H_
#define _VSRTTHR_H_

#include <pthread.h>

/* prototypes for functions in vsrtlib/threads.c */
int vsrt_pthread_create(pthread_t *, pthread_attr_t *, void *(*)(void *), void *);
int vsrt_pthread_join(pthread_t, void **);
int vsrt_make_thread(pthread_t *, int, int, int, int, void *(*)(void *), void *);

#endif
