
/*************************************************************************
*
* Copyright (c) 1997 X/Open Company Ltd., A member of The Open Group
*
* All rights reserved.  No part of this source code may be reproduced,
* stored in a retrieval system, or transmitted, in any form or by any
* means, electronic, mechanical, photocopying, recording or otherwise,
* except as stated in the end-user licence agreement, without the prior
* permission of the copyright owners.
*
* Motif (R) and UNIX (R) are registered trademarks and 'IT DialTone' (TM),
* 'The Open Group' (TM) and the 'X Device' (TM) are trademarks of
* The Open Group.
*
*
*	Written by Mount Bonnell Inc. Austin, Texas, USA
*	@(#)vsth_fs.h	1.4
*
*************************************************************************/


/****** externs for PTHR.os/all/General test 2 tested functions	******/

extern int	fgetc_fsf();
extern int	fgetc_ftf();
extern int	fgetc_fef();

extern int	fgets_fsf();
extern int	fgets_ftf();
extern int	fgets_fef();

extern int	fprintf_fsf();
extern int	fprintf_ftf();
extern int	fprintf_fef();

extern int	fputc_fsf();
extern int	fputc_ftf();
extern int	fputc_fef();

extern int	fputs_fsf();
extern int	fputs_ftf();
extern int	fputs_fef();

extern int	fread_fsf();
extern int	fread_ftf();
extern int	fread_fef();

extern int	fscanf_fsf();
extern int	fscanf_ftf();
extern int	fscanf_fef();

#if	( TEST_XPG > 4 )
extern int	fwprintf_fsf();
extern int	fwprintf_ftf();
extern int	fwprintf_fef();
#endif

extern int	fwrite_fsf();
extern int	fwrite_ftf();
extern int	fwrite_fef();

#if	( TEST_XPG > 4 )
extern int	fwscanf_fsf();
extern int	fwscanf_ftf();
extern int	fwscanf_fef();
#endif

extern int	getc_fsf();
extern int	getc_ftf();
extern int	getc_fef();

#if	( TEST_XPG > 4 )
#if	defined(_XOPEN_LEGACY) && (_XOPEN_LEGACY != -1)
extern int	getw_fsf();
extern int	getw_ftf();
extern int	getw_fef();
#endif
#endif

extern int	putc_fsf();
extern int	putc_ftf();
extern int	putc_fef();

#if	( TEST_XPG > 4 )
#if	defined(_XOPEN_LEGACY) && (_XOPEN_LEGACY != -1)
extern int	putw_fsf();
extern int	putw_ftf();
extern int	putw_fef();
#endif
#endif

extern int	vfprintf_fsf();
extern int	vfprintf_ftf();
extern int	vfprintf_fef();

#if	( TEST_XPG > 4 )
extern int	vfwprintf_fsf();
extern int	vfwprintf_ftf();
extern int	vfwprintf_fef();
#endif

