
/*************************************************************************
*
* Copyright (c) 1997 X/Open Company Ltd., A member of The Open Group
*
* All rights reserved.  No part of this source code may be reproduced,
* stored in a retrieval system, or transmitted, in any form or by any
* means, electronic, mechanical, photocopying, recording or otherwise,
* except as stated in the end-user licence agreement, without the prior
* permission of the copyright owners.
*
* Motif (R) and UNIX (R) are registered trademarks and 'IT DialTone' (TM),
* 'The Open Group' (TM) and the 'X Device' (TM) are trademarks of
* The Open Group.
*
*
*	Written by Mount Bonnell Inc. Austin, Texas, USA
*	@(#)vsth_rt.h	1.12
*
*************************************************************************/



/* External declarations for RT wrappers */

#if	( TEST_XPG > 4 )
extern int	FPD_CLR_sf();
extern int	FPD_CLR_tf();
extern int	FPD_CLR_ef();
#endif

#if	( TEST_XPG > 4 )
extern int	FD_ISSET_sf();
extern int	FD_ISSET_tf();
extern int	FD_ISSET_ef();
#endif

#if	( TEST_XPG > 4 )
extern int	FD_SET_sf();
extern int	FD_SET_tf();
extern int	FD_SET_ef();
#endif

#if	( TEST_XPG > 4 )
extern int	FD_ZERO_sf();
extern int	FD_ZERO_tf();
extern int	FD_ZERO_ef();
#endif

extern int	_exit_sf();
extern int	_exit_tf();
extern int	_exit_ef();

#if	( TEST_XPG > 4 )
extern int	_longjmp_sf();
extern int	_longjmp_tf();
extern int	_longjmp_ef();
#endif

#if	( TEST_XPG > 4 )
extern int	_setjmp_sf();
extern int	_setjmp_tf();
extern int	_setjmp_ef();
#endif

#if	( TEST_XPG > 4 )
extern int	_tolower_sf();
extern int	_tolower_tf();
extern int	_tolower_ef();
#endif

#if	( TEST_XPG > 4 )
extern int	_toupper_sf();
extern int	_toupper_tf();
extern int	_toupper_ef();
#endif

#if	( TEST_XPG > 4 )
extern int	a64l_sf();
extern int	a64l_tf();
extern int	a64l_ef();
#endif

extern int	abort_sf();
extern int	abort_tf();
extern int	abort_ef();

extern int	abs_sf();
extern int	abs_tf();
extern int	abs_ef();

extern int	access_sf();
extern int	access_tf();
extern int	access_ef();

extern int	acos_sf();
extern int	acos_tf();
extern int	acos_ef();

#if	( TEST_XPG > 4 )
extern int	acosh_sf();
extern int	acosh_tf();
extern int	acosh_ef();
#endif

#if	( TEST_XPG > 4 )
#if	defined(_XOPEN_LEGACY) && (_XOPEN_LEGACY != -1)
extern int	advance_sf();
extern int	advance_tf();
extern int	advance_ef();
#endif
#endif

#if	defined(_POSIX_ASYNCHRONOUS_IO)
extern int	aio_cancel_sf();
extern int	aio_cancel_tf();
extern int	aio_cancel_ef();
#endif

#if	defined(_POSIX_ASYNCHRONOUS_IO)
extern int	aio_error_sf();
extern int	aio_error_tf();
extern int	aio_error_ef();
#endif

#if	defined(_POSIX_ASYNCHRONOUS_IO) && defined(_POSIX_SYNCHRONIZED_IO)
extern int	aio_fsync_sf();
extern int	aio_fsync_tf();
extern int	aio_fsync_ef();
#endif

#if	defined(_POSIX_ASYNCHRONOUS_IO)
extern int	aio_read_sf();
extern int	aio_read_tf();
extern int	aio_read_ef();
#endif

#if	defined(_POSIX_ASYNCHRONOUS_IO)
extern int	aio_return_sf();
extern int	aio_return_tf();
extern int	aio_return_ef();
#endif

#if	defined(_POSIX_ASYNCHRONOUS_IO)
extern int	aio_suspend_sf();
extern int	aio_suspend_tf();
extern int	aio_suspend_ef();
#endif

#if	defined(_POSIX_ASYNCHRONOUS_IO)
extern int	aio_write_sf();
extern int	aio_write_tf();
extern int	aio_write_ef();
#endif

extern int	alarm_sf();
extern int	alarm_tf();
extern int	alarm_ef();

extern int	asctime_sf();
extern int	asctime_tf();
extern int	asctime_ef();

extern int	asin_sf();
extern int	asin_tf();
extern int	asin_ef();

#if	( TEST_XPG > 4 )
extern int	asinh_sf();
extern int	asinh_tf();
extern int	asinh_ef();
#endif

extern int	assert_sf();
extern int	assert_tf();
extern int	assert_ef();

extern int	atan_sf();
extern int	atan_tf();
extern int	atan_ef();

extern int	atan2_sf();
extern int	atan2_tf();
extern int	atan2_ef();

#if	( TEST_XPG > 4 )
extern int	atanh_sf();
extern int	atanh_tf();
extern int	atanh_ef();
#endif

extern int	atexit_sf();
extern int	atexit_tf();
extern int	atexit_ef();

extern int	atof_sf();
extern int	atof_tf();
extern int	atof_ef();

extern int	atoi_sf();
extern int	atoi_tf();
extern int	atoi_ef();

extern int	atol_sf();
extern int	atol_tf();
extern int	atol_ef();

#if	( TEST_XPG > 4 )
extern int	basename_sf();
extern int	basename_tf();
extern int	basename_ef();
#endif

#if	( TEST_XPG > 4 )
extern int	bcmp_sf();
extern int	bcmp_tf();
extern int	bcmp_ef();
#endif

#if	( TEST_XPG > 4 )
extern int	bcopy_sf();
extern int	bcopy_tf();
extern int	bcopy_ef();
#endif

#if	( TEST_XPG > 4 )
#if	defined(_XOPEN_LEGACY) && (_XOPEN_LEGACY != -1)
extern int	brk_sf();
extern int	brk_tf();
extern int	brk_ef();
#endif
#endif

#if	( TEST_XPG > 4 )
extern int	bsd_signal_sf();
extern int	bsd_signal_tf();
extern int	bsd_signal_ef();
#endif

extern int	bsearch_sf();
extern int	bsearch_tf();
extern int	bsearch_ef();

#if	( TEST_XPG > 4 )
extern int	btowc_sf();
extern int	btowc_tf();
extern int	btowc_ef();
#endif

#if	( TEST_XPG > 4 )
extern int	bzero_sf();
extern int	bzero_tf();
extern int	bzero_ef();
#endif

extern int	calloc_sf();
extern int	calloc_tf();
extern int	calloc_ef();

#if	( TEST_XPG > 4 )
extern int	catclose_sf();
extern int	catclose_tf();
extern int	catclose_ef();
#endif

#if	( TEST_XPG > 4 )
extern int	catgets_sf();
extern int	catgets_tf();
extern int	catgets_ef();
#endif

#if	( TEST_XPG > 4 )
extern int	catopen_sf();
extern int	catopen_tf();
extern int	catopen_ef();
#endif

#if	( TEST_XPG > 4 )
extern int	cbrt_sf();
extern int	cbrt_tf();
extern int	cbrt_ef();
#endif

extern int	ceil_sf();
extern int	ceil_tf();
extern int	ceil_ef();

extern int	cfgetispeed_sf();
extern int	cfgetispeed_tf();
extern int	cfgetispeed_ef();

extern int	cfgetospeed_sf();
extern int	cfgetospeed_tf();
extern int	cfgetospeed_ef();

extern int	cfsetispeed_sf();
extern int	cfsetispeed_tf();
extern int	cfsetispeed_ef();

extern int	cfsetospeed_sf();
extern int	cfsetospeed_tf();
extern int	cfsetospeed_ef();

extern int	chdir_sf();
extern int	chdir_tf();
extern int	chdir_ef();

extern int	chmod_sf();
extern int	chmod_tf();
extern int	chmod_ef();

extern int	chown_sf();
extern int	chown_tf();
extern int	chown_ef();

#if	( TEST_XPG > 4 )
#if	defined(_XOPEN_LEGACY) && (_XOPEN_LEGACY != -1)
extern int	chroot_sf();
extern int	chroot_tf();
extern int	chroot_ef();
#endif
#endif

extern int	clearerr_sf();
extern int	clearerr_tf();
extern int	clearerr_ef();

extern int	clock_sf();
extern int	clock_tf();
extern int	clock_ef();

#if	defined(_POSIX_TIMERS)
extern int	clock_getres_sf();
extern int	clock_getres_tf();
extern int	clock_getres_ef();
#endif

#if	defined(_POSIX_TIMERS)
extern int	clock_gettime_sf();
extern int	clock_gettime_tf();
extern int	clock_gettime_ef();
#endif

#if	defined(_POSIX_TIMERS)
extern int	clock_settime_sf();
extern int	clock_settime_tf();
extern int	clock_settime_ef();
#endif

extern int	close_sf();
extern int	close_tf();
extern int	close_ef();

extern int	closedir_sf();
extern int	closedir_tf();
extern int	closedir_ef();

#if	( TEST_XPG > 4 )
extern int	closelog_sf();
extern int	closelog_tf();
extern int	closelog_ef();
#endif

#if	( TEST_XPG > 4 )
#if	defined(_XOPEN_LEGACY) && (_XOPEN_LEGACY != -1)
extern int	compile_sf();
extern int	compile_tf();
extern int	compile_ef();
#endif
#endif

#if	( TEST_XPG > 4 )
extern int	confstr_sf();
extern int	confstr_tf();
extern int	confstr_ef();
#endif

extern int	cos_sf();
extern int	cos_tf();
extern int	cos_ef();

extern int	cosh_sf();
extern int	cosh_tf();
extern int	cosh_ef();

extern int	creat_sf();
extern int	creat_tf();
extern int	creat_ef();

#if	( TEST_XPG > 4 )
#if	defined(_XOPEN_CRYPT) && (_XOPEN_CRYPT != -1)
extern int	crypt_sf();
extern int	crypt_tf();
extern int	crypt_ef();
#endif
#endif

extern int	ctermid_sf();
extern int	ctermid_tf();
extern int	ctermid_ef();

extern int	ctime_sf();
extern int	ctime_tf();
extern int	ctime_ef();

#if	defined(_POSIX_THREAD_SAFE_FUNCTIONS)
extern int	ctime_r_sf();
extern int	ctime_r_tf();
extern int	ctime_r_ef();
#endif

#if	( TEST_XPG > 4 )
#if	defined(_XOPEN_LEGACY) && (_XOPEN_LEGACY != -1)
extern int	cuserid_sf();
extern int	cuserid_tf();
extern int	cuserid_ef();
#endif
#endif

#if	( TEST_XPG > 4 )
extern int	dbm_clearerr_sf();
extern int	dbm_clearerr_tf();
extern int	dbm_clearerr_ef();
#endif

#if	( TEST_XPG > 4 )
extern int	dbm_close_sf();
extern int	dbm_close_tf();
extern int	dbm_close_ef();
#endif

#if	( TEST_XPG > 4 )
extern int	dbm_delete_sf();
extern int	dbm_delete_tf();
extern int	dbm_delete_ef();
#endif

#if	( TEST_XPG > 4 )
extern int	dbm_error_sf();
extern int	dbm_error_tf();
extern int	dbm_error_ef();
#endif

#if	( TEST_XPG > 4 )
extern int	dbm_fetch_sf();
extern int	dbm_fetch_tf();
extern int	dbm_fetch_ef();
#endif

#if	( TEST_XPG > 4 )
extern int	dbm_firstkey_sf();
extern int	dbm_firstkey_tf();
extern int	dbm_firstkey_ef();
#endif

#if	( TEST_XPG > 4 )
extern int	dbm_nextkey_sf();
extern int	dbm_nextkey_tf();
extern int	dbm_nextkey_ef();
#endif

#if	( TEST_XPG > 4 )
extern int	dbm_open_sf();
extern int	dbm_open_tf();
extern int	dbm_open_ef();
#endif

#if	( TEST_XPG > 4 )
extern int	dbm_store_sf();
extern int	dbm_store_tf();
extern int	dbm_store_ef();
#endif

extern int	difftime_sf();
extern int	difftime_tf();
extern int	difftime_ef();

#if	( TEST_XPG > 4 )
extern int	dirname_sf();
extern int	dirname_tf();
extern int	dirname_ef();
#endif

extern int	div_sf();
extern int	div_tf();
extern int	div_ef();

#if	( TEST_XPG > 4 )
extern int	dlclose_sf();
extern int	dlclose_tf();
extern int	dlclose_ef();
#endif

#if	( TEST_XPG > 4 )
extern int	dlerror_sf();
extern int	dlerror_tf();
extern int	dlerror_ef();
#endif

#if	( TEST_XPG > 4 )
extern int	dlopen_sf();
extern int	dlopen_tf();
extern int	dlopen_ef();
#endif

#if	( TEST_XPG > 4 )
extern int	dlsym_sf();
extern int	dlsym_tf();
extern int	dlsym_ef();
#endif

#if	( TEST_XPG > 4 )
extern int	drand48_sf();
extern int	drand48_tf();
extern int	drand48_ef();
#endif

extern int	dup_sf();
extern int	dup_tf();
extern int	dup_ef();

extern int	dup2_sf();
extern int	dup2_tf();
extern int	dup2_ef();

#if	( TEST_XPG > 4 )
extern int	ecvt_sf();
extern int	ecvt_tf();
extern int	ecvt_ef();
#endif

#if	( TEST_XPG > 4 )
#if	defined(_XOPEN_CRYPT) && (_XOPEN_CRYPT != -1)
extern int	encrypt_sf();
extern int	encrypt_tf();
extern int	encrypt_ef();
#endif
#endif

#if	( TEST_XPG > 4 )
extern int	endgrent_sf();
extern int	endgrent_tf();
extern int	endgrent_ef();
#endif

#if	( TEST_XPG > 4 )
extern int	endpwent_sf();
extern int	endpwent_tf();
extern int	endpwent_ef();
#endif

#if	( TEST_XPG > 4 )
extern int	endutxent_sf();
extern int	endutxent_tf();
extern int	endutxent_ef();
#endif

#if	( TEST_XPG > 4 )
extern int	erand48_sf();
extern int	erand48_tf();
extern int	erand48_ef();
#endif

#if	( TEST_XPG > 4 )
extern int	erf_sf();
extern int	erf_tf();
extern int	erf_ef();
#endif

#if	( TEST_XPG > 4 )
extern int	erfc_sf();
extern int	erfc_tf();
extern int	erfc_ef();
#endif

extern int	execl_sf();
extern int	execl_tf();
extern int	execl_ef();

extern int	execle_sf();
extern int	execle_tf();
extern int	execle_ef();

extern int	execlp_sf();
extern int	execlp_tf();
extern int	execlp_ef();

extern int	execv_sf();
extern int	execv_tf();
extern int	execv_ef();

extern int	execve_sf();
extern int	execve_tf();
extern int	execve_ef();

extern int	execvp_sf();
extern int	execvp_tf();
extern int	execvp_ef();

extern int	exit_sf();
extern int	exit_tf();
extern int	exit_ef();

extern int	exp_sf();
extern int	exp_tf();
extern int	exp_ef();

#if	( TEST_XPG > 4 )
extern int	expm1_sf();
extern int	expm1_tf();
extern int	expm1_ef();
#endif

extern int	fabs_sf();
extern int	fabs_tf();
extern int	fabs_ef();

#if	( TEST_XPG > 4 )
extern int	fattach_sf();
extern int	fattach_tf();
extern int	fattach_ef();
#endif

#if	( TEST_XPG > 4 )
extern int	fchdir_sf();
extern int	fchdir_tf();
extern int	fchdir_ef();
#endif

extern int	fchmod_sf();
extern int	fchmod_tf();
extern int	fchmod_ef();

#if	( TEST_XPG > 4 )
extern int	fchown_sf();
extern int	fchown_tf();
extern int	fchown_ef();
#endif

extern int	fclose_sf();
extern int	fclose_tf();
extern int	fclose_ef();

extern int	fcntl_sf();
extern int	fcntl_tf();
extern int	fcntl_ef();

#if	( TEST_XPG > 4 )
extern int	fcvt_sf();
extern int	fcvt_tf();
extern int	fcvt_ef();
#endif

#if	defined(_POSIX_SYNCHRONIZED_IO)
extern int	fdatasync_sf();
extern int	fdatasync_tf();
extern int	fdatasync_ef();
#endif

#if	( TEST_XPG > 4 )
extern int	fdetach_sf();
extern int	fdetach_tf();
extern int	fdetach_ef();
#endif

extern int	fdopen_sf();
extern int	fdopen_tf();
extern int	fdopen_ef();

extern int	feof_sf();
extern int	feof_tf();
extern int	feof_ef();

extern int	ferror_sf();
extern int	ferror_tf();
extern int	ferror_ef();

extern int	fflush_sf();
extern int	fflush_tf();
extern int	fflush_ef();

#if	( TEST_XPG > 4 )
extern int	ffs_sf();
extern int	ffs_tf();
extern int	ffs_ef();
#endif

extern int	fgetc_sf();
extern int	fgetc_tf();
extern int	fgetc_ef();

extern int	fgetpos_sf();
extern int	fgetpos_tf();
extern int	fgetpos_ef();

extern int	fgets_sf();
extern int	fgets_tf();
extern int	fgets_ef();

#if	( TEST_XPG > 4 )
extern int	fgetwc_sf();
extern int	fgetwc_tf();
extern int	fgetwc_ef();
#endif

#if	( TEST_XPG > 4 )
extern int	fgetws_sf();
extern int	fgetws_tf();
extern int	fgetws_ef();
#endif

extern int	fileno_sf();
extern int	fileno_tf();
extern int	fileno_ef();

#if	defined(_POSIX_THREAD_SAFE_FUNCTIONS)
extern int	flockfile_sf();
extern int	flockfile_tf();
extern int	flockfile_ef();
#endif

extern int	floor_sf();
extern int	floor_tf();
extern int	floor_ef();

extern int	fmod_sf();
extern int	fmod_tf();
extern int	fmod_ef();

#if	( TEST_XPG > 4 )
extern int	fmtmsg_sf();
extern int	fmtmsg_tf();
extern int	fmtmsg_ef();
#endif

#if	( TEST_XPG > 4 )
extern int	fnmatch_sf();
extern int	fnmatch_tf();
extern int	fnmatch_ef();
#endif

extern int	fopen_sf();
extern int	fopen_tf();
extern int	fopen_ef();

extern int	fork_sf();
extern int	fork_tf();
extern int	fork_ef();

extern int	fpathconf_sf();
extern int	fpathconf_tf();
extern int	fpathconf_ef();

extern int	fprintf_sf();
extern int	fprintf_tf();
extern int	fprintf_ef();

extern int	fputc_sf();
extern int	fputc_tf();
extern int	fputc_ef();

extern int	fputs_sf();
extern int	fputs_tf();
extern int	fputs_ef();

#if	( TEST_XPG > 4 )
extern int	fputwc_sf();
extern int	fputwc_tf();
extern int	fputwc_ef();
#endif

#if	( TEST_XPG > 4 )
extern int	fputws_sf();
extern int	fputws_tf();
extern int	fputws_ef();
#endif

extern int	fread_sf();
extern int	fread_tf();
extern int	fread_ef();

extern int	free_sf();
extern int	free_tf();
extern int	free_ef();

extern int	freopen_sf();
extern int	freopen_tf();
extern int	freopen_ef();

extern int	frexp_sf();
extern int	frexp_tf();
extern int	frexp_ef();

extern int	fscanf_sf();
extern int	fscanf_tf();
extern int	fscanf_ef();

extern int	fseek_sf();
extern int	fseek_tf();
extern int	fseek_ef();

extern int	fsetpos_sf();
extern int	fsetpos_tf();
extern int	fsetpos_ef();

extern int	fstat_sf();
extern int	fstat_tf();
extern int	fstat_ef();

#if	( TEST_XPG > 4 )
extern int	fstatvfs_sf();
extern int	fstatvfs_tf();
extern int	fstatvfs_ef();
#endif

#if	defined(_POSIX_FSYNC)
extern int	fsync_sf();
extern int	fsync_tf();
extern int	fsync_ef();
#endif

extern int	ftell_sf();
extern int	ftell_tf();
extern int	ftell_ef();

#if	( TEST_XPG > 4 )
extern int	ftello_sf();
extern int	ftello_tf();
extern int	ftello_ef();
#endif

#if	( TEST_XPG > 4 )
extern int	ftime_sf();
extern int	ftime_tf();
extern int	ftime_ef();
#endif

#if	( TEST_XPG > 4 )
extern int	ftok_sf();
extern int	ftok_tf();
extern int	ftok_ef();
#endif

extern int	ftruncate_sf();
extern int	ftruncate_tf();
extern int	ftruncate_ef();

#if	defined(_POSIX_THREAD_SAFE_FUNCTIONS)
extern int	ftrylockfile_sf();
extern int	ftrylockfile_tf();
extern int	ftrylockfile_ef();
#endif

#if	( TEST_XPG > 4 )
extern int	ftw_sf();
extern int	ftw_tf();
extern int	ftw_ef();
#endif

#if	defined(_POSIX_THREAD_SAFE_FUNCTIONS)
extern int	funlockfile_sf();
extern int	funlockfile_tf();
extern int	funlockfile_ef();
#endif

#if	( TEST_XPG > 4 )
extern int	fwide_sf();
extern int	fwide_tf();
extern int	fwide_ef();
#endif

#if	( TEST_XPG > 4 )
extern int	fwprintf_sf();
extern int	fwprintf_tf();
extern int	fwprintf_ef();
#endif

extern int	fwrite_sf();
extern int	fwrite_tf();
extern int	fwrite_ef();

#if	( TEST_XPG > 4 )
extern int	fwscanf_sf();
extern int	fwscanf_tf();
extern int	fwscanf_ef();
#endif

#if	( TEST_XPG > 4 )
#if	defined(_XOPEN_LEGACY) && (_XOPEN_LEGACY != -1)
extern int	gamma_sf();
extern int	gamma_tf();
extern int	gamma_ef();
#endif
#endif

#if	( TEST_XPG > 4 )
extern int	gcvt_sf();
extern int	gcvt_tf();
extern int	gcvt_ef();
#endif

extern int	getc_sf();
extern int	getc_tf();
extern int	getc_ef();

extern int	getc_unlocked_sf();
extern int	getc_unlocked_tf();
extern int	getc_unlocked_ef();

extern int	getchar_sf();
extern int	getchar_tf();
extern int	getchar_ef();

extern int	getchar_unlocked_sf();
extern int	getchar_unlocked_tf();
extern int	getchar_unlocked_ef();

#if	( TEST_XPG > 4 )
extern int	getcontext_sf();
extern int	getcontext_tf();
extern int	getcontext_ef();
#endif

extern int	getcwd_sf();
extern int	getcwd_tf();
extern int	getcwd_ef();

#if	( TEST_XPG > 4 )
extern int	getdate_sf();
extern int	getdate_tf();
extern int	getdate_ef();
#endif

#if	( TEST_XPG > 4 )
#if	defined(_XOPEN_LEGACY) && (_XOPEN_LEGACY != -1)
extern int	getdtablesize_sf();
extern int	getdtablesize_tf();
extern int	getdtablesize_ef();
#endif
#endif

extern int	getegid_sf();
extern int	getegid_tf();
extern int	getegid_ef();

extern int	getenv_sf();
extern int	getenv_tf();
extern int	getenv_ef();

extern int	geteuid_sf();
extern int	geteuid_tf();
extern int	geteuid_ef();

extern int	getgid_sf();
extern int	getgid_tf();
extern int	getgid_ef();

#if	( TEST_XPG > 4 )
extern int	getgrent_sf();
extern int	getgrent_tf();
extern int	getgrent_ef();
#endif

extern int	getgrgid_sf();
extern int	getgrgid_tf();
extern int	getgrgid_ef();

#if	defined(_POSIX_THREAD_SAFE_FUNCTIONS)
extern int	getgrgid_r_sf();
extern int	getgrgid_r_tf();
extern int	getgrgid_r_ef();
#endif

extern int	getgrnam_sf();
extern int	getgrnam_tf();
extern int	getgrnam_ef();

#if	defined(_POSIX_THREAD_SAFE_FUNCTIONS)
extern int	getgrnam_r_sf();
extern int	getgrnam_r_tf();
extern int	getgrnam_r_ef();
#endif

extern int	getgroups_sf();
extern int	getgroups_tf();
extern int	getgroups_ef();

#if	( TEST_XPG > 4 )
extern int	gethostid_sf();
extern int	gethostid_tf();
extern int	gethostid_ef();
#endif

#if	( TEST_XPG > 4 )
extern int	getitimer_sf();
extern int	getitimer_tf();
extern int	getitimer_ef();
#endif

extern int	getlogin_sf();
extern int	getlogin_tf();
extern int	getlogin_ef();

#if	defined(_POSIX_THREAD_SAFE_FUNCTIONS)
extern int	getlogin_r_sf();
extern int	getlogin_r_tf();
extern int	getlogin_r_ef();
#endif

#if	( TEST_XPG > 4 )
extern int	getmsg_sf();
extern int	getmsg_tf();
extern int	getmsg_ef();
#endif

#if	( TEST_XPG > 4 )
extern int	getopt_sf();
extern int	getopt_tf();
extern int	getopt_ef();
#endif

#if	( TEST_XPG > 4 )
#if	defined(_XOPEN_LEGACY) && (_XOPEN_LEGACY != -1)
extern int	getpagesize_sf();
extern int	getpagesize_tf();
extern int	getpagesize_ef();
#endif
#endif

#if	( TEST_XPG > 4 )
#if	defined(_XOPEN_LEGACY) && (_XOPEN_LEGACY != -1)
extern int	getpass_sf();
extern int	getpass_tf();
extern int	getpass_ef();
#endif
#endif

#if	( TEST_XPG > 4 )
extern int	getpgid_sf();
extern int	getpgid_tf();
extern int	getpgid_ef();
#endif

extern int	getpgrp_sf();
extern int	getpgrp_tf();
extern int	getpgrp_ef();

extern int	getpid_sf();
extern int	getpid_tf();
extern int	getpid_ef();

#if	( TEST_XPG > 4 )
extern int	getpmsg_sf();
extern int	getpmsg_tf();
extern int	getpmsg_ef();
#endif

extern int	getppid_sf();
extern int	getppid_tf();
extern int	getppid_ef();

#if	( TEST_XPG > 4 )
extern int	getpriority_sf();
extern int	getpriority_tf();
extern int	getpriority_ef();
#endif

#if	( TEST_XPG > 4 )
extern int	getpwent_sf();
extern int	getpwent_tf();
extern int	getpwent_ef();
#endif

extern int	getpwnam_sf();
extern int	getpwnam_tf();
extern int	getpwnam_ef();

#if	defined(_POSIX_THREAD_SAFE_FUNCTIONS)
extern int	getpwnam_r_sf();
extern int	getpwnam_r_tf();
extern int	getpwnam_r_ef();
#endif

extern int	getpwuid_sf();
extern int	getpwuid_tf();
extern int	getpwuid_ef();

#if	defined(_POSIX_THREAD_SAFE_FUNCTIONS)
extern int	getpwuid_r_sf();
extern int	getpwuid_r_tf();
extern int	getpwuid_r_ef();
#endif

#if	( TEST_XPG > 4 )
extern int	getrlimit_sf();
extern int	getrlimit_tf();
extern int	getrlimit_ef();
#endif

#if	( TEST_XPG > 4 )
extern int	getrusage_sf();
extern int	getrusage_tf();
extern int	getrusage_ef();
#endif

extern int	gets_sf();
extern int	gets_tf();
extern int	gets_ef();

#if	( TEST_XPG > 4 )
extern int	getsid_sf();
extern int	getsid_tf();
extern int	getsid_ef();
#endif

#if	( TEST_XPG > 4 )
extern int	getsubopt_sf();
extern int	getsubopt_tf();
extern int	getsubopt_ef();
#endif

#if	( TEST_XPG > 4 )
extern int	gettimeofday_sf();
extern int	gettimeofday_tf();
extern int	gettimeofday_ef();
#endif

extern int	getuid_sf();
extern int	getuid_tf();
extern int	getuid_ef();

#if	( TEST_XPG > 4 )
extern int	getutxent_sf();
extern int	getutxent_tf();
extern int	getutxent_ef();
#endif

#if	( TEST_XPG > 4 )
extern int	getutxid_sf();
extern int	getutxid_tf();
extern int	getutxid_ef();
#endif

#if	( TEST_XPG > 4 )
extern int	getutxline_sf();
extern int	getutxline_tf();
extern int	getutxline_ef();
#endif

#if	( TEST_XPG > 4 )
#if	defined(_XOPEN_LEGACY) && (_XOPEN_LEGACY != -1)
extern int	getw_sf();
extern int	getw_tf();
extern int	getw_ef();
#endif
#endif

#if	( TEST_XPG > 4 )
extern int	getwc_sf();
extern int	getwc_tf();
extern int	getwc_ef();
#endif

#if	( TEST_XPG > 4 )
extern int	getwchar_sf();
extern int	getwchar_tf();
extern int	getwchar_ef();
#endif

#if	( TEST_XPG > 4 )
extern int	getwd_sf();
extern int	getwd_tf();
extern int	getwd_ef();
#endif

#if	( TEST_XPG > 4 )
extern int	glob_sf();
extern int	glob_tf();
extern int	glob_ef();
#endif

extern int	gmtime_sf();
extern int	gmtime_tf();
extern int	gmtime_ef();

#if	defined(_POSIX_THREAD_SAFE_FUNCTIONS)
extern int	gmtime_r_sf();
extern int	gmtime_r_tf();
extern int	gmtime_r_ef();
#endif

#if	( TEST_XPG > 4 )
extern int	grantpt_sf();
extern int	grantpt_tf();
extern int	grantpt_ef();
#endif

#if	( TEST_XPG > 4 )
extern int	hcreate_sf();
extern int	hcreate_tf();
extern int	hcreate_ef();
#endif

#if	( TEST_XPG > 4 )
extern int	hdestroy_sf();
extern int	hdestroy_tf();
extern int	hdestroy_ef();
#endif

#if	( TEST_XPG > 4 )
extern int	hsearch_sf();
extern int	hsearch_tf();
extern int	hsearch_ef();
#endif

#if	( TEST_XPG > 4 )
extern int	hypot_sf();
extern int	hypot_tf();
extern int	hypot_ef();
#endif

#if	( TEST_XPG > 4 )
extern int	iconv_sf();
extern int	iconv_tf();
extern int	iconv_ef();
#endif

#if	( TEST_XPG > 4 )
extern int	iconv_close_sf();
extern int	iconv_close_tf();
extern int	iconv_close_ef();
#endif

#if	( TEST_XPG > 4 )
extern int	iconv_open_sf();
extern int	iconv_open_tf();
extern int	iconv_open_ef();
#endif

#if	( TEST_XPG > 4 )
extern int	ilogb_sf();
extern int	ilogb_tf();
extern int	ilogb_ef();
#endif

#if	( TEST_XPG > 4 )
extern int	index_sf();
extern int	index_tf();
extern int	index_ef();
#endif

#if	( TEST_XPG > 4 )
extern int	initstate_sf();
extern int	initstate_tf();
extern int	initstate_ef();
#endif

#if	( TEST_XPG > 4 )
extern int	insque_sf();
extern int	insque_tf();
extern int	insque_ef();
#endif

#if	( TEST_XPG > 4 )
extern int	ioctl_sf();
extern int	ioctl_tf();
extern int	ioctl_ef();
#endif

extern int	isalnum_sf();
extern int	isalnum_tf();
extern int	isalnum_ef();

extern int	isalpha_sf();
extern int	isalpha_tf();
extern int	isalpha_ef();

extern int	isascii_sf();
extern int	isascii_tf();
extern int	isascii_ef();

#if	( TEST_XPG > 4 )
extern int	isastream_sf();
extern int	isastream_tf();
extern int	isastream_ef();
#endif

extern int	isatty_sf();
extern int	isatty_tf();
extern int	isatty_ef();

extern int	iscntrl_sf();
extern int	iscntrl_tf();
extern int	iscntrl_ef();

extern int	isdigit_sf();
extern int	isdigit_tf();
extern int	isdigit_ef();

extern int	isgraph_sf();
extern int	isgraph_tf();
extern int	isgraph_ef();

extern int	islower_sf();
extern int	islower_tf();
extern int	islower_ef();

#if	( TEST_XPG > 4 )
extern int	isnan_sf();
extern int	isnan_tf();
extern int	isnan_ef();
#endif

extern int	isprint_sf();
extern int	isprint_tf();
extern int	isprint_ef();

extern int	ispunct_sf();
extern int	ispunct_tf();
extern int	ispunct_ef();

extern int	isspace_sf();
extern int	isspace_tf();
extern int	isspace_ef();

extern int	isupper_sf();
extern int	isupper_tf();
extern int	isupper_ef();

#if	( TEST_XPG > 4 )
extern int	iswalnum_sf();
extern int	iswalnum_tf();
extern int	iswalnum_ef();
#endif

#if	( TEST_XPG > 4 )
extern int	iswalpha_sf();
extern int	iswalpha_tf();
extern int	iswalpha_ef();
#endif

#if	( TEST_XPG > 4 )
extern int	iswcntrl_sf();
extern int	iswcntrl_tf();
extern int	iswcntrl_ef();
#endif

#if	( TEST_XPG > 4 )
extern int	iswdigit_sf();
extern int	iswdigit_tf();
extern int	iswdigit_ef();
#endif

#if	( TEST_XPG > 4 )
extern int	iswgraph_sf();
extern int	iswgraph_tf();
extern int	iswgraph_ef();
#endif

#if	( TEST_XPG > 4 )
extern int	iswlower_sf();
extern int	iswlower_tf();
extern int	iswlower_ef();
#endif

#if	( TEST_XPG > 4 )
extern int	iswprint_sf();
extern int	iswprint_tf();
extern int	iswprint_ef();
#endif

#if	( TEST_XPG > 4 )
extern int	iswpunct_sf();
extern int	iswpunct_tf();
extern int	iswpunct_ef();
#endif

#if	( TEST_XPG > 4 )
extern int	iswspace_sf();
extern int	iswspace_tf();
extern int	iswspace_ef();
#endif

#if	( TEST_XPG > 4 )
extern int	iswupper_sf();
extern int	iswupper_tf();
extern int	iswupper_ef();
#endif

#if	( TEST_XPG > 4 )
extern int	iswxdigit_sf();
extern int	iswxdigit_tf();
extern int	iswxdigit_ef();
#endif

#if	( TEST_XPG > 4 )
extern int	iswctype_sf();
extern int	iswctype_tf();
extern int	iswctype_ef();
#endif

#if	( TEST_XPG > 4 )
extern int	j0_sf();
extern int	j0_tf();
extern int	j0_ef();
#endif

#if	( TEST_XPG > 4 )
extern int	j1_sf();
extern int	j1_tf();
extern int	j1_ef();
#endif

#if	( TEST_XPG > 4 )
extern int	jn_sf();
extern int	jn_tf();
extern int	jn_ef();
#endif

#if	( TEST_XPG > 4 )
extern int	jrand48_sf();
extern int	jrand48_tf();
extern int	jrand48_ef();
#endif

extern int	kill_sf();
extern int	kill_tf();
extern int	kill_ef();

#if	( TEST_XPG > 4 )
extern int	killpg_sf();
extern int	killpg_tf();
extern int	killpg_ef();
#endif

#if	( TEST_XPG > 4 )
extern int	l64a_sf();
extern int	l64a_tf();
extern int	l64a_ef();
#endif

extern int	labs_sf();
extern int	labs_tf();
extern int	labs_ef();

#if	( TEST_XPG > 4 )
extern int	lchown_sf();
extern int	lchown_tf();
extern int	lchown_ef();
#endif

#if	( TEST_XPG > 4 )
extern int	lcong48_sf();
extern int	lcong48_tf();
extern int	lcong48_ef();
#endif

extern int	ldexp_sf();
extern int	ldexp_tf();
extern int	ldexp_ef();

extern int	ldiv_sf();
extern int	ldiv_tf();
extern int	ldiv_ef();

#if	( TEST_XPG > 4 )
extern int	lfind_sf();
extern int	lfind_tf();
extern int	lfind_ef();
#endif

#if	( TEST_XPG > 4 )
extern int	lgamma_sf();
extern int	lgamma_tf();
extern int	lgamma_ef();
#endif

extern int	link_sf();
extern int	link_tf();
extern int	link_ef();

#if	defined(_POSIX_ASYNCHRONOUS_IO)
extern int	lio_listio_sf();
extern int	lio_listio_tf();
extern int	lio_listio_ef();
#endif

#if	( TEST_XPG > 4 )
extern int	localconv_sf();
extern int	localconv_tf();
extern int	localconv_ef();
#endif

extern int	localtime_sf();
extern int	localtime_tf();
extern int	localtime_ef();

#if	defined(_POSIX_THREAD_SAFE_FUNCTIONS)
extern int	localtime_r_sf();
extern int	localtime_r_tf();
extern int	localtime_r_ef();
#endif

#if	( TEST_XPG > 4 )
extern int	lockf_sf();
extern int	lockf_tf();
extern int	lockf_ef();
#endif

extern int	log_sf();
extern int	log_tf();
extern int	log_ef();

extern int	log10_sf();
extern int	log10_tf();
extern int	log10_ef();

#if	( TEST_XPG > 4 )
extern int	log1p_sf();
extern int	log1p_tf();
extern int	log1p_ef();
#endif

#if	( TEST_XPG > 4 )
extern int	logb_sf();
extern int	logb_tf();
extern int	logb_ef();
#endif

extern int	longjmp_sf();
extern int	longjmp_tf();
extern int	longjmp_ef();

#if	( TEST_XPG > 4 )
extern int	lrand48_sf();
extern int	lrand48_tf();
extern int	lrand48_ef();
#endif

#if	( TEST_XPG > 4 )
extern int	lsearch_sf();
extern int	lsearch_tf();
extern int	lsearch_ef();
#endif

extern int	lseek_sf();
extern int	lseek_tf();
extern int	lseek_ef();

#if	( TEST_XPG > 4 )
extern int	lstat_sf();
extern int	lstat_tf();
extern int	lstat_ef();
#endif

#if	( TEST_XPG > 4 )
extern int	makecontext_sf();
extern int	makecontext_tf();
extern int	makecontext_ef();
#endif

extern int	malloc_sf();
extern int	malloc_tf();
extern int	malloc_ef();

extern int	mblen_sf();
extern int	mblen_tf();
extern int	mblen_ef();

#if	( TEST_XPG > 4 )
extern int	mbrlen_sf();
extern int	mbrlen_tf();
extern int	mbrlen_ef();
#endif

#if	( TEST_XPG > 4 )
extern int	mbrtowc_sf();
extern int	mbrtowc_tf();
extern int	mbrtowc_ef();
#endif

#if	( TEST_XPG > 4 )
extern int	mbsinit_sf();
extern int	mbsinit_tf();
extern int	mbsinit_ef();
#endif

#if	( TEST_XPG > 4 )
extern int	mbsrtowcs_sf();
extern int	mbsrtowcs_tf();
extern int	mbsrtowcs_ef();
#endif

#if	( TEST_XPG > 4 )
extern int	mbstowcs_sf();
extern int	mbstowcs_tf();
extern int	mbstowcs_ef();
#endif

extern int	mbtowc_sf();
extern int	mbtowc_tf();
extern int	mbtowc_ef();

#if	( TEST_XPG > 4 )
extern int	memccpy_sf();
extern int	memccpy_tf();
extern int	memccpy_ef();
#endif

extern int	memchr_sf();
extern int	memchr_tf();
extern int	memchr_ef();

extern int	memcmp_sf();
extern int	memcmp_tf();
extern int	memcmp_ef();

extern int	memcpy_sf();
extern int	memcpy_tf();
extern int	memcpy_ef();

extern int	memmove_sf();
extern int	memmove_tf();
extern int	memmove_ef();

extern int	memset_sf();
extern int	memset_tf();
extern int	memset_ef();

extern int	mkdir_sf();
extern int	mkdir_tf();
extern int	mkdir_ef();

extern int	mkfifo_sf();
extern int	mkfifo_tf();
extern int	mkfifo_ef();

#if	( TEST_XPG > 4 )
extern int	mknod_sf();
extern int	mknod_tf();
extern int	mknod_ef();
#endif

#if	( TEST_XPG > 4 )
extern int	mkstemp_sf();
extern int	mkstemp_tf();
extern int	mkstemp_ef();
#endif

#if	( TEST_XPG > 4 )
extern int	mktemp_sf();
extern int	mktemp_tf();
extern int	mktemp_ef();
#endif

extern int	mktime_sf();
extern int	mktime_tf();
extern int	mktime_ef();

#if	defined(_POSIX_MEMLOCK_RANGE)
extern int	mlock_sf();
extern int	mlock_tf();
extern int	mlock_ef();
#endif

#if	defined(_POSIX_MEMLOCK)
extern int	mlockall_sf();
extern int	mlockall_tf();
extern int	mlockall_ef();
#endif

#if	defined(_POSIX_MAPPED_FILES) || defined(_POSIX_SHARED_MEMORY_OBJECTS)
extern int	mmap_sf();
extern int	mmap_tf();
extern int	mmap_ef();
#endif

extern int	modf_sf();
extern int	modf_tf();
extern int	modf_ef();

#if	defined(_POSIX_MEMORY_PROTECTION)
extern int	mprotect_sf();
extern int	mprotect_tf();
extern int	mprotect_ef();
#endif

#if	defined(_POSIX_MESSAGE_PASSING)
extern int	mq_close_sf();
extern int	mq_close_tf();
extern int	mq_close_ef();
#endif

#if	defined(_POSIX_MESSAGE_PASSING)
extern int	mq_getattr_sf();
extern int	mq_getattr_tf();
extern int	mq_getattr_ef();
#endif

#if	defined(_POSIX_MESSAGE_PASSING) && defined(_POSIX_REALTIME_SIGNALS)
extern int	mq_notify_sf();
extern int	mq_notify_tf();
extern int	mq_notify_ef();
#endif

#if	defined(_POSIX_MESSAGE_PASSING)
extern int	mq_open_sf();
extern int	mq_open_tf();
extern int	mq_open_ef();
#endif

#if	defined(_POSIX_MESSAGE_PASSING)
extern int	mq_receive_sf();
extern int	mq_receive_tf();
extern int	mq_receive_ef();
#endif

#if	defined(_POSIX_MESSAGE_PASSING)
extern int	mq_send_sf();
extern int	mq_send_tf();
extern int	mq_send_ef();
#endif

#if	defined(_POSIX_MESSAGE_PASSING)
extern int	mq_setattr_sf();
extern int	mq_setattr_tf();
extern int	mq_setattr_ef();
#endif

#if	defined(_POSIX_MESSAGE_PASSING)
extern int	mq_unlink_sf();
extern int	mq_unlink_tf();
extern int	mq_unlink_ef();
#endif

#if	( TEST_XPG > 4 )
extern int	mrand48_sf();
extern int	mrand48_tf();
extern int	mrand48_ef();
#endif

#if	( TEST_XPG > 4 )
extern int	msgctl_sf();
extern int	msgctl_tf();
extern int	msgctl_ef();
#endif

#if	( TEST_XPG > 4 )
extern int	msgget_sf();
extern int	msgget_tf();
extern int	msgget_ef();
#endif

#if	( TEST_XPG > 4 )
extern int	msgrcv_sf();
extern int	msgrcv_tf();
extern int	msgrcv_ef();
#endif

#if	( TEST_XPG > 4 )
extern int	msgsnd_sf();
extern int	msgsnd_tf();
extern int	msgsnd_ef();
#endif

#if	defined(_POSIX_MAPPED_FILES) && defined(_POSIX_SYNCHRONIZED_IO)
extern int	msync_sf();
extern int	msync_tf();
extern int	msync_ef();
#endif

#if	defined(_POSIX_MEMLOCK_RANGE)
extern int	munlock_sf();
extern int	munlock_tf();
extern int	munlock_ef();
#endif

#if	defined(_POSIX_MEMLOCK)
extern int	munlockall_sf();
extern int	munlockall_tf();
extern int	munlockall_ef();
#endif

#if	defined(_POSIX_MAPPED_FILES) || defined(_POSIX_SHARED_MEMORY_OBJECTS)
extern int	munmap_sf();
extern int	munmap_tf();
extern int	munmap_ef();
#endif

#if	defined(_POSIX_TIMERS)
extern int	nanosleep_sf();
extern int	nanosleep_tf();
extern int	nanosleep_ef();
#endif

#if	( TEST_XPG > 4 )
extern int	nextafter_sf();
extern int	nextafter_tf();
extern int	nextafter_ef();
#endif

#if	( TEST_XPG > 4 )
extern int	nftw_sf();
extern int	nftw_tf();
extern int	nftw_ef();
#endif

#if	( TEST_XPG > 4 )
extern int	nice_sf();
extern int	nice_tf();
extern int	nice_ef();
#endif

#if	( TEST_XPG > 4 )
extern int	nl_langinfo_sf();
extern int	nl_langinfo_tf();
extern int	nl_langinfo_ef();
#endif

#if	( TEST_XPG > 4 )
extern int	nrand48_sf();
extern int	nrand48_tf();
extern int	nrand48_ef();
#endif

extern int	open_sf();
extern int	open_tf();
extern int	open_ef();

extern int	opendir_sf();
extern int	opendir_tf();
extern int	opendir_ef();

#if	( TEST_XPG > 4 )
extern int	openlog_sf();
extern int	openlog_tf();
extern int	openlog_ef();
#endif

extern int	pathconf_sf();
extern int	pathconf_tf();
extern int	pathconf_ef();

extern int	pause_sf();
extern int	pause_tf();
extern int	pause_ef();

#if	( TEST_XPG > 4 )
extern int	pclose_sf();
extern int	pclose_tf();
extern int	pclose_ef();
#endif

extern int	perror_sf();
extern int	perror_tf();
extern int	perror_ef();

extern int	pipe_sf();
extern int	pipe_tf();
extern int	pipe_ef();

#if	( TEST_XPG > 4 )
extern int	poll_sf();
extern int	poll_tf();
extern int	poll_ef();
#endif

#if	( TEST_XPG > 4 )
extern int	popen_sf();
extern int	popen_tf();
extern int	popen_ef();
#endif

extern int	pow_sf();
extern int	pow_tf();
extern int	pow_ef();

#if	( TEST_XPG > 4 )
extern int	pread_sf();
extern int	pread_tf();
extern int	pread_ef();
#endif

extern int	printf_sf();
extern int	printf_tf();
extern int	printf_ef();

#if	defined(_POSIX_THREADS)
extern int	pthread_atfork_sf();
extern int	pthread_atfork_tf();
extern int	pthread_atfork_ef();
#endif

#if	defined(_POSIX_THREADS)
extern int	pthread_attr_destroy_sf();
extern int	pthread_attr_destroy_tf();
extern int	pthread_attr_destroy_ef();
#endif

#if	defined(_POSIX_THREADS)
extern int	pthread_attr_getdetachstate_sf();
extern int	pthread_attr_getdetachstate_tf();
extern int	pthread_attr_getdetachstate_ef();
#endif

#if	( TEST_XPG > 4 )
extern int	pthread_attr_getguardsize_sf();
extern int	pthread_attr_getguardsize_tf();
extern int	pthread_attr_getguardsize_ef();
#endif

#if	defined(_POSIX_THREADS) && defined(_POSIX_THREAD_PRIORITY_SCHEDULING)
extern int	pthread_attr_getinheritsched_sf();
extern int	pthread_attr_getinheritsched_tf();
extern int	pthread_attr_getinheritsched_ef();
#endif

#if	defined(_POSIX_THREADS)
extern int	pthread_attr_getschedparam_sf();
extern int	pthread_attr_getschedparam_tf();
extern int	pthread_attr_getschedparam_ef();
#endif

#if	defined(_POSIX_THREADS) && defined(_POSIX_THREAD_PRIORITY_SCHEDULING)
extern int	pthread_attr_getschedpolicy_sf();
extern int	pthread_attr_getschedpolicy_tf();
extern int	pthread_attr_getschedpolicy_ef();
#endif

#if	defined(_POSIX_THREADS) && defined(_POSIX_THREAD_PRIORITY_SCHEDULING)
extern int	pthread_attr_getscope_sf();
extern int	pthread_attr_getscope_tf();
extern int	pthread_attr_getscope_ef();
#endif

#if	defined(_POSIX_THREADS) && defined(_POSIX_THREAD_ATTR_STACKADDR)
extern int	pthread_attr_getstackaddr_sf();
extern int	pthread_attr_getstackaddr_tf();
extern int	pthread_attr_getstackaddr_ef();
#endif

#if	defined(_POSIX_THREADS) && defined(_POSIX_THREAD_ATTR_STACKSIZE)
extern int	pthread_attr_getstacksize_sf();
extern int	pthread_attr_getstacksize_tf();
extern int	pthread_attr_getstacksize_ef();
#endif

#if	defined(_POSIX_THREADS)
extern int	pthread_attr_init_sf();
extern int	pthread_attr_init_tf();
extern int	pthread_attr_init_ef();
#endif

#if	defined(_POSIX_THREADS)
extern int	pthread_attr_setdetachstate_sf();
extern int	pthread_attr_setdetachstate_tf();
extern int	pthread_attr_setdetachstate_ef();
#endif

#if	( TEST_XPG > 4 )
extern int	pthread_attr_setguardsize_sf();
extern int	pthread_attr_setguardsize_tf();
extern int	pthread_attr_setguardsize_ef();
#endif

#if	defined(_POSIX_THREADS) && defined(_POSIX_THREAD_PRIORITY_SCHEDULING)
extern int	pthread_attr_setinheritsched_sf();
extern int	pthread_attr_setinheritsched_tf();
extern int	pthread_attr_setinheritsched_ef();
#endif

#if	defined(_POSIX_THREADS)
extern int	pthread_attr_setschedparam_sf();
extern int	pthread_attr_setschedparam_tf();
extern int	pthread_attr_setschedparam_ef();
#endif

#if	defined(_POSIX_THREADS) && defined(_POSIX_THREAD_PRIORITY_SCHEDULING)
extern int	pthread_attr_setschedpolicy_sf();
extern int	pthread_attr_setschedpolicy_tf();
extern int	pthread_attr_setschedpolicy_ef();
#endif

#if	defined(_POSIX_THREADS) && defined(_POSIX_THREAD_PRIORITY_SCHEDULING)
extern int	pthread_attr_setscope_sf();
extern int	pthread_attr_setscope_tf();
extern int	pthread_attr_setscope_ef();
#endif

#if	defined(_POSIX_THREADS) && defined(_POSIX_THREAD_ATTR_STACKADDR)
extern int	pthread_attr_setstackaddr_sf();
extern int	pthread_attr_setstackaddr_tf();
extern int	pthread_attr_setstackaddr_ef();
#endif

#if	defined(_POSIX_THREADS) && defined(_POSIX_THREAD_ATTR_STACKSIZE)
extern int	pthread_attr_setstacksize_sf();
extern int	pthread_attr_setstacksize_tf();
extern int	pthread_attr_setstacksize_ef();
#endif

#if	defined(_POSIX_THREADS)
extern int	pthread_cancel_sf();
extern int	pthread_cancel_tf();
extern int	pthread_cancel_ef();
#endif

#if	defined(_POSIX_THREADS)
extern int	pthread_cleanup_pop_sf();
extern int	pthread_cleanup_pop_tf();
extern int	pthread_cleanup_pop_ef();
#endif

#if	defined(_POSIX_THREADS)
extern int	pthread_cleanup_push_sf();
extern int	pthread_cleanup_push_tf();
extern int	pthread_cleanup_push_ef();
#endif

#if	defined(_POSIX_THREADS)
extern int	pthread_cond_broadcast_sf();
extern int	pthread_cond_broadcast_tf();
extern int	pthread_cond_broadcast_ef();
#endif

#if	defined(_POSIX_THREADS)
extern int	pthread_cond_destroy_sf();
extern int	pthread_cond_destroy_tf();
extern int	pthread_cond_destroy_ef();
#endif

#if	defined(_POSIX_THREADS)
extern int	pthread_cond_init_sf();
extern int	pthread_cond_init_tf();
extern int	pthread_cond_init_ef();
#endif

#if	defined(_POSIX_THREADS)
extern int	pthread_cond_signal_sf();
extern int	pthread_cond_signal_tf();
extern int	pthread_cond_signal_ef();
#endif

#if	defined(_POSIX_THREADS)
extern int	pthread_cond_timedwait_sf();
extern int	pthread_cond_timedwait_tf();
extern int	pthread_cond_timedwait_ef();
#endif

#if	defined(_POSIX_THREADS)
extern int	pthread_cond_wait_sf();
extern int	pthread_cond_wait_tf();
extern int	pthread_cond_wait_ef();
#endif

#if	defined(_POSIX_THREADS)
extern int	pthread_condattr_destroy_sf();
extern int	pthread_condattr_destroy_tf();
extern int	pthread_condattr_destroy_ef();
#endif

#if	defined(_POSIX_THREADS) && defined(_POSIX_THREAD_PROCESS_SHARED)
extern int	pthread_condattr_getpshared_sf();
extern int	pthread_condattr_getpshared_tf();
extern int	pthread_condattr_getpshared_ef();
#endif

#if	defined(_POSIX_THREADS)
extern int	pthread_condattr_init_sf();
extern int	pthread_condattr_init_tf();
extern int	pthread_condattr_init_ef();
#endif

#if	defined(_POSIX_THREADS) && defined(_POSIX_THREAD_PROCESS_SHARED)
extern int	pthread_condattr_setpshared_sf();
extern int	pthread_condattr_setpshared_tf();
extern int	pthread_condattr_setpshared_ef();
#endif

#if	defined(_POSIX_THREADS)
extern int	pthread_create_sf();
extern int	pthread_create_tf();
extern int	pthread_create_ef();
#endif

#if	defined(_POSIX_THREADS)
extern int	pthread_detach_sf();
extern int	pthread_detach_tf();
extern int	pthread_detach_ef();
#endif

#if	defined(_POSIX_THREADS)
extern int	pthread_equal_sf();
extern int	pthread_equal_tf();
extern int	pthread_equal_ef();
#endif

#if	defined(_POSIX_THREADS)
extern int	pthread_exit_sf();
extern int	pthread_exit_tf();
extern int	pthread_exit_ef();
#endif

#if	( TEST_XPG > 4 )
extern int	pthread_getconcurrency_sf();
extern int	pthread_getconcurrency_tf();
extern int	pthread_getconcurrency_ef();
#endif

#if	defined(_POSIX_THREADS) && defined(_POSIX_THREAD_PRIORITY_SCHEDULING)
extern int	pthread_getschedparam_sf();
extern int	pthread_getschedparam_tf();
extern int	pthread_getschedparam_ef();
#endif

#if	defined(_POSIX_THREADS)
extern int	pthread_getspecific_sf();
extern int	pthread_getspecific_tf();
extern int	pthread_getspecific_ef();
#endif

#if	defined(_POSIX_THREADS)
extern int	pthread_join_sf();
extern int	pthread_join_tf();
extern int	pthread_join_ef();
#endif

#if	defined(_POSIX_THREADS)
extern int	pthread_key_create_sf();
extern int	pthread_key_create_tf();
extern int	pthread_key_create_ef();
#endif

#if	defined(_POSIX_THREADS)
extern int	pthread_key_delete_sf();
extern int	pthread_key_delete_tf();
extern int	pthread_key_delete_ef();
#endif

#if	defined(_POSIX_THREADS)
extern int	pthread_kill_sf();
extern int	pthread_kill_tf();
extern int	pthread_kill_ef();
#endif

#if	defined(_POSIX_THREADS)
extern int	pthread_mutex_destroy_sf();
extern int	pthread_mutex_destroy_tf();
extern int	pthread_mutex_destroy_ef();
#endif

#if	defined(_POSIX_THREADS) && defined(_POSIX_THREAD_PRIO_PROTECT)
extern int	pthread_mutex_getprioceiling_sf();
extern int	pthread_mutex_getprioceiling_tf();
extern int	pthread_mutex_getprioceiling_ef();
#endif

#if	defined(_POSIX_THREADS)
extern int	pthread_mutex_init_sf();
extern int	pthread_mutex_init_tf();
extern int	pthread_mutex_init_ef();
#endif

#if	defined(_POSIX_THREADS)
extern int	pthread_mutex_lock_sf();
extern int	pthread_mutex_lock_tf();
extern int	pthread_mutex_lock_ef();
#endif

#if	defined(_POSIX_THREADS) && defined(_POSIX_THREAD_PRIO_PROTECT)
extern int	pthread_mutex_setprioceiling_sf();
extern int	pthread_mutex_setprioceiling_tf();
extern int	pthread_mutex_setprioceiling_ef();
#endif

#if	defined(_POSIX_THREADS)
extern int	pthread_mutex_trylock_sf();
extern int	pthread_mutex_trylock_tf();
extern int	pthread_mutex_trylock_ef();
#endif

#if	defined(_POSIX_THREADS)
extern int	pthread_mutex_unlock_sf();
extern int	pthread_mutex_unlock_tf();
extern int	pthread_mutex_unlock_ef();
#endif

#if	defined(_POSIX_THREADS)
extern int	pthread_mutexattr_destroy_sf();
extern int	pthread_mutexattr_destroy_tf();
extern int	pthread_mutexattr_destroy_ef();
#endif

#if	defined(_POSIX_THREADS)
extern int	pthread_mutexattr_getprioceiling_sf();
extern int	pthread_mutexattr_getprioceiling_tf();
extern int	pthread_mutexattr_getprioceiling_ef();
#endif

#if	defined(_POSIX_THREADS) && (defined(_POSIX_THREAD_PRIO_INHERIT) || defined(_POSIX_THREAD_PRIO_PROTECT))
extern int	pthread_mutexattr_getprotocol_sf();
extern int	pthread_mutexattr_getprotocol_tf();
extern int	pthread_mutexattr_getprotocol_ef();
#endif

#if	defined(_POSIX_THREADS) && defined(_POSIX_THREAD_PROCESS_SHARED)
extern int	pthread_mutexattr_getpshared_sf();
extern int	pthread_mutexattr_getpshared_tf();
extern int	pthread_mutexattr_getpshared_ef();
#endif

#if	( TEST_XPG > 4 )
extern int	pthread_mutexattr_gettype_sf();
extern int	pthread_mutexattr_gettype_tf();
extern int	pthread_mutexattr_gettype_ef();
#endif

#if	defined(_POSIX_THREADS)
extern int	pthread_mutexattr_init_sf();
extern int	pthread_mutexattr_init_tf();
extern int	pthread_mutexattr_init_ef();
#endif

#if	defined(_POSIX_THREADS)
extern int	pthread_mutexattr_setprioceiling_sf();
extern int	pthread_mutexattr_setprioceiling_tf();
extern int	pthread_mutexattr_setprioceiling_ef();
#endif

#if	defined(_POSIX_THREADS) && (defined(_POSIX_THREAD_PRIO_INHERIT) || defined(_POSIX_THREAD_PRIO_PROTECT))
extern int	pthread_mutexattr_setprotocol_sf();
extern int	pthread_mutexattr_setprotocol_tf();
extern int	pthread_mutexattr_setprotocol_ef();
#endif

#if	defined(_POSIX_THREADS) && defined(_POSIX_THREAD_PROCESS_SHARED)
extern int	pthread_mutexattr_setpshared_sf();
extern int	pthread_mutexattr_setpshared_tf();
extern int	pthread_mutexattr_setpshared_ef();
#endif

#if	( TEST_XPG > 4 )
extern int	pthread_mutexattr_settype_sf();
extern int	pthread_mutexattr_settype_tf();
extern int	pthread_mutexattr_settype_ef();
#endif

#if	defined(_POSIX_THREADS)
extern int	pthread_once_sf();
extern int	pthread_once_tf();
extern int	pthread_once_ef();
#endif

#if	( TEST_XPG > 4 )
extern int	pthread_rwlock_destroy_sf();
extern int	pthread_rwlock_destroy_tf();
extern int	pthread_rwlock_destroy_ef();
#endif

#if	( TEST_XPG > 4 )
extern int	pthread_rwlock_init_sf();
extern int	pthread_rwlock_init_tf();
extern int	pthread_rwlock_init_ef();
#endif

#if	( TEST_XPG > 4 )
extern int	pthread_rwlock_rdlock_sf();
extern int	pthread_rwlock_rdlock_tf();
extern int	pthread_rwlock_rdlock_ef();
#endif

#if	( TEST_XPG > 4 )
extern int	pthread_rwlock_tryrdlock_sf();
extern int	pthread_rwlock_tryrdlock_tf();
extern int	pthread_rwlock_tryrdlock_ef();
#endif

#if	( TEST_XPG > 4 )
extern int	pthread_rwlock_trywrlock_sf();
extern int	pthread_rwlock_trywrlock_tf();
extern int	pthread_rwlock_trywrlock_ef();
#endif

#if	( TEST_XPG > 4 )
extern int	pthread_rwlock_unlock_sf();
extern int	pthread_rwlock_unlock_tf();
extern int	pthread_rwlock_unlock_ef();
#endif

#if	( TEST_XPG > 4 )
extern int	pthread_rwlock_wrlock_sf();
extern int	pthread_rwlock_wrlock_tf();
extern int	pthread_rwlock_wrlock_ef();
#endif

#if	( TEST_XPG > 4 )
extern int	pthread_rwlockattr_destroy_sf();
extern int	pthread_rwlockattr_destroy_tf();
extern int	pthread_rwlockattr_destroy_ef();
#endif

#if	( TEST_XPG > 4 )
extern int	pthread_rwlockattr_getpshared_sf();
extern int	pthread_rwlockattr_getpshared_tf();
extern int	pthread_rwlockattr_getpshared_ef();
#endif

#if	( TEST_XPG > 4 )
extern int	pthread_rwlockattr_init_sf();
extern int	pthread_rwlockattr_init_tf();
extern int	pthread_rwlockattr_init_ef();
#endif

#if	( TEST_XPG > 4 )
extern int	pthread_rwlockattr_setpshared_sf();
extern int	pthread_rwlockattr_setpshared_tf();
extern int	pthread_rwlockattr_setpshared_ef();
#endif

#if	defined(_POSIX_THREADS)
extern int	pthread_self_sf();
extern int	pthread_self_tf();
extern int	pthread_self_ef();
#endif

#if	defined(_POSIX_THREADS)
extern int	pthread_setcancelstate_sf();
extern int	pthread_setcancelstate_tf();
extern int	pthread_setcancelstate_ef();
#endif

#if	defined(_POSIX_THREADS)
extern int	pthread_setcanceltype_sf();
extern int	pthread_setcanceltype_tf();
extern int	pthread_setcanceltype_ef();
#endif

#if	( TEST_XPG > 4 )
extern int	pthread_setconcurrency_sf();
extern int	pthread_setconcurrency_tf();
extern int	pthread_setconcurrency_ef();
#endif

#if	defined(_POSIX_THREADS) && defined(_POSIX_THREAD_PRIORITY_SCHEDULING)
extern int	pthread_setschedparam_sf();
extern int	pthread_setschedparam_tf();
extern int	pthread_setschedparam_ef();
#endif

#if	defined(_POSIX_THREADS)
extern int	pthread_setspecific_sf();
extern int	pthread_setspecific_tf();
extern int	pthread_setspecific_ef();
#endif

#if	defined(_POSIX_THREADS)
extern int	pthread_sigmask_sf();
extern int	pthread_sigmask_tf();
extern int	pthread_sigmask_ef();
#endif

#if	defined(_POSIX_THREADS)
extern int	pthread_testcancel_sf();
extern int	pthread_testcancel_tf();
extern int	pthread_testcancel_ef();
#endif

#if	( TEST_XPG > 4 )
extern int	ptsname_sf();
extern int	ptsname_tf();
extern int	ptsname_ef();
#endif

extern int	putc_sf();
extern int	putc_tf();
extern int	putc_ef();

extern int	putc_unlocked_sf();
extern int	putc_unlocked_tf();
extern int	putc_unlocked_ef();

extern int	putchar_sf();
extern int	putchar_tf();
extern int	putchar_ef();

extern int	putchar_unlocked_sf();
extern int	putchar_unlocked_tf();
extern int	putchar_unlocked_ef();

#if	( TEST_XPG > 4 )
extern int	putenv_sf();
extern int	putenv_tf();
extern int	putenv_ef();
#endif

#if	( TEST_XPG > 4 )
extern int	putmsg_sf();
extern int	putmsg_tf();
extern int	putmsg_ef();
#endif

#if	( TEST_XPG > 4 )
extern int	putpmsg_sf();
extern int	putpmsg_tf();
extern int	putpmsg_ef();
#endif

extern int	puts_sf();
extern int	puts_tf();
extern int	puts_ef();

#if	( TEST_XPG > 4 )
extern int	pututxline_sf();
extern int	pututxline_tf();
extern int	pututxline_ef();
#endif

#if	( TEST_XPG > 4 )
#if	defined(_XOPEN_LEGACY) && (_XOPEN_LEGACY != -1)
extern int	putw_sf();
extern int	putw_tf();
extern int	putw_ef();
#endif
#endif

#if	( TEST_XPG > 4 )
extern int	putwc_sf();
extern int	putwc_tf();
extern int	putwc_ef();
#endif

#if	( TEST_XPG > 4 )
extern int	putwchar_sf();
extern int	putwchar_tf();
extern int	putwchar_ef();
#endif

#if	( TEST_XPG > 4 )
extern int	pwrite_sf();
extern int	pwrite_tf();
extern int	pwrite_ef();
#endif

extern int	qsort_sf();
extern int	qsort_tf();
extern int	qsort_ef();

extern int	raise_sf();
extern int	raise_tf();
extern int	raise_ef();

extern int	rand_sf();
extern int	rand_tf();
extern int	rand_ef();

#if	defined(_POSIX_THREAD_SAFE_FUNCTIONS)
extern int	rand_r_sf();
extern int	rand_r_tf();
extern int	rand_r_ef();
#endif

#if	( TEST_XPG > 4 )
extern int	random_sf();
extern int	random_tf();
extern int	random_ef();
#endif

#if	( TEST_XPG > 4 )
#if	defined(_XOPEN_LEGACY) && (_XOPEN_LEGACY != -1)
extern int	re_comp_sf();
extern int	re_comp_tf();
extern int	re_comp_ef();
#endif
#endif

#if	( TEST_XPG > 4 )
#if	defined(_XOPEN_LEGACY) && (_XOPEN_LEGACY != -1)
extern int	re_exec_sf();
extern int	re_exec_tf();
extern int	re_exec_ef();
#endif
#endif

extern int	read_sf();
extern int	read_tf();
extern int	read_ef();

extern int	readdir_sf();
extern int	readdir_tf();
extern int	readdir_ef();

#if	( TEST_XPG > 4 )
extern int	readlink_sf();
extern int	readlink_tf();
extern int	readlink_ef();
#endif

#if	( TEST_XPG > 4 )
extern int	readv_sf();
extern int	readv_tf();
extern int	readv_ef();
#endif

extern int	realloc_sf();
extern int	realloc_tf();
extern int	realloc_ef();

#if	( TEST_XPG > 4 )
extern int	realpath_sf();
extern int	realpath_tf();
extern int	realpath_ef();
#endif

#if	( TEST_XPG > 4 )
#if	defined(_XOPEN_LEGACY) && (_XOPEN_LEGACY != -1)
extern int	regcmp_sf();
extern int	regcmp_tf();
extern int	regcmp_ef();
#endif
#endif

#if	( TEST_XPG > 4 )
extern int	regcomp_sf();
extern int	regcomp_tf();
extern int	regcomp_ef();
#endif

#if	( TEST_XPG > 4 )
extern int	regerror_sf();
extern int	regerror_tf();
extern int	regerror_ef();
#endif

#if	( TEST_XPG > 4 )
#if	defined(_XOPEN_LEGACY) && (_XOPEN_LEGACY != -1)
extern int	regex_sf();
extern int	regex_tf();
extern int	regex_ef();
#endif
#endif

#if	( TEST_XPG > 4 )
extern int	regexec_sf();
extern int	regexec_tf();
extern int	regexec_ef();
#endif

#if	( TEST_XPG > 4 )
extern int	regfree_sf();
extern int	regfree_tf();
extern int	regfree_ef();
#endif

#if	( TEST_XPG > 4 )
extern int	remainder_sf();
extern int	remainder_tf();
extern int	remainder_ef();
#endif

extern int	remove_sf();
extern int	remove_tf();
extern int	remove_ef();

#if	( TEST_XPG > 4 )
extern int	remque_sf();
extern int	remque_tf();
extern int	remque_ef();
#endif

extern int	rename_sf();
extern int	rename_tf();
extern int	rename_ef();

extern int	rewind_sf();
extern int	rewind_tf();
extern int	rewind_ef();

extern int	rewinddir_sf();
extern int	rewinddir_tf();
extern int	rewinddir_ef();

#if	( TEST_XPG > 4 )
extern int	rindex_sf();
extern int	rindex_tf();
extern int	rindex_ef();
#endif

#if	( TEST_XPG > 4 )
extern int	rint_sf();
extern int	rint_tf();
extern int	rint_ef();
#endif

extern int	rmdir_sf();
extern int	rmdir_tf();
extern int	rmdir_ef();

#if	( TEST_XPG > 4 )
extern int	sbrk_sf();
extern int	sbrk_tf();
extern int	sbrk_ef();
#endif

#if	( TEST_XPG > 4 )
extern int	scalb_sf();
extern int	scalb_tf();
extern int	scalb_ef();
#endif

extern int	scanf_sf();
extern int	scanf_tf();
extern int	scanf_ef();

#if	defined(_POSIX_PRIORITY_SCHEDULING)
extern int	sched_get_priority_max_sf();
extern int	sched_get_priority_max_tf();
extern int	sched_get_priority_max_ef();
#endif

#if	defined(_POSIX_PRIORITY_SCHEDULING)
extern int	sched_get_priority_min_sf();
extern int	sched_get_priority_min_tf();
extern int	sched_get_priority_min_ef();
#endif

#if	defined(_POSIX_PRIORITY_SCHEDULING)
extern int	sched_getparam_sf();
extern int	sched_getparam_tf();
extern int	sched_getparam_ef();
#endif

#if	defined(_POSIX_PRIORITY_SCHEDULING)
extern int	sched_getscheduler_sf();
extern int	sched_getscheduler_tf();
extern int	sched_getscheduler_ef();
#endif

#if	defined(_POSIX_PRIORITY_SCHEDULING)
extern int	sched_rr_get_interval_sf();
extern int	sched_rr_get_interval_tf();
extern int	sched_rr_get_interval_ef();
#endif

#if	defined(_POSIX_PRIORITY_SCHEDULING)
extern int	sched_setparam_sf();
extern int	sched_setparam_tf();
extern int	sched_setparam_ef();
#endif

#if	defined(_POSIX_PRIORITY_SCHEDULING)
extern int	sched_setscheduler_sf();
extern int	sched_setscheduler_tf();
extern int	sched_setscheduler_ef();
#endif

#if	defined(_POSIX_THREADS) || defined(_POSIX_PRIORITY_SCHEDULING)
extern int	sched_yield_sf();
extern int	sched_yield_tf();
extern int	sched_yield_ef();
#endif

#if	( TEST_XPG > 4 )
extern int	seed48_sf();
extern int	seed48_tf();
extern int	seed48_ef();
#endif

#if	( TEST_XPG > 4 )
extern int	seekdir_sf();
extern int	seekdir_tf();
extern int	seekdir_ef();
#endif

#if	( TEST_XPG > 4 )
extern int	select_sf();
extern int	select_tf();
extern int	select_ef();
#endif

#if	defined(_POSIX_SEMAPHORES)
extern int	sem_close_sf();
extern int	sem_close_tf();
extern int	sem_close_ef();
#endif

#if	defined(_POSIX_SEMAPHORES)
extern int	sem_destroy_sf();
extern int	sem_destroy_tf();
extern int	sem_destroy_ef();
#endif

#if	defined(_POSIX_SEMAPHORES)
extern int	sem_getvalue_sf();
extern int	sem_getvalue_tf();
extern int	sem_getvalue_ef();
#endif

#if	defined(_POSIX_SEMAPHORES)
extern int	sem_init_sf();
extern int	sem_init_tf();
extern int	sem_init_ef();
#endif

#if	defined(_POSIX_SEMAPHORES)
extern int	sem_open_sf();
extern int	sem_open_tf();
extern int	sem_open_ef();
#endif

#if	defined(_POSIX_SEMAPHORES)
extern int	sem_post_sf();
extern int	sem_post_tf();
extern int	sem_post_ef();
#endif

#if	defined(_POSIX_SEMAPHORES)
extern int	sem_trywait_sf();
extern int	sem_trywait_tf();
extern int	sem_trywait_ef();
#endif

#if	defined(_POSIX_SEMAPHORES)
extern int	sem_unlink_sf();
extern int	sem_unlink_tf();
extern int	sem_unlink_ef();
#endif

#if	defined(_POSIX_SEMAPHORES)
extern int	sem_wait_sf();
extern int	sem_wait_tf();
extern int	sem_wait_ef();
#endif

#if	( TEST_XPG > 4 )
extern int	semctl_sf();
extern int	semctl_tf();
extern int	semctl_ef();
#endif

#if	( TEST_XPG > 4 )
extern int	semget_sf();
extern int	semget_tf();
extern int	semget_ef();
#endif

#if	( TEST_XPG > 4 )
extern int	semop_sf();
extern int	semop_tf();
extern int	semop_ef();
#endif

extern int	setbuf_sf();
extern int	setbuf_tf();
extern int	setbuf_ef();

#if	( TEST_XPG > 4 )
extern int	setcontext_sf();
extern int	setcontext_tf();
extern int	setcontext_ef();
#endif

extern int	setgid_sf();
extern int	setgid_tf();
extern int	setgid_ef();

#if	( TEST_XPG > 4 )
extern int	setgrent_sf();
extern int	setgrent_tf();
extern int	setgrent_ef();
#endif

#if	( TEST_XPG > 4 )
extern int	setitimer_sf();
extern int	setitimer_tf();
extern int	setitimer_ef();
#endif

extern int	setjmp_sf();
extern int	setjmp_tf();
extern int	setjmp_ef();

#if	( TEST_XPG > 4 )
#if	defined(_XOPEN_CRYPT) && (_XOPEN_CRYPT != -1)
extern int	setkey_sf();
extern int	setkey_tf();
extern int	setkey_ef();
#endif
#endif

extern int	setlocale_sf();
extern int	setlocale_tf();
extern int	setlocale_ef();

#if	( TEST_XPG > 4 )
extern int	setlogmask_sf();
extern int	setlogmask_tf();
extern int	setlogmask_ef();
#endif

#if	defined(_POSIX_JOB_CONTROL)
extern int	setpgid_sf();
extern int	setpgid_tf();
extern int	setpgid_ef();
#endif

#if	( TEST_XPG > 4 )
extern int	setpgrp_sf();
extern int	setpgrp_tf();
extern int	setpgrp_ef();
#endif

#if	( TEST_XPG > 4 )
extern int	setpriority_sf();
extern int	setpriority_tf();
extern int	setpriority_ef();
#endif

#if	( TEST_XPG > 4 )
extern int	setpwent_sf();
extern int	setpwent_tf();
extern int	setpwent_ef();
#endif

#if	( TEST_XPG > 4 )
extern int	setregid_sf();
extern int	setregid_tf();
extern int	setregid_ef();
#endif

#if	( TEST_XPG > 4 )
extern int	setrlimit_sf();
extern int	setrlimit_tf();
extern int	setrlimit_ef();
#endif

extern int	setsid_sf();
extern int	setsid_tf();
extern int	setsid_ef();

#if	( TEST_XPG > 4 )
extern int	setstate_sf();
extern int	setstate_tf();
extern int	setstate_ef();
#endif

extern int	setuid_sf();
extern int	setuid_tf();
extern int	setuid_ef();

#if	( TEST_XPG > 4 )
extern int	setutxent_sf();
extern int	setutxent_tf();
extern int	setutxent_ef();
#endif

extern int	setvbuf_sf();
extern int	setvbuf_tf();
extern int	setvbuf_ef();

#if	defined(_POSIX_SHARED_MEMORY_OBJECTS)
extern int	shm_open_sf();
extern int	shm_open_tf();
extern int	shm_open_ef();
#endif

#if	defined(_POSIX_SHARED_MEMORY_OBJECTS)
extern int	shm_unlink_sf();
extern int	shm_unlink_tf();
extern int	shm_unlink_ef();
#endif

#if	( TEST_XPG > 4 )
extern int	shmat_sf();
extern int	shmat_tf();
extern int	shmat_ef();
#endif

#if	( TEST_XPG > 4 )
extern int	shmctl_sf();
extern int	shmctl_tf();
extern int	shmctl_ef();
#endif

#if	( TEST_XPG > 4 )
extern int	shmdt_sf();
extern int	shmdt_tf();
extern int	shmdt_ef();
#endif

#if	( TEST_XPG > 4 )
extern int	shmget_sf();
extern int	shmget_tf();
extern int	shmget_ef();
#endif

extern int	sigaction_sf();
extern int	sigaction_tf();
extern int	sigaction_ef();

extern int	sigaddset_sf();
extern int	sigaddset_tf();
extern int	sigaddset_ef();

#if	( TEST_XPG > 4 )
extern int	sigaltstack_sf();
extern int	sigaltstack_tf();
extern int	sigaltstack_ef();
#endif

extern int	sigdelset_sf();
extern int	sigdelset_tf();
extern int	sigdelset_ef();

extern int	sigemptyset_sf();
extern int	sigemptyset_tf();
extern int	sigemptyset_ef();

extern int	sigfillset_sf();
extern int	sigfillset_tf();
extern int	sigfillset_ef();

#if	( TEST_XPG > 4 )
extern int	sighold_sf();
extern int	sighold_tf();
extern int	sighold_ef();
#endif

#if	( TEST_XPG > 4 )
extern int	sigignore_sf();
extern int	sigignore_tf();
extern int	sigignore_ef();
#endif

#if	( TEST_XPG > 4 )
extern int	siginterrupt_sf();
extern int	siginterrupt_tf();
extern int	siginterrupt_ef();
#endif

extern int	sigismember_sf();
extern int	sigismember_tf();
extern int	sigismember_ef();

extern int	siglongjmp_sf();
extern int	siglongjmp_tf();
extern int	siglongjmp_ef();

extern int	signal_sf();
extern int	signal_tf();
extern int	signal_ef();

#if	( TEST_XPG > 4 )
extern int	signgam_sf();
extern int	signgam_tf();
extern int	signgam_ef();
#endif

#if	( TEST_XPG > 4 )
extern int	sigpause_sf();
extern int	sigpause_tf();
extern int	sigpause_ef();
#endif

extern int	sigpending_sf();
extern int	sigpending_tf();
extern int	sigpending_ef();

extern int	sigprocmask_sf();
extern int	sigprocmask_tf();
extern int	sigprocmask_ef();

#if	defined(_POSIX_REALTIME_SIGNALS)
extern int	sigqueue_sf();
extern int	sigqueue_tf();
extern int	sigqueue_ef();
#endif

#if	( TEST_XPG > 4 )
extern int	sigrelse_sf();
extern int	sigrelse_tf();
extern int	sigrelse_ef();
#endif

#if	( TEST_XPG > 4 )
extern int	sigset_sf();
extern int	sigset_tf();
extern int	sigset_ef();
#endif

extern int	sigsetjmp_sf();
extern int	sigsetjmp_tf();
extern int	sigsetjmp_ef();

#if	( TEST_XPG > 4 )
#if	defined(_XOPEN_LEGACY) && (_XOPEN_LEGACY != -1)
extern int	sigstack_sf();
extern int	sigstack_tf();
extern int	sigstack_ef();
#endif
#endif

extern int	sigsuspend_sf();
extern int	sigsuspend_tf();
extern int	sigsuspend_ef();

#ifdef	_POSIX_REALTIME_SIGNALS
extern int	sigtimedwait_sf();
extern int	sigtimedwait_tf();
extern int	sigtimedwait_ef();
#endif

extern int	sigwait_sf();
extern int	sigwait_tf();
extern int	sigwait_ef();

#ifdef	_POSIX_REALTIME_SIGNALS
extern int	sigwaitinfo_sf();
extern int	sigwaitinfo_tf();
extern int	sigwaitinfo_ef();
#endif

extern int	sin_sf();
extern int	sin_tf();
extern int	sin_ef();

extern int	sinh_sf();
extern int	sinh_tf();
extern int	sinh_ef();

extern int	sleep_sf();
extern int	sleep_tf();
extern int	sleep_ef();

#if	( TEST_XPG > 4 )
extern int	snprintf_sf();
extern int	snprintf_tf();
extern int	snprintf_ef();
#endif

extern int	sprintf_sf();
extern int	sprintf_tf();
extern int	sprintf_ef();

extern int	sqrt_sf();
extern int	sqrt_tf();
extern int	sqrt_ef();

extern int	srand_sf();
extern int	srand_tf();
extern int	srand_ef();

#if	( TEST_XPG > 4 )
extern int	srand48_sf();
extern int	srand48_tf();
extern int	srand48_ef();
#endif

#if	( TEST_XPG > 4 )
extern int	srandom_sf();
extern int	srandom_tf();
extern int	srandom_ef();
#endif

extern int	sscanf_sf();
extern int	sscanf_tf();
extern int	sscanf_ef();

extern int	stat_sf();
extern int	stat_tf();
extern int	stat_ef();

#if	( TEST_XPG > 4 )
extern int	statvfs_sf();
extern int	statvfs_tf();
extern int	statvfs_ef();
#endif

#if	( TEST_XPG > 4 )
#if	defined(_XOPEN_LEGACY) && (_XOPEN_LEGACY != -1)
extern int	step_sf();
extern int	step_tf();
extern int	step_ef();
#endif
#endif

#if	( TEST_XPG > 4 )
extern int	strcasecmp_sf();
extern int	strcasecmp_tf();
extern int	strcasecmp_ef();
#endif

extern int	strcat_sf();
extern int	strcat_tf();
extern int	strcat_ef();

extern int	strchr_sf();
extern int	strchr_tf();
extern int	strchr_ef();

extern int	strcmp_sf();
extern int	strcmp_tf();
extern int	strcmp_ef();

extern int	strcoll_sf();
extern int	strcoll_tf();
extern int	strcoll_ef();

extern int	strcpy_sf();
extern int	strcpy_tf();
extern int	strcpy_ef();

extern int	strcspn_sf();
extern int	strcspn_tf();
extern int	strcspn_ef();

#if	( TEST_XPG > 4 )
extern int	strdup_sf();
extern int	strdup_tf();
extern int	strdup_ef();
#endif

extern int	strerror_sf();
extern int	strerror_tf();
extern int	strerror_ef();

#if	( TEST_XPG > 4 )
extern int	strfmon_sf();
extern int	strfmon_tf();
extern int	strfmon_ef();
#endif

extern int	strftime_sf();
extern int	strftime_tf();
extern int	strftime_ef();

extern int	strlen_sf();
extern int	strlen_tf();
extern int	strlen_ef();

#if	( TEST_XPG > 4 )
extern int	strncasecmp_sf();
extern int	strncasecmp_tf();
extern int	strncasecmp_ef();
#endif

extern int	strncat_sf();
extern int	strncat_tf();
extern int	strncat_ef();

extern int	strncmp_sf();
extern int	strncmp_tf();
extern int	strncmp_ef();

extern int	strncpy_sf();
extern int	strncpy_tf();
extern int	strncpy_ef();

extern int	strpbrk_sf();
extern int	strpbrk_tf();
extern int	strpbrk_ef();

#if	( TEST_XPG > 4 )
extern int	strptime_sf();
extern int	strptime_tf();
extern int	strptime_ef();
#endif

extern int	strrchr_sf();
extern int	strrchr_tf();
extern int	strrchr_ef();

extern int	strspn_sf();
extern int	strspn_tf();
extern int	strspn_ef();

extern int	strstr_sf();
extern int	strstr_tf();
extern int	strstr_ef();

extern int	strtod_sf();
extern int	strtod_tf();
extern int	strtod_ef();

extern int	strtok_sf();
extern int	strtok_tf();
extern int	strtok_ef();

#if	defined(_POSIX_THREAD_SAFE_FUNCTIONS)
extern int	strtok_r_sf();
extern int	strtok_r_tf();
extern int	strtok_r_ef();
#endif

extern int	strtol_sf();
extern int	strtol_tf();
extern int	strtol_ef();

extern int	strtoul_sf();
extern int	strtoul_tf();
extern int	strtoul_ef();

extern int	strxfrm_sf();
extern int	strxfrm_tf();
extern int	strxfrm_ef();

#if	( TEST_XPG > 4 )
extern int	swab_sf();
extern int	swab_tf();
extern int	swab_ef();
#endif

#if	( TEST_XPG > 4 )
extern int	swapcontext_sf();
extern int	swapcontext_tf();
extern int	swapcontext_ef();
#endif

#if	( TEST_XPG > 4 )
extern int	swprintf_sf();
extern int	swprintf_tf();
extern int	swprintf_ef();
#endif

#if	( TEST_XPG > 4 )
extern int	swscanf_sf();
extern int	swscanf_tf();
extern int	swscanf_ef();
#endif

#if	( TEST_XPG > 4 )
extern int	symlink_sf();
extern int	symlink_tf();
extern int	symlink_ef();
#endif

#if	( TEST_XPG > 4 )
extern int	sync_sf();
extern int	sync_tf();
extern int	sync_ef();
#endif

extern int	sysconf_sf();
extern int	sysconf_tf();
extern int	sysconf_ef();

#if	( TEST_XPG > 4 )
extern int	syslog_sf();
extern int	syslog_tf();
extern int	syslog_ef();
#endif

extern int	system_sf();
extern int	system_tf();
extern int	system_ef();

extern int	tan_sf();
extern int	tan_tf();
extern int	tan_ef();

extern int	tanh_sf();
extern int	tanh_tf();
extern int	tanh_ef();

extern int	tcdrain_sf();
extern int	tcdrain_tf();
extern int	tcdrain_ef();

extern int	tcflow_sf();
extern int	tcflow_tf();
extern int	tcflow_ef();

extern int	tcflush_sf();
extern int	tcflush_tf();
extern int	tcflush_ef();

extern int	tcgetattr_sf();
extern int	tcgetattr_tf();
extern int	tcgetattr_ef();

#if	defined(_POSIX_JOB_CONTROL)
extern int	tcgetpgrp_sf();
extern int	tcgetpgrp_tf();
extern int	tcgetpgrp_ef();
#endif

#if	( TEST_XPG > 4 )
extern int	tcgetsid_sf();
extern int	tcgetsid_tf();
extern int	tcgetsid_ef();
#endif

extern int	tcsendbreak_sf();
extern int	tcsendbreak_tf();
extern int	tcsendbreak_ef();

extern int	tcsetattr_sf();
extern int	tcsetattr_tf();
extern int	tcsetattr_ef();

#if	defined(_POSIX_JOB_CONTROL)
extern int	tcsetpgrp_sf();
extern int	tcsetpgrp_tf();
extern int	tcsetpgrp_ef();
#endif

#if	( TEST_XPG > 4 )
extern int	tdelete_sf();
extern int	tdelete_tf();
extern int	tdelete_ef();
#endif

#if	( TEST_XPG > 4 )
extern int	telldir_sf();
extern int	telldir_tf();
extern int	telldir_ef();
#endif

#if	( TEST_XPG > 4 )
extern int	tempnam_sf();
extern int	tempnam_tf();
extern int	tempnam_ef();
#endif

#if	( TEST_XPG > 4 )
extern int	tfind_sf();
extern int	tfind_tf();
extern int	tfind_ef();
#endif

extern int	time_sf();
extern int	time_tf();
extern int	time_ef();

#if	defined(_POSIX_TIMERS)
extern int	timer_create_sf();
extern int	timer_create_tf();
extern int	timer_create_ef();
#endif

#if	defined(_POSIX_TIMERS)
extern int	timer_delete_sf();
extern int	timer_delete_tf();
extern int	timer_delete_ef();
#endif

#if	defined(_POSIX_TIMERS)
extern int	timer_getoverrun_sf();
extern int	timer_getoverrun_tf();
extern int	timer_getoverrun_ef();
#endif

#if	defined(_POSIX_TIMERS)
extern int	timer_gettime_sf();
extern int	timer_gettime_tf();
extern int	timer_gettime_ef();
#endif

#if	defined(_POSIX_TIMERS)
extern int	timer_settime_sf();
extern int	timer_settime_tf();
extern int	timer_settime_ef();
#endif

extern int	times_sf();
extern int	times_tf();
extern int	times_ef();

extern int	tmpfile_sf();
extern int	tmpfile_tf();
extern int	tmpfile_ef();

extern int	tmpnam_sf();
extern int	tmpnam_tf();
extern int	tmpnam_ef();

#if	( TEST_XPG > 4 )
extern int	toascii_sf();
extern int	toascii_tf();
extern int	toascii_ef();
#endif

extern int	tolower_sf();
extern int	tolower_tf();
extern int	tolower_ef();

extern int	toupper_sf();
extern int	toupper_tf();
extern int	toupper_ef();

#if	( TEST_XPG > 4 )
extern int	towctrans_sf();
extern int	towctrans_tf();
extern int	towctrans_ef();
#endif

#if	( TEST_XPG > 4 )
extern int	towlower_sf();
extern int	towlower_tf();
extern int	towlower_ef();
#endif

#if	( TEST_XPG > 4 )
extern int	towupper_sf();
extern int	towupper_tf();
extern int	towupper_ef();
#endif

#if	( TEST_XPG > 4 )
extern int	truncate_sf();
extern int	truncate_tf();
extern int	truncate_ef();
#endif

#if	( TEST_XPG > 4 )
extern int	tsearch_sf();
extern int	tsearch_tf();
extern int	tsearch_ef();
#endif

extern int	ttyname_sf();
extern int	ttyname_tf();
extern int	ttyname_ef();

extern int	ttyname_r_sf();
extern int	ttyname_r_tf();
extern int	ttyname_r_ef();

#if	( TEST_XPG > 4 )
#if	defined(_XOPEN_LEGACY) && (_XOPEN_LEGACY != -1)
extern int	ttyslot_sf();
extern int	ttyslot_tf();
extern int	ttyslot_ef();
#endif
#endif

#if	( TEST_XPG > 4 )
extern int	twalk_sf();
extern int	twalk_tf();
extern int	twalk_ef();
#endif

extern int	tzset_sf();
extern int	tzset_tf();
extern int	tzset_ef();

#if	( TEST_XPG > 4 )
extern int	ualarm_sf();
extern int	ualarm_tf();
extern int	ualarm_ef();
#endif

#if	( TEST_XPG > 4 )
extern int	ulimit_sf();
extern int	ulimit_tf();
extern int	ulimit_ef();
#endif

extern int	umask_sf();
extern int	umask_tf();
extern int	umask_ef();

extern int	uname_sf();
extern int	uname_tf();
extern int	uname_ef();

extern int	ungetc_sf();
extern int	ungetc_tf();
extern int	ungetc_ef();

#if	( TEST_XPG > 4 )
extern int	ungetwc_sf();
extern int	ungetwc_tf();
extern int	ungetwc_ef();
#endif

extern int	unlink_sf();
extern int	unlink_tf();
extern int	unlink_ef();

#if	( TEST_XPG > 4 )
extern int	unlockpt_sf();
extern int	unlockpt_tf();
extern int	unlockpt_ef();
#endif

#if	( TEST_XPG > 4 )
extern int	usleep_sf();
extern int	usleep_tf();
extern int	usleep_ef();
#endif

extern int	utime_sf();
extern int	utime_tf();
extern int	utime_ef();

#if	( TEST_XPG > 4 )
extern int	utimes_sf();
extern int	utimes_tf();
extern int	utimes_ef();
#endif

#if	( TEST_XPG > 4 )
#if	defined(_XOPEN_LEGACY) && (_XOPEN_LEGACY != -1)
extern int	valloc_sf();
extern int	valloc_tf();
extern int	valloc_ef();
#endif
#endif

#if	( TEST_XPG > 4 )
extern int	vfork_sf();
extern int	vfork_tf();
extern int	vfork_ef();
#endif

extern int	vfprintf_sf();
extern int	vfprintf_tf();
extern int	vfprintf_ef();

#if	( TEST_XPG > 4 )
extern int	vfwprintf_sf();
extern int	vfwprintf_tf();
extern int	vfwprintf_ef();
#endif

extern int	vprintf_sf();
extern int	vprintf_tf();
extern int	vprintf_ef();

#if	( TEST_XPG > 4 )
extern int	vsnprintf_sf();
extern int	vsnprintf_tf();
extern int	vsnprintf_ef();
#endif

extern int	vsprintf_sf();
extern int	vsprintf_tf();
extern int	vsprintf_ef();

#if	( TEST_XPG > 4 )
extern int	vswprintf_sf();
extern int	vswprintf_tf();
extern int	vswprintf_ef();
#endif

#if	( TEST_XPG > 4 )
extern int	vwprintf_sf();
extern int	vwprintf_tf();
extern int	vwprintf_ef();
#endif

extern int	wait_sf();
extern int	wait_tf();
extern int	wait_ef();

#if	( TEST_XPG > 4 )
#if	defined(_XOPEN_LEGACY) && (_XOPEN_LEGACY != -1)
extern int	wait3_sf();
extern int	wait3_tf();
extern int	wait3_ef();
#endif
#endif

#if	( TEST_XPG > 4 )
extern int	waitid_sf();
extern int	waitid_tf();
extern int	waitid_ef();
#endif

extern int	waitpid_sf();
extern int	waitpid_tf();
extern int	waitpid_ef();

#if	( TEST_XPG > 4 )
extern int	wcrtomb_sf();
extern int	wcrtomb_tf();
extern int	wcrtomb_ef();
#endif

#if	( TEST_XPG > 4 )
extern int	wcscat_sf();
extern int	wcscat_tf();
extern int	wcscat_ef();
#endif

#if	( TEST_XPG > 4 )
extern int	wcschr_sf();
extern int	wcschr_tf();
extern int	wcschr_ef();
#endif

#if	( TEST_XPG > 4 )
extern int	wcscmp_sf();
extern int	wcscmp_tf();
extern int	wcscmp_ef();
#endif

#if	( TEST_XPG > 4 )
extern int	wcscoll_sf();
extern int	wcscoll_tf();
extern int	wcscoll_ef();
#endif

#if	( TEST_XPG > 4 )
extern int	wcscpy_sf();
extern int	wcscpy_tf();
extern int	wcscpy_ef();
#endif

#if	( TEST_XPG > 4 )
extern int	wcscspn_sf();
extern int	wcscspn_tf();
extern int	wcscspn_ef();
#endif

#if	( TEST_XPG > 4 )
extern int	wcsftime_sf();
extern int	wcsftime_tf();
extern int	wcsftime_ef();
#endif

#if	( TEST_XPG > 4 )
extern int	wcslen_sf();
extern int	wcslen_tf();
extern int	wcslen_ef();
#endif

#if	( TEST_XPG > 4 )
extern int	wcsncat_sf();
extern int	wcsncat_tf();
extern int	wcsncat_ef();
#endif

#if	( TEST_XPG > 4 )
extern int	wcsncmp_sf();
extern int	wcsncmp_tf();
extern int	wcsncmp_ef();
#endif

#if	( TEST_XPG > 4 )
extern int	wcsncpy_sf();
extern int	wcsncpy_tf();
extern int	wcsncpy_ef();
#endif

#if	( TEST_XPG > 4 )
extern int	wcspbrk_sf();
extern int	wcspbrk_tf();
extern int	wcspbrk_ef();
#endif

#if	( TEST_XPG > 4 )
extern int	wcsrchr_sf();
extern int	wcsrchr_tf();
extern int	wcsrchr_ef();
#endif

#if	( TEST_XPG > 4 )
extern int	wcsrtombs_sf();
extern int	wcsrtombs_tf();
extern int	wcsrtombs_ef();
#endif

#if	( TEST_XPG > 4 )
extern int	wcsspn_sf();
extern int	wcsspn_tf();
extern int	wcsspn_ef();
#endif

#if	( TEST_XPG > 4 )
extern int	wcsstr_sf();
extern int	wcsstr_tf();
extern int	wcsstr_ef();
#endif

#if	( TEST_XPG > 4 )
extern int	wcstod_sf();
extern int	wcstod_tf();
extern int	wcstod_ef();
#endif

#if	( TEST_XPG > 4 )
extern int	wcstok_sf();
extern int	wcstok_tf();
extern int	wcstok_ef();
#endif

#if	( TEST_XPG > 4 )
extern int	wcstol_sf();
extern int	wcstol_tf();
extern int	wcstol_ef();
#endif

extern int	wcstombs_sf();
extern int	wcstombs_tf();
extern int	wcstombs_ef();

#if	( TEST_XPG > 4 )
extern int	wcstoul_sf();
extern int	wcstoul_tf();
extern int	wcstoul_ef();
#endif

#if	( TEST_XPG > 4 )
extern int	wcswcs_sf();
extern int	wcswcs_tf();
extern int	wcswcs_ef();
#endif

#if	( TEST_XPG > 4 )
extern int	wcswidth_sf();
extern int	wcswidth_tf();
extern int	wcswidth_ef();
#endif

#if	( TEST_XPG > 4 )
extern int	wcsxfrm_sf();
extern int	wcsxfrm_tf();
extern int	wcsxfrm_ef();
#endif

#if	( TEST_XPG > 4 )
extern int	wctob_sf();
extern int	wctob_tf();
extern int	wctob_ef();
#endif

extern int	wctomb_sf();
extern int	wctomb_tf();
extern int	wctomb_ef();

#if	( TEST_XPG > 4 )
extern int	wctrans_sf();
extern int	wctrans_tf();
extern int	wctrans_ef();
#endif

#if	( TEST_XPG > 4 )
extern int	wctype_sf();
extern int	wctype_tf();
extern int	wctype_ef();
#endif

#if	( TEST_XPG > 4 )
extern int	wcwidth_sf();
extern int	wcwidth_tf();
extern int	wcwidth_ef();
#endif

#if	( TEST_XPG > 4 )
extern int	wmemchr_sf();
extern int	wmemchr_tf();
extern int	wmemchr_ef();
#endif

#if	( TEST_XPG > 4 )
extern int	wmemcmp_sf();
extern int	wmemcmp_tf();
extern int	wmemcmp_ef();
#endif

#if	( TEST_XPG > 4 )
extern int	wmemcpy_sf();
extern int	wmemcpy_tf();
extern int	wmemcpy_ef();
#endif

#if	( TEST_XPG > 4 )
extern int	wmemmove_sf();
extern int	wmemmove_tf();
extern int	wmemmove_ef();
#endif

#if	( TEST_XPG > 4 )
extern int	wmemset_sf();
extern int	wmemset_tf();
extern int	wmemset_ef();
#endif

#if	( TEST_XPG > 4 )
extern int	wordexp_sf();
extern int	wordexp_tf();
extern int	wordexp_ef();
#endif

#if	( TEST_XPG > 4 )
extern int	wprintf_sf();
extern int	wprintf_tf();
extern int	wprintf_ef();
#endif

extern int	write_sf();
extern int	write_tf();
extern int	write_ef();

#if	( TEST_XPG > 4 )
extern int	writev_sf();
extern int	writev_tf();
extern int	writev_ef();
#endif

#if	( TEST_XPG > 4 )
extern int	wscanf_sf();
extern int	wscanf_tf();
extern int	wscanf_ef();
#endif

#if	( TEST_XPG > 4 )
extern int	y0_sf();
extern int	y0_tf();
extern int	y0_ef();
#endif

#if	( TEST_XPG > 4 )
extern int	y1_sf();
extern int	y1_tf();
extern int	y1_ef();
#endif

#if	( TEST_XPG > 4 )
extern int	yn_sf();
extern int	yn_tf();
extern int	yn_ef();
#endif

