/*
*      SCCS:   @(#)common/drivers/Hvarnames.c	1.1 (02/11/97)  VSXgen release 1.4
*
*	UniSoft Ltd., London, England
*
* (C) Copyright 1997 X/Open Company Limited, a member of The Open Group
*
* All rights reserved.  No part of this source code may be reproduced,
* stored in a retrieval system, or transmitted, in any form or by any
* means, electronic, mechanical, photocopying, recording or otherwise,
* except as stated in the end-user licence agreement, without the prior
* permission of the copyright owners.
*
* X/Open and the 'X' symbol are trademarks of The Open Group in
* the UK and other countries.
*/
static	char sccsid[] = "@(#)common/drivers/driver.hdr VSXgen release 1.4";

/***********************************************************************

NAME:           Hvarnames.c - config variable names for driver.hdr

PROJECT:	VSX (X/OPEN Validation Suite)

SYNOPSIS:
		char *vsx_cflags_var;
		char *vsx_libs_var;

DESCRIPTION:
	These data items specify the names of the config variables
	from which compiler flags and libraries respectively should
	be taken for use in compilation commands.

	This file is used to build the default driver (driver.hdr).
	Test packages can supply different versions of this file to build
	variants of the driver which use different config parameters.

AUTHOR:		Geoff Clare, UniSoft Ltd
DATE CREATED:	February 1997
MODIFICATIONS:

************************************************************************/

#include <std.h>
#include <sysdep.h>

public	char	*vsx_cflags_var = "VSX_CFLAGS";
public	char	*vsx_libs_var = "VSX_LIBS";
