
/*************************************************************************
*
* Copyright (c) 1997 X/Open Company Ltd., A member of The Open Group
*
* All rights reserved.  No part of this source code may be reproduced,
* stored in a retrieval system, or transmitted, in any form or by any
* means, electronic, mechanical, photocopying, recording or otherwise,
* except as stated in the end-user licence agreement, without the prior
* permission of the copyright owners.
*
* Motif (R) and UNIX (R) are registered trademarks and 'IT DialTone' (TM),
* 'The Open Group' (TM) and the 'X Device' (TM) are trademarks of
* The Open Group.
*
*
*	Written by Mount Bonnell Inc. Austin, Texas, USA
*	@(#)vsth_cpq.c	1.3
*
*************************************************************************/


#include "std.h"

#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>

#include "tet_api.h"
#include "vsth/vsth.h"
#include "vsth/vsth_fw.h"



/****** Testset for qsort()					 ******/

#ifdef	qsort
#undef	qsort
#endif

static int
qsort_func(const void *e1, const void *e2)
{
	return(0);
}

int
qsort_csf()
{
	return(0);
}

int
qsort_ctf()
{
	int	rval;
	int	errs;
	int	fails;
	char	buf[2];

	errs	= 0;
	fails	= 0;

	(void) qsort((void *) &buf[0], 0, sizeof(char), qsort_func);

	rval = 1;
	if ( fails )
	{
		rval = 2;
	}
	else if (( errs == 0 ) && ( fails == 0 ))
	{
		rval = 0;
	}
	return(rval);
}

int
qsort_cef()
{
	return(0);
}



