/*
*      SCCS:   @(#)common/vtools/chmog.h	4.2 (03/06/97)  VSXgen release 1.4
*
*	UniSoft Ltd., London, England
*
* (C) Copyright 1992 X/Open Company Limited
*
* All rights reserved.  No part of this source code may be reproduced,
* stored in a retrieval system, or transmitted, in any form or by any
* means, electronic, mechanical, photocopying, recording or otherwise,
* except as stated in the end-user licence agreement, without the prior 
* permission of the copyright owners.
*
* X/Open and the 'X' symbol are trademarks of X/Open Company Limited in
* the UK and other countries.
*/

/***********************************************************************

NAME:		chmog.h - header for use in chmog source files

PROJECT:	VSX (X/OPEN Validation Suite)

MODULE CONTAINS:
		struct proglist

AUTHOR:		Geoff Clare, UniSoft Ltd.
DATE CREATED:	21 Oct 1992
MODIFICATIONS:
		Geoff Clare, 5 March 1997
		Added section name to proglist

************************************************************************/

#define NPRV	20	/* max no. of privileges per program - raise as necc */

struct proglist {
	char	*sect;			/* section name */
	char	*name;			/* program name */
	int	privileges[NPRV + 1];	/* privilege list */
};
