/*      SCCS:   @(#)common/vtools/config.h	4.1 (01/21/97)  VSXgen release 1.4

   Configuration for GNU C-compiler for Vax.
   Copyright (C) 1988 Free Software Foundation, Inc.

This file is part of GNU CC.

GNU CC is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 1, or (at your option)
any later version.

GNU CC is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with GNU CC; see the file COPYING.  If not, write to
the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.  */

/***********************************************************************

NAME:		config.h

PROJECT:	VSX (X/OPEN Validation Suite)
MODULE CONTAINS:
SYNOPSIS:
DESCRIPTION:
		Stripped down version of original GNU code.

AUTHOR:		Geoff Clare, UniSoft Ltd.
DATE CREATED:	26 Jan 1990
MODIFICATIONS:

************************************************************************/


#include <limits.h>

#define BITS_PER_UNIT CHAR_BIT
#define UNITS_PER_WORD sizeof(int)
#define BITS_PER_WORD (sizeof(int) * CHAR_BIT)
#define EMPTY_FIELD_BOUNDARY BITS_PER_WORD

#define TARGET_BELL 007	/* ASCII dependent */
#define TARGET_BS '\b'
#define TARGET_TAB '\t'
#define TARGET_NEWLINE '\n'
#define TARGET_VT '\v'
#define TARGET_FF '\f'
#define TARGET_CR '\r'

#define FUNCTION_MODE QImode
#define Pmode SImode

#undef abort
#define abort()	((void) fprintf(stderr, "FATAL: abort at line %d of %s\n", \
		__LINE__, __FILE__), exit(-1))
