/*
*	SCCS:	@(#)	INC/sysdep.h		4.2 (02/19/97)  VSXgen release 1.3
*
*	UniSoft Ltd., London, England
*
* (C) Copyright 1991 X/Open Company Limited
*
*
* X/Open and the 'X' symbol are trademarks of X/Open Company Limited in
* the UK and other countries.
*/
/***********************************************************************

NAME:		sysdep.h

PROJECT:	VSX (X/OPEN Validation Suite)

DESCRIPTION:
	Header file to be included after all other headers in
	testset source files.
AUTHOR:
	Hamish Reid, UniSoft Ltd.
DATE CREATED:
	Tue May 27 15:54:24 BST 1986
MODIFICATIONS:

	(Previous mods history deleted.)

	Geoff Clare, January 1997
		Changes for VSXgen.

	Geoff Clare, 19 Feb 1997
		Added #define of tet_sync().

************************************************************************/

/* interfaces to functions which have varying argument types */

#ifndef NO_VREAD
#undef read
#define read vread
#endif
#ifndef NO_VWRITE
#undef write
#define write vwrite
#endif
#ifndef NO_VGETCWD
#undef getcwd
#define getcwd vgetcwd
extern char *vgetcwd();
#endif

/* Cater for old tet_sync() calls which use an int spno instead of long */
#if TEST_XNFS
#define tet_sync(n,s,t)  tet_msync((long)(n),s,t,(struct tet_synmsg *)0)
#endif

/* Undefine extra symbols defined in headers, which clash with
   VSX code but are otherwise unused */

#undef sigmask

