#ifndef lint
static char yysccsid[] = "@(#)yaccpar	1.9 (Berkeley) 02/21/93";
#endif
#define YYBYACC 1
#define YYMAJOR 1
#define YYMINOR 9
#define yyclearin (yychar=(-1))
#define yyerrok (yyerrflag=0)
#define YYRECOVERING (yyerrflag!=0)
#define YYPREFIX "yy"
#line 72 "c-parse.y"
#include <std.h>
#include <stdlib.h>
#include <stdio.h>
#include <errno.h>
#include <string.h>
#include <limits.h>
#include "config.h"
#include "tree.h"
#include "c-parse.h"
#include "c-tree.h"
#include <sysdep.h>

extern char *xmalloc(), *xrealloc();
extern void bcopy();

#define YYEMPTY (-1)
#define YYLEX yylex()

void yyerror ();

/* Cause the `yydebug' variable to be defined.  */
#ifndef lint
#define YYDEBUG 1
#endif
#line 100 "c-parse.y"
typedef union {long itype; tree ttype; enum tree_code code; } YYSTYPE;
#line 189 "c-parse.y"
/* the declaration found for the last IDENTIFIER token read in.
   yylex must look this up to detect typedefs, which get token type TYPENAME,
   so it is left around in case the identifier is not a typedef but is
   used in a context which makes it a reference to a variable.  */
static tree lastiddecl;

static tree make_pointer_declarator ();
static tree combine_strings ();
static void reinit_parse_for_function ();

/* List of types and structure classes of the current declaration */
tree cur_declspecs;

char *input_filename;		/* source file current line is coming from */

int undeclared_variable_notice;	/* 1 if we explained undeclared var errors. */

static int yylex ();
#line 58 "y.tab.c"
#define IDENTIFIER 257
#define TYPENAME 258
#define SCSPEC 259
#define TYPESPEC 260
#define TYPE_QUAL 261
#define CONSTANT 262
#define STRING 263
#define ELLIPSIS 264
#define SIZEOF 265
#define ENUM 266
#define STRUCT 267
#define UNION 268
#define IF 269
#define ELSE 270
#define WHILE 271
#define DO 272
#define FOR 273
#define SWITCH 274
#define CASE 275
#define DEFAULT 276
#define BREAK 277
#define CONTINUE 278
#define RETURN 279
#define GOTO 280
#define ASM 281
#define TYPEOF 282
#define ALIGNOF 283
#define ASSIGN 284
#define OROR 285
#define ANDAND 286
#define EQCOMPARE 287
#define ARITHCOMPARE 288
#define LSHIFT 289
#define RSHIFT 290
#define UNARY 291
#define PLUSPLUS 292
#define MINUSMINUS 293
#define HYPERUNARY 294
#define POINTSAT 295
#define YYERRCODE 256
short yylhs[] = {                                        -1,
    0,    0,   57,   55,   58,   55,   56,   56,   56,   60,
   60,   60,   60,   60,   60,   60,   60,   62,   64,   59,
   59,   65,   66,   59,   59,   67,   68,   59,   59,    2,
    2,    1,    1,    1,    1,    1,    1,    1,    3,    5,
    5,    4,    4,    8,    8,    8,    8,    8,    7,    7,
    6,    6,    6,    6,    6,    6,    6,    6,    6,    6,
    6,    6,    6,    6,    6,    6,    6,    6,    9,    9,
    9,    9,    9,    9,    9,    9,    9,    9,    9,   10,
   10,   61,   61,   69,   69,   69,   69,   54,   70,   70,
   70,   70,   11,   11,   12,   12,   12,   15,   15,   15,
   15,   13,   13,   14,   14,   16,   16,   16,   16,   16,
   17,   17,   17,   20,   20,   21,   21,   26,   26,   72,
   22,   22,   73,   23,   23,   24,   24,   24,   24,   24,
   25,   25,   30,   30,   32,   32,   32,   32,   32,   32,
   33,   33,   33,   33,   33,   31,   31,   31,   31,   31,
   31,   74,   34,   34,   34,   75,   34,   34,   34,   76,
   34,   78,   34,   34,   77,   77,   35,   35,   35,   36,
   36,   36,   37,   37,   37,   38,   38,   38,   39,   39,
   40,   40,   41,   41,   42,   42,   18,   18,   44,   44,
   43,   43,   43,   43,   43,   43,   43,   43,   43,   79,
   79,   79,   81,   81,   71,   82,   63,   63,   83,   83,
   83,   83,   85,   84,   80,   80,   80,   80,   86,   87,
   80,   88,   89,   80,   90,   91,   92,   80,   93,   80,
   80,   80,   80,   80,   80,   80,   80,   80,   80,   80,
   80,   80,   80,   19,   19,   45,   45,   27,   27,   28,
   28,   29,   94,   49,   95,   52,   53,   53,   53,   50,
   50,   51,   51,   51,   46,   46,   47,   47,   47,   47,
   47,   48,   48,
};
short yylen[] = {                                         2,
    0,    1,    0,    2,    0,    3,    1,    1,    5,    3,
    4,    4,    2,    2,    2,    2,    1,    0,    0,    7,
    4,    0,    0,    7,    4,    0,    0,    6,    3,    1,
    1,    1,    1,    1,    1,    1,    1,    1,    1,    0,
    1,    1,    3,    1,    2,    2,    2,    4,    1,    4,
    1,    3,    3,    3,    3,    3,    3,    3,    3,    3,
    3,    3,    3,    3,    3,    5,    3,    3,    1,    1,
    1,    3,    3,    4,    4,    3,    3,    2,    2,    1,
    2,    0,    1,    1,    1,    2,    2,    0,    4,    4,
    2,    2,    2,    3,    0,    2,    2,    1,    1,    2,
    2,    2,    3,    0,    2,    1,    1,    1,    4,    4,
    1,    1,    1,    1,    3,    1,    3,    0,    4,    0,
    5,    2,    0,    5,    2,    1,    2,    3,    4,    1,
    1,    3,    1,    1,    3,    3,    4,    3,    3,    1,
    3,    4,    3,    3,    1,    3,    3,    3,    4,    3,
    1,    0,    6,    4,    2,    0,    6,    4,    2,    0,
    7,    0,    6,    2,    0,    1,    0,    3,    2,    3,
    3,    1,    0,    1,    3,    1,    3,    2,    1,    3,
    1,    3,    2,    2,    0,    1,    1,    2,    0,    2,
    3,    3,    2,    3,    4,    3,    2,    3,    2,    1,
    2,    2,    0,    1,    2,    0,    1,    2,    2,    5,
    4,    4,    0,    6,    1,    2,    3,    1,    0,    0,
    7,    0,    0,    9,    0,    0,    0,   12,    0,    6,
    4,    3,    2,    2,    2,    3,    6,    8,   10,    7,
    3,    3,    1,    0,    1,    0,    1,    0,    1,    1,
    3,    4,    0,    2,    0,    2,    2,    2,    2,    2,
    2,    0,    1,    3,    1,    3,    2,    2,    2,    2,
    2,    1,    3,
};
short yydefred[] = {                                      0,
    0,    0,    0,    0,    0,  108,   99,  106,   98,    0,
    0,    0,    0,    0,   17,    0,    0,   95,  107,    0,
    4,    7,    8,    6,   15,   16,   30,   31,  162,    0,
  167,    0,  167,    0,    0,    0,   14,    0,  101,  100,
   13,   95,    0,    0,  151,  189,    0,    0,  116,    0,
    0,  160,    0,  152,    0,  156,   80,    0,   69,  187,
   70,    0,   32,   34,   33,    0,   35,   36,    0,   37,
   38,    0,    0,    0,    0,   51,   49,    0,    0,    0,
  104,    0,    0,  140,  189,    0,    0,  114,    0,    0,
    0,    0,    0,    0,   97,  111,  112,   96,  113,    0,
    0,   10,    0,   29,    0,  255,    0,    0,    0,    0,
    0,  179,    0,  172,  169,  154,   88,    0,    0,  167,
  158,  167,   81,    0,    0,   47,   45,    0,    0,    0,
   46,  109,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
   78,   79,    0,    0,    0,    0,  189,    0,    0,  183,
    0,    0,  188,  104,  184,  110,    0,    0,   12,    0,
   21,    0,    0,  255,    0,   11,   25,    0,  190,    0,
  147,  117,    0,    0,  146,    0,  150,    0,  123,    0,
    0,    0,   27,    0,    0,   85,    0,    0,    0,    0,
    0,    0,  168,    0,    0,    9,    0,   73,   72,    0,
    0,    0,    0,  247,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,   54,   55,   56,   77,
   76,    0,    0,    0,    0,    0,  197,    0,  199,    0,
  253,    0,  105,    0,    0,  135,  115,  120,   19,  136,
  138,    0,   23,    0,    0,  272,    0,    0,    0,  265,
    0,    0,  256,  149,    0,  205,   91,    0,   92,    0,
    0,   86,   87,    0,  180,  163,    0,    0,    0,    0,
  174,    0,  153,  157,   48,   50,    0,   74,   75,    0,
  191,    0,  254,    0,  198,  194,  196,    0,    0,    0,
  137,    0,  119,  259,  145,  189,    0,    0,    0,  269,
  189,    0,  271,    0,  258,    0,  257,  130,    0,    0,
  124,    0,    0,    0,    0,    0,   28,  207,  161,    0,
    0,    0,    0,  261,  260,  195,  121,   20,   24,    0,
  255,    0,    0,  264,  266,  273,  127,  131,    0,   89,
   90,  208,  209,    0,    0,  175,    0,  141,  143,    0,
  128,    0,    0,    0,    0,    0,  219,  222,    0,    0,
    0,    0,    0,    0,    0,    0,    0,  243,    0,    0,
    0,    0,  200,  215,    0,  142,  129,  132,  211,    0,
    0,    0,    0,    0,    0,    0,  233,  234,  235,    0,
    0,  245,    0,    0,  216,    0,    0,  212,  202,  201,
    0,    0,    0,    0,    0,    0,    0,  232,  236,  241,
    0,  242,  210,  217,  213,    0,  223,  225,  229,  231,
    0,    0,  220,    0,    0,    0,    0,    0,  214,    0,
    0,    0,  230,    0,    0,    0,  250,  237,  221,    0,
  226,    0,    0,    0,    0,    0,    0,    0,    0,  238,
  251,  224,    0,  252,    0,  227,  239,    0,  228,
};
short yydgoto[] = {                                       1,
   72,  379,  380,   74,  233,   75,   76,   77,   78,   79,
  191,   44,  117,  162,  192,   18,   98,  118,  403,   87,
   48,   88,   49,  321,  349,  108,  445,  446,  447,  183,
   90,   91,  309,   19,   53,  119,  280,  281,  111,  112,
   83,  160,  161,  100,  215,  259,  260,  261,  237,  293,
  262,  185,  263,   20,    2,   21,    3,    4,   22,   23,
  193,  173,  327,  300,  178,  302,  109,  271,  194,  195,
  196,  299,  265,  120,  122,  113,  199,   51,  382,  383,
  407,  354,  384,  385,  432,  391,  440,  392,  434,  435,
  457,  468,  436,  238,  186,
};
short yysindex[] = {                                      0,
    0,    0, 1633, 1633,   34,    0,    0,    0,    0, -105,
 -101,  -78,  -16,   17,    0,  -24,  330,    0,    0,   18,
    0,    0,    0,    0,    0,    0,    0,    0,    0,  -62,
    0,  -32,    0,   20, -135,  716,    0,  185,    0,    0,
    0,    0,   18,  534,    0,    0,   18,   37,    0,    6,
  182,    0,  579,    0, 1777,    0,    0,  -25,    0,    0,
    0,  952,    0,    0,    0, 1106,    0,    0,  389,    0,
    0, 1106,   93,  126, 1116,    0,    0,  -19,  -48,  246,
    0,  990,  201,    0,    0,  185,  193,    0, -146,   45,
  272,  534,  308,   85,    0,    0,    0,    0,    0,  158,
  123,    0,  185,    0,  210,    0,  919,  230, 1061,  244,
  284,    0,  182,    0,    0,    0,    0, 1842,  258,    0,
    0,    0,    0,  294,  389,    0,    0,  319,  337,  357,
    0,    0, 1106, 1106, 1106, 1106, 1106, 1106, 1106, 1106,
 1106, 1106, 1106, 1106, 1106, 1106, 1106, 1106, 1106, 1106,
    0,    0,  182,  182, 1106, 1106,    0,  246,  973,    0,
  384, 1007,    0,    0,    0,    0,  180,  315,    0,  185,
    0,  369, 1061,    0,  984,    0,    0, 1061,    0,   45,
    0,    0,  191, -135,    0, 1881,    0,  396,    0,  423,
  433, 1741,    0, 1758,  240,    0, 1106,  182,  374,  284,
  278,  278,    0, 1831, 1861,    0,  463,    0,    0, 1106,
 1116, 1116, 1116,    0,  452,   -6,   95,   61, 1149,  475,
    7,   32,  786,  786,  622,  622,    0,    0,    0,    0,
    0,  126,  480,  436,  -27,  544,    0, 1190,    0,  444,
    0, 1069,    0, 1007,  272,    0,    0,    0,    0,    0,
    0,  471,    0,  -12,  497,    0,  455,  273,  501,    0,
  172,  554,    0,    0,  908,    0,    0,  185,    0,   18,
  -75,    0,    0, 1116,    0,    0,  474, 1106,  542,  557,
    0,  557,    0,    0,    0,    0, 1106,    0,    0,  384,
    0,  590,    0,  591,    0,    0,    0,  546,  908,  -75,
    0,  -75,    0,    0,    0,    0,  144,   45,  388,    0,
    0,   45,    0, 1918,    0,  386,    0,    0,   69, 1116,
    0,  321,  414,  -26,  538,  541,    0,    0,    0, 1116,
 1106,  278,   84,    0,    0,    0,    0,    0,    0,  118,
    0, 1082,  602,    0,    0,    0,    0,    0,   23,    0,
    0,    0,    0,  188, 1116,    0,  388,    0,    0,  574,
    0,  221,  164,    0,    0,  633,    0,    0,  646,  651,
 1106,  642,  665,  671, 1093,  182,  449,    0,  690,  691,
  460,  620,    0,    0,  481,    0,    0,    0,    0, 1106,
  715,  811, 1106, 1106,  699,  811,    0,    0,    0,  701,
  707,    0,  730,  811,    0,  779,  647,    0,    0,    0,
  811,  733, 1106,  500,  720,  756,  811,    0,    0,    0,
 -135,    0,    0,    0,    0,  757,    0,    0,    0,    0,
   -3,  811,    0,  765, 1106,  811,  547,  747,    0,  811,
 1106,  748,    0,  769,  152,  771,    0,    0,    0,  789,
    0, 1106,  547,  761,  547,  768, 1106,  791,  793,    0,
    0,    0,  795,    0,  782,    0,    0,  811,    0,
};
short yyrindex[] = {                                     11,
    0,   42,  163,  163,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,  445,  163,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0, 1754,
    0, 1817,    0, 1907,    0,    0,    0,    0,    0,    0,
    0,    0,    0, 2021,    0,    0,    0,    0,    0, 1561,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,  450,  767,    0,    0,  124, 1242,  802,
    0,  802,    0,    0,    0,    0,    0,    0, 1723, 1606,
 1712, 2027,    0, 1788,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,  457,  727,   24,
  732,    0,    0,    0,    0,    0,    0,  630,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,  794,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,  821,    0,    0,  136,    0,    0,
  392, 1162,    0,    0,    0,    0,    0,    0,    0,    0,
    0,  483,  727,    0,    0,    0,    0,  727,    0, 1543,
    0,    0,  467,    0,    0,  823,    0,    0,    0,    0,
  445,  163,    0,  -57,  300,    0,    0,  740,    0,  732,
  543,  543,    0,    0,    0,    0,    0,    0,    0,    0,
 1211,  945, 1253,    0,    0,  755, 1638, 1600, 1553, 1530,
 1506, 1255, 1429, 1458, 1384, 1421,    0,    0,    0,    0,
    0,  825,    0,    0,  826,    0,    0,  823,    0,    0,
    0,    0,    0, 1518, 1694,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,  506,  506,  827,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,   50,    0,    0,    0,    0,  559,  810,
    0,  812,    0,    0,    0,    0,    0,    0,    0,  634,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,  136,  636,  643,    0,
    0,  655,    0,    0,    0,    0,    0,    0,    0,   19,
    0,    0,    0,  467,    0,  348,    0,    0,    0,  589,
    0,    0,  814,    0,    0,    0,    0,    0,    0,  657,
    0,    0,  657,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,  624,    0,  703,    0,    0,    0,
    0,    0,    0, 1350,  448,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,  834,    0,    0,    0,
  754,    0,    0,    0,  652,    0,    0,    0,    0,    0,
    0,    0,  822,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,  759,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,  822,    0,  359,    0,    0,    0,
    0,    0,    0,    0,    0,  394,    0,    0,    0,    0,
    0,    0,  511,    0,    0,    0,  845,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,
};
short yygindex[] = {                                      0,
    0,   -8,  -36,  735,    0, 1795,   14,  841,    0,  -34,
    2,  846,   26,  742,    5, 1705, -103,   47,    0,  648,
  -31,  -80,    0, -243,    0,  -70,  451,    0,  456,  -28,
  -13,   44,  580,  432,   -5,    0,  734,  603,  809,  744,
  128,  -56, -111,  -65, -128,    0,  626,    0,  697,    0,
  705, -134,    0,  902,    0,  943,    0,    0,    0,    0,
  112,    0,  -44,    0,    0,    0,    0,    0,  595, -177,
 -170,    0,    0,    0,    0,    0,  758,    0,  573, 1719,
    0,    0,  223,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,
};
#define YYTABLESIZE 2285
short yytable[] = {                                      73,
   58,   30,   32,   34,   16,   16,   50,   17,   17,   89,
    1,   93,  158,  106,  157,  124,  272,   29,  172,  167,
  155,   31,  182,   35,  273,  165,  154,   55,  303,   94,
  150,  141,  129,  101,   37,  148,  146,  438,  147,  250,
  149,    2,  110,  150,   33,  106,  236,  326,  148,  146,
    3,  147,    3,  149,  437,  337,   36,   47,  243,   46,
   52,   80,  126,  159,  107,   83,  362,  181,  150,    3,
  188,  156,  101,  148,  146,  348,  147,  126,  149,  127,
  103,    5,   82,    5,  106,  131,  180,  140,  129,  247,
   54,  235,   25,  182,   80,  102,  107,  150,  141,  214,
    5,   71,  148,  146,  110,  147,   63,  149,   69,  171,
   66,   64,  172,   65,  204,   82,  205,  139,  388,  234,
  150,  141,  240,  290,  106,  148,  146,   57,  147,  168,
  149,  150,  141,  132,  105,  107,  148,  146,  252,  147,
  243,  149,   56,  126,  230,  231,  136,  361,  181,  254,
   80,   27,   28,  180,  140,   27,   28,  307,   26,  306,
   44,   44,  106,  181,   44,   44,   44,   44,   44,  133,
   44,   82,  279,  279,  182,  107,  253,  140,   27,   28,
  325,   44,   44,  307,   44,  311,   44,  257,  140,  110,
  258,  319,  454,  347,   70,  236,  130,   47,   83,   46,
  310,  313,   88,  272,   88,  298,  358,  139,  159,  453,
  245,  409,  315,  107,  123,  316,   44,   44,  139,   86,
   71,   85,  266,  286,   86,   63,   85,   69,  290,   66,
   64,  290,   65,  179,  159,  409,  170,  123,  323,  257,
  340,  166,  258,  308,  312,  343,  378,   44,   44,  184,
  123,  169,  207,   71,  105,  338,  324,  339,   63,  123,
   69,  104,   66,   64,  415,   65,    3,    3,    3,    3,
    3,    3,  151,  152,   45,  153,    3,    3,    3,  138,
  142,  143,  144,  145,  249,  158,  105,  157,  389,  253,
  189,    3,    3,  101,  143,  144,  145,    5,    5,    5,
    5,    5,    5,  279,  197,  360,  442,    5,    5,    5,
  326,  174,  307,   70,  311,  257,  203,   86,  258,   85,
  144,  145,    5,    5,  318,   59,  180,  198,  463,  180,
   61,   57,   84,   62,  395,  278,  159,   84,  400,   84,
  177,   84,   84,  319,   84,  387,   70,  142,  143,  144,
  145,  103,  206,  412,  174,  246,  214,  416,   84,  208,
   67,   68,  175,  159,  170,  105,  176,  401,  137,  138,
  142,  143,  144,  145,   45,  305,  426,  209,  179,  350,
  206,  142,  143,  144,  145,  206,  431,  206,   41,  206,
  206,  253,  206,  253,  253,  253,  253,  210,  214,  248,
   45,  253,  253,  253,  450,  175,  206,   44,   44,   44,
   44,   44,   44,   44,   45,  458,  248,  253,  179,   88,
  214,   71,   84,  241,   84,   84,   63,  341,   69,  248,
   66,   64,  186,   65,  249,  186,   45,   84,   27,   28,
  179,   45,   84,  363,  364,  365,    7,    8,    9,   61,
   57,  249,   62,   10,   11,   12,  366,  103,  367,  368,
  369,  370,  371,  372,  373,  374,  375,  376,  377,   14,
  206,  105,  351,  206,  242,   99,  318,   59,  342,   67,
   68,  266,   61,   57,   88,   62,   88,  108,  264,  108,
   39,  267,   71,  328,  307,  190,  306,   63,  276,   69,
  125,   66,   64,  285,   65,   31,  108,   39,   39,  287,
  118,  150,   67,   68,   70,  125,  148,  146,  378,  147,
  288,  149,  328,   99,  328,  118,  122,  118,  289,   45,
    6,   39,    8,   40,   45,   84,  295,  304,   10,   11,
   12,  122,   39,  240,  314,  159,  185,  352,  240,  185,
  240,  248,  240,  240,   14,  240,   84,   84,   84,   84,
   84,   84,   84,  301,   84,   84,   84,   84,   84,  240,
   84,   84,   84,   84,   84,   84,   84,   84,   84,   84,
   84,   84,  326,  241,  291,   70,  173,    6,   39,    8,
   40,   84,   84,   99,  317,   10,   11,   12,  329,  331,
  332,  173,  176,  206,  206,  206,  206,  206,  206,  206,
  206,   14,  206,  206,  206,  206,  206,  176,  206,  206,
  206,  206,  206,  206,  206,  206,  206,  206,  206,  206,
  334,  335,  178,  240,  242,  240,  240,  115,  336,  206,
  206,  307,  346,  311,  128,   59,    6,  178,    8,   60,
   61,   57,   71,   62,   10,   11,   12,   63,  150,   69,
  326,   66,   64,  148,   65,  353,  386,  177,  149,   88,
   14,   88,  390,   88,  192,   99,  268,  192,  378,  268,
   67,   68,  177,  267,  218,  393,  267,   88,   88,  218,
  394,  218,  159,  218,  218,  270,  218,  193,  270,  396,
  193,   88,   88,  116,  108,  108,  108,  108,  108,  402,
  218,   45,  305,  108,  108,  108,  364,  365,    7,    8,
    9,   61,   57,  397,   62,   10,   11,   12,  366,  398,
  367,  368,  369,  370,  371,  372,  373,  374,  375,  376,
  377,   14,  326,  144,  408,   70,  144,  404,   71,  405,
  411,   67,   68,   63,  413,   69,  417,   66,   64,  419,
   65,  142,  143,  144,  145,  420,  240,  240,  240,  421,
  427,  423,  240,  425,  218,  240,  218,  218,  428,  240,
  240,  240,  240,  240,  240,  240,  240,  240,  240,  240,
  240,  240,   95,   96,   97,   65,  429,  433,   65,   10,
   11,   12,  240,  240,  441,  448,  451,   42,  452,  444,
   42,   71,   65,   65,  455,   65,   63,   65,   69,  460,
   66,   64,  150,   65,   42,   42,  462,  148,  146,  456,
  147,  464,  149,  465,  114,  466,    6,  378,    8,   60,
  467,   70,  185,   71,   10,   11,   12,   65,   63,   82,
   69,  246,   66,   64,   66,   65,  165,   66,   45,   42,
   14,   40,  179,  262,  166,   41,  193,  263,  170,  378,
  171,   66,   66,  244,   66,  190,  364,   28,  203,   65,
  246,   61,   57,  204,   62,  246,   88,   92,  366,  232,
  367,  368,  369,  370,  371,  372,  373,  374,  375,  376,
  377,  326,  126,  459,   70,  244,   66,  218,  218,  218,
  461,   67,   68,  218,  218,  322,  218,   38,   43,  357,
  218,  200,  218,  218,  218,  218,  218,  218,  218,  218,
  218,  218,  218,  326,  356,  282,   70,  296,   66,  345,
   71,  275,  294,  218,  218,   63,   24,   69,  381,   66,
   64,   71,   65,  406,    0,    0,   63,  277,   69,    0,
   66,   64,    0,   65,    0,    0,    0,    0,    0,    0,
    0,    0,   59,    6,    0,    8,   60,   61,   57,    0,
   62,   10,   11,   12,   71,   68,    0,    0,   68,   63,
    0,  125,    0,   66,   64,    0,   65,   14,    0,    0,
    0,    0,   68,   68,    0,   71,    0,   67,   68,    0,
   63,  187,   69,    0,   66,   64,   71,   65,  201,  202,
    0,   63,    0,   69,    0,   66,   64,    0,   65,  158,
  319,  157,    0,   70,  190,  364,   28,   68,   65,   65,
   61,   57,    0,   62,   70,    0,    0,  366,    0,  367,
  368,  369,  370,  371,  372,  373,  374,  375,  376,  377,
    0,    0,    0,    0,    0,  239,    0,  364,   28,   68,
   67,   68,   61,   57,    0,   62,  251,   70,    0,  366,
  159,  367,  368,  369,  370,  371,  372,  373,  374,  375,
  376,  377,  268,  270,    0,    0,    0,   66,   70,    0,
    0,   71,   67,   68,    0,    0,   63,    0,   69,   70,
   66,   64,    0,   65,   71,    0,    0,    0,    0,   63,
    0,   69,    0,   66,   64,   71,   65,    0,    0,    0,
   63,    0,   69,    0,   66,   64,    0,   65,   71,    0,
    0,    0,    0,   63,    0,   69,    0,   66,   64,    0,
   65,  399,  150,  141,    0,    0,    0,  148,  146,    0,
  147,  297,  149,  318,   59,    0,    0,    0,    0,   61,
   57,    0,   62,    0,  359,   59,  135,    0,  136,    0,
   61,   57,    0,   62,    0,  150,  141,    0,    0,    0,
  148,  146,    0,  147,   70,  149,    0,    0,    0,   67,
   68,  102,  102,  102,    0,  102,    0,   70,   59,  140,
   67,   68,    0,   61,   57,    0,   62,    0,   70,  102,
  102,    0,    0,    0,    0,    0,    0,    0,    0,   59,
    0,   70,    0,    0,   61,   57,    0,   62,    0,  139,
   59,    0,    0,   67,   68,   61,   57,    6,   62,    8,
  163,   43,  102,    0,   43,   10,   11,   12,    0,    0,
    0,    0,    0,    0,   67,   68,   96,   97,   43,   43,
    0,   14,   10,   11,   12,   67,   68,    0,   71,   71,
    0,   71,   71,   71,   71,   71,   71,   71,   71,    0,
    0,    0,   59,   67,    0,   59,   67,    0,   59,   71,
   71,    0,   71,   43,   71,    0,    0,    0,    0,    0,
   67,   67,   59,   59,    0,   59,  190,   59,    6,    7,
    8,    9,    0,    0,    0,   59,   10,   11,   12,    0,
   61,   57,   71,   62,   71,   71,    0,    0,   59,    0,
    0,    0,   14,   61,   57,   67,   62,   59,   59,   59,
    0,    0,    0,    0,   61,   57,    0,   62,    0,    0,
   67,   68,   59,    0,    0,   71,   71,   61,   57,    0,
   62,    0,    0,   67,   68,    0,    0,   67,   59,   59,
    0,    0,    0,    0,   67,   68,   69,   69,    0,   69,
    0,   69,   69,   69,   69,   69,   69,   67,   68,  134,
  137,  138,  142,  143,  144,  145,    0,   30,   69,    0,
   69,    0,   69,    0,    0,    0,    0,    0,  102,  102,
    0,   52,    0,    0,   52,    0,   52,   52,   52,    0,
    0,    0,    0,    0,    0,  142,  143,  144,  145,    0,
   69,   52,   52,   69,   52,  292,   52,    6,    7,    8,
    9,    0,    0,    0,    0,   10,   11,   12,   53,    0,
    0,   53,    0,   53,   53,   53,   57,    0,    0,   57,
    0,   14,   57,   69,    0,    0,   52,   52,   53,   53,
    0,   53,    0,   53,    0,    0,   57,   57,    0,   57,
    0,   57,    0,    0,    0,   58,    0,    0,   58,    0,
    0,   58,    0,    0,    0,    0,    0,   52,   52,    0,
    0,    0,    0,   53,   53,   58,   58,    0,   58,    0,
   58,   57,   57,    0,    0,   71,   71,   71,   71,   71,
   71,   71,    0,   71,   71,    0,   71,    0,   59,   59,
   59,   59,   59,   60,   53,   53,   60,    0,    0,   60,
   58,   58,   57,   57,    0,    0,    0,  103,  103,  103,
    0,  103,    0,   60,   60,    0,   60,   61,   60,    0,
   61,    0,    0,   61,    0,  103,  103,    0,    0,    0,
    0,   58,   58,  148,    0,    0,  148,   61,   61,    0,
   61,    0,   61,   63,    0,    0,   63,    0,   60,   60,
  148,  148,    0,  148,  118,    0,    0,    0,  103,    0,
   63,   63,    0,   63,    0,   63,    0,    0,    0,  118,
    0,  118,   61,   61,    0,    0,    0,    0,    0,   60,
   60,    0,    0,   69,   69,   69,   69,   69,   69,   69,
   62,   69,   69,   62,   69,   63,   63,    0,    0,  134,
    0,    0,    0,   61,   61,    0,    0,   62,   62,    0,
   62,    0,   62,  134,  134,  148,  134,   52,   52,   52,
   52,   52,   52,   52,    0,    0,   63,   63,   64,    0,
    0,   64,    0,   26,    0,    0,    0,    0,    0,    0,
    0,   15,   62,    0,    0,   64,   64,    0,   64,    0,
   64,    0,    0,    0,   53,   53,   53,   53,   53,   53,
   53,    0,   57,   57,   57,   57,   57,   57,   57,    0,
    0,   42,    0,   62,   62,    0,    0,    0,  134,    0,
   64,    0,    0,    0,  139,    0,    0,  139,    0,    0,
   81,   58,   58,   58,   58,   58,   58,   58,    0,    0,
    0,  139,  139,    0,  139,  133,    0,   81,    0,   81,
    0,    0,   64,    0,    0,    0,  118,    0,    0,  133,
  133,    0,  133,   81,  103,  103,    0,    0,    0,    0,
    0,  118,    0,  118,    0,    0,  164,    0,    0,   60,
   60,   60,   60,  164,  164,  164,    0,  164,  148,  269,
  148,  148,  148,  148,    0,    0,    0,    0,  148,  148,
  148,  164,  164,   61,   61,   61,  139,    0,   26,   26,
   26,   26,  164,  148,  148,    0,   26,   26,   26,   81,
    0,  118,    0,    0,  133,  115,   63,   63,   63,    0,
    0,    0,   26,    0,  164,   18,  118,    0,  118,    0,
    0,    0,    0,    0,    0,    0,  155,  155,  155,    0,
  155,  134,    0,  134,  134,  134,  134,    0,    0,    0,
    0,  134,  134,  134,  155,  155,    0,    0,    0,    0,
    0,    0,    0,   62,   62,   62,  134,  134,    5,  115,
    6,    7,    8,    9,    0,    0,   42,    0,   10,   11,
   12,  121,    0,    0,    0,    0,    0,  155,   81,   81,
   22,    0,    0,   13,   14,    0,    0,    0,    0,  115,
    0,   64,   64,   64,    0,    0,    0,  211,  212,  213,
    0,  216,  217,  218,  219,  220,  221,  222,  223,  224,
  225,  226,  227,  228,  229,    0,  159,  159,  159,  139,
  159,  139,  139,  139,  139,  283,    0,    0,    0,  139,
  139,  139,   42,    0,  159,  159,    0,  133,    0,  133,
  133,  133,  133,    0,  139,  139,    0,  133,  133,  133,
   18,   18,   18,   18,    0,  284,    0,    0,   18,   18,
   18,  274,  133,  133,    0,    0,    0,  159,    6,   39,
    8,   40,    0,    0,   18,    0,   10,   11,   12,    0,
  164,  164,  164,  164,  164,    6,    7,    8,    9,  164,
  164,  164,   14,   10,   11,   12,    0,    0,    0,    0,
    0,    0,  114,    0,    6,    0,    8,   60,    0,   14,
    0,    0,   10,   11,   12,   22,   22,   22,   22,    0,
    0,    0,    0,   22,   22,   22,    0,    0,   14,  320,
   93,   93,   93,    0,   93,    0,   94,   94,   94,   22,
   94,    0,  330,  155,  155,  155,  155,  155,    0,   93,
    0,  333,  155,  155,  155,   94,  114,    0,    6,    0,
    8,   60,    0,  320,    0,    0,   10,   11,   12,    6,
  410,    8,  163,    0,    0,    0,    0,   10,   11,   12,
  414,   93,   14,  320,  418,    0,  114,   94,    6,    0,
    8,   60,  422,   14,  410,  355,   10,   11,   12,  424,
    0,    0,    0,    0,    0,  430,  255,  256,    6,    7,
    8,    9,   14,    0,    0,    0,   10,   11,   12,    0,
  439,    0,    0,    0,  443,    0,  320,    0,  449,    0,
    0,    0,   14,  159,  159,  159,  159,  159,    0,    0,
    0,    0,  159,  159,  159,    6,    7,    8,    9,    0,
    0,  344,    0,   10,   11,   12,  469,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,   14,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,   93,   93,    0,
    0,    0,    0,   94,   94,
};
short yycheck[] = {                                      36,
   35,   10,   11,   12,    3,    4,   20,    3,    4,   38,
    0,   43,   40,   40,   42,   41,  194,  123,   89,   85,
   40,  123,  103,   40,  195,   82,   46,   33,   41,   43,
   37,   38,   69,   47,   59,   42,   43,   41,   45,  174,
   47,    0,   51,   37,  123,   40,  158,  123,   42,   43,
   40,   45,   42,   47,   58,  299,   40,   40,  162,   42,
  123,   36,   44,   91,   91,  123,   44,   44,   37,   59,
  107,   91,   86,   42,   43,  319,   45,   59,   47,   66,
   44,   40,   36,   42,   40,   72,  100,   94,  125,  170,
  123,  157,   59,   44,   69,   59,   91,   37,   38,  136,
   59,   33,   42,   43,  113,   45,   38,   47,   40,  256,
   42,   43,  183,   45,  120,   69,  122,  124,  362,  156,
   37,   38,  159,  235,   40,   42,   43,  263,   45,   86,
   47,   37,   38,   41,  281,   91,   42,   43,  175,   45,
  244,   47,  123,  125,  153,  154,   63,  125,  125,  184,
  125,  257,  258,  167,   94,  257,  258,   40,  125,   42,
   37,   38,   40,   41,   41,   42,   43,   44,   45,   44,
   47,  125,  201,  202,  125,   91,   41,   94,  257,  258,
  256,   58,   59,   40,   61,   42,   63,  186,   94,  198,
  186,  123,   41,  125,  126,  307,   69,   40,  256,   42,
  257,  258,   40,  381,   42,  242,  341,  124,   91,   58,
  167,  382,   41,   91,  263,   44,   93,   94,  124,   40,
   33,   42,   59,  210,   40,   38,   42,   40,  340,   42,
   43,  343,   45,  261,   91,  406,   44,  263,  270,  238,
  306,   41,  238,  257,  258,  311,   59,  124,  125,   40,
  263,   59,  125,   33,  281,  300,  270,  302,   38,  263,
   40,  256,   42,   43,  393,   45,  256,  257,  258,  259,
  260,  261,  292,  293,  257,  295,  266,  267,  268,  286,
  287,  288,  289,  290,  173,   40,  281,   42,  125,  178,
   61,  281,  282,  307,  288,  289,  290,  256,  257,  258,
  259,  260,  261,  332,   61,  342,  435,  266,  267,  268,
  123,   40,   40,  126,   42,  314,   59,   40,  314,   42,
  289,  290,  281,  282,  256,  257,  340,   44,  457,  343,
  262,  263,   33,  265,  371,   58,   91,   38,  375,   40,
  256,   42,   43,  123,   45,  125,  126,  287,  288,  289,
  290,   44,   59,  390,   40,   41,  393,  394,   59,   41,
  292,  293,   91,   91,   44,  281,   59,  376,  285,  286,
  287,  288,  289,  290,  257,  258,  413,   41,  261,   59,
   33,  287,  288,  289,  290,   38,  421,   40,   59,   42,
   43,  256,   45,  258,  259,  260,  261,   41,  435,   41,
  257,  266,  267,  268,  441,   91,   59,  284,  285,  286,
  287,  288,  289,  290,  257,  452,   58,  282,  261,  257,
  457,   33,  123,   40,  125,  126,   38,   40,   40,   61,
   42,   43,   41,   45,   41,   44,  257,  258,  257,  258,
  261,  257,  258,  256,  257,  258,  259,  260,  261,  262,
  263,   58,  265,  266,  267,  268,  269,   44,  271,  272,
  273,  274,  275,  276,  277,  278,  279,  280,  281,  282,
  123,  281,   59,  126,   91,   44,  256,  257,   91,  292,
  293,   59,  262,  263,   40,  265,   42,   40,   93,   42,
   41,   59,   33,  271,   40,  256,   42,   38,  125,   40,
   44,   42,   43,   41,   45,   58,   59,   58,   59,   58,
   44,   37,  292,  293,  126,   59,   42,   43,   59,   45,
   41,   47,  300,   92,  302,   59,   44,   61,   93,  257,
  258,  259,  260,  261,  257,  258,   93,   41,  266,  267,
  268,   59,   93,   33,   44,   91,   41,  325,   38,   44,
   40,   41,   42,   43,  282,   45,  257,  258,  259,  260,
  261,  262,  263,   93,  265,  266,  267,  268,  269,   59,
  271,  272,  273,  274,  275,  276,  277,  278,  279,  280,
  281,  282,  123,   40,   41,  126,   44,  258,  259,  260,
  261,  292,  293,  162,   41,  266,  267,  268,  125,   58,
   44,   59,   44,  256,  257,  258,  259,  260,  261,  262,
  263,  282,  265,  266,  267,  268,  269,   59,  271,  272,
  273,  274,  275,  276,  277,  278,  279,  280,  281,  282,
   41,   41,   44,  123,   91,  125,  126,   59,   93,  292,
  293,   40,  257,   42,  256,  257,  258,   59,  260,  261,
  262,  263,   33,  265,  266,  267,  268,   38,   37,   40,
  123,   42,   43,   42,   45,  125,   93,   44,   47,   40,
  282,   42,   40,   44,   41,  244,   41,   44,   59,   44,
  292,  293,   59,   41,   33,   40,   44,   58,   59,   38,
   40,   40,   91,   42,   43,   41,   45,   41,   44,   58,
   44,  257,  258,  125,  257,  258,  259,  260,  261,  261,
   59,  257,  258,  266,  267,  268,  257,  258,  259,  260,
  261,  262,  263,   59,  265,  266,  267,  268,  269,   59,
  271,  272,  273,  274,  275,  276,  277,  278,  279,  280,
  281,  282,  123,   41,  125,  126,   44,   58,   33,   59,
  270,  292,  293,   38,   40,   40,   58,   42,   43,   59,
   45,  287,  288,  289,  290,   59,  256,  257,  258,   40,
  271,  125,  262,   41,  123,  265,  125,  126,   59,  269,
  270,  271,  272,  273,  274,  275,  276,  277,  278,  279,
  280,  281,  259,  260,  261,   41,   41,   41,   44,  266,
  267,  268,  292,  293,   40,   59,   59,   41,   40,  263,
   44,   33,   58,   59,   44,   61,   38,   63,   40,   59,
   42,   43,   37,   45,   58,   59,   59,   42,   43,   41,
   45,   41,   47,   41,  256,   41,  258,   59,  260,  261,
   59,  126,   41,   33,  266,  267,  268,   93,   38,  123,
   40,   58,   42,   43,   41,   45,  125,   44,  257,   93,
  282,   41,  261,   41,  125,   41,   41,   41,   59,   59,
   59,   58,   59,   40,   61,  256,  257,  258,  125,  125,
   59,  262,  263,  125,  265,   41,  257,   42,  269,  155,
  271,  272,  273,  274,  275,  276,  277,  278,  279,  280,
  281,  123,   62,  453,  126,  164,   93,  256,  257,  258,
  455,  292,  293,  262,  263,  268,  265,   16,   17,  340,
  269,  113,  271,  272,  273,  274,  275,  276,  277,  278,
  279,  280,  281,  123,  332,  202,  126,  241,  125,  314,
   33,  198,  238,  292,  293,   38,    4,   40,  354,   42,
   43,   33,   45,  381,   -1,   -1,   38,  200,   40,   -1,
   42,   43,   -1,   45,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,  257,  258,   -1,  260,  261,  262,  263,   -1,
  265,  266,  267,  268,   33,   41,   -1,   -1,   44,   38,
   -1,   40,   -1,   42,   43,   -1,   45,  282,   -1,   -1,
   -1,   -1,   58,   59,   -1,   33,   -1,  292,  293,   -1,
   38,   93,   40,   -1,   42,   43,   33,   45,  117,  118,
   -1,   38,   -1,   40,   -1,   42,   43,   -1,   45,   40,
  123,   42,   -1,  126,  256,  257,  258,   93,  284,  285,
  262,  263,   -1,  265,  126,   -1,   -1,  269,   -1,  271,
  272,  273,  274,  275,  276,  277,  278,  279,  280,  281,
   -1,   -1,   -1,   -1,   -1,   93,   -1,  257,  258,  125,
  292,  293,  262,  263,   -1,  265,   93,  126,   -1,  269,
   91,  271,  272,  273,  274,  275,  276,  277,  278,  279,
  280,  281,  191,  192,   -1,   -1,   -1,  284,  126,   -1,
   -1,   33,  292,  293,   -1,   -1,   38,   -1,   40,  126,
   42,   43,   -1,   45,   33,   -1,   -1,   -1,   -1,   38,
   -1,   40,   -1,   42,   43,   33,   45,   -1,   -1,   -1,
   38,   -1,   40,   -1,   42,   43,   -1,   45,   33,   -1,
   -1,   -1,   -1,   38,   -1,   40,   -1,   42,   43,   -1,
   45,   59,   37,   38,   -1,   -1,   -1,   42,   43,   -1,
   45,   93,   47,  256,  257,   -1,   -1,   -1,   -1,  262,
  263,   -1,  265,   -1,   93,  257,   61,   -1,   63,   -1,
  262,  263,   -1,  265,   -1,   37,   38,   -1,   -1,   -1,
   42,   43,   -1,   45,  126,   47,   -1,   -1,   -1,  292,
  293,   40,   41,   42,   -1,   44,   -1,  126,  257,   94,
  292,  293,   -1,  262,  263,   -1,  265,   -1,  126,   58,
   59,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,  257,
   -1,  126,   -1,   -1,  262,  263,   -1,  265,   -1,  124,
  257,   -1,   -1,  292,  293,  262,  263,  258,  265,  260,
  261,   41,   91,   -1,   44,  266,  267,  268,   -1,   -1,
   -1,   -1,   -1,   -1,  292,  293,  260,  261,   58,   59,
   -1,  282,  266,  267,  268,  292,  293,   -1,   37,   38,
   -1,   40,   41,   42,   43,   44,   45,   46,   47,   -1,
   -1,   -1,   38,   41,   -1,   41,   44,   -1,   44,   58,
   59,   -1,   61,   93,   63,   -1,   -1,   -1,   -1,   -1,
   58,   59,   58,   59,   -1,   61,  256,   63,  258,  259,
  260,  261,   -1,   -1,   -1,  257,  266,  267,  268,   -1,
  262,  263,   91,  265,   93,   94,   -1,   -1,  257,   -1,
   -1,   -1,  282,  262,  263,   93,  265,   93,   94,  257,
   -1,   -1,   -1,   -1,  262,  263,   -1,  265,   -1,   -1,
  292,  293,  257,   -1,   -1,  124,  125,  262,  263,   -1,
  265,   -1,   -1,  292,  293,   -1,   -1,  125,  124,  125,
   -1,   -1,   -1,   -1,  292,  293,   37,   38,   -1,   40,
   -1,   42,   43,   44,   45,   46,   47,  292,  293,  284,
  285,  286,  287,  288,  289,  290,   -1,   58,   59,   -1,
   61,   -1,   63,   -1,   -1,   -1,   -1,   -1,  257,  258,
   -1,   38,   -1,   -1,   41,   -1,   43,   44,   45,   -1,
   -1,   -1,   -1,   -1,   -1,  287,  288,  289,  290,   -1,
   91,   58,   59,   94,   61,  256,   63,  258,  259,  260,
  261,   -1,   -1,   -1,   -1,  266,  267,  268,   38,   -1,
   -1,   41,   -1,   43,   44,   45,   38,   -1,   -1,   41,
   -1,  282,   44,  124,   -1,   -1,   93,   94,   58,   59,
   -1,   61,   -1,   63,   -1,   -1,   58,   59,   -1,   61,
   -1,   63,   -1,   -1,   -1,   38,   -1,   -1,   41,   -1,
   -1,   44,   -1,   -1,   -1,   -1,   -1,  124,  125,   -1,
   -1,   -1,   -1,   93,   94,   58,   59,   -1,   61,   -1,
   63,   93,   94,   -1,   -1,  284,  285,  286,  287,  288,
  289,  290,   -1,  292,  293,   -1,  295,   -1,  284,  285,
  286,  287,  288,   38,  124,  125,   41,   -1,   -1,   44,
   93,   94,  124,  125,   -1,   -1,   -1,   40,   41,   42,
   -1,   44,   -1,   58,   59,   -1,   61,   38,   63,   -1,
   41,   -1,   -1,   44,   -1,   58,   59,   -1,   -1,   -1,
   -1,  124,  125,   41,   -1,   -1,   44,   58,   59,   -1,
   61,   -1,   63,   41,   -1,   -1,   44,   -1,   93,   94,
   58,   59,   -1,   61,   44,   -1,   -1,   -1,   91,   -1,
   58,   59,   -1,   61,   -1,   63,   -1,   -1,   -1,   59,
   -1,   61,   93,   94,   -1,   -1,   -1,   -1,   -1,  124,
  125,   -1,   -1,  284,  285,  286,  287,  288,  289,  290,
   41,  292,  293,   44,  295,   93,   94,   -1,   -1,   44,
   -1,   -1,   -1,  124,  125,   -1,   -1,   58,   59,   -1,
   61,   -1,   63,   58,   59,  123,   61,  284,  285,  286,
  287,  288,  289,  290,   -1,   -1,  124,  125,   41,   -1,
   -1,   44,   -1,  123,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   59,   93,   -1,   -1,   58,   59,   -1,   61,   -1,
   63,   -1,   -1,   -1,  284,  285,  286,  287,  288,  289,
  290,   -1,  284,  285,  286,  287,  288,  289,  290,   -1,
   -1,   17,   -1,  124,  125,   -1,   -1,   -1,  123,   -1,
   93,   -1,   -1,   -1,   41,   -1,   -1,   44,   -1,   -1,
   36,  284,  285,  286,  287,  288,  289,  290,   -1,   -1,
   -1,   58,   59,   -1,   61,   44,   -1,   53,   -1,   55,
   -1,   -1,  125,   -1,   -1,   -1,   44,   -1,   -1,   58,
   59,   -1,   61,   69,  257,  258,   -1,   -1,   -1,   -1,
   -1,   59,   -1,   61,   -1,   -1,   82,   -1,   -1,  284,
  285,  286,  287,   40,   41,   42,   -1,   44,  256,   59,
  258,  259,  260,  261,   -1,   -1,   -1,   -1,  266,  267,
  268,   58,   59,  284,  285,  286,  123,   -1,  258,  259,
  260,  261,  118,  281,  282,   -1,  266,  267,  268,  125,
   -1,   44,   -1,   -1,  123,   59,  284,  285,  286,   -1,
   -1,   -1,  282,   -1,   91,  123,   59,   -1,   61,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   40,   41,   42,   -1,
   44,  256,   -1,  258,  259,  260,  261,   -1,   -1,   -1,
   -1,  266,  267,  268,   58,   59,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,  284,  285,  286,  281,  282,  256,   59,
  258,  259,  260,  261,   -1,   -1,  192,   -1,  266,  267,
  268,  125,   -1,   -1,   -1,   -1,   -1,   91,  204,  205,
  123,   -1,   -1,  281,  282,   -1,   -1,   -1,   -1,   59,
   -1,  284,  285,  286,   -1,   -1,   -1,  133,  134,  135,
   -1,  137,  138,  139,  140,  141,  142,  143,  144,  145,
  146,  147,  148,  149,  150,   -1,   40,   41,   42,  256,
   44,  258,  259,  260,  261,  125,   -1,   -1,   -1,  266,
  267,  268,  258,   -1,   58,   59,   -1,  256,   -1,  258,
  259,  260,  261,   -1,  281,  282,   -1,  266,  267,  268,
  258,  259,  260,  261,   -1,  125,   -1,   -1,  266,  267,
  268,  197,  281,  282,   -1,   -1,   -1,   91,  258,  259,
  260,  261,   -1,   -1,  282,   -1,  266,  267,  268,   -1,
  257,  258,  259,  260,  261,  258,  259,  260,  261,  266,
  267,  268,  282,  266,  267,  268,   -1,   -1,   -1,   -1,
   -1,   -1,  256,   -1,  258,   -1,  260,  261,   -1,  282,
   -1,   -1,  266,  267,  268,  258,  259,  260,  261,   -1,
   -1,   -1,   -1,  266,  267,  268,   -1,   -1,  282,  265,
   40,   41,   42,   -1,   44,   -1,   40,   41,   42,  282,
   44,   -1,  278,  257,  258,  259,  260,  261,   -1,   59,
   -1,  287,  266,  267,  268,   59,  256,   -1,  258,   -1,
  260,  261,   -1,  299,   -1,   -1,  266,  267,  268,  258,
  382,  260,  261,   -1,   -1,   -1,   -1,  266,  267,  268,
  392,   91,  282,  319,  396,   -1,  256,   91,  258,   -1,
  260,  261,  404,  282,  406,  331,  266,  267,  268,  411,
   -1,   -1,   -1,   -1,   -1,  417,  256,  257,  258,  259,
  260,  261,  282,   -1,   -1,   -1,  266,  267,  268,   -1,
  432,   -1,   -1,   -1,  436,   -1,  362,   -1,  440,   -1,
   -1,   -1,  282,  257,  258,  259,  260,  261,   -1,   -1,
   -1,   -1,  266,  267,  268,  258,  259,  260,  261,   -1,
   -1,  264,   -1,  266,  267,  268,  468,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,  282,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,  257,  258,   -1,
   -1,   -1,   -1,  257,  258,
};
#define YYFINAL 1
#ifndef YYDEBUG
#define YYDEBUG 0
#endif
#define YYMAXTOKEN 295
#if YYDEBUG
char *yyname[] = {
"end-of-file",0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
"'!'",0,0,0,"'%'","'&'",0,"'('","')'","'*'","'+'","','","'-'","'.'","'/'",0,0,0,
0,0,0,0,0,0,0,"':'","';'",0,"'='",0,"'?'",0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,"'['",0,"']'","'^'",0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,"'{'","'|'","'}'","'~'",0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,"IDENTIFIER","TYPENAME",
"SCSPEC","TYPESPEC","TYPE_QUAL","CONSTANT","STRING","ELLIPSIS","SIZEOF","ENUM",
"STRUCT","UNION","IF","ELSE","WHILE","DO","FOR","SWITCH","CASE","DEFAULT",
"BREAK","CONTINUE","RETURN","GOTO","ASM","TYPEOF","ALIGNOF","ASSIGN","OROR",
"ANDAND","EQCOMPARE","ARITHCOMPARE","LSHIFT","RSHIFT","UNARY","PLUSPLUS",
"MINUSMINUS","HYPERUNARY","POINTSAT",
};
char *yyrule[] = {
"$accept : program",
"program :",
"program : extdefs",
"$$1 :",
"extdefs : $$1 extdef",
"$$2 :",
"extdefs : extdefs $$2 extdef",
"extdef : fndef",
"extdef : datadef",
"extdef : ASM '(' string ')' ';'",
"datadef : setspecs notype_initdecls ';'",
"datadef : declmods setspecs notype_initdecls ';'",
"datadef : typed_declspecs setspecs initdecls ';'",
"datadef : declmods ';'",
"datadef : typed_declspecs ';'",
"datadef : error ';'",
"datadef : error '}'",
"datadef : ';'",
"$$3 :",
"$$4 :",
"fndef : typed_declspecs setspecs declarator $$3 xdecls $$4 compstmt_or_error",
"fndef : typed_declspecs setspecs declarator error",
"$$5 :",
"$$6 :",
"fndef : declmods setspecs notype_declarator $$5 xdecls $$6 compstmt_or_error",
"fndef : declmods setspecs notype_declarator error",
"$$7 :",
"$$8 :",
"fndef : setspecs notype_declarator $$7 xdecls $$8 compstmt_or_error",
"fndef : setspecs notype_declarator error",
"identifier : IDENTIFIER",
"identifier : TYPENAME",
"unop : '&'",
"unop : '-'",
"unop : '+'",
"unop : PLUSPLUS",
"unop : MINUSMINUS",
"unop : '~'",
"unop : '!'",
"expr : nonnull_exprlist",
"exprlist :",
"exprlist : nonnull_exprlist",
"nonnull_exprlist : expr_no_commas",
"nonnull_exprlist : nonnull_exprlist ',' expr_no_commas",
"unary_expr : primary",
"unary_expr : '*' cast_expr",
"unary_expr : unop cast_expr",
"unary_expr : SIZEOF unary_expr",
"unary_expr : SIZEOF '(' typename ')'",
"cast_expr : unary_expr",
"cast_expr : '(' typename ')' cast_expr",
"expr_no_commas : cast_expr",
"expr_no_commas : expr_no_commas '+' expr_no_commas",
"expr_no_commas : expr_no_commas '-' expr_no_commas",
"expr_no_commas : expr_no_commas '*' expr_no_commas",
"expr_no_commas : expr_no_commas '/' expr_no_commas",
"expr_no_commas : expr_no_commas '%' expr_no_commas",
"expr_no_commas : expr_no_commas LSHIFT expr_no_commas",
"expr_no_commas : expr_no_commas RSHIFT expr_no_commas",
"expr_no_commas : expr_no_commas ARITHCOMPARE expr_no_commas",
"expr_no_commas : expr_no_commas EQCOMPARE expr_no_commas",
"expr_no_commas : expr_no_commas '&' expr_no_commas",
"expr_no_commas : expr_no_commas '|' expr_no_commas",
"expr_no_commas : expr_no_commas '^' expr_no_commas",
"expr_no_commas : expr_no_commas ANDAND expr_no_commas",
"expr_no_commas : expr_no_commas OROR expr_no_commas",
"expr_no_commas : expr_no_commas '?' xexpr ':' expr_no_commas",
"expr_no_commas : expr_no_commas '=' expr_no_commas",
"expr_no_commas : expr_no_commas ASSIGN expr_no_commas",
"primary : IDENTIFIER",
"primary : CONSTANT",
"primary : string",
"primary : '(' expr ')'",
"primary : '(' error ')'",
"primary : primary '(' exprlist ')'",
"primary : primary '[' expr ']'",
"primary : primary '.' identifier",
"primary : primary POINTSAT identifier",
"primary : primary PLUSPLUS",
"primary : primary MINUSMINUS",
"string : STRING",
"string : string STRING",
"xdecls :",
"xdecls : decls",
"decls : decl",
"decls : errstmt",
"decls : decls decl",
"decls : decl errstmt",
"setspecs :",
"decl : typed_declspecs setspecs initdecls ';'",
"decl : declmods setspecs notype_initdecls ';'",
"decl : typed_declspecs ';'",
"decl : declmods ';'",
"typed_declspecs : typespec reserved_declspecs",
"typed_declspecs : declmods typespec reserved_declspecs",
"reserved_declspecs :",
"reserved_declspecs : reserved_declspecs typespecqual_reserved",
"reserved_declspecs : reserved_declspecs SCSPEC",
"declmods : TYPE_QUAL",
"declmods : SCSPEC",
"declmods : declmods TYPE_QUAL",
"declmods : declmods SCSPEC",
"typed_typespecs : typespec reserved_typespecquals",
"typed_typespecs : nonempty_type_quals typespec reserved_typespecquals",
"reserved_typespecquals :",
"reserved_typespecquals : reserved_typespecquals typespecqual_reserved",
"typespec : TYPESPEC",
"typespec : structsp",
"typespec : TYPENAME",
"typespec : TYPEOF '(' expr ')'",
"typespec : TYPEOF '(' typename ')'",
"typespecqual_reserved : TYPESPEC",
"typespecqual_reserved : TYPE_QUAL",
"typespecqual_reserved : structsp",
"initdecls : initdcl",
"initdecls : initdecls ',' initdcl",
"notype_initdecls : notype_initdcl",
"notype_initdecls : notype_initdecls ',' initdcl",
"maybeasm :",
"maybeasm : ASM '(' string ')'",
"$$9 :",
"initdcl : declarator maybeasm '=' $$9 init",
"initdcl : declarator maybeasm",
"$$10 :",
"notype_initdcl : notype_declarator maybeasm '=' $$10 init",
"notype_initdcl : notype_declarator maybeasm",
"init : expr_no_commas",
"init : '{' '}'",
"init : '{' initlist '}'",
"init : '{' initlist ',' '}'",
"init : error",
"initlist : init",
"initlist : initlist ',' init",
"declarator : after_type_declarator",
"declarator : notype_declarator",
"after_type_declarator : '(' after_type_declarator ')'",
"after_type_declarator : after_type_declarator '(' parmlist_or_identifiers",
"after_type_declarator : after_type_declarator '[' expr ']'",
"after_type_declarator : after_type_declarator '[' ']'",
"after_type_declarator : '*' type_quals after_type_declarator",
"after_type_declarator : TYPENAME",
"parm_declarator : parm_declarator '(' parmlist_or_identifiers",
"parm_declarator : parm_declarator '[' expr ']'",
"parm_declarator : parm_declarator '[' ']'",
"parm_declarator : '*' type_quals parm_declarator",
"parm_declarator : TYPENAME",
"notype_declarator : notype_declarator '(' parmlist_or_identifiers",
"notype_declarator : '(' notype_declarator ')'",
"notype_declarator : '*' type_quals notype_declarator",
"notype_declarator : notype_declarator '[' expr ']'",
"notype_declarator : notype_declarator '[' ']'",
"notype_declarator : IDENTIFIER",
"$$11 :",
"structsp : STRUCT identifier '{' $$11 component_decl_list '}'",
"structsp : STRUCT '{' component_decl_list '}'",
"structsp : STRUCT identifier",
"$$12 :",
"structsp : UNION identifier '{' $$12 component_decl_list '}'",
"structsp : UNION '{' component_decl_list '}'",
"structsp : UNION identifier",
"$$13 :",
"structsp : ENUM identifier '{' $$13 enumlist maybecomma_warn '}'",
"$$14 :",
"structsp : ENUM '{' $$14 enumlist maybecomma_warn '}'",
"structsp : ENUM identifier",
"maybecomma_warn :",
"maybecomma_warn : ','",
"component_decl_list :",
"component_decl_list : component_decl_list component_decl ';'",
"component_decl_list : component_decl_list ';'",
"component_decl : typed_typespecs setspecs components",
"component_decl : nonempty_type_quals setspecs components",
"component_decl : error",
"components :",
"components : component_declarator",
"components : components ',' component_declarator",
"component_declarator : declarator",
"component_declarator : declarator ':' expr_no_commas",
"component_declarator : ':' expr_no_commas",
"enumlist : enumerator",
"enumlist : enumlist ',' enumerator",
"enumerator : identifier",
"enumerator : identifier '=' expr_no_commas",
"typename : typed_typespecs absdcl",
"typename : nonempty_type_quals absdcl",
"absdcl :",
"absdcl : absdcl1",
"nonempty_type_quals : TYPE_QUAL",
"nonempty_type_quals : nonempty_type_quals TYPE_QUAL",
"type_quals :",
"type_quals : type_quals TYPE_QUAL",
"absdcl1 : '(' absdcl1 ')'",
"absdcl1 : '*' type_quals absdcl1",
"absdcl1 : '*' type_quals",
"absdcl1 : absdcl1 '(' parmlist",
"absdcl1 : absdcl1 '[' expr ']'",
"absdcl1 : absdcl1 '[' ']'",
"absdcl1 : '(' parmlist",
"absdcl1 : '[' expr ']'",
"absdcl1 : '[' ']'",
"stmts : stmt",
"stmts : stmts stmt",
"stmts : stmts errstmt",
"xstmts :",
"xstmts : stmts",
"errstmt : error ';'",
"pushlevel :",
"compstmt_or_error : compstmt",
"compstmt_or_error : error compstmt",
"compstmt : '{' '}'",
"compstmt : '{' pushlevel decls xstmts '}'",
"compstmt : '{' pushlevel error '}'",
"compstmt : '{' pushlevel stmts '}'",
"$$15 :",
"simple_if : IF '(' expr ')' $$15 stmt",
"stmt : compstmt",
"stmt : expr ';'",
"stmt : simple_if ELSE stmt",
"stmt : simple_if",
"$$16 :",
"$$17 :",
"stmt : WHILE $$16 '(' expr ')' $$17 stmt",
"$$18 :",
"$$19 :",
"stmt : DO $$18 stmt WHILE $$19 '(' expr ')' ';'",
"$$20 :",
"$$21 :",
"$$22 :",
"stmt : FOR '(' xexpr ';' $$20 xexpr ';' $$21 xexpr ')' $$22 stmt",
"$$23 :",
"stmt : SWITCH '(' expr ')' $$23 stmt",
"stmt : CASE expr ':' stmt",
"stmt : DEFAULT ':' stmt",
"stmt : BREAK ';'",
"stmt : CONTINUE ';'",
"stmt : RETURN ';'",
"stmt : RETURN expr ';'",
"stmt : ASM maybe_type_qual '(' string ')' ';'",
"stmt : ASM maybe_type_qual '(' string ':' asm_operands ')' ';'",
"stmt : ASM maybe_type_qual '(' string ':' asm_operands ':' asm_operands ')' ';'",
"stmt : ASM maybe_type_qual '(' string ':' asm_operands ':'",
"stmt : GOTO identifier ';'",
"stmt : identifier ':' stmt",
"stmt : ';'",
"maybe_type_qual :",
"maybe_type_qual : TYPE_QUAL",
"xexpr :",
"xexpr : expr",
"asm_operands :",
"asm_operands : nonnull_asm_operands",
"nonnull_asm_operands : asm_operand",
"nonnull_asm_operands : nonnull_asm_operands ',' asm_operand",
"asm_operand : STRING '(' expr ')'",
"$$24 :",
"parmlist : $$24 parmlist_1",
"$$25 :",
"parmlist_or_identifiers : $$25 parmlist_or_identifiers_1",
"parmlist_or_identifiers_1 : parmlist_2 ')'",
"parmlist_or_identifiers_1 : identifiers ')'",
"parmlist_or_identifiers_1 : error ')'",
"parmlist_1 : parmlist_2 ')'",
"parmlist_1 : error ')'",
"parmlist_2 :",
"parmlist_2 : parms",
"parmlist_2 : parms ',' ELLIPSIS",
"parms : parm",
"parms : parms ',' parm",
"parm : typed_declspecs parm_declarator",
"parm : typed_declspecs notype_declarator",
"parm : typed_declspecs absdcl",
"parm : declmods notype_declarator",
"parm : declmods absdcl",
"identifiers : IDENTIFIER",
"identifiers : identifiers ',' IDENTIFIER",
};
#endif
#ifdef YYSTACKSIZE
#undef YYMAXDEPTH
#define YYMAXDEPTH YYSTACKSIZE
#else
#ifdef YYMAXDEPTH
#define YYSTACKSIZE YYMAXDEPTH
#else
#define YYSTACKSIZE 500
#define YYMAXDEPTH 500
#endif
#endif
int yydebug;
int yynerrs;
int yyerrflag;
int yychar;
short *yyssp;
YYSTYPE *yyvsp;
YYSTYPE yyval;
YYSTYPE yylval;
short yyss[YYSTACKSIZE];
YYSTYPE yyvs[YYSTACKSIZE];
#define yystacksize YYSTACKSIZE
#line 1323 "c-parse.y"

/* Return something to represent absolute declarators containing a *.
   TARGET is the absolute declarator that the * contains.
   TYPE_QUALS is a list of modifiers such as const or volatile
   to apply to the pointer type, represented as identifiers.

   We return an INDIRECT_REF whose "contents" are TARGET
   and whose type is the modifier list.  */
   
static tree
make_pointer_declarator (type_quals, target)
     tree type_quals, target;
{
  return build (INDIRECT_REF, type_quals, target);
}

/* Given a chain of STRING_CST nodes,
   concatenate them into one STRING_CST
   and give it a suitable array-of-chars data type.  */

static tree
combine_strings (strings)
     tree strings;
{
  register tree value, t;
  register int length = 1;
  int wide_length = 0;
  int wide_flag = 0;

  if (TREE_CHAIN (strings))
    {
      /* More than one in the chain, so concatenate.  */
      register char *p, *q;

      /* Don't include the \0 at the end of each substring,
	 except for the last one.
	 Count wide strings and ordinary strings separately.  */
      for (t = strings; t; t = TREE_CHAIN (t))
	{
	  if (TREE_TYPE (t) == int_array_type_node)
	    {
	      wide_length += (TREE_STRING_LENGTH (t) - 1);
	      wide_flag = 1;
	    }
	  else
	    length += (TREE_STRING_LENGTH (t) - 1);
	}

      /* If anything is wide, the non-wides will be converted,
	 which makes them take more space.  */
      if (wide_flag)
	length = length * UNITS_PER_WORD + wide_length;

      p = (char *) oballoc (length);

      /* Copy the individual strings into the new combined string.
	 If the combined string is wide, convert the chars to ints
	 for any individual strings that are not wide.  */

      q = p;
      for (t = strings; t; t = TREE_CHAIN (t))
	{
	  int len = TREE_STRING_LENGTH (t) - 1;
	  if ((TREE_TYPE (t) == int_array_type_node) == wide_flag)
	    {
	      bcopy(TREE_STRING_POINTER (t), q, len);
	      q += len;
	    }
	  else
	    {
	      int i;
	      for (i = 0; i < len; i++)
		((int *) q)[i] = TREE_STRING_POINTER (t)[i];
	      q += len * UNITS_PER_WORD;
	    }
	}
      *q = 0;

      value = make_node (STRING_CST);
      TREE_STRING_POINTER (value) = p;
      TREE_STRING_LENGTH (value) = length;
      TREE_LITERAL (value) = 1;
    }
  else
    {
      value = strings;
      length = TREE_STRING_LENGTH (value);
      if (TREE_TYPE (value) == int_array_type_node)
	wide_flag = 1;
    }

  /* Create the array type for the string constant.
     -Wwrite-strings says make the string constant an array of const char
     so that copying it to a non-const pointer will get a warning.  */
  if (warn_write_strings)
    {
      tree elements
	= bd_type_variant (wide_flag ? int_type_node : char_type_node,
			      1, 0);
      TREE_TYPE (value)
	= bd_array_type (elements,
			    bd_index_type (bd_in2 (length - 1, 0)));
    }
  else
    TREE_TYPE (value)
      = bd_array_type (wide_flag ? int_type_node : char_type_node,
			  bd_index_type (bd_in2 (length - 1, 0)));
  TREE_LITERAL (value) = 1;
  TREE_STATIC (value) = 1;
  return value;
}

int lineno;			/* current line number in file being read */

#define finput stdin		/* input file.
				   Normally a pipe from the preprocessor.  */
/* definition of finput using FILE *finput = stdin; is not allowed as
   stdin might not expand to a constant expression */

/* lexical analyzer */

static int maxtoken;		/* Current nominal length of token buffer.  */
static char *token_buffer;	/* Pointer to token buffer.
				   Actual allocated length is maxtoken + 2.  */
static int max_wide;		/* Current nominal length of wide_buffer.  */
static int *wide_buffer;	/* Pointer to wide-string buffer.
				   Actual allocated length is max_wide + 1.  */

/* Nonzero if end-of-file has been seen on input.  */
static int end_of_file;

/* Data type that represents the GNU C reserved words. */
struct resword { char *name; short token; enum rid rid; };

#define MIN_WORD_LENGTH     2      /* minimum size for C keyword */
#define MAX_WORD_LENGTH     9      /* maximum size for C keyword */
#define MIN_HASH_VALUE      4      /* range of the hash keys values  */
#define MAX_HASH_VALUE      52     /* for the perfect hash generator */
#define NORID RID_UNUSED

/* This function performs the minimum-perfect hash mapping from input
   string to reswords table index.  It only looks at the first and 
   last characters in the string, thus assuring the O(1) lookup time 
   (this keeps our constant down to an insignificant amount!).  Compiling
   the following 2 functions as inline removes all overhead of the
   function calls. */

static int 
hash (str, len)
     register char *str;
     register int len;
{
/* This table is used to build the hash table index that recognizes
   reserved words in 0(1) steps.  It is larger than strictly necessary, 
   but I'm trading off the space for the time-saving luxury of avoiding 
   subtraction of an offset.  All those ``52's'' (actually just a
   short-hand for MAX_HASH_VALUE #defined above) are used to speed up 
   the search when the string found on the input stream doesn't have a 
   first or last character that is part of the set of alphabetic 
   characters that comprise the first or last characters in C 
   reserved words. */

  int i;
  static int hash_table[UCHAR_MAX+1];

  if (hash_table[0] == 0)
  {
    /* Initialise hash table */
    for (i = 0; i <= UCHAR_MAX; i++)
	    hash_table[i] = 52;
    hash_table['_'] = 7;
    hash_table['a'] = 12;
    hash_table['b'] = 0;
    hash_table['c'] = 18;
    hash_table['d'] = 5;
    hash_table['e'] = 0;
    hash_table['f'] = 13;
    hash_table['g'] = 2;
    hash_table['h'] = 2;
    hash_table['i'] = 29;
    hash_table['j'] = 52;
    hash_table['k'] = 0;
    hash_table['l'] = 7;
    hash_table['m'] = 37;
    hash_table['n'] = 25;
    hash_table['o'] = 0;
    hash_table['p'] = 52;
    hash_table['q'] = 52;
    hash_table['r'] = 17;
    hash_table['s'] = 19;
    hash_table['t'] = 0;
    hash_table['u'] = 21;
    hash_table['v'] = 1;
    hash_table['w'] = 3;
  }

  /* The hash function is very simple: add the length of STR
     to the hash_table value of its first and last character. 
     Putting LEN near LEN - 1 generates slightly better 
     code... */

  return len + hash_table[str[len - 1]] + hash_table[str[0]];
}

/* This routine attempts to match the string found in the reswords table
   with the one from the input stream.  If all the relevant details 
   match then an actual strcmp comparison is performed and the address of
   correct struct resword entry is returned.  Otherwise, a NULL 
   pointer is returned. */

struct resword *
is_reserved_word (str, len)
     register char *str;
     register int len;
{
  /* This is the hash table of keywords.
     The order of keywords has been chosen for perfect hashing.
     Therefore, this table cannot be updated by hand.
     Use the program ``gperf,'' available with the latest libg++ 
     distribution, to generate an updated table.  The command-line
     arguments to build this table were: gperf -g -o -j1 -t gnuc.input  */

  static struct resword reswords[] = 
    {
      { "",},{ "",},{ "",},{ "",},
      { "else", ELSE, NORID },
      { "break", BREAK, NORID },
      { "goto", GOTO, NORID },
      { "do", DO, NORID },
      { "while", WHILE, NORID },
      { "volatile", TYPE_QUAL, RID_VOLATILE },
      { "void", TYPESPEC, RID_VOID },
      { "double", TYPESPEC, RID_DOUBLE },
      { "default", DEFAULT, NORID },
      { "long", TYPESPEC, RID_LONG },
      { "__const", TYPE_QUAL, RID_CONST },
      { "__inline", SCSPEC, RID_INLINE },
      { "auto", SCSPEC, RID_AUTO },
      { "__volatile", TYPE_QUAL, RID_VOLATILE },
      { "float", TYPESPEC, RID_FLOAT },
      { "typeof", TYPEOF, NORID },
      { "typedef", SCSPEC, RID_TYPEDEF },
      { "",},
      { "case", CASE, NORID },
      { "const", TYPE_QUAL, RID_CONST },
      { "short", TYPESPEC, RID_SHORT },
      { "struct", STRUCT, NORID },
      { "continue", CONTINUE, NORID },
      { "switch", SWITCH, NORID },
      { "__typeof", TYPEOF, NORID },
      { "__alignof", ALIGNOF, NORID },
      { "signed", TYPESPEC, RID_SIGNED },
      { "extern", SCSPEC, RID_EXTERN },
      { "int", TYPESPEC, RID_INT },
      { "for", FOR, NORID },
      { "unsigned", TYPESPEC, RID_UNSIGNED },
      { "inline", SCSPEC, RID_INLINE },
      { "",},{ "",},
      { "sizeof", SIZEOF, NORID },
      { "char", TYPESPEC, RID_CHAR },
      { "",},
      { "enum", ENUM, NORID },
      { "register", SCSPEC, RID_REGISTER },
      { "static", SCSPEC, RID_STATIC },
      { "if", IF, NORID },
      { "",},{ "",},{ "",},
      { "return", RETURN, NORID },
      { "__asm", ASM, NORID },
      { "",},
      { "union", UNION, NORID },
      { "asm", ASM, NORID },
    };

  if (len <= MAX_WORD_LENGTH && len >= MIN_WORD_LENGTH) 
    {
      register int key = hash (str, len);

      if (key <= MAX_HASH_VALUE) 
        {
          register char *s = reswords[key].name;

          if (*s == *str && !strcmp (str + 1, s + 1)) 
            return &reswords[key];
        }
    }
  return 0;
}

/* The elements of `ridpointers' are identifier nodes
   for the reserved type names and storage classes.
   It is indexed by a RID_... value.  */

tree ridpointers[(int) RID_MAX];

int check_newline ();

void
init_lex ()
{
  /* Start it at 0, because check_newline is called at the very beginning
     and will increment it to 1.  */
  lineno = 0;

  maxtoken = 40;
  token_buffer = (char *) xmalloc (maxtoken + 2);
  max_wide = 40;
  wide_buffer = (int *) xmalloc (max_wide + 1);

  ridpointers[(int) RID_INT] = get_identifier ("int");
  ridpointers[(int) RID_CHAR] = get_identifier ("char");
  ridpointers[(int) RID_VOID] = get_identifier ("void");
  ridpointers[(int) RID_FLOAT] = get_identifier ("float");
  ridpointers[(int) RID_DOUBLE] = get_identifier ("double");
  ridpointers[(int) RID_SHORT] = get_identifier ("short");
  ridpointers[(int) RID_LONG] = get_identifier ("long");
  ridpointers[(int) RID_UNSIGNED] = get_identifier ("unsigned");
  ridpointers[(int) RID_SIGNED] = get_identifier ("signed");
  ridpointers[(int) RID_INLINE] = get_identifier ("inline");
  ridpointers[(int) RID_CONST] = get_identifier ("const");
  ridpointers[(int) RID_VOLATILE] = get_identifier ("volatile");
  ridpointers[(int) RID_AUTO] = get_identifier ("auto");
  ridpointers[(int) RID_STATIC] = get_identifier ("static");
  ridpointers[(int) RID_EXTERN] = get_identifier ("extern");
  ridpointers[(int) RID_TYPEDEF] = get_identifier ("typedef");
  ridpointers[(int) RID_REGISTER] = get_identifier ("register");
}

static void
reinit_parse_for_function ()
{
}

/* If C is not whitespace, return C.
   Otherwise skip whitespace and return first nonwhite char read.  */

static int
skip_white_space (c)
     register int c;
{

  for (;;)
    {
      switch (c)
	{
	  /* Don't recognize comments in cc1: all comments are removed by cpp,
	     and cpp output can include / and * consecutively as operators.  */

	case '\n':
	  c = check_newline ();
	  break;

	case ' ':
	case '\t':
	case '\f':
	case '\r':
	case '\b':
	  c = getc (finput);
	  break;

	case '\\':
	  c = getc (finput);
	  if (c == '\n')
	    lineno++;
	  else
	    error ("stray '\\' in program", "");
	  c = getc (finput);
	  break;

	default:
	  return (c);
	}
    }
}



/* Make the token buffer longer, preserving the data in it.
   P should point to just beyond the last valid character in the old buffer.
   The value we return is a pointer to the new buffer
   at a place corresponding to P.  */

static char *
extend_token_buffer (p)
     char *p;
{
  int offset = p - token_buffer;

  maxtoken = maxtoken * 2 + 10;
  token_buffer = (char *) xrealloc (token_buffer, maxtoken + 2);

  return token_buffer + offset;
}

/* At the beginning of a line, increment the line number
   and process any #-directive on this line.
   If the line is a #-directive, read the entire line and return a newline.
   Otherwise, return the line's first non-whitespace character.  */

/* VSX: skip # directives altogether, including any continuation lines */

int
check_newline ()
{
  register int c, lastc;

  /* Read first nonwhite char on the line.  */

  c = getc (finput);
  while (c == ' ' || c == '\t')
    c = getc (finput);

  if (c != '#')
    {
      /* If not #, return it so caller will use it.  */
      lineno++;
      return c;
    }

  /* Skip this line, and any continuation lines */
  lastc = '\\';
  while (lastc == '\\')
  {
      lineno++;
      lastc = c;
      while ((c = getc(finput)) != '\n' && c != EOF)
	  lastc = c;
  }

  return c;
}

#define isalnum(char) ((char >= 'a' && char <= 'z') || (char >= 'A' && char <= 'Z') || (char >= '0' && char <= '9'))
#define isdigit(char) (char >= '0' && char <= '9')
#define ENDFILE -1  /* token that represents end-of-file */


static int
readescape ()
{
  register int c = getc (finput);
  register int count, code;
  int firstdig;

  switch (c)
    {
    case 'x':
      code = 0;
      count = 0;
      while (1)
	{
	  c = getc (finput);
	  if (!(c >= 'a' && c <= 'f')
	      && !(c >= 'A' && c <= 'F')
	      && !(c >= '0' && c <= '9'))
	    {
	      (void) ungetc (c, finput);
	      break;
	    }
	  code *= 16;
	  if (c >= 'a' && c <= 'f')
	    code += c - 'a' + 10;
	  if (c >= 'A' && c <= 'F')
	    code += c - 'A' + 10;
	  if (c >= '0' && c <= '9')
	    code += c - '0';
	  if (count == 0)
	    firstdig = code;
	  count++;
	}
      if (count == 0)
	error ("\\x used with no following hex digits", "");
      if ((count - 1) * 4 >= (int) TYPE_PRECISION (int_type_node)
	  || ((1 << ((int) TYPE_PRECISION (int_type_node) - (count - 1) * 4))
	      <= firstdig))
	warning ("hex escape out of range");
      return code;

    case '0':  case '1':  case '2':  case '3':  case '4':
    case '5':  case '6':  case '7':
      code = 0;
      count = 0;
      while ((c <= '7') && (c >= '0') && (count++ < 3))
	{
	  code = (code * 8) + (c - '0');
	  c = getc (finput);
	}
      (void) ungetc (c, finput);
      return code;

    case '\\': case '\'': case '"':
      return c;

    case '\n':
      lineno++;
      return -1;

    case 'n':
      return TARGET_NEWLINE;

    case 't':
      return TARGET_TAB;

    case 'r':
      return TARGET_CR;

    case 'f':
      return TARGET_FF;

    case 'b':
      return TARGET_BS;

    case 'a':
      return TARGET_BELL;

    case 'v':
      return TARGET_VT;

    case 'E':
      return 033;

    case '?':
      /* `\(', etc, are used at beginning of line to avoid confusing Emacs.  */
    case '(':
    case '{':
    case '[':
      return c;
    }
  if (c >= 040 && c <= 0177)
    warning ("unknown escape sequence `\\%c'", c);
  else
    warning ("unknown escape sequence: `\\' followed by char code 0x%x", c);
  return c;
}

void
yyerror (string)
     char *string;
{
  char buf[200];

  (void) strcpy (buf, string);

  /* We can't print string and character constants well
     because the token_buffer contains the result of processing escapes.  */
  if (end_of_file)
    (void) strcat (buf, " at end of input");
  else if (token_buffer[0] == 0)
    (void) strcat (buf, " at null character");
  else if (token_buffer[0] == '"')
    (void) strcat (buf, " before string constant");
  else if (token_buffer[0] == '\'')
    (void) strcat (buf, " before character constant");
  else if (token_buffer[0] < 040 || token_buffer[0] >= 0177)
    (void) sprintf (buf + strlen (buf), " before character 0%o", token_buffer[0]);
  else
    (void) strcat (buf, " before `%s'");

  error (buf, token_buffer);
}

static int nextchar = -1;

static int
yylex ()
{
  register int c;
  register char *p;
  register int value;
  int wide_flag = 0;

  if (nextchar >= 0)
    c = nextchar, nextchar = -1;
  else
    c = getc (finput);

  /* Effectively do c = skip_white_space (c)
     but do it faster in the usual cases.  */
  while (1)
    switch (c)
      {
      case ' ':
      case '\t':
      case '\f':
      case '\r':
      case '\b':
	c = getc (finput);
	break;

      case '\n':
      case '/':
      case '\\':
	c = skip_white_space (c);
      default:
	goto found_nonwhite;
      }
 found_nonwhite:

  token_buffer[0] = c;
  token_buffer[1] = 0;

/*  yylloc.first_line = lineno; */

  switch (c)
    {
    case EOF:
      end_of_file = 1;
      token_buffer[0] = 0;
      value = ENDFILE;
      break;

    case '$':
      if (dollars_in_ident)
	goto letter;
      return '$';

    case 'L':
      /* Capital L may start a wide-string or wide-character constant.  */
      {
	register int ch = getc (finput);
	if (ch == '\'')
	  {
	    wide_flag = 1;
	    goto char_constant;
	  }
	if (ch == '"')
	  {
	    wide_flag = 1;
	    goto string_constant;
	  }
	(void) ungetc (ch, finput);
      }

    case 'A':  case 'B':  case 'C':  case 'D':  case 'E':
    case 'F':  case 'G':  case 'H':  case 'I':  case 'J':
    case 'K':		  case 'M':  case 'N':  case 'O':
    case 'P':  case 'Q':  case 'R':  case 'S':  case 'T':
    case 'U':  case 'V':  case 'W':  case 'X':  case 'Y':
    case 'Z':
    case 'a':  case 'b':  case 'c':  case 'd':  case 'e':
    case 'f':  case 'g':  case 'h':  case 'i':  case 'j':
    case 'k':  case 'l':  case 'm':  case 'n':  case 'o':
    case 'p':  case 'q':  case 'r':  case 's':  case 't':
    case 'u':  case 'v':  case 'w':  case 'x':  case 'y':
    case 'z':
    case '_':
    letter:
      p = token_buffer;
      while (isalnum (c) || c == '_' || c == '$')
	{
	  if (p >= token_buffer + maxtoken)
	    p = extend_token_buffer (p);
	  if (c == '$' && ! dollars_in_ident)
	    break;

	  *p++ = c;
	  c = getc (finput);
	}

      *p = 0;
      nextchar = c;

      value = IDENTIFIER;
      yylval.itype = 0;

      /* Try to recognize a keyword.  Uses minimum-perfect hash function */
  
      {
	register struct resword *ptr;

	if (ptr = is_reserved_word (token_buffer, p - token_buffer))
	  {
	    if (ptr->rid)
	      yylval.ttype = ridpointers[(int) ptr->rid];
	    if ((! flag_no_asm
		 /* -fno-asm means don't recognize the non-ANSI keywords.  */
		 || ((int) ptr->token != ASM
		     && (int) ptr->token != TYPEOF
		     && ptr->rid != RID_INLINE)
		 /* Recognize __asm and __inline despite -fno-asm.  */
		 || token_buffer[0] == '_')
		/* -ftraditional means don't recognize nontraditional keywords
		   typeof, const, volatile, signed or inline.  */
		&& (! flag_traditional
		    || ((int) ptr->token != TYPE_QUAL
			&& (int) ptr->token != TYPEOF
			&& ptr->rid != RID_SIGNED
			&& ptr->rid != RID_INLINE)
		    /* Recognize __inline, etc. despite -ftraditional.  */
		    || token_buffer[0] == '_'))
	      value = (int) ptr->token;
	  }
      }

      /* If we did not find a keyword, look for an identifier
	 (or a typename).  */

      if (value == IDENTIFIER)
	{
          yylval.ttype = get_identifier (token_buffer);
	  lastiddecl = lookup_name (yylval.ttype);

	  if (lastiddecl != 0 && TREE_CODE (lastiddecl) == TYPE_DECL)
	    value = TYPENAME;
	}

      break;

    case '0':  case '1':  case '2':  case '3':  case '4':
    case '5':  case '6':  case '7':  case '8':  case '9':
    case '.':
      {
	int base = 10;
	int count = 0;
	int largest_digit = 0;
	int numdigits = 0;
	/* for multi-precision arithmetic,
	   we store only 8 live bits in each short,
	   giving us 64 bits of reliable precision */
	short shorts[8];

	enum anon1 { NOT_FLOAT, AFTER_POINT, TOO_MANY_POINTS} floatflag
	  = NOT_FLOAT;

	for (count = 0; count < 8; count++)
	  shorts[count] = 0;

	p = token_buffer;
	*p++ = c;

	if (c == '0')
	  {
	    *p++ = (c = getc (finput));
	    if ((c == 'x') || (c == 'X'))
	      {
		base = 16;
		*p++ = (c = getc (finput));
	      }
	    else
	      {
		base = 8;
		numdigits++;
	      }
	  }

	/* Read all the digits-and-decimal-points.  */

	while (c == '.'
	       || (isalnum (c) && (c != 'l') && (c != 'L')
		   && (c != 'u') && (c != 'U')
		   && (floatflag == NOT_FLOAT || ((c != 'f') && (c != 'F')))))
	  {
	    if (c == '.')
	      {
		if (base == 16)
		  error ("floating constant may not be in radix 16", "");
		if (floatflag == AFTER_POINT)
		  {
		    error ("malformed floating constant", "");
		    floatflag = TOO_MANY_POINTS;
		  }
		else
		  floatflag = AFTER_POINT;

		base = 10;
		*p++ = c = getc (finput);
		/* Accept '.' as the start of a floating-point number
		   only when it is followed by a digit.
		   Otherwise, unread the following non-digit
		   and use the '.' as a structural token.  */
		if (p == token_buffer + 2 && !isdigit (c))
		  {
		    if (c == '.')
		      {
			c = getc (finput);
			if (c == '.')
			  {
			    *p++ = c;
			    *p = 0;
			    return ELLIPSIS;
			  }
			error ("parse error at `..'", "");
		      }
		    (void) ungetc (c, finput);
		    token_buffer[1] = 0;
		    value = '.';
		    goto done;
		  }
	      }
	    else
	      {
		/* It is not a decimal point.
		   It should be a digit (perhaps a hex digit).  */

		if (isdigit (c))
		  {
		    c = c - '0';
		  }
		else if (base <= 10)
		  {
		    if ((c&~040) == 'E')
		      {
			base = 10;
			floatflag = AFTER_POINT;
			break;   /* start of exponent */
		      }
		    error ("nondigits in number and not hexadecimal", "");
		    c = 0;
		  }
		else if (c >= 'a')
		  {
		    c = c - 'a' + 10;
		  }
		else
		  {
		    c = c - 'A' + 10;
		  }
		if (c >= largest_digit)
		  largest_digit = c;
		numdigits++;
	    
		for (count = 0; count < 8; count++)
		  {
		    (shorts[count] *= base);
		    if (count)
		      {
			shorts[count] += (shorts[count-1] >> 8);
			shorts[count-1] &= (1<<8)-1;
		      }
		    else shorts[0] += c;
		  }
    
		if (p >= token_buffer + maxtoken - 3)
		  p = extend_token_buffer (p);
		*p++ = (c = getc (finput));
	      }
	  }

	if (numdigits == 0)
	  error ("numeric constant with no digits", "");

	if (largest_digit >= base)
	  error ("numeric constant contains digits beyond the radix", "");

	/* Remove terminating char from the token buffer and delimit the string */
	*--p = 0;

	if (floatflag != NOT_FLOAT)
	  {
	    tree type = double_type_node;
	    char f_seen = 0;
	    char l_seen = 0;
	    double rvalue;

	    /* Read explicit exponent if any, and put it in tokenbuf.  */

	    if ((c == 'e') || (c == 'E'))
	      {
		if (p >= token_buffer + maxtoken - 3)
		  p = extend_token_buffer (p);
		*p++ = c;
		c = getc (finput);
		if ((c == '+') || (c == '-'))
		  {
		    *p++ = c;
		    c = getc (finput);
		  }
		if (! isdigit (c))
		  error ("floating constant exponent has no digits", "");
	        while (isdigit (c))
		  {
		    if (p >= token_buffer + maxtoken - 3)
		      p = extend_token_buffer (p);
		    *p++ = c;
		    c = getc (finput);
		  }
	      }

	    *p = 0;
	    errno = 0;
	    rvalue = atof(token_buffer);

	    /* Read the suffixes to choose a data type.  */
	    while (1)
	      {
		if (c == 'f' || c == 'F')
		  {
		    if (f_seen)
		      error ("two `f's in floating constant", "");
		    f_seen = 1;
		    type = float_type_node;
		  }
		else if (c == 'l' || c == 'L')
		  {
		    if (l_seen)
		      error ("two `l's in floating constant", "");
		    l_seen = 1;
		    type = long_double_type_node;
		  }
		else
		  {
		    if (isalnum (c))
		      {
			error ("garbage at end of number", "");
			while (isalnum (c))
			  {
			    if (p >= token_buffer + maxtoken - 3)
			      p = extend_token_buffer (p);
			    *p++ = c;
			    c = getc (finput);
			  }
		      }
		    break;
		  }
		if (p >= token_buffer + maxtoken - 3)
		  p = extend_token_buffer (p);
		*p++ = c;
		c = getc (finput);
	      }

	    /* Create a node with determined type and value.  */
	    yylval.ttype = bd_real (type, rvalue);

	    (void) ungetc (c, finput);
	    *p = 0;
	  }
	else
	  {
	    tree type;
	    int spec_unsigned = 0;
	    int spec_long = 0;

	    while (1)
	      {
		if (c == 'u' || c == 'U')
		  {
		    if (spec_unsigned)
		      error ("two `u's in integer constant", "");
		    spec_unsigned = 1;
		  }
		else if (c == 'l' || c == 'L')
		  {
		    if (spec_long)
		      error ("two `l's in integer constant", "");
		    spec_long = 1;
		  }
		else
		  {
		    if (isalnum (c))
		      {
			error ("garbage at end of number", "");
			while (isalnum (c))
			  {
			    if (p >= token_buffer + maxtoken - 3)
			      p = extend_token_buffer (p);
			    *p++ = c;
			    c = getc (finput);
			  }
		      }
		    break;
		  }
		if (p >= token_buffer + maxtoken - 3)
		  p = extend_token_buffer (p);
		*p++ = c;
		c = getc (finput);
	      }

	    (void) ungetc (c, finput);

	    if (shorts[7] | shorts[6] | shorts[5] | shorts[4])
	      warning ("integer constant out of range");

	    /* This is simplified by the fact that our constant
	       is always positive.  */
	    yylval.ttype
	      = bd_in2 ((shorts[3]<<24) + (shorts[2]<<16) + (shorts[1]<<8) + shorts[0],
			     0);
    
	    if (!spec_long && !spec_unsigned
		&& int_fits_type_p (yylval.ttype, int_type_node))
	      type = int_type_node;

	    else if (!spec_long && base != 10
		&& int_fits_type_p (yylval.ttype, uint_type_node))
	      type = uint_type_node;

	    else if (!spec_unsigned
		&& int_fits_type_p (yylval.ttype, long_int_type_node))
	      type = long_int_type_node;

	    else
	      {
		type = long_uint_type_node;
		if (! int_fits_type_p (yylval.ttype, long_uint_type_node))
		  warning ("integer constant out of range");
	      }
	    TREE_TYPE (yylval.ttype) = type;
	  }

	value = CONSTANT; break;
      }

    case '\'':
    char_constant:
      c = getc (finput);
      {
	register int code = 0;

      tryagain:

	if (c == '\\')
	  {
	    c = readescape ();
	    if (c < 0)
	      goto tryagain;
	    if (!wide_flag && c >= (1 << BITS_PER_UNIT))
	      warning ("escape sequence out of range for character");
	  }
	else if (c == '\n')
	  {
	    if (pedantic)
	      warning ("ANSI C forbids newline in character constant");
	    lineno++;
	  }

	code = c;
	token_buffer[1] = c;
	token_buffer[2] = '\'';
	token_buffer[3] = 0;

	c = getc (finput);
	if (c != '\'')
	  error ("malformatted character constant", "");

	/* If char type is signed, sign-extend the constant.  */
	if (! wide_flag)
	  {
	    if (TREE_UNSIGNED (char_type_node)
		|| ((code >> (BITS_PER_UNIT - 1)) & 1) == 0)
	      yylval.ttype = bd_in2 (code & ((1 << BITS_PER_UNIT) - 1), 0);
	    else
	      yylval.ttype = bd_in2 (code | ((-1) << BITS_PER_UNIT), -1);
	  }
	else
	  yylval.ttype = bd_in2 (code, 0);

	TREE_TYPE (yylval.ttype) = int_type_node;
	value = CONSTANT; break;
      }

    case '"':
    string_constant:
      {
	int *widep;

	c = getc (finput);
	p = token_buffer + 1;

	if (wide_flag)
	  widep = wide_buffer;

	while (c != '"' && c >= 0)
	  {
	    if (c == '\\')
	      {
		c = readescape ();
		if (c < 0)
		  goto skipnewline;
		if (!wide_flag && c >= (1 << BITS_PER_UNIT))
		  warning ("escape sequence out of range for character");
	      }
	    else if (c == '\n')
	      {
		if (pedantic)
		  warning ("ANSI C forbids newline in string constant");
		lineno++;
	      }

	    /* Store the char in C into the appropriate buffer.  */

	    if (wide_flag)
	      {
		if (widep == wide_buffer + max_wide)
		  {
		    int n = widep - wide_buffer;
		    max_wide *= 2;
		    wide_buffer = (int *) xrealloc ((char *)wide_buffer, max_wide + 1);
		    widep = wide_buffer + n;
		  }
		*widep++ = c;
	      }
	    else
	      {
		if (p == token_buffer + maxtoken)
		  p = extend_token_buffer (p);
		*p++ = c;
	      }

	  skipnewline:
	    c = getc (finput);
	  }

	/* We have read the entire constant.
	   Construct a STRING_CST for the result.  */

	if (wide_flag)
	  {
	    /* If this is a L"..." wide-string, make a vector
	       of the ints in wide_buffer.  */
	    *widep = 0;
	    /* We have not implemented the case where `int'
	       on the target and on the execution machine differ in size.  */
	    if (TYPE_PRECISION (int_type_node)
		!= sizeof (int) * BITS_PER_UNIT)
	      abort ();
	    yylval.ttype = bd_string (
		(int)((widep - wide_buffer) * sizeof (int)),
		(char *)wide_buffer);
	    TREE_TYPE (yylval.ttype) = int_array_type_node;
	  }
	else
	  {
	    *p = 0;
	    yylval.ttype = bd_string (p - token_buffer, token_buffer + 1);
	    TREE_TYPE (yylval.ttype) = char_array_type_node;
	  }

	*p++ = '"';
	*p = 0;

	value = STRING; break;
      }
      
    case '+':
    case '-':
    case '&':
    case '|':
    case '<':
    case '>':
    case '*':
    case '/':
    case '%':
    case '^':
    case '!':
    case '=':
      {
	register int c1;

      combine:

	switch (c)
	  {
	  case '+':
	    yylval.code = PLUS_EXPR; break;
	  case '-':
	    yylval.code = MINUS_EXPR; break;
	  case '&':
	    yylval.code = BIT_AND_EXPR; break;
	  case '|':
	    yylval.code = BIT_IOR_EXPR; break;
	  case '*':
	    yylval.code = MULT_EXPR; break;
	  case '/':
	    yylval.code = TRUNC_DIV_EXPR; break;
	  case '%':
	    yylval.code = TRUNC_MOD_EXPR; break;
	  case '^':
	    yylval.code = BIT_XOR_EXPR; break;
	  case LSHIFT:
	    yylval.code = LSHIFT_EXPR; break;
	  case RSHIFT:
	    yylval.code = RSHIFT_EXPR; break;
	  case '<':
	    yylval.code = LT_EXPR; break;
	  case '>':
	    yylval.code = GT_EXPR; break;
	  }	

	token_buffer[1] = c1 = getc (finput);
	token_buffer[2] = 0;

	if (c1 == '=')
	  {
	    switch (c)
	      {
	      case '<':
		value = ARITHCOMPARE; yylval.code = LE_EXPR; goto done;
	      case '>':
		value = ARITHCOMPARE; yylval.code = GE_EXPR; goto done;
	      case '!':
		value = EQCOMPARE; yylval.code = NE_EXPR; goto done;
	      case '=':
		value = EQCOMPARE; yylval.code = EQ_EXPR; goto done;
	      }	
	    value = ASSIGN; goto done;
	  }
	else if (c == c1)
	  switch (c)
	    {
	    case '+':
	      value = PLUSPLUS; goto done;
	    case '-':
	      value = MINUSMINUS; goto done;
	    case '&':
	      value = ANDAND; goto done;
	    case '|':
	      value = OROR; goto done;
	    case '<':
	      c = LSHIFT;
	      goto combine;
	    case '>':
	      c = RSHIFT;
	      goto combine;
	    }
	else if ((c == '-') && (c1 == '>'))
	  { value = POINTSAT; goto done; }
	(void) ungetc (c1, finput);
	token_buffer[1] = 0;

	if ((c == '<') || (c == '>'))
	  value = ARITHCOMPARE;
	else value = c;
	goto done;
      }

    case 0:
      /* Don't make yyparse think this is eof.  */
      value = 1;
      break;

    default:
      value = c;
    }

done:
/*  yylloc.last_line = lineno; */

  return value;
}
#line 2352 "y.tab.c"
#define YYABORT goto yyabort
#define YYREJECT goto yyabort
#define YYACCEPT goto yyaccept
#define YYERROR goto yyerrlab
int
yyparse()
{
    register int yym, yyn, yystate;
#if YYDEBUG
    register char *yys;
    extern char *getenv();

    if (yys = getenv("YYDEBUG"))
    {
        yyn = *yys;
        if (yyn >= '0' && yyn <= '9')
            yydebug = yyn - '0';
    }
#endif

    yynerrs = 0;
    yyerrflag = 0;
    yychar = (-1);

    yyssp = yyss;
    yyvsp = yyvs;
    *yyssp = yystate = 0;

yyloop:
    if (yyn = yydefred[yystate]) goto yyreduce;
    if (yychar < 0)
    {
        if ((yychar = yylex()) < 0) yychar = 0;
#if YYDEBUG
        if (yydebug)
        {
            yys = 0;
            if (yychar <= YYMAXTOKEN) yys = yyname[yychar];
            if (!yys) yys = "illegal-symbol";
            printf("%sdebug: state %d, reading %d (%s)\n",
                    YYPREFIX, yystate, yychar, yys);
        }
#endif
    }
    if ((yyn = yysindex[yystate]) && (yyn += yychar) >= 0 &&
            yyn <= YYTABLESIZE && yycheck[yyn] == yychar)
    {
#if YYDEBUG
        if (yydebug)
            printf("%sdebug: state %d, shifting to state %d\n",
                    YYPREFIX, yystate, yytable[yyn]);
#endif
        if (yyssp >= yyss + yystacksize - 1)
        {
            goto yyoverflow;
        }
        *++yyssp = yystate = yytable[yyn];
        *++yyvsp = yylval;
        yychar = (-1);
        if (yyerrflag > 0)  --yyerrflag;
        goto yyloop;
    }
    if ((yyn = yyrindex[yystate]) && (yyn += yychar) >= 0 &&
            yyn <= YYTABLESIZE && yycheck[yyn] == yychar)
    {
        yyn = yytable[yyn];
        goto yyreduce;
    }
    if (yyerrflag) goto yyinrecovery;
#ifdef lint
    goto yynewerror;
#endif
yynewerror:
    yyerror("syntax error");
#ifdef lint
    goto yyerrlab;
#endif
yyerrlab:
    ++yynerrs;
yyinrecovery:
    if (yyerrflag < 3)
    {
        yyerrflag = 3;
        for (;;)
        {
            if ((yyn = yysindex[*yyssp]) && (yyn += YYERRCODE) >= 0 &&
                    yyn <= YYTABLESIZE && yycheck[yyn] == YYERRCODE)
            {
#if YYDEBUG
                if (yydebug)
                    printf("%sdebug: state %d, error recovery shifting\
 to state %d\n", YYPREFIX, *yyssp, yytable[yyn]);
#endif
                if (yyssp >= yyss + yystacksize - 1)
                {
                    goto yyoverflow;
                }
                *++yyssp = yystate = yytable[yyn];
                *++yyvsp = yylval;
                goto yyloop;
            }
            else
            {
#if YYDEBUG
                if (yydebug)
                    printf("%sdebug: error recovery discarding state %d\n",
                            YYPREFIX, *yyssp);
#endif
                if (yyssp <= yyss) goto yyabort;
                --yyssp;
                --yyvsp;
            }
        }
    }
    else
    {
        if (yychar == 0) goto yyabort;
#if YYDEBUG
        if (yydebug)
        {
            yys = 0;
            if (yychar <= YYMAXTOKEN) yys = yyname[yychar];
            if (!yys) yys = "illegal-symbol";
            printf("%sdebug: state %d, error recovery discards token %d (%s)\n",
                    YYPREFIX, yystate, yychar, yys);
        }
#endif
        yychar = (-1);
        goto yyloop;
    }
yyreduce:
#if YYDEBUG
    if (yydebug)
        printf("%sdebug: state %d, reducing by rule %d (%s)\n",
                YYPREFIX, yystate, yyn, yyrule[yyn]);
#endif
    yym = yylen[yyn];
    yyval = yyvsp[1-yym];
    switch (yyn)
    {
case 3:
#line 219 "c-parse.y"
{yyval.ttype = NULL_TREE; }
break;
case 5:
#line 220 "c-parse.y"
{yyval.ttype = NULL_TREE; }
break;
case 10:
#line 237 "c-parse.y"
{ if (pedantic)
		    error ("ANSI C forbids data definition lacking type or storage class", "");
		  else if (!flag_traditional)
		    warning ("data definition lacks type or storage class"); }
break;
case 11:
#line 242 "c-parse.y"
{}
break;
case 12:
#line 244 "c-parse.y"
{}
break;
case 13:
#line 246 "c-parse.y"
{ error ("empty declaration", ""); }
break;
case 14:
#line 248 "c-parse.y"
{ shadow_tag (yyvsp[-1].ttype); }
break;
case 18:
#line 256 "c-parse.y"
{ if (! func_start (yyvsp[-2].ttype, yyvsp[0].ttype))
		    YYERROR;
		  reinit_parse_for_function (); }
break;
case 19:
#line 260 "c-parse.y"
{ store_parm_decls (); }
break;
case 20:
#line 262 "c-parse.y"
{ fin_function (); }
break;
case 21:
#line 264 "c-parse.y"
{ }
break;
case 22:
#line 266 "c-parse.y"
{ if (! func_start (yyvsp[-2].ttype, yyvsp[0].ttype))
		    YYERROR;
		  reinit_parse_for_function (); }
break;
case 23:
#line 270 "c-parse.y"
{ store_parm_decls (); }
break;
case 24:
#line 272 "c-parse.y"
{ fin_function (); }
break;
case 25:
#line 274 "c-parse.y"
{ }
break;
case 26:
#line 276 "c-parse.y"
{ if (! func_start (NULL_TREE, yyvsp[0].ttype))
		    YYERROR;
		  reinit_parse_for_function (); }
break;
case 27:
#line 280 "c-parse.y"
{ store_parm_decls (); }
break;
case 28:
#line 282 "c-parse.y"
{ fin_function (); }
break;
case 29:
#line 284 "c-parse.y"
{ }
break;
case 32:
#line 293 "c-parse.y"
{ yyval.code = ADDR_EXPR; }
break;
case 33:
#line 295 "c-parse.y"
{ yyval.code = NEGATE_EXPR; }
break;
case 34:
#line 297 "c-parse.y"
{ yyval.code = CONVERT_EXPR; }
break;
case 35:
#line 299 "c-parse.y"
{ yyval.code = PREINCREMENT_EXPR; }
break;
case 36:
#line 301 "c-parse.y"
{ yyval.code = PREDECREMENT_EXPR; }
break;
case 37:
#line 303 "c-parse.y"
{ yyval.code = BIT_NOT_EXPR; }
break;
case 38:
#line 305 "c-parse.y"
{ yyval.code = TRUTH_NOT_EXPR; }
break;
case 40:
#line 315 "c-parse.y"
{ yyval.ttype = NULL_TREE; }
break;
case 42:
#line 321 "c-parse.y"
{ yyval.ttype = bd_tree_list (NULL_TREE, yyvsp[0].ttype); }
break;
case 43:
#line 323 "c-parse.y"
{ chainon (yyvsp[-2].ttype, bd_tree_list (NULL_TREE, yyvsp[0].ttype)); }
break;
case 45:
#line 329 "c-parse.y"
{ yyval.ttype = yyvsp[0].ttype; }
break;
case 46:
#line 333 "c-parse.y"
{ yyval.ttype = yyvsp[0].ttype; }
break;
case 47:
#line 337 "c-parse.y"
{ yyval.ttype = yyvsp[0].ttype; }
break;
case 48:
#line 344 "c-parse.y"
{ yyval.ttype = yyvsp[-1].ttype; }
break;
case 50:
#line 361 "c-parse.y"
{ yyval.ttype = yyvsp[0].ttype; }
break;
case 51:
#line 384 "c-parse.y"
{ extern tree int_one_node;
		  yyval.ttype = int_one_node; }
break;
case 69:
#line 441 "c-parse.y"
{ yyval.ttype = lastiddecl;
		  if (!yyval.ttype || yyval.ttype == err_mark_node)
		    {
		      if (yychar == YYEMPTY)
			yychar = YYLEX;
		      if (yychar == '(')
			{
			  yyval.ttype = implicitly_declare (yyvsp[0].ttype);
/*			  assemble_external ($$);
 */
			  TREE_USED (yyval.ttype) = 1;
			}
		      else if (cufn_decl == 0)
			{
			  error ("`%s' undeclared, outside of functions",
				 IDENTIFIER_POINTER (yyvsp[0].ttype));
			  yyval.ttype = err_mark_node;
			}
		      else
			{
			  if (IDENTIFIER_GLOBAL_VALUE (yyvsp[0].ttype) != err_mark_node
			      || IDENTIFIER_ERROR_LOCUS (yyvsp[0].ttype) != cufn_decl)
			    {
			      error ("`%s' undeclared (first use this function)",
				     IDENTIFIER_POINTER (yyvsp[0].ttype));

			      if (! undeclared_variable_notice)
				{
				  error ("(Each undeclared identifier is reported only once", "");
				  error ("for each function it appears in.)", "");
				  undeclared_variable_notice = 1;
				}
			    }
			  yyval.ttype = err_mark_node;
			  /* Prevent repeated error messages.  */
			  IDENTIFIER_GLOBAL_VALUE (yyvsp[0].ttype) = err_mark_node;
			  IDENTIFIER_ERROR_LOCUS (yyvsp[0].ttype) = cufn_decl;
			}
		    }
		  else if (! TREE_USED (yyval.ttype))
		    {
/*		      if (TREE_EXTERNAL ($$))
 *			assemble_external ($$);
 */
		      TREE_USED (yyval.ttype) = 1;
		    }
		  if (TREE_CODE (yyval.ttype) == CONST_DECL)
		    yyval.ttype = DECL_INITIAL (yyval.ttype);
		}
break;
case 72:
#line 495 "c-parse.y"
{ yyval.ttype = yyvsp[-1].ttype; }
break;
case 73:
#line 497 "c-parse.y"
{ yyval.ttype = err_mark_node; }
break;
case 81:
#line 534 "c-parse.y"
{ yyval.ttype = chainon (yyvsp[-1].ttype, yyvsp[0].ttype); }
break;
case 88:
#line 552 "c-parse.y"
{ cur_declspecs = yyvsp[0].ttype;
		  yyval.itype = suspend_momentary (); }
break;
case 89:
#line 558 "c-parse.y"
{ res_momentary ((int)yyvsp[-2].itype); }
break;
case 90:
#line 560 "c-parse.y"
{ res_momentary ((int)yyvsp[-2].itype); }
break;
case 91:
#line 562 "c-parse.y"
{ shadow_tag (yyvsp[-1].ttype); }
break;
case 92:
#line 564 "c-parse.y"
{ warning ("empty declaration"); }
break;
case 93:
#line 573 "c-parse.y"
{ yyval.ttype = tree_cons (NULL_TREE, yyvsp[-1].ttype, yyvsp[0].ttype); }
break;
case 94:
#line 575 "c-parse.y"
{ yyval.ttype = chainon (yyvsp[0].ttype, tree_cons (NULL_TREE, yyvsp[-1].ttype, yyvsp[-2].ttype)); }
break;
case 95:
#line 579 "c-parse.y"
{ yyval.ttype = NULL_TREE; }
break;
case 96:
#line 581 "c-parse.y"
{ yyval.ttype = tree_cons (NULL_TREE, yyvsp[0].ttype, yyvsp[-1].ttype); }
break;
case 97:
#line 583 "c-parse.y"
{ yyval.ttype = tree_cons (NULL_TREE, yyvsp[0].ttype, yyvsp[-1].ttype); }
break;
case 98:
#line 592 "c-parse.y"
{ yyval.ttype = tree_cons (NULL_TREE, yyvsp[0].ttype, NULL_TREE); }
break;
case 99:
#line 594 "c-parse.y"
{ yyval.ttype = tree_cons (NULL_TREE, yyvsp[0].ttype, NULL_TREE); }
break;
case 100:
#line 596 "c-parse.y"
{ yyval.ttype = tree_cons (NULL_TREE, yyvsp[0].ttype, yyvsp[-1].ttype); }
break;
case 101:
#line 598 "c-parse.y"
{ yyval.ttype = tree_cons (NULL_TREE, yyvsp[0].ttype, yyvsp[-1].ttype); }
break;
case 102:
#line 608 "c-parse.y"
{ yyval.ttype = tree_cons (NULL_TREE, yyvsp[-1].ttype, yyvsp[0].ttype); }
break;
case 103:
#line 610 "c-parse.y"
{ yyval.ttype = chainon (yyvsp[0].ttype, tree_cons (NULL_TREE, yyvsp[-1].ttype, yyvsp[-2].ttype)); }
break;
case 104:
#line 614 "c-parse.y"
{ yyval.ttype = NULL_TREE; }
break;
case 105:
#line 616 "c-parse.y"
{ yyval.ttype = tree_cons (NULL_TREE, yyvsp[0].ttype, yyvsp[-1].ttype); }
break;
case 109:
#line 627 "c-parse.y"
{ yyval.ttype = TREE_TYPE (yyvsp[-1].ttype);
		  if (pedantic)
		    warning ("ANSI C forbids `typeof'"); }
break;
case 110:
#line 631 "c-parse.y"
{ yyval.ttype = groktypename (yyvsp[-1].ttype);
		  if (pedantic)
		    warning ("ANSI C forbids `typeof'"); }
break;
case 118:
#line 655 "c-parse.y"
{ yyval.ttype = NULL_TREE; }
break;
case 119:
#line 657 "c-parse.y"
{ if (TREE_CHAIN (yyvsp[-1].ttype)) yyvsp[-1].ttype = combine_strings (yyvsp[-1].ttype);
		  yyval.ttype = yyvsp[-1].ttype;
		  if (pedantic)
		    warning ("ANSI C forbids use of `asm' keyword");
		}
break;
case 120:
#line 666 "c-parse.y"
{ yyval.ttype = decl_start (yyvsp[-2].ttype, cur_declspecs, 1); }
break;
case 121:
#line 669 "c-parse.y"
{ fin_decl (yyvsp[-1].ttype, yyvsp[0].ttype, yyvsp[-3].ttype); }
break;
case 122:
#line 671 "c-parse.y"
{ tree d = decl_start (yyvsp[-1].ttype, cur_declspecs, 0);
		  fin_decl (d, NULL_TREE, yyvsp[0].ttype); }
break;
case 123:
#line 677 "c-parse.y"
{ yyval.ttype = decl_start (yyvsp[-2].ttype, cur_declspecs, 1); }
break;
case 124:
#line 680 "c-parse.y"
{ fin_decl (yyvsp[-1].ttype, yyvsp[0].ttype, yyvsp[-3].ttype); }
break;
case 125:
#line 682 "c-parse.y"
{ tree d = decl_start (yyvsp[-1].ttype, cur_declspecs, 0);
		  fin_decl (d, NULL_TREE, yyvsp[0].ttype); }
break;
case 127:
#line 689 "c-parse.y"
{ yyval.ttype = bd_nt (CONSTRUCTOR, NULL_TREE, NULL_TREE);
		  if (pedantic)
		    warning ("ANSI C forbids empty initializer braces"); }
break;
case 128:
#line 693 "c-parse.y"
{ yyval.ttype = bd_nt (CONSTRUCTOR, NULL_TREE, nreverse (yyvsp[-1].ttype)); }
break;
case 129:
#line 695 "c-parse.y"
{ yyval.ttype = bd_nt (CONSTRUCTOR, NULL_TREE, nreverse (yyvsp[-2].ttype)); }
break;
case 130:
#line 697 "c-parse.y"
{ yyval.ttype = NULL_TREE; }
break;
case 131:
#line 704 "c-parse.y"
{ yyval.ttype = bd_tree_list (NULL_TREE, yyvsp[0].ttype); }
break;
case 132:
#line 706 "c-parse.y"
{ yyval.ttype = tree_cons (NULL_TREE, yyvsp[0].ttype, yyvsp[-2].ttype); }
break;
case 135:
#line 721 "c-parse.y"
{ yyval.ttype = yyvsp[-1].ttype; }
break;
case 136:
#line 723 "c-parse.y"
{ yyval.ttype = bd_nt (CALL_EXPR, yyvsp[-2].ttype, yyvsp[0].ttype, NULL_TREE); }
break;
case 137:
#line 728 "c-parse.y"
{ yyval.ttype = bd_nt (ARRAY_REF, yyvsp[-3].ttype, yyvsp[-1].ttype); }
break;
case 138:
#line 730 "c-parse.y"
{ yyval.ttype = bd_nt (ARRAY_REF, yyvsp[-2].ttype, NULL_TREE); }
break;
case 139:
#line 732 "c-parse.y"
{ yyval.ttype = make_pointer_declarator (yyvsp[-1].ttype, yyvsp[0].ttype); }
break;
case 141:
#line 743 "c-parse.y"
{ yyval.ttype = bd_nt (CALL_EXPR, yyvsp[-2].ttype, yyvsp[0].ttype, NULL_TREE); }
break;
case 142:
#line 748 "c-parse.y"
{ yyval.ttype = bd_nt (ARRAY_REF, yyvsp[-3].ttype, yyvsp[-1].ttype); }
break;
case 143:
#line 750 "c-parse.y"
{ yyval.ttype = bd_nt (ARRAY_REF, yyvsp[-2].ttype, NULL_TREE); }
break;
case 144:
#line 752 "c-parse.y"
{ yyval.ttype = make_pointer_declarator (yyvsp[-1].ttype, yyvsp[0].ttype); }
break;
case 146:
#line 761 "c-parse.y"
{ yyval.ttype = bd_nt (CALL_EXPR, yyvsp[-2].ttype, yyvsp[0].ttype, NULL_TREE); }
break;
case 147:
#line 766 "c-parse.y"
{ yyval.ttype = yyvsp[-1].ttype; }
break;
case 148:
#line 768 "c-parse.y"
{ yyval.ttype = make_pointer_declarator (yyvsp[-1].ttype, yyvsp[0].ttype); }
break;
case 149:
#line 770 "c-parse.y"
{ yyval.ttype = bd_nt (ARRAY_REF, yyvsp[-3].ttype, yyvsp[-1].ttype); }
break;
case 150:
#line 772 "c-parse.y"
{ yyval.ttype = bd_nt (ARRAY_REF, yyvsp[-2].ttype, NULL_TREE); }
break;
case 152:
#line 778 "c-parse.y"
{ yyval.ttype = stru_start (RECORD_TYPE, yyvsp[-1].ttype);
		  /* Start scope of tag before parsing components.  */
		}
break;
case 153:
#line 782 "c-parse.y"
{ yyval.ttype = fin_struct (yyvsp[-2].ttype, yyvsp[-1].ttype);
		  /* Really define the structure.  */
		}
break;
case 154:
#line 786 "c-parse.y"
{ yyval.ttype = fin_struct (stru_start (RECORD_TYPE, NULL_TREE),
				      yyvsp[-1].ttype); }
break;
case 155:
#line 789 "c-parse.y"
{ yyval.ttype = xref_tag (RECORD_TYPE, yyvsp[0].ttype); }
break;
case 156:
#line 791 "c-parse.y"
{ yyval.ttype = stru_start (UNION_TYPE, yyvsp[-1].ttype); }
break;
case 157:
#line 793 "c-parse.y"
{ yyval.ttype = fin_struct (yyvsp[-2].ttype, yyvsp[-1].ttype); }
break;
case 158:
#line 795 "c-parse.y"
{ yyval.ttype = fin_struct (stru_start (UNION_TYPE, NULL_TREE),
				      yyvsp[-1].ttype); }
break;
case 159:
#line 798 "c-parse.y"
{ yyval.ttype = xref_tag (UNION_TYPE, yyvsp[0].ttype); }
break;
case 160:
#line 800 "c-parse.y"
{ yyvsp[0].itype = suspend_momentary ();
		  yyval.ttype = enum_start (yyvsp[-1].ttype); }
break;
case 161:
#line 803 "c-parse.y"
{ yyval.ttype = fin_enum (yyvsp[-3].ttype, nreverse (yyvsp[-2].ttype));
		  res_momentary ((int)yyvsp[-4].itype); }
break;
case 162:
#line 806 "c-parse.y"
{ yyvsp[0].itype = suspend_momentary ();
		  yyval.ttype = enum_start (NULL_TREE); }
break;
case 163:
#line 809 "c-parse.y"
{ yyval.ttype = fin_enum (yyvsp[-3].ttype, nreverse (yyvsp[-2].ttype));
		  res_momentary ((int)yyvsp[-4].itype); }
break;
case 164:
#line 812 "c-parse.y"
{ yyval.ttype = xref_tag (ENUMERAL_TYPE, yyvsp[0].ttype); }
break;
case 166:
#line 825 "c-parse.y"
{ if (pedantic) warning ("comma at end of enumerator list"); }
break;
case 167:
#line 829 "c-parse.y"
{ yyval.ttype = NULL_TREE; }
break;
case 168:
#line 831 "c-parse.y"
{ yyval.ttype = chainon (yyvsp[-2].ttype, yyvsp[-1].ttype); }
break;
case 169:
#line 833 "c-parse.y"
{ if (pedantic) 
		    warning ("extra semicolon in struct or union specified"); }
break;
case 170:
#line 848 "c-parse.y"
{ yyval.ttype = yyvsp[0].ttype;
		  res_momentary ((int)yyvsp[-1].itype); }
break;
case 171:
#line 851 "c-parse.y"
{ yyval.ttype = yyvsp[0].ttype;
		  res_momentary ((int)yyvsp[-1].itype); }
break;
case 172:
#line 854 "c-parse.y"
{ yyval.ttype = NULL_TREE; }
break;
case 173:
#line 859 "c-parse.y"
{ if (pedantic)
		    warning ("ANSI C forbids member declarations with no members");
		  yyval.ttype = NULL_TREE; }
break;
case 175:
#line 864 "c-parse.y"
{ yyval.ttype = chainon (yyvsp[-2].ttype, yyvsp[0].ttype); }
break;
case 176:
#line 869 "c-parse.y"
{ yyval.ttype = grokfield (input_filename, lineno, yyvsp[0].ttype, cur_declspecs, NULL_TREE); }
break;
case 177:
#line 871 "c-parse.y"
{ yyval.ttype = grokfield (input_filename, lineno, yyvsp[-2].ttype, cur_declspecs, yyvsp[0].ttype); }
break;
case 178:
#line 873 "c-parse.y"
{ yyval.ttype = grokfield (input_filename, lineno, NULL_TREE, cur_declspecs, yyvsp[0].ttype); }
break;
case 180:
#line 884 "c-parse.y"
{ yyval.ttype = chainon (yyvsp[0].ttype, yyvsp[-2].ttype); }
break;
case 181:
#line 890 "c-parse.y"
{ yyval.ttype = bd_enumerator (yyvsp[0].ttype, NULL_TREE); }
break;
case 182:
#line 892 "c-parse.y"
{ yyval.ttype = bd_enumerator (yyvsp[-2].ttype, yyvsp[0].ttype); }
break;
case 183:
#line 897 "c-parse.y"
{ yyval.ttype = bd_tree_list (yyvsp[-1].ttype, yyvsp[0].ttype); }
break;
case 184:
#line 899 "c-parse.y"
{ yyval.ttype = bd_tree_list (yyvsp[-1].ttype, yyvsp[0].ttype); }
break;
case 185:
#line 904 "c-parse.y"
{ yyval.ttype = NULL_TREE; }
break;
case 187:
#line 910 "c-parse.y"
{ yyval.ttype = tree_cons (NULL_TREE, yyvsp[0].ttype, NULL_TREE); }
break;
case 188:
#line 912 "c-parse.y"
{ yyval.ttype = tree_cons (NULL_TREE, yyvsp[0].ttype, yyvsp[-1].ttype); }
break;
case 189:
#line 917 "c-parse.y"
{ yyval.ttype = NULL_TREE; }
break;
case 190:
#line 919 "c-parse.y"
{ yyval.ttype = tree_cons (NULL_TREE, yyvsp[0].ttype, yyvsp[-1].ttype); }
break;
case 191:
#line 924 "c-parse.y"
{ yyval.ttype = yyvsp[-1].ttype; }
break;
case 192:
#line 927 "c-parse.y"
{ yyval.ttype = make_pointer_declarator (yyvsp[-1].ttype, yyvsp[0].ttype); }
break;
case 193:
#line 929 "c-parse.y"
{ yyval.ttype = make_pointer_declarator (yyvsp[0].ttype, NULL_TREE); }
break;
case 194:
#line 931 "c-parse.y"
{ yyval.ttype = bd_nt (CALL_EXPR, yyvsp[-2].ttype, yyvsp[0].ttype, NULL_TREE); }
break;
case 195:
#line 933 "c-parse.y"
{ yyval.ttype = bd_nt (ARRAY_REF, yyvsp[-3].ttype, yyvsp[-1].ttype); }
break;
case 196:
#line 935 "c-parse.y"
{ yyval.ttype = bd_nt (ARRAY_REF, yyvsp[-2].ttype, NULL_TREE); }
break;
case 197:
#line 937 "c-parse.y"
{ yyval.ttype = bd_nt (CALL_EXPR, NULL_TREE, yyvsp[0].ttype, NULL_TREE); }
break;
case 198:
#line 939 "c-parse.y"
{ yyval.ttype = bd_nt (ARRAY_REF, NULL_TREE, yyvsp[-1].ttype); }
break;
case 199:
#line 941 "c-parse.y"
{ yyval.ttype = bd_nt (ARRAY_REF, NULL_TREE, NULL_TREE); }
break;
case 206:
#line 963 "c-parse.y"
{ pushlevel (0);
/*		  clear_last_expr ();
 */
		  push_momentary ();
/*		  expand_start_bindings (0);
 */
		}
break;
case 210:
#line 981 "c-parse.y"
{
/*		  expand_end_bindings (getdecls (), 1, 0);
 */
		  poplevel (1, 1, 0);
		  pop_momentary (); }
break;
case 211:
#line 987 "c-parse.y"
{
/*		  expand_end_bindings (getdecls (), 0, 0);
 */
		  poplevel (0, 0, 0);
		  pop_momentary (); }
break;
case 212:
#line 993 "c-parse.y"
{
/*		  expand_end_bindings (getdecls (), 0, 0);
 */
		  poplevel (0, 0, 0);
		  pop_momentary (); }
break;
case 213:
#line 1002 "c-parse.y"
{ emit_line_note (input_filename, lineno);
/*		  expand_start_cond (truthvalue_conversion ($3), 0);
 */
		}
break;
case 216:
#line 1012 "c-parse.y"
{ emit_line_note (input_filename, lineno);
/*		  expand_expr_stmt ($1);
 */
		  clear_momentary (); }
break;
case 219:
#line 1026 "c-parse.y"
{ emit_line_note (input_filename, lineno);
/*		  expand_start_loop (1);
 */
		}
break;
case 220:
#line 1031 "c-parse.y"
{ emit_line_note (input_filename, lineno);
/*		  expand_exit_loop_if_false (truthvalue_conversion ($4));
 */
		}
break;
case 222:
#line 1039 "c-parse.y"
{ emit_line_note (input_filename, lineno);
/*		  expand_start_loop_continue_elsewhere (1);
 */
		}
break;
case 223:
#line 1044 "c-parse.y"
{
/*		  expand_loop_continue_here ();
 */
		}
break;
case 224:
#line 1049 "c-parse.y"
{ emit_line_note (input_filename, lineno);
/*		  expand_exit_loop_if_false (truthvalue_conversion ($7));
 *		  expand_end_loop ();
 */
		  clear_momentary (); }
break;
case 225:
#line 1056 "c-parse.y"
{ emit_line_note (input_filename, lineno);
/*		  if ($3) expand_expr_stmt ($3);
 *		  expand_start_loop_continue_elsewhere (1);
 */
		}
break;
case 226:
#line 1062 "c-parse.y"
{ emit_line_note (input_filename, lineno);
/*		  if ($6)
 *		    expand_exit_loop_if_false (truthvalue_conversion ($6));
 */
		}
break;
case 227:
#line 1070 "c-parse.y"
{ push_momentary ();
		  yyvsp[0].itype = lineno; }
break;
case 228:
#line 1073 "c-parse.y"
{ emit_line_note (input_filename, yyvsp[-2].itype);
/*		  expand_loop_continue_here ();
 *		  if ($9)
 *		    expand_expr_stmt ($9);
 */
		  pop_momentary ();
/*		  expand_end_loop ();
 */
		}
break;
case 229:
#line 1083 "c-parse.y"
{ emit_line_note (input_filename, lineno);
/*		  c_expand_start_case ($3);
 */
		  /* Don't let the tree nodes for $3 be discarded by
		     clear_momentary during the parsing of the next stmt.  */
		  push_momentary (); }
break;
case 230:
#line 1090 "c-parse.y"
{ 
/*		  expand_end_case ($3);
 */
		  pop_momentary (); }
break;
case 233:
#line 1141 "c-parse.y"
{ emit_line_note (input_filename, lineno);
/*		  if ( ! expand_exit_something ())
 *		    error ("break statement not within loop or switch", "");
 */
		}
break;
case 234:
#line 1147 "c-parse.y"
{ emit_line_note (input_filename, lineno);
/*		  if (! expand_continue_loop ())
 *		    error ("continue statement not within a loop", "");
 */
		}
break;
case 235:
#line 1153 "c-parse.y"
{ emit_line_note (input_filename, lineno);
/*		  c_expand_return (NULL_TREE);
 */
		}
break;
case 236:
#line 1158 "c-parse.y"
{ emit_line_note (input_filename, lineno);
/*		  c_expand_return ($2);
 */
		}
break;
case 244:
#line 1208 "c-parse.y"
{ if (pedantic)
		    warning ("ANSI C forbids use of `asm' keyword");
		  emit_line_note (input_filename, lineno); }
break;
case 245:
#line 1212 "c-parse.y"
{ if (pedantic)
		    warning ("ANSI C forbids use of `asm' keyword");
		  emit_line_note (input_filename, lineno); }
break;
case 246:
#line 1219 "c-parse.y"
{ yyval.ttype = NULL_TREE; }
break;
case 248:
#line 1226 "c-parse.y"
{ yyval.ttype = NULL_TREE; }
break;
case 251:
#line 1233 "c-parse.y"
{ yyval.ttype = chainon (yyvsp[-2].ttype, yyvsp[0].ttype); }
break;
case 252:
#line 1238 "c-parse.y"
{ yyval.ttype = bd_tree_list (yyvsp[-3].ttype, yyvsp[-1].ttype); }
break;
case 253:
#line 1252 "c-parse.y"
{ pushlevel (0); }
break;
case 254:
#line 1254 "c-parse.y"
{ yyval.ttype = yyvsp[0].ttype;
		  parmlist_tags_warning ();
		  poplevel (0, 0, 0); }
break;
case 255:
#line 1262 "c-parse.y"
{ pushlevel (0); }
break;
case 256:
#line 1264 "c-parse.y"
{ yyval.ttype = yyvsp[0].ttype;
		  parmlist_tags_warning ();
		  poplevel (0, 0, 0); }
break;
case 258:
#line 1272 "c-parse.y"
{ yyval.ttype = tree_cons (NULL_TREE, NULL_TREE, yyvsp[-1].ttype); }
break;
case 259:
#line 1274 "c-parse.y"
{ yyval.ttype = tree_cons (NULL_TREE, NULL_TREE, NULL_TREE); }
break;
case 261:
#line 1280 "c-parse.y"
{ yyval.ttype = tree_cons (NULL_TREE, NULL_TREE, NULL_TREE); }
break;
case 262:
#line 1286 "c-parse.y"
{ yyval.ttype = get_parm_info (0); }
break;
case 263:
#line 1288 "c-parse.y"
{ yyval.ttype = get_parm_info (1); }
break;
case 264:
#line 1290 "c-parse.y"
{ yyval.ttype = get_parm_info (0); }
break;
case 265:
#line 1295 "c-parse.y"
{ push_parm_decl (yyvsp[0].ttype); }
break;
case 266:
#line 1297 "c-parse.y"
{ push_parm_decl (yyvsp[0].ttype); }
break;
case 267:
#line 1304 "c-parse.y"
{ yyval.ttype = bd_tree_list (yyvsp[-1].ttype, yyvsp[0].ttype)	; }
break;
case 268:
#line 1306 "c-parse.y"
{ yyval.ttype = bd_tree_list (yyvsp[-1].ttype, yyvsp[0].ttype)	; }
break;
case 269:
#line 1308 "c-parse.y"
{ yyval.ttype = bd_tree_list (yyvsp[-1].ttype, yyvsp[0].ttype); }
break;
case 270:
#line 1310 "c-parse.y"
{ yyval.ttype = bd_tree_list (yyvsp[-1].ttype, yyvsp[0].ttype)	; }
break;
case 271:
#line 1312 "c-parse.y"
{ yyval.ttype = bd_tree_list (yyvsp[-1].ttype, yyvsp[0].ttype); }
break;
case 272:
#line 1318 "c-parse.y"
{ yyval.ttype = bd_tree_list (NULL_TREE, yyvsp[0].ttype); }
break;
case 273:
#line 1320 "c-parse.y"
{ yyval.ttype = chainon (yyvsp[-2].ttype, bd_tree_list (NULL_TREE, yyvsp[0].ttype)); }
break;
#line 3374 "y.tab.c"
    }
    yyssp -= yym;
    yystate = *yyssp;
    yyvsp -= yym;
    yym = yylhs[yyn];
    if (yystate == 0 && yym == 0)
    {
#if YYDEBUG
        if (yydebug)
            printf("%sdebug: after reduction, shifting from state 0 to\
 state %d\n", YYPREFIX, YYFINAL);
#endif
        yystate = YYFINAL;
        *++yyssp = YYFINAL;
        *++yyvsp = yyval;
        if (yychar < 0)
        {
            if ((yychar = yylex()) < 0) yychar = 0;
#if YYDEBUG
            if (yydebug)
            {
                yys = 0;
                if (yychar <= YYMAXTOKEN) yys = yyname[yychar];
                if (!yys) yys = "illegal-symbol";
                printf("%sdebug: state %d, reading %d (%s)\n",
                        YYPREFIX, YYFINAL, yychar, yys);
            }
#endif
        }
        if (yychar == 0) goto yyaccept;
        goto yyloop;
    }
    if ((yyn = yygindex[yym]) && (yyn += yystate) >= 0 &&
            yyn <= YYTABLESIZE && yycheck[yyn] == yystate)
        yystate = yytable[yyn];
    else
        yystate = yydgoto[yym];
#if YYDEBUG
    if (yydebug)
        printf("%sdebug: after reduction, shifting from state %d \
to state %d\n", YYPREFIX, *yyssp, yystate);
#endif
    if (yyssp >= yyss + yystacksize - 1)
    {
        goto yyoverflow;
    }
    *++yyssp = yystate;
    *++yyvsp = yyval;
    goto yyloop;
yyoverflow:
    yyerror("yacc stack overflow");
yyabort:
    return (1);
yyaccept:
    return (0);
}
