
typedef <type> pthread_attr_t;
typedef <type> pthread_cond_t;
typedef <type> pthread_condattr_t;
typedef <type> pthread_key_t;
typedef <type> pthread_mutex_t;
typedef <type> pthread_mutexattr_t;
typedef <type> pthread_once_t;
typedef <type> pthread_rwlock_t;
typedef <type> pthread_rwlockattr_t;
typedef <type> pthread_t;

#define PTHREAD_CANCEL_ASYNCHRONOUS (-1)
#define PTHREAD_CANCEL_ENABLE (-1)
#define PTHREAD_CANCEL_DEFERRED (-1)
#define PTHREAD_CANCEL_DISABLE (-1)
#define PTHREAD_CANCELED (-1)
#define PTHREAD_COND_INITIALIZER (-1)
#define PTHREAD_CREATE_DETACHED (-1)
#define PTHREAD_CREATE_JOINABLE (-1)
#define PTHREAD_EXPLICIT_SCHED (-1)
#define PTHREAD_INHERIT_SCHED (-1)

#define PTHREAD_MUTEX_DEFAULT (-1)
#define PTHREAD_MUTEX_ERRORCHECK (-1)
#define PTHREAD_MUTEX_NORMAL (-1)
#define PTHREAD_MUTEX_INITIALIZER (-1)
#define PTHREAD_MUTEX_RECURSIVE (-1)

#define PTHREAD_ONCE_INIT (-1)
#define PTHREAD_PRIO_INHERIT (-1)
#define PTHREAD_PRIO_NONE (-1)
#define PTHREAD_PRIO_PROTECT (-1)
#define PTHREAD_PROCESS_SHARED (-1)
#define PTHREAD_PROCESS_PRIVATE (-1)
#define PTHREAD_RWLOCK_INITIALIZER (-1)
#define PTHREAD_SCOPE_PROCESS (-1)
#define PTHREAD_SCOPE_SYSTEM (-1)

extern int   pthread_attr_destroy();
extern int   pthread_attr_getdetachstate();
extern int   pthread_attr_getguardsize();
extern int   pthread_attr_getinheritsched();
extern int   pthread_attr_getschedparam();
extern int   pthread_attr_getschedpolicy();
extern int   pthread_attr_getscope();
extern int   pthread_attr_getstackaddr();
extern int   pthread_attr_getstacksize();
extern int   pthread_attr_init();
extern int   pthread_attr_setdetachstate();
extern int   pthread_attr_setguardsize();
extern int   pthread_attr_setinheritsched();
extern int   pthread_attr_setschedparam();
extern int   pthread_attr_setschedpolicy();
extern int   pthread_attr_setscope();
extern int   pthread_attr_setstackaddr();
extern int   pthread_attr_setstacksize();
extern int   pthread_cancel();
extern void  pthread_cleanup_push();
extern void  pthread_cleanup_pop();
extern int   pthread_cond_broadcast();
extern int   pthread_cond_destroy();
extern int   pthread_cond_init();
extern int   pthread_cond_signal();
extern int   pthread_cond_timedwait();
extern int   pthread_cond_wait();
extern int   pthread_condattr_destroy();
extern int   pthread_condattr_getpshared();
extern int   pthread_condattr_init();
extern int   pthread_condattr_setpshared();
extern int   pthread_create();
extern int   pthread_detach();
extern int   pthread_equal();
extern void  pthread_exit();
extern int   pthread_getconcurrency();
extern int   pthread_getschedparam();
extern void *pthread_getspecific();
extern int   pthread_join();
extern int   pthread_key_create();
extern int   pthread_key_delete();
extern int   pthread_mutex_destroy();
extern int   pthread_mutex_getprioceiling();
extern int   pthread_mutex_init();
extern int   pthread_mutex_lock();
extern int   pthread_mutex_setprioceiling();
extern int   pthread_mutex_trylock();
extern int   pthread_mutex_unlock();
extern int   pthread_mutexattr_destroy();
extern int   pthread_mutexattr_getprioceiling();
extern int   pthread_mutexattr_getprotocol();
extern int   pthread_mutexattr_getpshared();
extern int   pthread_mutexattr_gettype();
extern int   pthread_mutexattr_init();
extern int   pthread_mutexattr_setprioceiling();
extern int   pthread_mutexattr_setprotocol();
extern int   pthread_mutexattr_setpshared();
extern int   pthread_mutexattr_settype();
extern int   pthread_once();
extern int   pthread_rwlock_destroy();
extern int   pthread_rwlock_init();
extern int   pthread_rwlock_rdlock();
extern int   pthread_rwlock_tryrdlock();
extern int   pthread_rwlock_trywrlock();
extern int   pthread_rwlock_unlock();
extern int   pthread_rwlock_wrlock();
extern int   pthread_rwlockattr_destroy();
extern int   pthread_rwlockattr_getpshared();
extern int   pthread_rwlockattr_init();
extern int   pthread_rwlockattr_setpshared();
extern pthread_t pthread_self();
extern int   pthread_setcancelstate();
extern int   pthread_setcanceltype();
extern int   pthread_setconcurrency();
extern int   pthread_setschedparam();
extern int   pthread_setspecific();
extern void  pthread_testcancel();
