typedef	<signed type> pid_t;
typedef	<type>	sig_atomic_t;
typedef struct { <members> } siginfo_t;
typedef	<type>	sigset_t;
typedef <type>	stack_t;
typedef <type>	ucontext_t;
#define	NSIG	(-1)	/* user supplied: (highest_signal_number + 1) */
#define	BUS_ADRALN	(-1)
#define	BUS_ADRERR	(-1)
#define	BUS_OBJERR	(-1)
#define	CLD_CONTINUED	(-1)
#define	CLD_DUMPED	(-1)
#define	CLD_EXITED	(-1)
#define	CLD_KILLED	(-1)
#define	CLD_STOPPED	(-1)
#define	CLD_TRAPPED	(-1)
#define	FPE_FLTDIV	(-1)
#define	FPE_FLTINV	(-1)
#define	FPE_FLTOVF	(-1)
#define	FPE_FLTRES	(-1)
#define	FPE_FLTSUB	(-1)
#define	FPE_FLTUND	(-1)
#define	FPE_INTDIV	(-1)
#define	FPE_INTOVF	(-1)
#define	ILL_BADSTK	(-1)
#define	ILL_COPROC	(-1)
#define	ILL_ILLADR	(-1)
#define	ILL_ILLOPC	(-1)
#define	ILL_ILLOPN	(-1)
#define	ILL_ILLTRP	(-1)
#define	ILL_PRVOPC	(-1)
#define	ILL_PRVREG	(-1)
#define	MINSIGSTKSZ	(-1)
#define	POLL_ERR	(-1)
#define	POLL_HUP	(-1)
#define	POLL_IN	(-1)
#define	POLL_MSG	(-1)
#define	POLL_OUT	(-1)
#define	POLL_PRI	(-1)
#define	SA_NOCLDSTOP	(-1)
#define	SA_NOCLDWAIT	(-1)
#define	SA_NODEFER	(-1)
#define	SA_ONSTACK	(-1)
#define	SA_RESETHAND	(-1)
#define	SA_RESTART	(-1)
#define	SEGV_ACCERR	(-1)
#define	SEGV_MAPERR	(-1)
#define	SIGABRT	(-1)
#define	SIGALRM	(-1)
#define	SIGBUS	(-1)
#define	SIGCHLD	(-1)
#define	SIGCONT	(-1)
#define	SIGEV_NONE	(-1)
#define	SIGEV_SIGNAL	(-1)
#define	SIGEV_THREAD	(-1)
#define	SIGFPE	(-1)
#define	SIGHUP	(-1)
#define	SIGILL	(-1)
#define	SIGINT	(-1)
#define	SIGKILL	(-1)
#define	SIGPIPE	(-1)
#define	SIGPOLL	(-1)
#define	SIGPROF	(-1)
#define	SIGQUIT	(-1)
#define	SIGRTMAX	(-1)
#define	SIGRTMIN	(-1)
#define	SIGSEGV	(-1)
#define	SIGSTKSZ	(-1)
#define	SIGSTOP	(-1)
#define	SIGSYS	(-1)
#define	SIGTERM	(-1)
#define	SIGTRAP	(-1)
#define	SIGTSTP	(-1)
#define	SIGTTIN	(-1)
#define	SIGTTOU	(-1)
#define	SIGURG	(-1)
#define	SIGUSR1	(-1)
#define	SIGUSR2	(-1)
#define	SIGVTALRM	(-1)
#define	SIGXCPU	(-1)
#define	SIGXFSZ	(-1)
#define	SIG_BLOCK	(-1)
#define	SIG_DFL	(-1)
#define	SIG_ERR	(-1)
#define	SIG_HOLD	(-1)
#define	SIG_IGN	(-1)
#define	SIG_SETMASK	(-1)
#define	SIG_UNBLOCK	(-1)
#define	SI_ASYNCIO	(-1)
#define	SI_MESGQ	(-1)
#define	SI_QUEUE	(-1)
#define	SI_TIMER	(-1)
#define	SI_USER	(-1)
#define	SS_DISABLE	(-1)
#define	SS_ONSTACK	(-1)
#define	TRAP_BRKPT	(-1)
#define	TRAP_TRACE	(-1)
struct sigaction { <members> };
struct sigevent { <members> };
union sigval { int sival_int; void *sival_ptr; };
extern int	kill();
extern int	killpg();
extern int	pthread_kill();
extern int	pthread_sigmask();
extern int	raise();
extern int	sigaction();
extern int	sigaddset();
extern int	sigaltstack();
extern int	sigdelset();
extern int	sigemptyset();
extern int	sigfillset();
extern int	sighold();
extern int	sigignore();
extern int	siginterrupt();
extern int	sigismember();
extern int	sigpause();
extern int	sigpending();
extern int	sigprocmask();
extern int	sigqueue();
extern int	sigrelse();
extern int	sigsuspend();
extern int	sigtimedwait();
extern int	sigwaitinfo();
extern void	(*bsd_signal())();
extern void	(*signal())();
extern void	*sigset();
