# $Header: /cvsroot/lsb/test_sets/lsb-os/SRC/subsets/lsb-os/install_sub-vsrt.sh,v 1.1 2001/06/01 02:00:16 cyeoh Exp $
#
# Copyright (c) 1997 X/Open Company Limited, a member of the Open Group
#
# All rights reserved.  No part of this source code may be reproduced,
# stored in a retrieval system, or transmitted, in any form or by any
# means, electronic, mechanical, photocopying, recording or otherwise,
# except as stated in the end-user licence agreement, without the prior
# permission of the copyright owners.
#
# Motif, OSF/1 and UNIX are registered trademarks and X/Open,
# the "X Device" and The Open Group are trademarks of The Open Group.
#
# Project: VSRT
#
# File: SRC/subsets/vsrt/install_sub.sh
#
# Modifications
# $Log: install_sub-vsrt.sh,v $
# Revision 1.1  2001/06/01 02:00:16  cyeoh
# Merges for lsb-os test suite
#
# Revision 11.0  1999/03/22 19:46:29  andy
# Branch point for Release 5.0.3
#
# Revision 10.0  1999/02/08 16:44:03  andy
# Branch point for Release 5.0.3b1
#
# Revision 9.0  1998/07/15 18:57:25  andy
# Branch point for Release 5.0.2
#
# Revision 8.0  1998/06/18 22:21:31  andy
# Branch point for Release 5.0.2b2
#
# Revision 7.0  1998/05/25 01:53:18  andy
# Branch point for Release 5.0.2b1
#
# Revision 6.0  1998/01/04 02:33:28  tbr
# Branch point for Release vsrt 5.0.1A
#
# Revision 5.1  1997/12/19 02:00:13  vsx0
# Added VSRT_SUPPORTS_RT_FG.
#
# Revision 5.0  1997/11/26 21:44:10  andy
# Branch point for Release 5.0.1
#
# Revision 4.0  1997/10/22 15:42:45  dave
# Branch point for Release 5-0-0b1
#
# Revision 3.0  1997/07/27 18:15:41  andy
# Branch point for Release 5.0.0
#
# Revision 2.1  1997/07/16  21:56:25  andy
# Made path of testvars.h relative to HOME rather than TET_ROOT
#
# Revision 2.0  1997/06/15  19:58:58  andy
# Branch point for Release 5.0.0b1
#
# Revision 1.2  1997/05/27  17:58:33  andy
# Aligned with VSXgen Beta
#
# Revision 1.1  1997/04/29  00:56:28  andy
# Initial revision
#

echo "Executing vsrt/install_sub.sh"

#add our variables to SRC/common/drivers/testvars.h
echo "\"VSRT_MQUEUE_PREFIX\"," >> $HOME/SRC/common/drivers/testvars.h
echo "\"VSRT_SHM_PREFIX\"," >> $HOME/SRC/common/drivers/testvars.h
echo "\"VSRT_SEM_PREFIX\"," >> $HOME/SRC/common/drivers/testvars.h
echo "\"VSRT_MQUEUE_IS_DISTINCT\"," >> $HOME/SRC/common/drivers/testvars.h
echo "\"VSRT_SEM_IS_DISTINCT\"," >> $HOME/SRC/common/drivers/testvars.h
echo "\"VSRT_SHM_IS_DISTINCT\"," >> $HOME/SRC/common/drivers/testvars.h
echo "\"VSRT_SUPPORTS_RT_FG\"," >> $HOME/SRC/common/drivers/testvars.h
