: use /bin/sh
#
#	SCCS:	%W% (%E%)
#
#	UniSoft Ltd., London, England
#
# Copyright (c) 2001 UniSoft Ltd.
# All rights reserved.
#
# No part of this source code or documentation may be reproduced,
# stored in a retrieval system, or transmitted, in any form or by any
# means, electronic, mechanical, photocopying, recording or otherwise,
# except as stated in the end-user licence agreement, without the prior
# permission of the copyright owners.
#
# ----------------------------------------------------------------------
#
# NAME:		SRC/subsets/install_sub.sh
# PRODUCT:	LSB-os test suite
# AUTHOR:	Andrew Dingwall, UniSoft Ltd.
# DATE CREATED:	December 2000
#
# DESCRIPTION:
#	this file provides an interface between VSXgen and the install_sub
#	scripts for the various test suites from which LSB-os tests
#	are derived
#
# MODIFICATIONS:
#
# ----------------------------------------------------------------------

# install_sub.sh from VSRT
. ${VSXDIR:?}/subsets/lsb-os/install_sub-vsrt.sh

# install_sub.sh for dynl tests
. ${VSXDIR:?}/subsets/lsb-os/install_sub-dynl.sh

