#!/bin/sh

if ! test -f scripts/locks/loopback_setup
then
  touch scripts/locks/loopback_setup

  # Get configuration parameters
  VSX_MOUNT_DEV=`grep VSX_MOUNT_DEV= TESTROOT/tetexec.cfg | cut -f2 -d=`
  echo $VSX_MOUNT_DEV
  # Check to see if loopback device is being used
  echo $VSX_MOUNT_DEV | grep /dev/loop > /dev/null
  if [ $? -eq 0 ]; then
    # Need to do loopback setup
    echo Setting up loopback device
    echo "Enter the root password:"
    su root -c "PATH=$PATH:/sbin losetup -d $VSX_MOUNT_DEV > /dev/null 2>&1; PATH=$PATH:/sbin losetup $VSX_MOUNT_DEV loopback_disk.ext2"
  fi
fi
