/*
 *      SCCS: @(#)  ANSI.os/genuts/abort/abort_h.h Rel 4.4.1 (06/09/97)
 *
 *	UniSoft Ltd., London, England
 *
 * (C) Copyright 1992 X/Open Company Limited
 *
 * All rights reserved.  No part of this source code may be reproduced,
 * stored in a retrieval system, or transmitted, in any form or by any
 * means, electronic, mechanical, photocopying, recording or otherwise,
 * except as stated in the end-user licence agreement, without the prior
 * permission of the copyright owners.
 *
 * X/Open and the 'X' symbol are trademarks of X/Open Company Limited in
 * the UK and other countries.
 */

/***********************************************************************

NAME:		abort_h.h

PROJECT:	XNFS (X/OPEN NFS tests)

DESCRIPTION:
	Definitions common to master and slave side of the abort test set.

METHODS:
ASSUMES:
CONDITIONAL COMPILE PARAMS:
SIDE EFFECTS:
RELATED DOCUMENTS:
SOURCE:

AUTHOR:		John-Paul, UniSoft Ltd.
DATE CREATED:	22 September 1992
MODIFICATIONS:

************************************************************************/

#if TEST_XNFS

/*
**	test12
*/

#define ONE_BYTE_STR	"x"
#define ONE_BYTE_CHAR	'x'
#define	ONE_BYTE_LENGTH	1

/* files and directories */
#define T12_1_FILE		"./abort-t.12.1"
#define T12_2_FILE		"./abort-t.12.2"

/* sync points */
#define SP_T12_WRITE1_START	MK_SPNO(0)
#define SP_T12_WRITE1_END	MK_SPNO(1)
#define SP_T12_WRITE2_START	MK_SPNO(2)
#define SP_T12_WRITE2_END	MK_SPNO(3)
#define SP_T12_WRITE3_START	MK_SPNO(4)
#define SP_T12_WRITE3_END	MK_SPNO(5)
#define SP_T12_WRITE4_START	MK_SPNO(6)
#define SP_T12_WRITE4_END	MK_SPNO(7)

#endif /* TEST_XNFS */
