/*
*      SCCS:  @(#)  ANSI.os/genuts/system/sys_cmd46/sys_cmd46.c	Rel 4.4.1 (06/09/97)
*
*	UniSoft Ltd., London, England
*
* (C) Copyright 1991 X/Open Company Limited
*
* All rights reserved.  No part of this source code may be reproduced,
* stored in a retrieval system, or transmitted, in any form or by any
* means, electronic, mechanical, photocopying, recording or otherwise,
* except as stated in the end-user licence agreement, without the prior
* permission of the copyright owners.
*
* X/Open and the 'X' symbol are trademarks of X/Open Company Limited in
* the UK and other countries.
*/

/***********************************************************************

NAME:		T.system

PROJECT:	VSX (X/OPEN Validation Suite)


MODULE CONTAINS:
	cmd46()

SYNOPSIS:
	cmd46()

DESCRIPTION:
	cmd46 for the system() subroutine.

AUTHOR:		Manucher Ghezel-Ayagh, UniSoft Ltd.
DATE CREATED:	Tue Dec  9 13:46:19 WET 1986
MODIFICATIONS:

************************************************************************/
#include	<std.h>
#include	<sys/types.h>
#include	<stdio.h>
#include	<fcntl.h>
#include	<signal.h>
#include	<vsx_signal.h>
#include	<unistd.h>
#include	<stdlib.h>
#include	<exitcodes.h>
#include	<sys/stat.h>
#include	<vsx_system.h>
#include	<sysdep.h>


extern	void	(*vsignal())();

main()
{
	int	i;
	int	nsigs;
	int	failed = 0;

	if (sysconf(_SC_JOB_CONTROL) == -1)
		nsigs = VNOJSIG;
	else
		nsigs = VNUMSIG;

	for (i = 1; i < nsigs; i++)
	{
		if (i == VSIGKILL || i == VSIGSTOP || i == VSIGCONT ||
		    i == VSIGSEGV || i == VSIGALRM || i == VSIGCHLD)
			continue;
		else if (i == VSIGTERM || i == VSIGINT || i == VSIGQUIT)
		{
			if (sig_array[i] > 0 && sig_array[i] < NSIG)
				if (vsignal(sig_array[i], SIG_DFL) != SIG_DFL)
				{
					failed++;
				}
		}
		else
			if (sig_array[i] > 0 && sig_array[i] < NSIG)
				if (vsignal(sig_array[i], SIG_IGN) != SIG_IGN)
				{
					failed++;
				}
	}

	if (failed)
		(void) creat(t46_file, MODEANY);

	exit(OK0);

	/* NOTREACHED */

}
