/*
*      SCCS:  @(#)  ANSI.os/genuts/system/sys_cmd47/sys_cmd47.c	Rel 4.4.1 (06/09/97)
*
*	UniSoft Ltd., London, England
*
* (C) Copyright 1991 X/Open Company Limited
*
* All rights reserved.  No part of this source code may be reproduced,
* stored in a retrieval system, or transmitted, in any form or by any
* means, electronic, mechanical, photocopying, recording or otherwise,
* except as stated in the end-user licence agreement, without the prior
* permission of the copyright owners.
*
* X/Open and the 'X' symbol are trademarks of X/Open Company Limited in
* the UK and other countries.
*/

/***********************************************************************

NAME:		T.system

PROJECT:	VSX (X/OPEN Validation Suite)


MODULE CONTAINS:
	cmd47()

SYNOPSIS:
	cmd47()

DESCRIPTION:
	cmd47 for the system() subroutine.

AUTHOR:		Manucher Ghezel-Ayagh, UniSoft Ltd.
DATE CREATED:	Tue Dec  9 13:46:19 WET 1986
MODIFICATIONS:

************************************************************************/
#include	<std.h>
#include	<sys/types.h>
#include	<stdio.h>
#include	<fcntl.h>
#include	<signal.h>
#include	<unistd.h>
#include	<stdlib.h>
#include	<exitcodes.h>
#include	<sys/stat.h>
#include	<vsx_system.h>
#include	<sysdep.h>

extern	void	(*vsignal())();
extern	char	*errname();

main()
{
	int	failed = 0;

	if (vsignal(SIGINT, SIG_IGN) != SIG_IGN)
				failed++;

	if (vsignal(SIGQUIT, SIG_IGN) != SIG_IGN)
				failed++;

	if (failed)
		(void) creat(t47_file, MODEANY);
	exit(OK0);

	/* NOTREACHED */

}
