/*
*      SCCS:  @(#)  ANSI.os/genuts/system/sys_exit/sys_exit.c	Rel 4.4.1 (06/09/97)
*
*	UniSoft Ltd., London, England
*
* (C) Copyright 1991 X/Open Company Limited
*
* All rights reserved.  No part of this source code may be reproduced,
* stored in a retrieval system, or transmitted, in any form or by any
* means, electronic, mechanical, photocopying, recording or otherwise,
* except as stated in the end-user licence agreement, without the prior
* permission of the copyright owners.
*
* X/Open and the 'X' symbol are trademarks of X/Open Company Limited in
* the UK and other countries.
*/

/***********************************************************************

NAME:		T.system

PROJECT:	VSX (X/OPEN Validation Suite)


MODULE CONTAINS:
	sys_exit()

SYNOPSIS:
	sys_exit(exitval)

DESCRIPTION:
	exit routine for the system() subroutine.

AUTHOR:		Manuch Ghezel-Ayagh, UniSoft Ltd.
DATE CREATED:	Tue Dec  9 13:46:19 WET 1986
MODIFICATIONS:

************************************************************************/
#include <std.h>
#include <stdlib.h>
#include <stdio.h>
#include <sysdep.h>

#ifdef UNDEF_MACROS
#undef system
#endif


main(argc,argv)
int	argc;
char	**argv;
{
	if (argc > 1)
		exit(atoi(argv[1]));
	else
		exit(0);

	/* NOTREACHED */
}
