/*
*      SCCS:  @(#)  ANSI.os/genuts/system/vsx_system/vsx_system.h	Rel 4.4.1     (06/09/97) 
*
*	UniSoft Ltd., London, England
*
* (C) Copyright 1991 X/Open Company Limited
*
* All rights reserved.  No part of this source code may be reproduced,
* stored in a retrieval system, or transmitted, in any form or by any
* means, electronic, mechanical, photocopying, recording or otherwise,
* except as stated in the end-user licence agreement, without the prior
* permission of the copyright owners.
*
* X/Open and the 'X' symbol are trademarks of X/Open Company Limited in
* the UK and other countries.
*/
/***********************************************************************

NAME:		vsx_system.h

PROJECT:	VSX (X/OPEN Validation Suite)

DESCRIPTION:
	Common include file for ANSI.os/genuts/system testsets
INSTRUCTIONS:
AUTHOR:		Manucher Ghezel-Ayagh, UniSoft Ltd.
DATE CREATED:	Wed Dec 10 14:09:10 WET 1986
MODIFICATIONS:

************************************************************************/

#define	WAITTIME	(5 * SPEEDFACTOR)
#define	MODEANY		(S_IRWXU|S_IRWXG|S_IRWXO)

#define	OK0		0		/* successful return value */
#define	OK1		1		/* successful return value */
#define	OK5		5		/* successful return value */
#define	OK7		7		/* successful return value */

#define	E_OPEN		11		/* error return code for open() */
#define	E_READ		12
#define	E_WRITE		13
#define	E_CREAT		14
#define	E_STAT		15

#define	T_DELAY_1	10		/* Seconds for sleep() call	*/

#define	t1_info 	"./system-info1"
#define	t2_info 	"./system-info2"
#define	t24a_file 	"./system-t.24a"
#define	t24b_file 	"./system-t.24b"
#define	t25_file 	"./system-t.25"
#define	t26a_file 	"./system-t.26a"
#define	t26b_file 	"./system-t.26b"
#define	t31_file 	"./system-t.31"
#define	t36_file 	"./system-t.36"
#define	t46_file 	"./.system-t.46"
#define	t47_file 	"./.system-t.47"
