/*
 *      SCCS: @(#)  ANSI.os/streamio/fflush/fflush_h.h Rel 4.4.1 (06/09/97)
 *
 *	UniSoft Ltd., London, England
 *
 * (C) Copyright 1992 X/Open Company Limited
 *
 * All rights reserved.  No part of this source code may be reproduced,
 * stored in a retrieval system, or transmitted, in any form or by any
 * means, electronic, mechanical, photocopying, recording or otherwise,
 * except as stated in the end-user licence agreement, without the prior
 * permission of the copyright owners.
 *
 * X/Open and the 'X' symbol are trademarks of X/Open Company Limited in
 * the UK and other countries.
 */

/***********************************************************************

NAME:		fflush_h.h

PROJECT:	XNFS (X/OPEN NFS tests)

DESCRIPTION:
	Definitions common to master and slave side of the fflush test set.

METHODS:
ASSUMES:
CONDITIONAL COMPILE PARAMS:
SIDE EFFECTS:
RELATED DOCUMENTS:
SOURCE:

AUTHOR:		John-Paul, UniSoft Ltd.
DATE CREATED:	9 October 1992
MODIFICATIONS:

************************************************************************/


#if TEST_XNFS

#define ONE_BYTE_STR	"x"
#define ONE_BYTE_CHAR	'x'
#define	ONE_BYTE_LENGTH	1

/* sync points */
#define SP_T14_EACCES		MK_SPNO(0)

#define SP_T15_ESTALE		MK_SPNO(0)

/* files and directories */
#define T14_FILE		"./fflush-t.14"
#define T15_FILE		"./fflush-t.15"

#endif /* TEST_XNFS */
