/*
 *      SCCS: @(#)  ANSI.os/streamio/fputs/fputs_h.h Rel 4.4.1 (06/09/97)
 *
 *	UniSoft Ltd., London, England
 *
 * (C) Copyright 1992 X/Open Company Limited
 *
 * All rights reserved.  No part of this source code may be reproduced,
 * stored in a retrieval system, or transmitted, in any form or by any
 * means, electronic, mechanical, photocopying, recording or otherwise,
 * except as stated in the end-user licence agreement, without the prior
 * permission of the copyright owners.
 *
 * X/Open and the 'X' symbol are trademarks of X/Open Company Limited in
 * the UK and other countries.
 */

/***********************************************************************

NAME:		fputs_h.h

PROJECT:	XNFS (X/OPEN NFS tests)

DESCRIPTION:	Definitions common to master and slave side of the fputs test
		set.

METHODS:
ASSUMES:
CONDITIONAL COMPILE PARAMS:
SIDE EFFECTS:
RELATED DOCUMENTS:
SOURCE:

AUTHOR:		John-Paul, UniSoft Ltd.
DATE CREATED:	11 October 1992
MODIFICATIONS:

************************************************************************/

#if TEST_XNFS

/* Data */
#define ONE_BYTE_STR	"x"
#define ONE_CHAR_LINE	"x\n"

/* files and directories */
#define T12_FILE		"./fputs-t.12"
#define T13_FILE		"./fputs-t.13"

/* Test 12 sync points */
#define SP_T12_EACCES 		MK_SPNO(0)

/* Test 13 sync points */
#define SP_T13_ESTALE		MK_SPNO(0)

#endif /* TEST_XNFS */
