/*
 *      SCCS: @(#)  ANSI.os/streamio/fseek/fseek_h.h Rel 4.4.1 (06/09/97)
 *
 *	UniSoft Ltd., London, England
 *
 * (C) Copyright 1992 X/Open Company Limited
 *
 * All rights reserved.  No part of this source code may be reproduced,
 * stored in a retrieval system, or transmitted, in any form or by any
 * means, electronic, mechanical, photocopying, recording or otherwise,
 * except as stated in the end-user licence agreement, without the prior
 * permission of the copyright owners.
 *
 * X/Open and the 'X' symbol are trademarks of X/Open Company Limited in
 * the UK and other countries.
 */

/***********************************************************************

NAME:		fseek_h.h

PROJECT:	XNFS (X/OPEN NFS tests)

DESCRIPTION:	Definitions common to master and slave side of the fseek test
		set.

METHODS:
ASSUMES:
CONDITIONAL COMPILE PARAMS:
SIDE EFFECTS:
RELATED DOCUMENTS:
SOURCE:

AUTHOR:		John-Paul, UniSoft Ltd.
DATE CREATED:	10 November 1992
MODIFICATIONS:

************************************************************************/

#if TEST_XNFS

/* Data */
#define XNFS_STRING	"x"

/* files and directories */
#define T16_FILE		"./fseek-t.16"
#define T17_FILE		"./fseek-t.17"

/* Test 16 sync points */
#define SP_T16_EACCES 		MK_SPNO(0)

/* Test 17 sync points */
#define SP_T17_ESTALE		MK_SPNO(0)

#endif /* TEST_XNFS */
