/*
 *      SCCS: @(#)  ANSI.os/streamio/gets/gets_h.h Rel 4.4.1 (06/09/97)
 *
 *	UniSoft Ltd., London, England
 *
 * (C) Copyright 1992 X/Open Company Limited
 *
 * All rights reserved.  No part of this source code may be reproduced,
 * stored in a retrieval system, or transmitted, in any form or by any
 * means, electronic, mechanical, photocopying, recording or otherwise,
 * except as stated in the end-user licence agreement, without the prior
 * permission of the copyright owners.
 *
 * X/Open and the 'X' symbol are trademarks of X/Open Company Limited in
 * the UK and other countries.
 */

/***********************************************************************

NAME:		gets_h.h

PROJECT:	XNFS (X/OPEN NFS tests)

DESCRIPTION:	Definitions common to master and slave side of the gets test
		set.

METHODS:
ASSUMES:
CONDITIONAL COMPILE PARAMS:
SIDE EFFECTS:
RELATED DOCUMENTS:
SOURCE:

AUTHOR:		John-Paul, UniSoft Ltd.
DATE CREATED:	15 October 1992
MODIFICATIONS:
		Geoff Clare, 29 Oct 1993
			Added T5_*

************************************************************************/

#if TEST_XNFS

/* Data */
#define ONE_BYTE_STR	"x"

/* files and directories */
#define T5_FILE			"./gets-t.5"
#define T13_FILE		"./gets-t.13"
#define T14_FILE		"./gets-t.14"

/* Test 5 sync points */
#define SP_T5_CREAT_END		MK_SPNO(0)
#define SP_T5_UNLINK_START	MK_SPNO(1)

/* Test 13 sync points */
#define SP_T13_EACCES 		MK_SPNO(0)

/* Test 14 sync points */
#define SP_T14_ESTALE		MK_SPNO(0)

#endif /* TEST_XNFS */
