/*
 *      SCCS: @(#)  ANSI.os/streamio/putc/putc_h.h Rel 4.4.1 (06/09/97)
 *
 *	UniSoft Ltd., London, England
 *
 * (C) Copyright 1992 X/Open Company Limited
 *
 * All rights reserved.  No part of this source code may be reproduced,
 * stored in a retrieval system, or transmitted, in any form or by any
 * means, electronic, mechanical, photocopying, recording or otherwise,
 * except as stated in the end-user licence agreement, without the prior
 * permission of the copyright owners.
 *
 * X/Open and the 'X' symbol are trademarks of X/Open Company Limited in
 * the UK and other countries.
 */

/***********************************************************************

NAME:		putc_h.h

PROJECT:	XNFS (X/OPEN NFS tests)

DESCRIPTION:	Definitions common to master and slave side of the fputc,
		putchar and putc test sets.

METHODS:
ASSUMES:
CONDITIONAL COMPILE PARAMS:
SIDE EFFECTS:
RELATED DOCUMENTS:
SOURCE:

AUTHOR:		John-Paul, UniSoft Ltd.
DATE CREATED:	12 October 1992
MODIFICATIONS:

************************************************************************/

#if TEST_XNFS

/* files */
#define T12_FILE		"./putc-t.12"
#define T13_FILE		"./putc-t.13"

/* sync points */

#define SP_T12_EACCES		MK_SPNO(0)

#define SP_T13_ESTALE		MK_SPNO(0)

#endif /* TEST_XNFS */
