#!/bin/sh
# x11r6-tc.sh : test case for /usr/X11R6 directory

# This is 1.3
#
# x386-tc.sh,v
# Revision 1.3  2000/04/14 10:24:18  ajosey
# this requirement is withdrawn  in FHS2.1
#
# Revision 1.2  2000/04/09 07:15:44  cyeoh
# Added CVS header information
#
#

tet_startup="startup"			# startup function
tet_cleanup="cleanup"			# cleanup function
iclist="ic1"
ic1="tp1"


tp1()
{
	tpstart "Reference 4.X-1(A)"
	tet_infoline "The /usr/X386 directory exists and is searchable"
	tet_infoline "This requirement is withdrawn in FHS2.1"
	tpresult NOTINUSE		 # set result code
}


startup() # startup function
{
     rm -f out.stdout out.stderr out.experr >/dev/null 2>&1
}


cleanup() # clean-up function
{
     rm -f out.stdout out.stderr out.experr >/dev/null 2>&1
}

# source common shell functions

. $TET_EXECUTE/LIB/shfuncs.sh
. $TET_EXECUTE/LIB/lsbfuncs.sh

# execute shell test case manager - must be last line
. $TET_ROOT/lib/xpg3sh/tcm.sh
