#!/bin/sh
# crash-tc.sh : test case for /var/crash directory

# This is 1.2
#
# crash-tc.sh,v
# Revision 1.2  2000/04/09 07:15:49  cyeoh
# Added CVS header information
#
#

tet_startup="startup"			# startup function
tet_cleanup="cleanup"			# cleanup function
iclist="ic1"
ic1="tp1"


tp1()
{
	tpstart "Reference 5.6-1(A)"
	tet_infoline "The /var/crash directory may exist"
	tet_infoline "Reason for omission: 2"
	tpresult UNTESTED
}

startup() # startup function
{
     rm -f out.stdout out.stderr out.experr >/dev/null 2>&1
}


cleanup() # clean-up function
{
     rm -f out.stdout out.stderr out.experr >/dev/null 2>&1
}

# source common shell functions

. $TET_EXECUTE/LIB/shfuncs.sh
. $TET_EXECUTE/LIB/lsbfuncs.sh

# execute shell test case manager - must be last line
. $TET_ROOT/lib/xpg3sh/tcm.sh
