#!/bin/sh
# state-tc.sh : test case for /var/state directory

# This is 1.3
#
# state-tc.sh,v
# Revision 1.3  2000/04/17 08:45:04  ajosey
# change result code to NOTINUSE, since this is not a FHS2.1 reqt
#
# Revision 1.2  2000/04/09 07:15:59  cyeoh
# Added CVS header information
#
#

tet_startup="startup"			# startup function
tet_cleanup="cleanup"			# cleanup function
iclist="ic1"
ic1="tp1"


tp1()
{
	tpstart "Reference 5.X-1(A)"
	tet_infoline "The /var/state directory exists and is searchable"
	tet_infoline "This assertion is no longer valid in FHS2.1"
	tpresult NOTINUSE		# set result code
}

startup() # startup function
{
     rm -f out.stdout out.stderr out.experr >/dev/null 2>&1
}


cleanup() # clean-up function
{
     rm -f out.stdout out.stderr out.experr >/dev/null 2>&1
}

# source common shell functions

. $TET_EXECUTE/LIB/shfuncs.sh
. $TET_EXECUTE/LIB/lsbfuncs.sh

# execute shell test case manager - must be last line
. $TET_ROOT/lib/xpg3sh/tcm.sh
