/*
*      SCCS:  @(#)  XOPEN.os/genuts/ftw/ftw_s.c Rel 4.4.1	    (06/09/97)
*
*	UniSoft Ltd., London, England
*
* (C) Copyright 1992 X/Open Company Limited
*
* All rights reserved.  No part of this source code may be reproduced,
* stored in a retrieval system, or transmitted, in any form or by any
* means, electronic, mechanical, photocopying, recording or otherwise,
* except as stated in the end-user licence agreement, without the prior
* permission of the copyright owners.
*
* X/Open and the 'X' symbol are trademarks of X/Open Company Limited in
* the UK and other countries.
*/

#ifndef lint
#define MAIN
#ifdef	MAIN
static	char sccsid[] = "@(#)XOPEN.os/genuts/ftw/ftw_s Rel 4.4.1 (06/09/97)";
char	*copyright[] = {
		"(C) Copyright 1992 X/Open Company Limited",
		"All Rights Reserved."
};
#endif	/* MAIN */
#endif	/* lint */

/***********************************************************************

NAME:		ftw_s.c

PROJECT:	XNFS (X/OPEN NFS tests)

DESCRIPTION:
        Slave part of the ftw() system call test set.

METHODS:
ASSUMES:
CONDITIONAL COMPILE PARAMS:
SIDE EFFECTS:
RELATED DOCUMENTS:
SOURCE:

AUTHOR:		Neil Moses, UniSoft Ltd.
DATE CREATED:	29 September 1992
MODIFICATIONS:

************************************************************************/
#include	<std.h>
#include	<stdio.h>
#include	<dbug.h>
#include 	<tet_api.h>
#include	<xnfs.h>
#include	<sysdep.h>

#ifdef UNDEF_MACROS
#undef ftw
#endif


private	void	test14();
private	void	test15();
private	void	test16();
private	void	test17();

public	void	(*setfunc) () = NULL;
public	void	(*clnfunc) () = NULL;
public	struct tet_testlist tet_testlist[] = {
	 t_success_s, 1,
	 t_success_s, 2,
	 t_success_s, 3,
	 t_success_s, 4,
	 t_success_s, 5,
	 t_success_s, 6,
	 t_success_s, 7,
	 t_success_s, 8,
	 t_success_s, 9,
	 t_success_s, 10,
	 t_success_s, 11,
	 t_success_s, 12,
	 t_success_s, 13,
	 test14, 14,
	 test15, 15,
	 test16, 16,
	 test17, 17,
	 NULL, 0
};

private void
test14()
{
	DBUG_ENTER("test14");

	t_nametoolng_s(1, MK_SPNO(0));

	DBUG_VOID_RETURN;
}

private void
test15()
{
	DBUG_ENTER("test15");

	t_nametoolng_s(2, MK_SPNO(0));

	DBUG_VOID_RETURN;
}

private void
test16()
{
	DBUG_ENTER("test16");

	t_nametoolng_s(3, MK_SPNO(0));

	DBUG_VOID_RETURN;
}

private void
test17()
{
	DBUG_ENTER("test17");

	t_nametoolng_s(4, MK_SPNO(0));

	DBUG_VOID_RETURN;
}
