/*
*      SCCS:  @(#)  XOPEN.os/genuts/pclose/pclose_t2.c	Rel 4.4.1     (06/09/97) 
*
*	UniSoft Ltd., London, England
*
* (C) Copyright 1991 X/Open Company Limited
*
* All rights reserved.  No part of this source code may be reproduced,
* stored in a retrieval system, or transmitted, in any form or by any
* means, electronic, mechanical, photocopying, recording or otherwise,
* except as stated in the end-user licence agreement, without the prior
* permission of the copyright owners.
*
* X/Open and the 'X' symbol are trademarks of X/Open Company Limited in
* the UK and other countries.
*/

#ifndef lint
#define MAIN
#ifdef	MAIN
static	char sccsid[] = "@(#)XOPEN.os/genuts/pclose - pclose_t2.c Rel 4.4.1 (06/09/97)";
char	*copyright[] = {
		"(C) Copyright 1991 X/Open Company Limited",
		"All Rights Reserved."
};
#endif	/* MAIN	*/
#endif  /* lint	*/

/***********************************************************************

NAME:		pclose_t2.c - used in pclose() testset to test pclose()
		of a stream returned by pclose.

PROJECT:	VSX (X/OPEN Validation Suite)

MODULE CONTAINS:
	main()
SYNOPSIS:
DESCRIPTION:
	Called in comply section of the pclose() testset.  This program
	exits with a specified exit code.
	Usage:
		pclose_t2

RELATED DOCUMENTS:
	XOPEN.os/pclose/pclose.c

AUTHOR:		Mike Rendell, UniSoft Ltd.
DATE CREATED:	Fri Nov 28 20:04:22 WET 1986
MODIFICATIONS:	J.A.Nave	23/05/90
		Added resilience testing

		Stuart Boutell, 1 Dec 1990
		Removed all references to the TET api

		Geoff Clare, 24 Oct 1996
		Still some TET api references

************************************************************************/
#include	<std.h>
#include	<pclose.h>
#include	<stdlib.h>
#include	<sysdep.h>

#ifdef UNDEF_MACROS
#undef pclose
#endif


int
main(argc,argv)
int	argc;
char	**argv;
{
	exit(T2_EXIT);
	/* for lint */
	return 0;
}
