/*
*      SCCS:   @(#)DYNL.os/libdl/dlopen/dlopen_cp.c	Rel 5.1.1 (04/07/97)
*
* (C) Copyright 1997 UniSoft Limited
*
* All rights reserved.  No part of this source code may be reproduced,
* stored in a retrieval system, or transmitted, in any form or by any
* means, electronic, mechanical, photocopying, recording or otherwise,
* except as in the end-user licence agreement, without the prior
* permission of the copyright owners.
*
* UNIX is a registered trademark and X/Open, the `X Device' and The Open
* Group are trademarks of The Open Group.    
*/

#include	<std.h>
#include	<fcntl.h>
#include	<sysdep.h>

#define CPSZ 4096

int
cp(from, to)
char *from,*to;
{
	char buffer[CPSZ];
	int n;
	int ffd;
	int tfd;

	if((ffd = open(from, O_RDONLY)) < 0)
		return(1);

	if((tfd = open(to, O_WRONLY|O_CREAT|O_TRUNC, 0644)) < 0)
	{
		close(ffd);
		return(1);
	}
	while((n = read(ffd,buffer,CPSZ)) > 0)
		if(write(tfd,buffer,n) != n)
			return(1);

	close(ffd);
	close(tfd);
	if(n < 0)
		return(1);
	return(0);
}
