/*
 *      SCCS: @(#)  XOPEN.os/procenv/chroot/chroot_h.h Rel 4.4.1 (06/09/97)
 *
 *	UniSoft Ltd., London, England
 *
 * (C) Copyright 1992 X/Open Company Limited
 *
 * All rights reserved.  No part of this source code may be reproduced,
 * stored in a retrieval system, or transmitted, in any form or by any
 * means, electronic, mechanical, photocopying, recording or otherwise,
 * except as stated in the end-user licence agreement, without the prior
 * permission of the copyright owners.
 *
 * X/Open and the 'X' symbol are trademarks of X/Open Company Limited in
 * the UK and other countries.
 */

/***********************************************************************

NAME:		chroot_h.h

PROJECT:	XOPEN (X/OPEN NFS tests)

DESCRIPTION:
	Definitions common to master and slave side of the chroot test set.

METHODS:
ASSUMES:
CONDITIONAL COMPILE PARAMS:
SIDE EFFECTS:
RELATED DOCUMENTS:
SOURCE:

AUTHOR:		Neil Moses, UniSoft Ltd.
DATE CREATED:	19 October 1992
MODIFICATIONS:
		Geoff Clare, 20 Jan 1993
			Added "d.chroot" to front of t14 pathnames.

************************************************************************/

#if TEST_XNFS

/* test directories */
private	char	*t14_dir = 	"d.chroot/nosearch-d.14";
private	char	*t14_subdir = 	"d.chroot/nosearch-d.14/chroot-t.14";

/* Test 14 sync points */
#define SP_T14_CREATE_DIR_START 	MK_SPNO(0)
#define SP_T14_CREATE_DIR_END 		MK_SPNO(1)
#define SP_T14_RMDIR_START 		MK_SPNO(2)
#define SP_T14_RMDIR_END 		MK_SPNO(3)

#endif /* TEST_XNFS */
