/* dv @(#)V9TS/tset/GABI.os/procprim/exec_A/exec.h	1.1 93/04/20 */
/*
*       SCCS:   @(#)GABI.os/procprim/exec/exec.h	Rel 1.8 (%G) 
*
*	UniSoft Ltd, Hayne St, London EC1
*
* (C) Copyright 1990 UniSoft Group
*
* All rights reserved.  No part of this source code may be reproduced,
* stored in a retrieval system, or transmitted, in any form or by any
* means, electronic, mechanical, photocopying, recording or otherwise,
* except as stated in the end-user licence agreement, without the prior
* permission of the copyright owners.
*
*/

/***********************************************************************

NAME:		exec.h - some simple defines for exec() testset.

PROJECT:	gABI	

DESCRIPTION:
REQUIRES PRIOR INCLUSION OF:
ASSUMES:

AUTHOR:		Miha Wang, UniSoft Ltd.
DATE CREATED:	10/24/90	
MODIFICATIONS:

************************************************************************/

#define MAXARG          19
#define	P_ARG1		"arg1"
#define	P_ARG2		"arg2"
#define	P_ARG3		"arg3"
#define	P_ARG4		"arg4"
#define	P_ARG5		"arg5"
#define	P_ARG6		"arg6"
#define	P_ARG7		"arg7"
#define	P_ARG8		"arg8"
#define	P_ARG9		"arg9"
#define	P_ARG10		"arg10"
#define	P_ARG11		"arg11"
#define	P_ARG12		"arg12"
#define	P_ARG13		"arg13"
#define	P_ARG14		"arg14"
#define	P_ARG15		"arg15"
#define	EXEC_PATH	"PATH=..:../..:.:/bin:/usr/bin"
#define	EXEC_TGEN	"../exec_tg_A";
#define	EXEC_TGEN1	"../exec_tg1_A";
#define	EXEC_TGEN2	"../exec_tg2_A";
#if 0
#define	EXEC_TSH1	"../exec_tsh1_A";
#define	EXEC_TSH2	"../exec_tsh2_A";
#endif

#define	I_EXECL		0		/* which are we pretending to be? */
#define	I_EXECLE	1
#define	I_EXECLP	2
#define	I_EXECV		3
#define	I_EXECVE	4
#define	I_EXECVP	5


/* System resource limits */

#define BLKSIZE		512	
#define	SOFT_CORE	(1<<14)
#define	SOFT_TIME	(SPEEDFACTOR)
#define	HARD_TIME	(SPEEDFACTOR + 1)
#define	SIZE_DATA	(1<<16)

/* exit values */
#define	NOK		02
#define	PATH_NOK	04
