/*
 *      SCCS:  @(#)  POSIX.os/files/creat/creat_t34.c Rel 4.4.1 (06/09/97)
 *
 *	UniSoft Ltd., London, England
 *
 * (C) Copyright 1992 X/Open Company Limited
 *
 * All rights reserved.  No part of this source code may be reproduced,
 * stored in a retrieval system, or transmitted, in any form or by any
 * means, electronic, mechanical, photocopying, recording or otherwise,
 * except as stated in the end-user licence agreement, without the prior
 * permission of the copyright owners.
 *
 * X/Open and the 'X' symbol are trademarks of X/Open Company Limited in
 * the UK and other countries.
 */

#ifndef lint
static	char sccsid[] = "@(#)POSIX.os/files/creat/creat_t34.c Rel 4.4.1 (06/09/97)";
#endif	/* lint */

/***********************************************************************

NAME:		creat_t34.c

PROJECT:	XNFS (X/OPEN NFS tests)

DESCRIPTION: 	setup routine for test34() subprogram

AUTHOR:		David Sawyer, UniSoft Ltd.
DATE CREATED:	13 October 1992

MODIFICATIONS:
		Geoff Clare, 20 Oct 1993
			Delete subdirectory from T51_FILE.

************************************************************************/

#include <std.h>
#include <dbug.h>
#include <sys/types.h>
#include "creat_h.h"
#include <sysdep.h>

#ifdef UNDEF_MACROS
#undef creat
#endif


private char	*t34_file = 	T34_FILE;

extern 	void	subtest33_34();

public void
setup33_34(mygid)
gid_t mygid;
{
	gid_t altgid;

	DBUG_ENTER("setup33_34 for test 34");

#if TEST_FIPS || TEST_XPG > 3
	altgid = (gid_t) -1;
#else
	altgid = mygid;
#endif

	subtest33_34(".", t34_file, mygid, altgid, 0, 0);

	DBUG_VOID_RETURN;
}
