/*
 *      SCCS: @(#)  POSIX.os/files/readdir/readdir_h.h Rel 4.4.1 (06/09/97)
 *
 *	UniSoft Ltd., London, England
 *
 * (C) Copyright 1992 X/Open Company Limited
 *
 * All rights reserved.  No part of this source code may be reproduced,
 * stored in a retrieval system, or transmitted, in any form or by any
 * means, electronic, mechanical, photocopying, recording or otherwise,
 * except as stated in the end-user licence agreement, without the prior
 * permission of the copyright owners.
 *
 * X/Open and the 'X' symbol are trademarks of X/Open Company Limited in
 * the UK and other countries.
 */

/***********************************************************************

NAME:		readdir_h.h

PROJECT:	XNFS (X/OPEN NFS tests)

DESCRIPTION:
	Definitions common to master and slave side of the readdir test set.

METHODS:
ASSUMES:
CONDITIONAL COMPILE PARAMS:
SIDE EFFECTS:
RELATED DOCUMENTS:
SOURCE:

AUTHOR:		David Sawyer, UniSoft Ltd.
DATE CREATED:	9 November 1992
MODIFICATIONS:

************************************************************************/

#if	   TEST_XNFS

/*
**	test11
*/

/* files and directories */
#define T11_DIR			"./readdir-d.11"

/* sync points */
#define SP_T11_MKDIR_START	MK_SPNO(0)
#define SP_T11_MKDIR_END	MK_SPNO(1)
#define SP_T11_MODE_START	MK_SPNO(2)
#define SP_T11_MODE_END		MK_SPNO(3)
#define SP_T11_RMDIR_START	MK_SPNO(4)
#define SP_T11_RMDIR_END	MK_SPNO(5)


/*
**	test12
*/

/* files and directories */
#define T12_DIR			"./readdir-d.12"

/* sync points */
#define SP_T12_MKDIR_START	MK_SPNO(0)
#define SP_T12_MKDIR_END	MK_SPNO(1)
#define SP_T12_RMDIR_START	MK_SPNO(2)
#define SP_T12_RMDIR_END	MK_SPNO(3)

#endif	/* TEST_XNFS */
