/*
 *      SCCS: @(#)  POSIX.os/ioprim/close/close_h.h Rel 4.4.1 (06/09/97)
 *
 *	UniSoft Ltd., London, England
 *
 * (C) Copyright 1992 X/Open Company Limited
 *
 * All rights reserved.  No part of this source code may be reproduced,
 * stored in a retrieval system, or transmitted, in any form or by any
 * means, electronic, mechanical, photocopying, recording or otherwise,
 * except as stated in the end-user licence agreement, without the prior
 * permission of the copyright owners.
 *
 * X/Open and the 'X' symbol are trademarks of X/Open Company Limited in
 * the UK and other countries.
 */

/***********************************************************************

NAME:		close_h.h

PROJECT:	POSIX (X/OPEN NFS tests)

DESCRIPTION:
	Definitions common to master and slave side of the close test set.

METHODS:
ASSUMES:
CONDITIONAL COMPILE PARAMS:
SIDE EFFECTS:
RELATED DOCUMENTS:
SOURCE:

AUTHOR:		Neil Moses, UniSoft Ltd.
DATE CREATED:	5 October 1992
MODIFICATIONS:

************************************************************************/

#if TEST_XNFS

/* test data */
#define	T6_DATA	"abcde"

/* test files */
#define FILE6	"./t6_file"

/* Test 4 sync points */
#define SP_T4_RTIME_START	MK_SPNO(0)

/* Test 6 sync points */
#define SP_T6_CHECK_DATA_START 	MK_SPNO(0)
#define SP_T6_CHECK_DATA_END 	MK_SPNO(1)

#endif /* TEST_XNFS */
