/*
*      SCCS:  @(#)  POSIX.os/procprim/exec/exec_tfail.c	Rel 4.4.1     (06/09/97) 
*
*	UniSoft Ltd., London, England
*
* (C) Copyright 1991 X/Open Company Limited
*
* All rights reserved.  No part of this source code may be reproduced,
* stored in a retrieval system, or transmitted, in any form or by any
* means, electronic, mechanical, photocopying, recording or otherwise,
* except as stated in the end-user licence agreement, without the prior
* permission of the copyright owners.
*
* X/Open and the 'X' symbol are trademarks of X/Open Company Limited in
* the UK and other countries.
*/

#ifndef lint
#define MAIN
#ifdef	MAIN
static	char sccsid[] = "@(#)POSIX.os/procprim/exec - exec_tfail Rel 4.4.1 (06/09/97)";
char	*copyright[] = {
		"(C) Copyright 1991 X/Open Company Limited",
		"All Rights Reserved."
};
#endif	/* MAIN	*/
#endif  /* lint	*/

/***********************************************************************

NAME:		exec_tfail - used in many exec tests.

PROJECT:	VSX (X/OPEN Validation Suite)

MODULE CONTAINS:
	main()
SYNOPSIS:
DESCRIPTION:
	Called in many exec tests - the exit code indicates that an error 
	has occurred because the wrong file has been executed.
METHODS:
ASSUMES:
CONDITIONAL COMPILE PARAMS:
SIDE EFFECTS:
RELATED DOCUMENTS:
SOURCE:

AUTHOR:		Dave Cater, Unisoft Ltd.
DATE CREATED:	Mon Apr 17 16:16:43 BST 1989
MODIFICATIONS:
		Stuart Boutell, 5 Nov 1990
			Eliminated envp and #include <tet_api.h>.

************************************************************************/
#include	<std.h>
#include	<stdlib.h>
#include	<exitcodes.h>
#include	<sysdep.h>

#ifdef UNDEF_MACROS
#undef execl
#undef execle
#undef execlp
#undef execv
#undef execve
#undef execvp
#endif


main(argc, argv)
int	argc;
char	**argv;
{
	/*
	 * A test program that should NOT be exec'd.
	 * The exit code indicates an error that the parent process recognises.
	 */
	exit(A_MISC);

	/* NOTREACHED */
	return 0;
}
