/*
*      SCCS:  @(#)  POSIX.os/procprim/exec/exec_tp.c	Rel 4.4.1     (06/09/97) 
*
*	UniSoft Ltd., London, England
*
* (C) Copyright 1991 X/Open Company Limited
*
* All rights reserved.  No part of this source code may be reproduced,
* stored in a retrieval system, or transmitted, in any form or by any
* means, electronic, mechanical, photocopying, recording or otherwise,
* except as stated in the end-user licence agreement, without the prior
* permission of the copyright owners.
*
* X/Open and the 'X' symbol are trademarks of X/Open Company Limited in
* the UK and other countries.
*/

#ifndef lint
#define MAIN
#ifdef	MAIN
static	char sccsid[] = "@(#)POSIX.os/procprim/exec - exec_tp[i] Rel 4.4.1 (06/09/97)";
char	*copyright[] = {
		"(C) Copyright 1991 X/Open Company Limited",
		"All Rights Reserved."
};
#endif	/* MAIN	*/
#endif  /* lint	*/

/***********************************************************************

NAME:		exec_tp[0-9]

PROJECT:	VSX (X/OPEN Validation Suite)

MODULE CONTAINS:
	main()
SYNOPSIS:
DESCRIPTION:
	Called in the exec test19() to produce known exit code 
	which is compilation dependent.
METHODS:
ASSUMES:
CONDITIONAL COMPILE PARAMS:
SIDE EFFECTS:
RELATED DOCUMENTS:
SOURCE:

AUTHOR:		Dave Cater
DATE CREATED:	Tue Apr 25 13:43:20 BST 1989
MODIFICATIONS:	
		Geoff Clare, 10 Nov 1989
			Change name of predefined exit value from "val"
			to "VSX_EXIT_VAL" to avoid namespace conflict

		Stuart Boutell, 5 Nov 1990
			Eliminated tet_api.h include.

************************************************************************/

#include <std.h>
#include <stdlib.h>
#include <sysdep.h>

#ifdef UNDEF_MACROS
#undef execl
#undef execle
#undef execlp
#undef execv
#undef execve
#undef execvp
#endif


main(argc, argv)
int	argc;
char	**argv;
{
	/* VSX_EXIT_VAL should be defined in "make" command line */

	exit(VSX_EXIT_VAL);

	/* NOTREACHED */
}
